package com.uoc.tfc.Base.common;

import com.uoc.tfc.Base.usuari.Usuari;

/**
 * Configuraci de l'usuari durant la sessi
 * @author ojaen
 *
 */
public class ConfiguracioUsuari {
	private static ConfiguracioUsuari config;

	private Usuari usuari;

	/**
	 * Getter de l'usuari
	 * @return Usuari
	 */
	public Usuari getUsuari() {
		return this.usuari;
	}

	/**
	 * Setter de l'usuari
	 * @param p_usuari
	 */
	public void setUsuari(Usuari p_usuari) {
		this.usuari = p_usuari;
	}

	/**
	 * Constructor
	 */
	protected ConfiguracioUsuari() {
		super();
	}
	
	/**
	 * Singleton
	 * @return ConfiguracioUsuari
	 */
	public static ConfiguracioUsuari getInstance() {
		return config;
	}

	/**
	 * Singleton configurant l'usuari.
	 */
	public static ConfiguracioUsuari getInstance(Usuari p_usuari) {
		if (config == null) {
			config = new ConfiguracioUsuari();                    
		}
		config.setUsuari(p_usuari);
		return config;
	}

}
