package com.uoc.tfc.Base.manteniment;

import java.io.Serializable;
import java.util.Date;

import com.uoc.tfc.Base.common.Internacionalitzacio;
import com.uoc.tfc.Base.mestres.Estat;

/**
 * Bean dels Anys Academics
 * @author ojaen
 *
 */
public class AnyAcademic implements Serializable {


	/**
	 *
	 */
	private static final long serialVersionUID = -3446394152707701843L;

	/*Criteris de cerca*/
	public static final String CRITERI_ANY_ACADEMIC_ID_ANY_ACADEMIC = "idAnyAcademic";
	public static final String CRITERI_ANY_ACADEMIC_CODI = "codiAnyAcademic";
	public static final String CRITERI_ANY_ACADEMIC_DESCRIPCIO = "descripcioAnyAcademic";
	public static final String CRITERI_ANY_ACADEMIC_DATA_INICI = "dataIniciAnyAcademic";
	public static final String CRITERI_ANY_ACADEMIC_DATA_FI =	"dataFiAnyAcademic";
	public static final String CRITERI_ANY_ACADEMIC_DATA_INICI_MATRICULA = "dataIniciMatriculaAnyAcademic";
	public static final String CRITERI_ANY_ACADEMIC_DATA_FI_MATRICULA =	"dataFiMatriculaAnyAcademic";
	public static final String CRITERI_ANY_ACADEMIC_ID_ESTAT = "estatAnyAcademic";
	public static final String CRITERI_ANY_ACADEMIC_NOT_EQUAL_ID = "notEqualIdAnyAcademic";
	public static final String CRITERI_ANY_ACADEMIC_ORDER = "orderAnyAcademic";

	/*variables*/
	private Integer idAnyAcademic;
	private String codi;
	private String descripcio;
	private Date dataInici;
	private Date dataFi;
	private Date dataIniciMatricula;
	private Date dataFiMatricula;
	private Estat idEstat;
	private Integer versio;


	
	/**
	 * Simple constructor d'AnyAcademic.
	 */
	public AnyAcademic()
	{
	}

	/**
	 * Getter idAnyAcademic
	 * @return Integer
	 */
	public Integer getIdAnyAcademic() {
		return idAnyAcademic;
	}

	/**
	 * Setter idAnyAcademic
	 * @param idAnyAcademic
	 */
	public void setIdAnyAcademic(Integer idAnyAcademic) {
		this.idAnyAcademic = idAnyAcademic;
	}

	/**
	 * Getter idAnyAcademic
	 * @return Integer
	 */
	public Integer getId() {
		return getIdAnyAcademic();
	}

	/**
	 * Setter idAnyAcademic
	 * @param id
	 */
	public void setId(Integer id) {
		setIdAnyAcademic(id);
	}

	/**
	 * Getter idAnyAcademic en format String
	 * @return String
	 */
	public String getIdAnyAcademicString() {
		return getIdAnyAcademic().toString();
	}


	/**
	 * Getter codi
	 * @return String
	 */
	public String getCodi() {
		return codi;
	}

	/**
	 * Setter codi
	 * @param codi
	 */
	public void setCodi(String codi) {
		this.codi = codi;
	}

	/**
	 * Getter descripcio
	 * @return String
	 */
	public String getDescripcio() {
		return descripcio;
	}

	/**
	 * Setter descripcio
	 * @param descripcio
	 */
	public void setDescripcio(String descripcio) {
		this.descripcio = descripcio;
	}

	/**
	 * Getter dataInici
	 * @return Date
	 */
	public Date getDataInici() {
		return dataInici;
	}

	/**
	 * Setter dataInici
	 * @param dataInici
	 */
	public void setDataInici(Date dataInici) {
		this.dataInici = dataInici;
	}

	/**
	 * Getter dataFi
	 * @return dataFi
	 */
	public Date getDataFi() {
		return dataFi;
	}

	/**
	 * Setter dataFi
	 * @param dataFi
	 */
	public void setDataFi(Date dataFi) {
		this.dataFi = dataFi;
	}

	/**
	 * Getter dataIniciMatricula
	 * @return Date
	 */
	public Date getDataIniciMatricula() {
		return dataIniciMatricula;
	}

	/**
	 * Setter dataIniciMatricula
	 * @param dataIniciMatricula
	 */
	public void setDataIniciMatricula(Date dataIniciMatricula) {
		this.dataIniciMatricula = dataIniciMatricula;
	}

	/**
	 * Getter dataFiMatricula
	 * @return Date
	 */
	public Date getDataFiMatricula() {
		return dataFiMatricula;
	}

	/**Setter dataFiMatricula
	 *
	 * @param dataFiMatricula
	 */
	public void setDataFiMatricula(Date dataFiMatricula) {
		this.dataFiMatricula = dataFiMatricula;
	}

	/**
	 * Getter estat
	 * @return Estat
	 */
	public Estat getIdEstat() {
		return idEstat;
	}

	/**
	 * Setter idEstat
	 * @param idEstat
	 */
	public void setIdEstat(Estat idEstat) {
		this.idEstat = idEstat;
	}

	/**
	 * Getter descripcio estat
	 * @return String
	 */
	public String getDescEstat() {
		if (getIdEstat() != null)
			return getIdEstat().getDescripcio();
		else
			return "";
	}

	/**
	 * Getter versio
	 * @return Integer
	 */
	public Integer getVersio() {
		return versio;
	}

	/**
	 * Setter versio
	 * @param versio
	 */
	public void setVersio(Integer versio) {
		this.versio = versio;
	}

	/**
	 * Getter dataInici en format String
	 * @return String
	 */
	public String getDataIniciString() {
		if (getDataInici() != null)
			return Internacionalitzacio.FormataDataCurta(getDataInici());
		return "";
	}

	/**
	 * Getter datafi en format String
	 * @return String
	 */
	public String getDataFiString() {
		if (getDataFi() != null)
			return Internacionalitzacio.FormataDataCurta(getDataFi());
		return "";
	}

	/**
	 * Getter dataIniciMatricula en format String
	 * @return String
	 */
	public String getDataIniciMatriculaString() {
		if (getDataInici() != null)
			return Internacionalitzacio.FormataDataCurta(getDataIniciMatricula());
		return "";
	}

	/**
	 * Getter datafiMatricula en format String
	 * @return String
	 */
	public String getDataFiMatriculaString() {
		if (getDataFi() != null)
			return Internacionalitzacio.FormataDataCurta(getDataFiMatricula());
		return "";
	}



}
