package com.uoc.tfc.Base.manteniment;

import java.io.Serializable;

import com.uoc.tfc.Base.mestres.Estat;

/**
 * Bean de les assignatures
 * @author ojaen
 *
 */
public class Assignatura implements Serializable {


	/**
	 *
	 */
	private static final long serialVersionUID = 2434400345144074834L;
	public static final String CRITERI_ASSIGNATURA_ID_ASSIGNATURA = "idAssignatura";
	public static final String CRITERI_ASSIGNATURA_CODI = "codiAssignatura";
	public static final String CRITERI_ASSIGNATURA_DESCRIPCIO = "descripcioAssignatura";
	public static final String CRITERI_ASIGNATURA_ID_ESTAT = "estatAssignatura";
	public static final String CRITERI_ASSIGNATURA_NOT_EQUAL_ID = "notEqualIdAssignatura";
	public static final String CRITERI_ASSIGNATURA_ORDER = "orderAssignatura";

	private Integer idAssignatura;
	private String codiAssignatura;
	private String descripcio;
	private Estat idEstat;
	private Integer versio;



	/**
	 * Simple constructor d'Assignatura.
	 */
	public Assignatura()
	{
	}

	/**
	 * Getter idAssignatura
	 * @return Integer
	 */
	public Integer getIdAssignatura() {
		return idAssignatura;
	}

	/**
	 * Getter  idAssignatura en String
	 * @return String
	 */
	public String getIdAssignaturaString() {
		return idAssignatura.toString();
	}

	/**
	 * Setter idAssignatura
	 * @param idAssignatura
	 */
	public void setIdAssignatura(Integer idAssignatura) {
		this.idAssignatura = idAssignatura;
	}

	/**
	 * Getter idAssignatura
	 * @return Integer
	 */
	public Integer getId() {
		return getIdAssignatura();
	}

	/**
	 * Setter idAssignatura
	 * @param id
	 */
	public void setId(Integer id) {
		setIdAssignatura(id);
	}

	/**
	 * Getter codiAssignatura
	 * @return String
	 */
	public String getCodiAssignatura() {
		return codiAssignatura;
	}

	/**
	 * Setter codiAssignatura
	 * @param codi
	 */
	public void setCodiAssignatura(String codi) {
		this.codiAssignatura = codi;
	}

	/**
	 * Getter descripcio
	 * @return String
	 */
	public String getDescripcio() {
		return descripcio;
	}

	/**
	 * Setter descripcio
	 * @param descripcio
	 */
	public void setDescripcio(String descripcio) {
		this.descripcio = descripcio;
	}


	/**
	 * Getter idEstat
	 * @return Estat
	 */
	public Estat getIdEstat() {
		return idEstat;
	}

	/**
	 * Setter idEstat
	 * @param idEstat
	 */
	public void setIdEstat(Estat idEstat) {
		this.idEstat = idEstat;
	}

	/**
	 * Getter descripcio estat
	 * @return String
	 */
	public String getDescEstat() {
		if (getIdEstat() != null)
			return getIdEstat().getDescripcio();
		else
			return "";
	}

	/**
	 * Getter versio
	 * @return Integer
	 */
	public Integer getVersio() {
		return versio;
	}

	/**
	 * Setter versio
	 * @param versio
	 */
	public void setVersio(Integer versio) {
		this.versio = versio;
	}


}
