package com.uoc.tfc.Base.manteniment;

import java.io.Serializable;

import com.uoc.tfc.Base.usuari.Usuari;

/**
 * Bean de les assignatura-aula-professor
 * @author ojaen
 *
 */
public class AssignaturaAulaProfessor implements Serializable {

	/**
	 *
	 */
	private static final long serialVersionUID = 5700784516076856422L;
	private Integer idAsigAulaProf;
	private Usuari idProfessor;
	private Aula idAula;
	private Assignatura idAssignatura;
	private Integer versio;
	private Boolean bSeleccionada = new Boolean(false);




	/**
	 * Simple constructor d'AssigAulaProfessor.
	 */
	public AssignaturaAulaProfessor()
	{
	}

	/**
	 * Getter idAsigAulaProf
	 * @return Integer
	 */
	public Integer getIdAsigAulaProf() {
		return idAsigAulaProf;
	}

	/**
	 * Getter idAsigAulaProf en String
	 * @return String
	 */
	public String getIdAsigAulaProfString() {
		return idAsigAulaProf.toString();
	}

	/**
	 * Setter idAsigAulaProf
	 * @param idAssigAulaProf
	 */
	public void setIdAsigAulaProf(Integer idAssigAulaProf) {
		this.idAsigAulaProf = idAssigAulaProf;
	}

	/**
	 * Getter idAsigAulaProf
	 * @return Integer
	 */
	public Integer getId() {
		return getIdAsigAulaProf();
	}

	/**
	 * Setter idAsigAulaProf
	 * @param id
	 */
	public void setId(Integer id) {
		setIdAsigAulaProf(id);
	}

	/**
	 * Getter idProfessor
	 * @return Usuari
	 */
	public Usuari getIdProfessor() {
		return idProfessor;
	}

	/**
	 * Setter idProfessor
	 * @param idProfessor
	 */
	public void setIdProfessor(Usuari idProfessor) {
		this.idProfessor = idProfessor;
	}

	/**
	 * Descripcio professor
	 * @return String
	 */
	public String getDescProfessor() {
		if (getIdProfessor() != null)
			return getIdProfessor().getNomComplert();
		else
			return "";
	}

	/**
	 * Setter idAula
	 * @param idAula
	 */
	public void setIdAula(Aula idAula) {
		this.idAula = idAula;
	}

	/**
	 * Getter idAula
	 * @return Aula
	 */
	public Aula getIdAula() {
		return idAula;
	}

	/**
	 * Getter Descripcio Aula
	 * @return String
	 */
	public String getDescAula() {
		if (getIdAula() != null)
			return getIdAula().getDescripcio();
		else
			return "";
	}

	/**
	 * Setter idAssignatura
	 * @param idAssignatura
	 */
	public void setIdAssignatura(Assignatura idAssignatura) {
		this.idAssignatura = idAssignatura;
	}

	/**
	 * Getter idAssignatura
	 * @return Assignatura
	 */
	public Assignatura getIdAssignatura() {
		return idAssignatura;
	}

	/**
	 * Getter codiAssignatura
	 * @return String
	 */
	public String getCodiAssignatura() {
		if (getIdAssignatura() != null)
			return getIdAssignatura().getCodiAssignatura();
		else
			return "";
	}

	/**
	 * Getter Descripcio assignatura
	 * @return String
	 */
	public String getDescAssignatura() {
		if (getIdAssignatura() != null)
			return getIdAssignatura().getDescripcio();
		else
			return "";
	}

	/**
	 * Getter versio
	 * @return Integer
	 */
	public Integer getVersio() {
		return versio;
	}

	/**
	 * Setter Versio
	 * @param versio
	 */
	public void setVersio(Integer versio) {
		this.versio = versio;
	}

	/**
	 * Getter descripcio: aula - Assignatura - Professor
	 * @return String
	 */
	public String getDescripcio() {
		if (getIdAssignatura() != null)
			return getDescAula() + " - " +
			getDescAssignatura() + " - " + getDescProfessor();
		else
			return "";
	}

	/**
	 * Setter isSeleccionada
	 * @param bSeleccionada
	 */
	public void setIsSeleccionada(Boolean bSeleccionada) {
		this.bSeleccionada = bSeleccionada;
	}

	/**
	 * Getter isSeleccionada
	 * @return boolean bSeleccionada
	 */
	public Boolean getIsSeleccionada() {
		return bSeleccionada;
	}


}
