package com.uoc.tfc.Base.manteniment;

import java.io.Serializable;

import com.uoc.tfc.Base.mestres.Estat;

/**
 * Bean de cursAssignatura
 * @author ojaen
 *
 */
public class CursAssignatura implements Serializable {

	
	/**
	 *
	 */
	private static final long serialVersionUID = -3434451979138602527L;

	public static final String CRITERI_ASSIGNATURA_ID_CURSASSIGNATURA = "idCursAssignatura";
	public static final String CRITERI_ASSIGNATURA_ID_ASSIGNATURA = "idAssignatura";
	private Integer idCursAssignatura;
	private Curs idCurs;
	private Assignatura idAssignatura;
	private Estat idEstat;
	private Integer versio;



	/**
	 * Simple constructor de CursAssignatura.
	 */
	public CursAssignatura()
	{
	}

	/**
	 * Getter idCursAssignatura
	 * @return Integer
	 */
	public Integer getIdCursAssignatura() {
		return idCursAssignatura;
	}

	/**
	 * Getter idCursAssignatura en String
	 * @return String
	 */
	public String getIdCursAssignaturaString() {
		return idCursAssignatura.toString();
	}

	/**
	 * Setter idCursAssignatura
	 * @param idCursAssignatura
	 */
	public void setIdCursAssignatura(Integer idCursAssignatura) {
		this.idCursAssignatura = idCursAssignatura;
	}

	/**
	 * Getter idCursAssignatura
	 * @return Integer
	 */
	public Integer getId() {
		return getIdCursAssignatura();
	}

	/**
	 * Setter idCursAssignatura
	 * @param id
	 */
	public void setId(Integer id) {
		setIdCursAssignatura(id);
	}

	/**
	 * Getter idEstat
	 * @return Estat
	 */
	public Estat getIdEstat() {
		return idEstat;
	}

	/**
	 * Setter idEstat
	 * @param idEstat
	 */
	public void setIdEstat(Estat idEstat) {
		this.idEstat = idEstat;
	}

	/**
	 * Getter descripcio estat
	 * @return String
	 */
	public String getDescEstat() {
		if (getIdEstat() != null)
			return getIdEstat().getDescripcio();
		else
			return "";
	}

	/**
	 * Setter idCurs
	 * @param idCurs
	 */
	public void setIdCurs(Curs idCurs) {
		this.idCurs = idCurs;
	}

	/**
	 * Getter idCurs
	 * @return Curs
	 */
	public Curs getIdCurs() {
		return idCurs;
	}

	/**
	 * Getter descripcio curs
	 * @return String
	 */
	public String getDescCurs() {
		if (getIdCurs() != null)
			return getIdCurs().getDescripcio();
		else
			return "";
	}

	/**
	 * Setter idAssignatura
	 * @param idAssignatura
	 */
	public void setIdAssignatura(Assignatura idAssignatura) {
		this.idAssignatura = idAssignatura;
	}

	/**
	 * Getter idAssignatura
	 * @return Assignatura
	 */
	public Assignatura getIdAssignatura() {
		return idAssignatura;
	}

	/**
	 * Getter codi assignatura
	 * @return String
	 */
	public String getCodiAssignatura() {
		if (getIdAssignatura() != null)
			return getIdAssignatura().getCodiAssignatura();
		else
			return "";
	}

	/**
	 * Getter descripcio assignatura
	 * @return String
	 */
	public String getDescAssignatura() {
		if (getIdAssignatura() != null)
			return getIdAssignatura().getDescripcio();
		else
			return "";
	}

	/**
	 * Getter versio
	 * @return Integer
	 */
	public Integer getVersio() {
		return versio;
	}

	/**
	 * Setter versio
	 * @param versio
	 */
	public void setVersio(Integer versio) {
		this.versio = versio;
	}

	/**
	 * Getter descripcio : assignatura (curs - tipustitulacio)
	 * @return String
	 */
	public String getDescripcio() {
		if (getIdAssignatura() != null)
			return getIdAssignatura().getDescripcio() + "(" +
			getIdCurs().getDescripcio() + " - " + getIdCurs().getDescTipusTitulacio() + ")";
		else
			return "";
	}


}
