package com.uoc.tfc.Base.manteniment;

import java.io.Serializable;
import com.uoc.tfc.Base.mestres.Estat;

/**
 * Bean del tipus de qualificaci
 * @author ojaen
 *
 */
public class TipusQualificacio implements Serializable {


	/**
	 *
	 */
	private static final long serialVersionUID = 1689983254406287277L;
	public static final String CRITERI_TIPUSQUALIFICACIO_ID_TIPUSQUALIFICACIO = "idTipusQualificacio";
	public static final String CRITERI_TIPUSQUALIFICACIO_CODI = "codiTipusQualificacio";
	public static final String CRITERI_TIPUSQUALIFICACIO_DESCRIPCIO = "descripcioTipusQualificacio";
	public static final String CRITERI_TIPUSQUALIFICACIO_CODI_ESTAT ="codiEstatTipusQualificacio";
	public static final String CRITERI_TIPUSQUALIFICACIO_NOT_EQUAL_ID = "notEqualIdTipusQualificacio";
	public static final String CRITERI_TIPUSQUALIFICACIO_ORDER = "orderTipusQualificacio";

	private Integer idTipusQualificacio;
	private String codiTipusQualificacio;
	private String descripcio;
	private Integer aprovat;
	private Estat idEstat;
	private Integer versio;



	/**
	 * Simple constructor de TipusQualificacio.
	 */
	public TipusQualificacio()
	{
	}

	/**
	 * Getter idTipusQualificacio
	 * @return Integer
	 */
	public Integer getIdTipusQualificacio() {
		return idTipusQualificacio;
	}

	/**
	 * Getter idTipusQualificio en String
	 * @return String
	 */
	public String getIdTipusQualificacioString() {
		return idTipusQualificacio.toString();
	}

	/**
	 * Setter idTipusQualificacio
	 * @param idTipusQualificacio
	 */
	public void setIdTipusQualificacio(Integer idTipusQualificacio) {
		this.idTipusQualificacio = idTipusQualificacio;
	}

	/**
	 * Getter idTipusQualificacio
	 * @return Integer
	 */
	public Integer getId() {
		return getIdTipusQualificacio();
	}

	/**
	 * Setter idTipusQualificacio
	 * @param id
	 */
	public void setId(Integer id) {
		setIdTipusQualificacio(id);
	}

	/**
	 * Getter codiTipusQualificacio
	 * @return String
	 */
	public String getCodiTipusQualificacio() {
		return codiTipusQualificacio;
	}

	/**
	 * Setter codiTipusQualificacio
	 * @param codi
	 */
	public void setCodiTipusQualificacio(String codi) {
		this.codiTipusQualificacio = codi;
	}

	/**
	 * Getter descripcio
	 * @return String
	 */
	public String getDescripcio() {
		return descripcio;
	}

	/**
	 * Setter descripcio
	 * @param descripcio
	 */
	public void setDescripcio(String descripcio) {
		this.descripcio = descripcio;
	}

	/**
	 * Getter aprovat
	 * @return Integer
	 */
	public Integer getAprovat() {
		return aprovat;
	}

	/**
	 * Setter aprovat
	 * @param aprovat
	 */
	public void setAprovat(Integer aprovat) {
		this.aprovat = aprovat;
	}

	/**
	 * Getter idEstat
	 * @return Estat
	 */
	public Estat getIdEstat() {
		return idEstat;
	}

	/**
	 * Setter idEstat
	 * @param idEstat
	 */
	public void setIdEstat(Estat idEstat) {
		this.idEstat = idEstat;
	}

	/**
	 * Getter descripcio Estat
	 * @return String
	 */
	public String getDescEstat() {
		if (getIdEstat() != null)
			return getIdEstat().getDescripcio();
		else
			return "";
	}

	/**
	 * Getter versio
	 * @return Integer
	 */
	public Integer getVersio() {
		return versio;
	}

	/**
	 * Setter versio
	 * @param versio
	 */
	public void setVersio(Integer versio) {
		this.versio = versio;
	}

	/**
	 * Getter isAprovat
	 * @return boolean
	 */
	public boolean isAprovat() {
		if (new Integer(1).equals(getAprovat()))
			return true;
		else
			return false;
	}

	/**
	 * Setter aprovat
	 * @param aprovat
	 */
	public void setAprovat(boolean aprovat) {
		if (aprovat)
			this.setAprovat(new Integer(1));
		else
			this.setAprovat(new Integer(0));
	}


}
