package com.uoc.tfc.Base.manteniment;

import java.io.Serializable;
import com.uoc.tfc.Base.mestres.Estat;

/**
 * Bean de TipusTitulacio
 * @author ojaen
 *
 */
public class TipusTitulacio implements Serializable {


	/**
	 * 
	 */
	private static final long serialVersionUID = -8138812389528564885L;
	public static final String CRITERI_TIPUSTITULACIO_ID_TIPUSTITULACIO = "idTipusTitulacio";
	public static final String CRITERI_TIPUSTITULACIO_CODI = "codiTipusTitulacio";
	public static final String CRITERI_TIPUSTITULACIO_DESCRIPCIO = "descripcioTipusTitulacio";
	public static final String CRITERI_TIPUSTITULACIO_CODI_ESTAT ="codiEstatTipusTitulacio";	
	public static final String CRITERI_TIPUSTITULACIO_NOT_EQUAL_ID = "notEqualIdTipusTitulacio";
	public static final String CRITERI_TIPUSTITULACIO_ORDER = "orderTipusTitulacio";

	private Integer idTipusTitulacio;
	private String codiTipusTitulacio;
	private String descripcio;
	private Estat idEstat;
	private Integer versio;



	/**
	 * Simple constructor de TipusTitulacio.
	 */
	public TipusTitulacio()
	{
	}

	/**
	 * Getter idTipusTitulacio
	 * @return Integer
	 */
	public Integer getIdTipusTitulacio() {
		return idTipusTitulacio;
	}

	/**
	 * Getter idTipusTitulacio en String
	 * @return String
	 */
	public String getIdTipusTitulacioString() {
		return idTipusTitulacio.toString();
	}

	/**
	 * Setter idTipusTitulacio
	 * @param idTipusTitulacio
	 */
	public void setIdTipusTitulacio(Integer idTipusTitulacio) {
		this.idTipusTitulacio = idTipusTitulacio;
	}

	/**
	 * Getter idTipusTitulacio
	 * @return Integer
	 */
	public Integer getId() {
		return getIdTipusTitulacio();
	}

	/**
	 * Setter idTipusTitulacio
	 * @param id
	 */
	public void setId(Integer id) {
		setIdTipusTitulacio(id);
	}

	/**
	 * Getter codiTipusTitulacio
	 * @return String
	 */
	public String getCodiTipusTitulacio() {
		return codiTipusTitulacio;
	}

	/**
	 * Setter codiTipusTitulacio
	 * @param codi
	 */
	public void setCodiTipusTitulacio(String codi) {
		this.codiTipusTitulacio = codi;
	}

	/**
	 * Getter descripcio
	 * @return String
	 */
	public String getDescripcio() {
		return descripcio;
	}

	/**
	 * Setter descripcio
	 * @param descripcio
	 */
	public void setDescripcio(String descripcio) {
		this.descripcio = descripcio;
	}

	/**
	 * Getter idEstat
	 * @return Estat
	 */
	public Estat getIdEstat() {
		return idEstat;
	}

	/**
	 * Setter idEstat
	 * @param idEstat
	 */
	public void setIdEstat(Estat idEstat) {
		this.idEstat = idEstat;
	}

	/**
	 * Getter descripcio Estat
	 * @return String
	 */
	public String getDescEstat() {
		if (getIdEstat() != null)
			return getIdEstat().getDescripcio();
		else
			return "";
	}

	/**
	 * Getter versio
	 * @return Integer
	 */
	public Integer getVersio() {
		return versio;
	}

	/**
	 * Setter versio
	 * @param versio
	 */
	public void setVersio(Integer versio) {
		this.versio = versio;
	}

	/**
	 * Getter label
	 * @return String
	 */
	public String getLabel(){
		return getDescripcio();
	}

	/**
	 * Getter value
	 * @return Integer
	 */
	public int getValue(){
		return getIdTipusTitulacio();
	}



}
