package com.uoc.tfc.Base.notificacio;

import java.io.Serializable;
import java.util.Date;

import com.uoc.tfc.Base.common.Internacionalitzacio;
import com.uoc.tfc.Base.mestres.Estat;
import com.uoc.tfc.Base.mestres.TipusNotificacio;
import com.uoc.tfc.Base.usuari.Usuari;
import com.uoc.tfc.LN.dao.mestres.MestreDAO;

/**
 * Bean de notificaci
 * @author ojaen
 *
 */

public class Notificacio implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = -7666773608482165593L;

	public static final String CRITERI_NOTIFICACIO_ID_NOTIFICACIO = "idNotificacio";
	public static final String CRITERI_NOTIFICACIO_TITOL = "codiNotificacio";
	public static final String CRITERI_NOTIFICACIO_DATA_INICI = "dataIniciNotificacio";
	public static final String CRITERI_NOTIFICACIO_DATA_FI =	"dataFiNotificacio";
	public static final String CRITERI_NOTIFICACIO_ID_TIPUS_NOTIFICACIO = "idTipusNotificacio";
	public static final String CRITERI_NOTIFICACIO_ID_ESTAT = "idEstatNotificacio";
	public static final String CRITERI_NOTIFICACIO_ID_USUARI = "idUsuariNotificacio";
	public static final String CRITERI_NOTIFICACIO_ORDER = "orderNotificacio";


	private Integer idNotificacio;
	private String titol;
	private String descripcio;
	private Usuari idUsuari;
	private Integer idTipusNotificacio;
	
	private Date dataInici;
	private Date dataFi;
	private Estat idEstat;
	private Integer versio;

	/**
	 * Getter idNotificacio
	 * @return Integer
	 */
	public Integer getIdNotificacio() {
		return idNotificacio;
	}

	/**
	 * Setter idNotificacio
	 * @param idNotificacio 
	 */
	public void setIdNotificacio(Integer idNotificacio) {
		this.idNotificacio = idNotificacio;
	}

	/**
	 * Getter idNotificacio
	 * @return Integer
	 */
	public Integer getId() {
		return getIdNotificacio();
	}

	/**
	 * Setter idNotificacio
	 * @param id
	 */
	public void setId(Integer id) {
		setIdNotificacio(id);
	}

	/**
	 * Getter titol
	 * @return String
	 */
	public String getTitol() {
		return titol;
	}

	/**
	 * Setter titol
	 * @param titol
	 */
	public void setTitol(String titol) {
		this.titol = titol;
	}

	/**
	 * Getter descripcio
	 * @return String
	 */
	public String getDescripcio() {
		return descripcio;
	}

	/**
	 * Setter descripcio 
	 * @param descripcio
	 */
	public void setDescripcio(String descripcio) {
		this.descripcio = descripcio;
	}

	/**
	 * Getter idUsuari
	 * @return Usuari
	 */
	public Usuari getIdUsuari() {
		return idUsuari;
	}

	/**
	 * Setter idUsuari
	 * @param idUsuari
	 */
	public void setIdUsuari(Usuari idUsuari) {
		this.idUsuari = idUsuari;
	}

	

	/**
	 * Setter idTipusNotificacio
	 * @param idTipusNotificacio
	 */
	public void setIdTipusNotificacio(Integer idTipusNotificacio) {
		this.idTipusNotificacio = idTipusNotificacio;
	}

	/**
	 * Getter idTipusNotificacio
	 * @return Integer
	 */
	public Integer getIdTipusNotificacio() {
		return idTipusNotificacio;
	}

	/**
	 * Getter dataInici
	 * @return Date
	 */
	public Date getDataInici() {
		return dataInici;
	}

	/**
	 * Setter dataInici
	 * @param dataInici
	 */
	public void setDataInici(Date dataInici) {
		this.dataInici = dataInici;
	}

	/**
	 * Getter dataFi
	 * @return Date
	 */
	public Date getDataFi() {
		return dataFi;
	}

	/**
	 * Setter dataFi
	 * @param dataFi
	 */
	public void setDataFi(Date dataFi) {
		this.dataFi = dataFi;
	}

	/**
	 * Getter idEstat
	 * @return Estat
	 */
	public Estat getIdEstat() {
		return idEstat;
	}

	/**
	 * Setter idEstat
	 * @param idEstat
	 */
	public void setIdEstat(Estat idEstat) {
		this.idEstat = idEstat;
	}

	/**
	 * Getter versio
	 * @return Integer
	 */
	public Integer getVersio() {
		return versio;
	}

	/**
	 * Setter versio
	 * @param versio
	 */
	public void setVersio(Integer versio) {
		this.versio = versio;
	}

	/**
	 * Getter data inici en String
	 * @return String
	 */
	public String getDataIniciString() {
		if (getDataInici() != null)
			return Internacionalitzacio.FormataDataCurta(getDataInici());
		return "";
	}

	/**
	 * Getter data fi en String
	 * @return String
	 */
	public String getDataFiString() {
		if (getDataFi() != null)
			return Internacionalitzacio.FormataDataCurta(getDataFi());
		return "";
	}

	/**
	 * Getter descripcio tipus notificaci
	 * @return String
	 */
	public String getDescTipusNotificacio() {
		MestreDAO mestreDAO = new MestreDAO();
		if (getIdTipusNotificacio() != null) {
			Object[] o = mestreDAO.findPerCodi("TipusNotificacio", TipusNotificacio.ID_TIPUS_NOTIFICACIO, getIdTipusNotificacio());
			return ((TipusNotificacio) o[0]).getDescripcio();
		}
		return "";
	}

	/**
	 * Getter descripci estat
	 * @return String
	 */
	public String getDescEstat() {
		if (getIdEstat() != null)
			return getIdEstat().getDescripcio();
		else
			return "";
	}
}
