package com.uoc.tfc.Base.notificacio;

import java.io.Serializable;

import com.uoc.tfc.Base.common.CodisMestre;
import com.uoc.tfc.Base.manteniment.CursAssignatura;

/**
 * Bean de notificaci a nivell d'assignatura
 * @author ojaen
 *
 */

public class NotificacioAssignatura extends Notificacio implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 2003304434469421758L;
	private CursAssignatura idCursAssignatura;
	
	/**
	 * Constructor
	 */
	public NotificacioAssignatura() {
		setIdTipusNotificacio(CodisMestre.CODI_TIPUS_NOTIFICACIO_ASSIGNATURA);
	}

	/**
	 * Getter idCursAssignatura
	 * @return CursAssignatura
	 */
	public CursAssignatura getIdCursAssignatura() {
		return idCursAssignatura;
	}

	/**
	 * Setter idCursAssignatura
	 * @param idCursAssignatura
	 */
	public void setIdCursAssignatura(CursAssignatura idCursAssignatura) {
		this.idCursAssignatura = idCursAssignatura;
	}

	/**
	 * Getter info:
	 *  - Assignatura: assignatura (curs - tipustitulacio)
	 *   
	 * @return String
	 */
	public String getInfo() {
		return getIdCursAssignatura().getDescripcio();
	}

}
