package com.uoc.tfc.Base.qualificacio;

import java.io.Serializable;

import com.uoc.tfc.Base.manteniment.AnyAcademic;
import com.uoc.tfc.Base.manteniment.AssignaturaAulaProfessor;
import com.uoc.tfc.Base.manteniment.TipusQualificacio;
import com.uoc.tfc.Base.usuari.UsuariAlumne;

/**
 * Bean de les qualificacions
 * @author ojaen
 *
 */

public class Qualificacio implements Serializable {

	/**
	 *
	 */
	private static final long serialVersionUID = -8401775663966061456L;

	public static final String CRITERI_QUALIFICACIO_ID_QUALIFICACIO = "idQualificacio";
	public static final String CRITERI_QUALIFICACIO_ID_USUARI = "idUsuariQualificacio";
	public static final String CRITERI_QUALIFICACIO_NOM_USUARI = "nomUsuariQualificacio";
	public static final String CRITERI_QUALIFICACIO_COGNOM1_USUARI = "cognom1UsuariQualificacio";
	public static final String CRITERI_QUALIFICACIO_COGNOM2_USUARI = "cognom2UsuariQualificacio";
	public static final String CRITERI_QUALIFICACIO_NUM_DOCUMENT_USUARI = "numDocumentUsuariQualificacio";
	public static final String CRITERI_QUALIFICACIO_ID_ESTAT_USUARI = "idEstatUsuariQualificacio";
	public static final String CRITERI_QUALIFICACIO_ID_TIPUS_DOCUMENT_USUARI = "idTipusDocumentUsuariQualificacio";
	public static final String CRITERI_QUALIFICACIO_ID_ANY_ACADEMIC_USUARI = "idAnyAcademicQualificacio";
	public static final String CRITERI_QUALIFICACIO_ID_AULA = "idAulaQualificacioQualificacio";
	public static final String CRITERI_QUALIFICACIO_ID_ASSIGNATURA = "idAssignaturaQualificacio";
	public static final String CRITERI_QUALIFICACIO_ID_TIPUS_QUALIFICACIO = "idTipusQualificacio";
	public static final String CRITERI_QUALIFICACIO_ORDER = "orderQualificacio";

	private Integer idQualificacio;
	private UsuariAlumne idAlumne;
	private AnyAcademic idAnyAcademic;
	private AssignaturaAulaProfessor idAsigAulaProf;
	private TipusQualificacio qualif1;
	private TipusQualificacio qualif2;
	private TipusQualificacio qualif3;
	private TipusQualificacio repesca1;
	private TipusQualificacio repesca2;
	private TipusQualificacio qualifFinal;
	private Integer versio;

	/**
	 * Simple constructor de Qualificacio.
	 */
	public Qualificacio()
	{

	}

	/**
	 * Constructor
	 * @param anyAcademic
	 * @param p_usuari
	 * @param p_idAsigAulaProf
	 */
	public Qualificacio(AnyAcademic anyAcademic, UsuariAlumne p_usuari, AssignaturaAulaProfessor p_idAsigAulaProf)
	{
		setIdAnyAcademic(anyAcademic);
		setIdAlumne(p_usuari);
		setIdAsigAulaProf(p_idAsigAulaProf);
	}

	/**
	 * Getter idQualificacio
	 * @return Integer
	 */
	public Integer getIdQualificacio() {
		return idQualificacio;
	}

	/**
	 * Getter idQualificacio en String
	 * @return String
	 */
	public String getIdQualificacioString() {
		return idQualificacio.toString();
	}

	/**
	 * Setter idQualificacio
	 * @param idAssigAulaProf
	 */
	public void setIdQualificacio(Integer idAssigAulaProf) {
		this.idQualificacio = idAssigAulaProf;
	}

	/**
	 * Getter idQualificacio
	 * @return Integer
	 */
	public Integer getId() {
		return getIdQualificacio();
	}

	/**
	 * Setter idQualificacio
	 * @param id
	 */
	public void setId(Integer id) {
		setIdQualificacio(id);
	}

	/**
	 * Getter idAlumne
	 * @return Usuari
	 */
	public UsuariAlumne getIdAlumne() {
		return idAlumne;
	}

	/**
	 * Setter idAlumne
	 * @param idAlumne
	 */
	public void setIdAlumne(UsuariAlumne idAlumne) {
		this.idAlumne = idAlumne;
	}

	/**
	 * Getter descripcio alumne
	 * @return String
	 */
	public String getDescAlumne() {
		if (getIdAlumne() != null)
			return getIdAlumne().getNomComplert();
		return "";
	}

	/**
	 * Getter codi usuari
	 * @return String
	 */
	public String getCodiUsuari() {
		if (getIdAlumne() != null)
			return getIdAlumne().getIdUsuari().toString();
		return "";
	}


	/**
	 * Setter idAnyAcademic
	 * @param idAnyAcademic
	 */
	public void setIdAnyAcademic(AnyAcademic idAnyAcademic) {
		this.idAnyAcademic = idAnyAcademic;
	}

	/**
	 * Getter idAnyAcademic
	 * @return AnyAcademic
	 */
	public AnyAcademic getIdAnyAcademic() {
		return idAnyAcademic;
	}

	/**
	 * Setter idAsigAulaProf
	 * @param idAssignaturaAulaProfessor
	 */
	public void setIdAsigAulaProf(AssignaturaAulaProfessor idAssignaturaAulaProfessor) {
		this.idAsigAulaProf = idAssignaturaAulaProfessor;
	}

	/**
	 * Getter idAsigAulaProf
	 * @return AssignaturaAulaProfessor
	 */
	public AssignaturaAulaProfessor getIdAsigAulaProf() {
		return idAsigAulaProf;
	}

	/**
	 * Getter Descripcio AssignaturaAulaProfessor
	 * @return String
	 */
	public String getDescAssignaturaAulaProfessor() {
		if (getIdAsigAulaProf() != null)
			return getIdAsigAulaProf().getDescripcio();
		else
			return "";
	}

	/**
	 * Getter descripcio assignatura
	 * @return String
	 */
	public String getDescAssignatura() {
		if (getIdAsigAulaProf() != null && getIdAsigAulaProf().getIdAssignatura() != null)
			return getIdAsigAulaProf().getIdAssignatura().getDescripcio();
		else
			return "";

	}

	/**
	 * Getter descripcio aula
	 * @return String
	 */
	public String getDescAula() {
		if (getIdAsigAulaProf() != null && getIdAsigAulaProf().getIdAula() != null)
			return getIdAsigAulaProf().getIdAula().getDescripcio();
		else
			return "";

	}

	/**
	 * Getter descripcio professor
	 * @return String
	 */
	public String getDescProfessor() {
		if (getIdAsigAulaProf() != null && getIdAsigAulaProf().getIdProfessor() != null)
			return getIdAsigAulaProf().getIdProfessor().getNomComplert();
		else
			return "";

	}

	/**
	 * Getter descripcio curs
	 * @return String
	 */
	public String getDescCurs() {
		if (getIdAsigAulaProf() != null && getIdAsigAulaProf().getIdAula() != null)
			return getIdAsigAulaProf().getIdAula().getDescCurs();
		else
			return "";

	}

	/**
	 * Getter descripcio titulacio
	 * @return String
	 */
	public String getDescTitulacio() {
		if (getIdAsigAulaProf() != null && getIdAsigAulaProf().getIdAula() != null &&
				getIdAsigAulaProf().getIdAula().getIdCurs() != null	)
			return getIdAsigAulaProf().getIdAula().getIdCurs().getDescTipusTitulacio();
		else
			return "";

	}

	/**
	 * Getter Qualificacio 1
	 * @return TipusQualificacio
	 */
	public TipusQualificacio getQualif1() {
		return qualif1;
	}

	/**
	 * Setter qualificacio1
	 * @param qualif1
	 */
	public void setQualif1(TipusQualificacio qualif1) {
		this.qualif1 = qualif1;
	}

	/**
	 * Getter Qualificacio 2
	 * @return TipusQualificacio
	 */
	public TipusQualificacio getQualif2() {
		return qualif2;
	}

	/**
	 * Setter qualificacio2
	 * @param qualif2
	 */
	public void setQualif2(TipusQualificacio qualif2) {
		this.qualif2 = qualif2;
	}

	/**
	 * Getter Qualificacio 3
	 * @return TipusQualificacio
	 */
	public TipusQualificacio getQualif3() {
		return qualif3;
	}

	/**
	 * Setter qualificacio3
	 * @param qualif3
	 */
	public void setQualif3(TipusQualificacio qualif3) {
		this.qualif3 = qualif3;
	}

	/**
	 * Getter Repesca 1
	 * @return TipusQualificacio
	 */
	public TipusQualificacio getRepesca1() {
		return repesca1;
	}


	/**
	 * Setter repesca1
	 * @param repesca1
	 */
	public void setRepesca1(TipusQualificacio repesca1) {
		this.repesca1 = repesca1;
	}

	/**
	 * Getter Repesca 2
	 * @return TipusQualificacio
	 */
	public TipusQualificacio getRepesca2() {
		return repesca2;
	}

	/**
	 * Setter repesca2
	 * @param repesca2
	 */
	public void setRepesca2(TipusQualificacio repesca2) {
		this.repesca2 = repesca2;
	}

	/**
	 * Getter Qualificacio final
	 * @return TipusQualificacio
	 */
	public TipusQualificacio getQualifFinal() {
		return qualifFinal;
	}

	/**
	 * Setter qualificacio final
	 * @param qualifFinal
	 */
	public void setQualifFinal(TipusQualificacio qualifFinal) {
		this.qualifFinal = qualifFinal;
	}

	/**
	 * Getter versio
	 * @return Integer
	 */
	public Integer getVersio() {
		return versio;
	}

	/**
	 * Setter versio
	 * @param versio
	 */
	public void setVersio(Integer versio) {
		this.versio = versio;
	}

	/**
	 * Getter Descripcio qualificacio 1
	 * @return String
	 */
	public String getDescQualif1() {
		if (getQualif1() != null)
			return getQualif1().getDescripcio();
		return "";
	}

	/**
	 * Getter Descripcio qualificacio 2
	 * @return String
	 */
	public String getDescQualif2() {
		if (getQualif2() != null)
			return getQualif2().getDescripcio();
		return "";
	}

	/**
	 * Getter Descripcio qualificacio 3
	 * @return String
	 */
	public String getDescQualif3() {
		if (getQualif3() != null)
			return getQualif3().getDescripcio();
		return "";
	}

	/**
	 * Getter Descripcio repesca 1
	 * @return String
	 */
	public String getDescRepesca1() {
		if (getRepesca1() != null)
			return getRepesca1().getDescripcio();
		return "";
	}

	/**
	 * Getter Descripcio repesca 2
	 * @return String
	 */
	public String getDescRepesca2() {
		if (getRepesca2() != null)
			return getRepesca2().getDescripcio();
		return "";
	}

	/**
	 * Getter Descripcio qualificacio final
	 * @return String
	 */
	public String getDescQualifFinal() {
		if (getQualifFinal() != null)
			return getQualifFinal().getDescripcio();
		return "";
	}

	/**
	 * Getter isAprovat
	 * @return boolean
	 */
	public boolean isAprovat(TipusQualificacio[] p_tipusQualificacio) {
		if (this.getQualifFinal() != null) {
			for (int i=0; i<p_tipusQualificacio.length;i++) {
				if (p_tipusQualificacio[i].getIdTipusQualificacio().equals(
						this.getQualifFinal().getIdTipusQualificacio())) {
					return p_tipusQualificacio[i].isAprovat();
				}
			}
		}
		return false;
	}

	/**
	 * Getter descripcio estat usuari
	 * @return String
	 */
	public String getDescEstatUsuari() {
		if (getIdAlumne() != null)
			return getIdAlumne().getDescEstat();
		return "";
	}

}
