package com.uoc.tfc.Base.usuari;

import java.io.Serializable;

import com.uoc.tfc.Base.mestres.Estat;

/**
 * Bean de la relacio entre pare/tutor i alumnes
 * @author ojaen
 *
 */

public class PareAlumne implements Serializable {
	/**
	 * 
	 */
	private static final long serialVersionUID = 4004789670582449429L;
	private Integer idPareAlumne;
	private UsuariPare idPare;
	private UsuariAlumne idAlumne;
	private Estat idEstat;
	private Integer versio;



	/**
	 * Simple constructor de PareAlumne.
	 */
	public PareAlumne()
	{
	}

	/**
	 * Getter idPareAlumne
	 * @return Integer
	 */
	public Integer getIdPareAlumne() {
		return idPareAlumne;
	}

	/**
	 * Setter idPareAlumne
	 * @param idPareAlumne
	 */
	public void setIdPareAlumne(Integer idPareAlumne) {
		this.idPareAlumne = idPareAlumne;
	}

	/**
	 * Getter idPareAlumne
	 * @return Integer
	 */
	public Integer getId() {
		return getIdPareAlumne();
	}

	/**
	 * Setter idPareAlumne
	 * @param id
	 */
	public void setId(Integer id) {
		setIdPareAlumne(id);
	}

	/**
	 * Getter idEstat
	 * @return Estat
	 */
	public Estat getIdEstat() {
		return idEstat;
	}

	/**
	 * Setter idEstat
	 * @param idEstat
	 */
	public void setIdEstat(Estat idEstat) {
		this.idEstat = idEstat;
	}

	/**
	 * Getter descripcio Estat
	 * @return Strint
	 */
	public String getDescEstat() {
		if (getIdEstat() != null)
			return getIdEstat().getDescripcio();
		else
			return "";
	}

	/**
	 * Setter idPare
	 * @param idPare
	 */
	public void setIdPare(UsuariPare idPare) {
		this.idPare = idPare;
	}

	/**
	 * Getter idPare
	 * @return Usuari
	 */
	public UsuariPare getIdPare() {
		return idPare;
	}

	/**
	 * Setter idAlumne
	 * @param idAlumne
	 */
	public void setIdAlumne(UsuariAlumne idAlumne) {
		this.idAlumne = idAlumne;
	}

	/**
	 * Getter idAlumne
	 * @return Usuari
	 */
	public UsuariAlumne getIdAlumne() {
		return idAlumne;
	}

	/**
	 * Getter codiAlumne
	 * @return String
	 */
	public String getCodiAlumne() {
		if (getIdAlumne() != null)
			return getIdAlumne().getIdUsuari().toString();
		else
			return "";
	}

	/**
	 * Getter nom complert alumne
	 * @return String
	 */
	public String getDescAlumne() {
		if (getIdAlumne() != null)
			return getIdAlumne().getNomComplert();
		else
			return "";
	}

	/**
	 * Getter codi pare/tutor
	 * @return String
	 */
	public String getCodiPare() {
		if (getIdAlumne() != null)
			return getIdPare().getIdUsuari().toString();
		else
			return "";
	}

	/**
	 * Getter nom complert pare/tutor
	 * @return String
	 */
	public String getDescPare() {
		if (getIdAlumne() != null)
			return getIdPare().getNomComplert();
		else
			return "";
	}

	/**
	 * Getter versio
	 * @return Integer
	 */
	public Integer getVersio() {
		return versio;
	}

	/**
	 * Setter versio
	 * @param versio
	 */
	public void setVersio(Integer versio) {
		this.versio = versio;
	}
}
