package com.uoc.tfc.Base.usuari;

import java.io.Serializable;

import com.uoc.tfc.Base.manteniment.Assignatura;
import com.uoc.tfc.Base.mestres.Estat;

/**
 * Bean dels professors-assignatures
 * @author ojaen
 *
 */
public class ProfessorAssignatura implements Serializable {


	/**
	 * 
	 */
	private static final long serialVersionUID = 9129259141213346826L;
	private Integer idUsuariAssignatura;
	private UsuariProfessor idUsuari;
	private Assignatura idAssignatura;
	private Estat idEstat;
	private Integer versio;



	/**
	 * Simple constructor de ProfessorAssignatura.
	 */
	public ProfessorAssignatura()
	{
	}

	/**
	 * Getter idUsuariAssignatura
	 * @return Integer
	 */
	public Integer getIdUsuariAssignatura() {
		return idUsuariAssignatura;
	}

	/**
	 * Setter idUsuariAssignatura
	 * @param idProfessorAssignatura
	 */
	public void setIdUsuariAssignatura(Integer idProfessorAssignatura) {
		this.idUsuariAssignatura = idProfessorAssignatura;
	}

	/**
	 * Getter isUsuariAssignatura
	 * @return Integer
	 */
	public Integer getId() {
		return getIdUsuariAssignatura();
	}

	/**
	 * Setter idUsuariAssignatura
	 * @param id
	 */
	public void setId(Integer id) {
		setIdUsuariAssignatura(id);
	}

	/**
	 * Getter idEstat
	 * @return Estat
	 */
	public Estat getIdEstat() {
		return idEstat;
	}

	/**
	 * Setter idEstat
	 * @param idEstat
	 */
	public void setIdEstat(Estat idEstat) {
		this.idEstat = idEstat;
	}


	/**
	 * Getter descripcio estat
	 * @return String
	 */
	public String getDescEstat() {
		if (getIdEstat() != null)
			return getIdEstat().getDescripcio();
		else
			return "";
	}

	/**
	 * Setter idUsuari
	 * @param idUsuari
	 */
	public void setIdUsuari(UsuariProfessor idUsuari) {
		this.idUsuari = idUsuari;
	}

	/**
	 * Getter idUsuari
	 * @return Usuari
	 */
	public UsuariProfessor getIdUsuari() {
		return idUsuari;
	}

	/**
	 * Getter descripcio usuari
	 * @return String
	 */
	public String getDescUsuari() {
		if (getIdUsuari() != null)
			return getIdUsuari().getNomComplert();
		else
			return "";
	}

	/**
	 * Setter idAssignatura
	 * @param idAssignatura
	 */
	public void setIdAssignatura(Assignatura idAssignatura) {
		this.idAssignatura = idAssignatura;
	}

	/**
	 * Getter idAssignatura
	 * @return Assignatura
	 */
	public Assignatura getIdAssignatura() {
		return idAssignatura;
	}

	/**
	 * Getter codi assignatura
	 * @return String
	 */
	public String getCodiAssignatura() {
		if (getIdAssignatura() != null)
			return getIdAssignatura().getCodiAssignatura();
		else
			return "";
	}

	/**
	 * Getter descripcio assignatura
	 * @return String
	 */
	public String getDescAssignatura() {
		if (getIdAssignatura() != null)
			return getIdAssignatura().getDescripcio();
		else
			return "";
	}

	/**
	 * Getter versio
	 * @return Integer
	 */
	public Integer getVersio() {
		return versio;
	}

	/**
	 * Setter versio
	 * @param versio
	 */
	public void setVersio(Integer versio) {
		this.versio = versio;
	}


}
