package com.uoc.tfc.Base.usuari;

import java.io.IOException;
import java.io.InputStream;
import java.io.Serializable;
import java.sql.Blob;
import java.sql.SQLException;
import java.util.Date;

import org.hibernate.Hibernate;

import com.uoc.tfc.Base.common.CodisMestre;
import com.uoc.tfc.Base.mestres.Estat;
import com.uoc.tfc.Base.mestres.Provincia;
import com.uoc.tfc.Base.mestres.TipusDocument;
import com.uoc.tfc.Base.mestres.TipusUsuari;
import com.uoc.tfc.LN.dao.mestres.MestreDAO;

/**
 * Bean dels usuaris
 * @author ojaen
 *
 */
public class Usuari implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 3271444642087553275L;
	public static final String CRITERI_USUARI_ID_USUARI = "idUsuari";
	public static final String CRITERI_USUARI_LOGIN = "loginUsuari";
	public static final String CRITERI_USUARI_NOM = "nomUsuari";
	public static final String CRITERI_USUARI_COGNOM1 = "cognom1Usuari";
	public static final String CRITERI_USUARI_COGNOM2 = "cognom2Usuari";
	public static final String CRITERI_USUARI_NUM_DOCUMENT = "numDocumentUsuari";
	public static final String CRITERI_USUARI_ID_TIPUS_DOCUMENT = "idTipusDocumentUsuari";
	public static final String CRITERI_USUARI_ID_TIPUS_USUARI = "idTipusUsuari";
	public static final String CRITERI_USUARI_ID_ESTAT = "idEstatUsuari";
	public static final String CRITERI_USUARI_NOT_EQUAL_ID = "notEqualIdUsuari";
	public static final String CRITERI_USUARI_ORDER = "orderUsuari";


	private Integer idUsuari;
	private String login;
	private String paswd;

	private Integer versio;
	private String nom;
	private String cognom1;
	private String cognom2;
	private Estat idEstat;
	private TipusDocument idTipusDocument;
	private Integer idTipusUsuari;
	private Provincia idProvincia;    
	private String numDocument;
	private String adreca;
	private String poblacio;
	private String email;
	private Integer cp;
	private Date dataNaixement;
	private String telefon; 

	private Blob foto;
	private Integer resetcontrassenya;



	/**
	 * Simple constructor d'Usuari.
	 */
	 public Usuari()
	{
	}

	/**
	 * Constructor de Usuari amb una clau primria.
	 * @param p_idUsuari
	 */
	 public Usuari(Integer p_idUsuari)
	 {
		 setIdUsuari(p_idUsuari);
	 }

	 /**
	  * Getter idUsuari
	  * @return Integer
	  */
	 public Integer getIdUsuari() {
		 return idUsuari;
	 }

	 /**
	  * Setter idUsuari
	  * @param idUsuari
	  */
	 public void setIdUsuari(Integer idUsuari) {
		 this.idUsuari = idUsuari;
	 }

	 /**
	  * Getter idUsuari
	  * @return Integer
	  */
	 public Integer getId() {
		 return getIdUsuari();
	 }

	 /**
	  * Setter idUsuari
	  * @param id
	  */
	 public void setId(Integer id) {
		 setIdUsuari(id);
	 }

	 /**
	  * Getter login
	  * @return String
	  */
	 public String getLogin() {
		 return login;
	 }

	 /**
	  * Setter login
	  * @param login
	  */
	 public void setLogin(String login) {
		 this.login = login;
	 }

	 /**
	  * Getter contrassenya
	  * @return String
	  */
	 public String getPaswd() {
		 return paswd;
	 }

	 /**
	  * Setter contrassenya
	  * @param paswd
	  */
	 public void setPaswd(String paswd) {
		 this.paswd = paswd;
	 }

	 /**
	  * Getter versio
	  * @return Integer
	  */
	 public Integer getVersio() {
		 return versio;
	 }

	 /**
	  * Setter versio
	  * @param versio
	  */
	 public void setVersio(Integer versio) {
		 this.versio = versio;
	 }

	 /**
	  * Getter nom
	  * @return String
	  */
	 public String getNom() {
		 return nom;
	 }

	 /**
	  * Setter nom
	  * @param nom
	  */
	 public void setNom(String nom) {
		 this.nom = nom;
	 }

	 /**
	  * Getter primer cognom
	  * @return String
	  */
	 public String getCognom1() {
		 return cognom1;
	 }

	 /**
	  * Setter primer cognom
	  * @param cognom1
	  */
	 public void setCognom1(String cognom1) {
		 this.cognom1 = cognom1;
	 }

	 /**
	  * Getter segon cognom
	  * @return String
	  */
	 public String getCognom2() {
		 return cognom2;
	 }

	 /**
	  * Setter segon cognom
	  * @param cognom2
	  */
	 public void setCognom2(String cognom2) {
		 this.cognom2 = cognom2;
	 }

	 /**
	  * Getter idEstat
	  * @return Estat
	  */
	 public Estat getIdEstat() {
		 return idEstat;
	 }

	 /**
	  * Setter idEstat
	  * @param idEstat
	  */
	 public void setIdEstat(Estat idEstat) {
		 this.idEstat = idEstat;
	 }

	 /**
	  * Getter descripcio estat
	  * @return String
	  */
	 public String getDescEstat() {
		 if (getIdEstat() != null)
			 return getIdEstat().getDescripcio();
		 else
			 return "";
	 }

	 /**
	  * Getter idTipusDocument
	  * @return TipusDocument
	  */
	 public TipusDocument getIdTipusDocument() {
		 return idTipusDocument;
	 }

	 /**
	  * Setter idTipusDocument
	  * @param idTipusDocument
	  */
	 public void setIdTipusDocument(TipusDocument idTipusDocument) {
		 this.idTipusDocument = idTipusDocument;
	 }

	 /**
	  * Getter idTipusUsuari
	  * @return Integer
	  */
	 public Integer getIdTipusUsuari() {
		 return idTipusUsuari;
	 }

	 /**
	  * Setter idTipusUsuari
	  * @param idTipusUsuari
	  */
	 public void setIdTipusUsuari(Integer idTipusUsuari) {
		 this.idTipusUsuari = idTipusUsuari;
	 }

	 /**
	  * Getter descripcio tipus usuari
	  * @return String
	  */
	 public String getDescTipusUsuari() {
		MestreDAO mestreDAO = new MestreDAO();
		if (getIdTipusUsuari() != null) {
			Object[] o = mestreDAO.findPerCodi("TipusUsuari", TipusUsuari.ID_TIPUS_USUARI, getIdTipusUsuari());
			return ((TipusUsuari) o[0]).getDescripcio();
		}
		return "";
	 }

	 /**
	  * Getter idProvincia
	  * @return Provincia
	  */
	 public Provincia getIdProvincia() {
		 return idProvincia;
	 }

	 /**
	  * Setter idProvincia
	  * @param idProvincia
	  */
	 public void setIdProvincia(Provincia idProvincia) {
		 this.idProvincia = idProvincia;
	 }

	 /**
	  * Getter numero document
	  * @return String
	  */
	 public String getNumDocument() {
		 return numDocument;
	 }

	 /**
	  * Setter numero document
	  * @param numDocument
	  */
	 public void setNumDocument(String numDocument) {
		 this.numDocument = numDocument;
	 }

	 /**
	  * Getter adreca
	  * @return String
	  */
	 public String getAdreca() {
		 return adreca;
	 }

	 /**
	  * Setter adreca
	  * @param adreca
	  */
	 public void setAdreca(String adreca) {
		 this.adreca = adreca;
	 }

	 /**
	  * Getter poblacio
	  * @return String
	  */
	 public String getPoblacio() {
		 return poblacio;
	 }

	 /**
	  * Setter poblacio
	  * @param poblacio
	  */
	 public void setPoblacio(String poblacio) {
		 this.poblacio = poblacio;
	 }

	 /**
	  * Getter email
	  * @return String
	  */
	 public String getEmail() {
		 return email;
	 }

	 /**
	  * Setter email
	  * @param email
	  */
	 public void setEmail(String email) {
		 this.email = email;
	 }

	 /**
	  * Getter Codi Postal
	  * @return Integer
	  */
	 public Integer getCp() {
		 return cp;
	 }

	 /**
	  * Setter Codi Postal
	  * @param cp
	  */
	 public void setCp(Integer cp) {
		 this.cp = cp;
	 }

	 /**
	  * Getter Data de Naixement
	  * @return Date
	  */
	 public Date getDataNaixement() {
		 return dataNaixement;
	 }

	 /**
	  * Setter Data de Naixement
	  * @param dataNaixement
	  */
	 public void setDataNaixement(Date dataNaixement) {
		 this.dataNaixement = dataNaixement;
	 }

	 /**
	  * Setter telefon
	  * @param telefon
	  */
	 public void setTelefon(String telefon) {
		 this.telefon = telefon;
	 }

	 /**
	  * Getter telefon
	  * @return String
	  */
	 public String getTelefon() {
		 return telefon;
	 }

	 /**
	  * Getter nom complert usuari
	  * @return String
	  */
	 public String getNomComplert() {
		 String nom = "";
		 String espai= "";
		 if (getCognom1() != null && !getCognom1().equals("")) {
			 nom += espai + getCognom1();
			 espai = " ";
		 }
		 if (getCognom2() != null && !getCognom2().equals("")) {
			 nom += espai + getCognom2();
			 espai = " ";
		 }

		 if (getNom() != null && !getNom().equals("")) {
			 nom += espai + getNom();
			 espai = " ";
		 }

		 return nom;

	 }

	 /**
	  * Es administratiu
	  * @return boolean
	  */
	 public boolean isAdministratiu() {
		 return this.getIdTipusUsuari().equals(CodisMestre.CODI_USUARI_ADMINISTRATIU);

	 }

	 /**
	  * Es pare
	  * @return boolean
	  */
	 public boolean isPare() {
		 return this.getIdTipusUsuari().equals(CodisMestre.CODI_USUARI_PARE);

	 }


	 /**
	  * Es professor
	  * @return boolean
	  */
	 public boolean isProfessor() {
		 return this.getIdTipusUsuari().equals(CodisMestre.CODI_USUARI_PROFESSOR);

	 }

	 /**
	  * Es alumne
	  * @return boolean
	  */
	 public boolean isAlumne() {
		 return this.getIdTipusUsuari().equals(CodisMestre.CODI_USUARI_ALUMNE);

	 }

	 /**
	  * Es administrador
	  * @return boolean
	  */
	 public boolean isAdministrador() {
		 return this.getIdTipusUsuari().equals(CodisMestre.CODI_USUARI_ADMINISTRADOR);

	 }
	 

	/**
	 * Setter Foto
	 * @param foto
	 */
	public void setFoto(Blob foto) {
		this.foto = foto;
	}

	/**
	 * Getter Foto
	 * @return Blob
	 */
	public Blob getFoto() {
		return foto;
	}
	
	/**
	 * Getter foto en InputStrem
	 * @return InputStrem
	 * @throws SQLException
	 */
	public InputStream getFotoStream()	throws SQLException
	{
		if (getFoto() == null)
			return null;

		return getFoto().getBinaryStream();
	}

	/**
	 * Setter foto en InputStrem
	 * @param sourceStream
	 * @throws IOException
	 */
	public void setFotoStream( InputStream sourceStream )
	throws IOException
	{
		setFoto( Hibernate.createBlob( sourceStream ) );
	}
	
	/**
	 * Obtenir la foto
	 * @return byte[]
	 * @throws SQLException
	 */
	public byte[] getPhoto () throws SQLException {
		byte[] imgData = null ;
		if (getFoto() != null)
			imgData = getFoto().getBytes(1, (int)getFoto().length());
		return imgData;
	}
	
	 /**
	  * Getter resetcontrassenya
	  * @return Integer
	  */
	 public Integer getResetcontrassenya() {
		 return resetcontrassenya;
	 }

	 /**
	  * Setter resetcontrassenya
	  * @param resetcontrassenya
	  */
	 public void setResetcontrassenya(Integer resetcontrassenya) {
		 this.resetcontrassenya = resetcontrassenya;
	 }
	 
	 /**
	  * Getter isResetcontrassenya
	  * @return boolean
	  */
	 public boolean isResetcontrassenya() {
		 if (new Integer(1).equals(getResetcontrassenya()))
			 return true;
		 else
			 return false;
	 }

	 /**
	  * Setter resetcontrassenya
	  * @param resetcontrassenya
	  */
	 public void setResetcontrassenya(boolean resetcontrassenya) {
		 if (resetcontrassenya)
			 this.setResetcontrassenya(new Integer(1));
		 else
			 this.setResetcontrassenya(new Integer(0));
	 }

}
