package com.uoc.tfc.Base.usuari;

import java.io.Serializable;
import java.util.Collection;
import java.util.Collections;
import java.util.HashSet;
import java.util.Set;

import com.uoc.tfc.Base.common.CodisMestre;
import com.uoc.tfc.Base.manteniment.Curs;
import com.uoc.tfc.Base.matricula.Matricula;
import com.uoc.tfc.Base.qualificacio.Qualificacio;

/**
 * Bean dels usuaris alumne
 * @author ojaen
 *
 */
public class UsuariAlumne extends Usuari implements Serializable {
	
	
	/**
	 * 
	 */
	private static final long serialVersionUID = -5291541074659982033L;
	private Curs idCursInici;
	private DadesBancaries idDadesBancaries;
	private Set<Matricula> setOfMatricula = new HashSet<Matricula>();
	private Set<Qualificacio> setOfQualificacio = new HashSet<Qualificacio>();
	

	/**
	 * Constructor
	 */
	 public UsuariAlumne()
	{
		 setIdTipusUsuari(CodisMestre.CODI_USUARI_ALUMNE);
	}


	 /**
	  * Getter idDadesBancaries
	  * @return DadesBancaries
	  */
	 public DadesBancaries getIdDadesBancaries() {
		 return idDadesBancaries;
	 }

	 /**
	  * Setter idDadesBancaries
	  * @param idDadesBancaries
	  */
	 public void setIdDadesBancaries(DadesBancaries idDadesBancaries) {
		 this.idDadesBancaries = idDadesBancaries;
	 }

	 /**
	  * Getter idCursInici
	  * @return Curs
	  */
	 public Curs getIdCursInici() {
		 return idCursInici;
	 }

	 /**
	  * Setter idCursInici
	  * @param idCursInici
	  */
	 public void setIdCursInici(Curs idCursInici) {
		 this.idCursInici = idCursInici;
	 }

	 /**
	  * Setter setOfMatricula
	  * @param setOfMatricula
	  */
	 public void setSetOfMatricula(Set<Matricula> setOfMatricula) {
		 this.setOfMatricula = setOfMatricula;
	 }

	 /**
	  * Getter SetOfMatricula
	  * @return Set<Matricula>
	  */
	 public Set<Matricula> getSetOfMatricula() {
		 return setOfMatricula;
	 }

	 /**
	  * Setter SetOfQualificacio
	  * @param setOfQualificacio
	  */
	 public void setSetOfQualificacio(Set<Qualificacio> setOfQualificacio) {
		 this.setOfQualificacio = setOfQualificacio;
	 }

	 /**
	  * Getter SetOfQualificacio
	  * @return Set<Qualificacio>
	  */
	 public Set<Qualificacio> getSetOfQualificacio() {
		 return setOfQualificacio;
	 }

	 /**
	  * Afegir matricula
	  * @param p_Matricula
	  */
	 public void addMatricula(Matricula p_Matricula) {
		 if (p_Matricula != null) {
			 getSetOfMatricula().remove(p_Matricula);
			 p_Matricula.setIdUsuari(this);
			 getSetOfMatricula().add(p_Matricula);
		 }
	 }
	 /**
	  * Esborrar matricula
	  * @param p_Matricula
	  * @return Collection
	  */
	 public Collection removeMatricula(Matricula p_Matricula) {
		 Collection resultat = null;
		 getSetOfMatricula().remove(p_Matricula);
		 resultat = Collections.unmodifiableCollection(getSetOfMatricula());
		 return resultat;
	 }

	 /**
	  * Afegir qualificacio
	  * @param p_Qualificacio
	  */
	 public void addQualificacio(Qualificacio p_Qualificacio) {
		 if (p_Qualificacio != null) {
			 getSetOfQualificacio().remove(p_Qualificacio);
			 p_Qualificacio.setIdAlumne(this);
			 getSetOfQualificacio().add(p_Qualificacio);
		 }
	 }

	 /**
	  * Esborrar qualificacio
	  * @param p_Qualificacio
	  * @return Collection
	  */
	 public Collection removeQualificacio(Qualificacio p_Qualificacio) {
		 Collection resultat = null;
		 getSetOfQualificacio().remove(p_Qualificacio);
		 resultat = Collections.unmodifiableCollection(getSetOfQualificacio());
		 return resultat;
	 }

}
