package com.uoc.tfc.Base.usuari;

import java.io.Serializable;
import java.util.Collection;
import java.util.Collections;
import java.util.HashSet;
import java.util.Set;

import com.uoc.tfc.Base.common.CodisMestre;

/**
 * Bean dels usuaris
 * @author ojaen
 *
 */
public class UsuariPare extends Usuari implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = -5369526015951770914L;
	private Set<PareAlumne> setOfPareAlumne = new HashSet<PareAlumne>();

	/**
	 * Constructor
	 */
	public UsuariPare()
	{
		setIdTipusUsuari(CodisMestre.CODI_USUARI_PARE);
	}

	/**
	 * Setter SetOfPareAlumne
	 * @param setOfPareAlumne
	 */
	public void setSetOfPareAlumne(Set<PareAlumne> setOfPareAlumne) {
		this.setOfPareAlumne = setOfPareAlumne;
	}

	/**
	 * Getter SetOfPareAlumne
	 * @return Set<PareAlumne>
	 */
	public Set<PareAlumne> getSetOfPareAlumne() {
		return setOfPareAlumne;
	}

	/**
	 * Afegir relacio Pare-Tutor/Alumne
	 * @param p_PareAlumne
	 */
	public void addPareAlumne(PareAlumne p_PareAlumne) {
		if (p_PareAlumne != null) {
			getSetOfPareAlumne().remove(p_PareAlumne);
			p_PareAlumne.setIdPare(this);
			getSetOfPareAlumne().add(p_PareAlumne);
		}
	}

	/**
	 * Esborrar relacio Pare-Tutor/Alumne
	 * @param p_PareAlumne
	 * @return Collection
	 */
	public Collection removePareAlumne(PareAlumne p_PareAlumne) {
		Collection resultat = null;
		getSetOfPareAlumne().remove(p_PareAlumne);
		resultat = Collections.unmodifiableCollection(getSetOfPareAlumne());
		return resultat;
	}
}
