package com.uoc.tfc.Base.usuari;

import java.io.Serializable;
import java.util.Collection;
import java.util.Collections;
import java.util.HashSet;
import java.util.Set;

import com.uoc.tfc.Base.common.CodisMestre;

/**
 * Bean dels usuaris
 * @author ojaen
 *
 */
public class UsuariProfessor extends Usuari implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1062735001356798358L;
	private Set<ProfessorAssignatura> setOfProfessorAssignatura = new HashSet<ProfessorAssignatura>();


	/**
	 * Constructor
	 */
	public UsuariProfessor()
	{
		setIdTipusUsuari(CodisMestre.CODI_USUARI_PROFESSOR);
	}

	/**
	 * Setter SetOfProfessorAssignatura
	 * @param setOfProfessorAssignatura
	 */
	public void setSetOfProfessorAssignatura(
			Set<ProfessorAssignatura> setOfProfessorAssignatura) {
		this.setOfProfessorAssignatura = setOfProfessorAssignatura;
	}

	/**
	 * Setter SetOfProfessorAssignatura
	 * @return Set<ProfessorAssignatura>
	 */
	public Set<ProfessorAssignatura> getSetOfProfessorAssignatura() {
		return setOfProfessorAssignatura;
	}

	/**
	 * Afegir una nova relacio professor-assignatura
	 * @param p_ProfessorAssignatura
	 */
	public void addProfessorAssignatura(ProfessorAssignatura p_ProfessorAssignatura) {
		if (p_ProfessorAssignatura != null) {
			getSetOfProfessorAssignatura().remove(p_ProfessorAssignatura);
			p_ProfessorAssignatura.setIdUsuari(this);
			getSetOfProfessorAssignatura().add(p_ProfessorAssignatura);
		}
	}

	/**
	 * Eliminar relacio professor-assignatura
	 * @param p_ProfessorAssignatura
	 * @return Collection
	 */
	public Collection removeProfessorAssignatura(ProfessorAssignatura p_ProfessorAssignatura) {
		Collection resultat = null;
		getSetOfProfessorAssignatura().remove(p_ProfessorAssignatura);
		resultat = Collections.unmodifiableCollection(getSetOfProfessorAssignatura());
		return resultat;
	}

}
