package com.uoc.tfc.LN.dao.manteniment;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.Iterator;

import org.hibernate.Query;
import org.hibernate.Session;

import com.uoc.tfc.Base.manteniment.CursAssignatura;
import com.uoc.tfc.LN.dao.BaseDAO;
import com.uoc.tfc.LN.db.HelperDB;
import com.uoc.tfc.LN.db.HibernateUtil;

/**
 * @author ojaen
 * DAO del bean CursAssignatura
 * 
 */

public class CursAssignaturaDAO extends BaseDAO implements ICursAssignaturaDAO{

	private static final String AND = " and ";
	private static final String WHERE = " where ";

	/**
	 * Cerca de la relaci curs-assignatura passant-li parmetres de criteri de cerca
	 * @param p_parametres
	 * @return CursAssignatura[]
	 * @throws Throwable
	 */
	public CursAssignatura[] findCursAssignatura(HashMap p_parametres) throws Throwable{

		HibernateUtil hu = HibernateUtil.getInstance();		
		/* a Hibernate session */
		Session s = null;

		/* get session of the current thread */
		s = hu.getSession();

		CursAssignatura[] array = null;
		try {
			array = find(s, p_parametres);
		} catch (Exception ex) {			
			throw new Throwable(ex);
		} finally {
			s.close();
		}

		return array;


	}

	/**
	 * Cerca de la relacio curs-assignatura en una sessio passant-li parmetres de criteri de cerca
	 * @param p_parametres
	 * @param s
	 * @return CursAssignatura[]
	 * @throws Throwable
	 */
	private CursAssignatura[] find(Session s, HashMap p_parametres) throws Exception {

		String select = "select f  from CursAssignatura as f ";
		String sand = WHERE;


		if (HelperDB.validarContingutMapa(p_parametres, CursAssignatura.CRITERI_ASSIGNATURA_ID_CURSASSIGNATURA)) {
			select += sand + " f.idCursAssignatura = :" + CursAssignatura.CRITERI_ASSIGNATURA_ID_CURSASSIGNATURA;
			sand = AND;
		}
		
		if (HelperDB.validarContingutMapa(p_parametres, CursAssignatura.CRITERI_ASSIGNATURA_ID_ASSIGNATURA)) {
			select += sand + " f.idAssignatura.idAssignatura = :" + CursAssignatura.CRITERI_ASSIGNATURA_ID_ASSIGNATURA;
			sand = AND;
		}


		Query query = s.createQuery(select);
		query = HelperDB.assignarParametres(query, p_parametres);
		ArrayList al = new ArrayList();

		// Muntem l'array amb els resultats
		Iterator it = executaConsulta(query);
		while (it.hasNext()) {
			CursAssignatura cursAssignatura = (CursAssignatura) it.next();
			al.add(cursAssignatura);
		}
		CursAssignatura[] array = new CursAssignatura[al.size()];
		for (int i = 0; i < array.length; i++)
			array[i] = (CursAssignatura) al.get(i);
		return array;

	}


}