package com.uoc.tfc.LN.dao.manteniment;

import java.util.HashMap;

import org.hibernate.Session;

import com.uoc.tfc.Base.manteniment.AnyAcademic;

/**
 * Interfcie dels anys acadmics
 * @author ojaen
 *
 */
public interface IAnyAcademicDAO {

	/**
	 * Cerca dels anys academics passant-li parmetres de criteri de cerca
	 * @param p_parametres
	 * @return AnyAcademic[]
	 * @throws Throwable
	 */
	public AnyAcademic[] findAnyAcademic(HashMap p_parametres) throws Throwable;
	/**
	 * Cerca dels anys academics passant-li un criteri de cerca en una sessio oberta
	 * @param s
	 * @param p_parametres
	 * @return AnyAcademi[]
	 * @throws Throwable
	 */
	public AnyAcademic[] find(Session s, HashMap p_parametres) throws Throwable;
	/**
	 * Gravar un anyAcademic
	 * @param p_anyAcademic
	 * @return AnyAcademic[]
	 * @throws Throwable
	 */
	public AnyAcademic gravar(AnyAcademic p_anyAcademic) throws Throwable;
	/**
	 * Esborrar un anyAcademic
	 * @param p_anyAcademic
	 * @throws Throwable
	 */
	public void esborrar(AnyAcademic p_anyAcademic) throws Throwable;
}
