package com.uoc.tfc.LN.dao.manteniment;

import java.util.HashMap;

import com.uoc.tfc.Base.manteniment.Assignatura;
import com.uoc.tfc.Base.manteniment.AssignaturaAulaProfessor;


/**
 * Interface de l'assignatura
 * @author ojaen
 *
 */
public interface IAssignaturaDAO {
	/**
	 * Cerca de les assignatures
	 * @param p_parametres
	 * @return Assignatura[]
	 * @throws Throwable
	 */
	public Assignatura[] findAssignatura(HashMap p_parametres) throws Throwable;
	
	/**
	 * Cerca de les relacions de les assignatures aules i professors
	 * @param p_parametres
	 * @return AssignaturaAulaProfessor[]
	 * @throws Throwable
	 */
	public AssignaturaAulaProfessor[] findAssignaturaAulaProfessor(HashMap p_parametres) throws Throwable;

	/**
	 * Gravar assignatura
	 * @param p_usuari
	 * @return Assignatura
	 * @throws Throwable
	 */
	public Assignatura gravar(Assignatura p_usuari) throws Throwable;

	/**
	 * Gravar assignatura
	 * @param p_usuari
	 * @throws Throwable
	 */
	public void esborrar(Assignatura p_usuari) throws Throwable;
}
