package com.uoc.tfc.LN.dao.matricula;

import java.util.HashMap;
import java.util.List;

import com.uoc.tfc.Base.manteniment.Missatge;
import com.uoc.tfc.Base.matricula.Matricula;

/**
 * Interfcie de les matrcules
 * @author ojaen
 *
 */
public interface IMatriculaDAO {

	/**
	 * Gravar matrcula
	 * @param p_matricula
	 * @return Matricula
	 * @throws Throwable
	 */
	public Matricula gravar(Matricula p_matricula) throws Throwable;

	/**
	 * Cerca de les matrcules passant-li parmetres de criteri de cerca
	 * @param p_parametres
	 * @return Matricula[]
	 * @throws Throwable
	 */
	public Matricula[] findMatricula(HashMap p_parametres) throws Throwable;

	/**
	 * Esborrar matrcula
	 * @param p_matricula
	 * @throws Throwable
	 */
	public void esborrar(Matricula p_matricula) throws Throwable;

	/**
	 * Assignacio automtica de les aules
	 * @return List<Missatge>
	 * @throws Throwable
	 */
	public List<Missatge> assignacioAutomaticaAules() throws Throwable;
}
