package com.uoc.tfc.LN.dao.mestres;

import java.util.ArrayList;
import java.util.Iterator;

import org.hibernate.Query;
import org.hibernate.Session;
import org.hibernate.Transaction;

import com.uoc.tfc.LN.dao.BaseDAO;
import com.uoc.tfc.LN.db.HibernateUtil;

/**
 * DAO de les dades mestre
 * @author ojaen
 *  
 */

public class MestreDAO extends BaseDAO implements IMestreDAO{

	private static final String AND = " and ";
	private static final String WHERE = " where ";

	
	/**
	 * Find objecte taula
	 * @param taula
	 * @return Object[]
	 */
	public Object[] find(String taula) {

		HibernateUtil hu = HibernateUtil.getInstance();		
		/* a Hibernate session */
		Session s = null;
		/* we always need a transaction */
		Transaction tx = null;

		/* get session of the current thread */
		s = hu.getSession();

		tx = s.beginTransaction();


		Object[] array = find(s, taula, null, null);

		tx.commit();
		s.close();

		return array;


	}

	/**
	 * Find objecte taula cercant per codi
	 * @param taula
	 * @param sId
	 * @param codi
	 * @return Object[]
	 */
	public Object[] findPerCodi(String taula, String sId, Integer codi) {

		HibernateUtil hu = HibernateUtil.getInstance();		
		/* a Hibernate session */
		Session s = null;
		/* we always need a transaction */
		Transaction tx = null;

		/* get session of the current thread */
		s = hu.getSession();

		tx = s.beginTransaction();


		Object[] array = find(s, taula, sId, codi);

		tx.commit();
		s.close();

		return array;


	}

	/**
	 * Find objecte taula cercant per codi en una sessio
	 * @param s
	 * @param taula
	 * @param sId
	 * @param codi
	 * @return Object[]
	 */
	private Object[] find(Session s, String taula, String id, Integer codi) {

		String select = "select f  from "; 
		select += taula + " as f ";

		if (codi != null) {
			select += WHERE;
			select += " f." + id + "= :param0";
		}


		Query query = s.createQuery(select);
		if (codi != null)
			query.setParameter("param0", codi); 


		Iterator it = executaConsulta(query);

		ArrayList al = new ArrayList();
		while (it.hasNext()) {
			Object object = (Object) it.next();
			al.add(object);
		}

		Object[] array = new Object[al.size()];

		for (int i = 0; i < array.length; i++)
			array[i] = (Object) al.get(i);

		return array;

	}



}