package com.uoc.tfc.LN.dao.notificacio;

import java.util.HashMap;

import com.uoc.tfc.Base.notificacio.Notificacio;
import com.uoc.tfc.Base.usuari.Usuari;

/**
 * Interfcie de les notificacions
 * @author ojaen
 *
 */
public interface INotificacio {
	/**
	 * Gravar notificacio
	 * @param p_notificacio
	 * @return Notificacio
	 * @throws Throwable
	 */
	public Notificacio gravar(Notificacio p_notificacio) throws Throwable;

	/**
	 * Cerca notificacio passant-li parametres de criteri de cerca
	 * @param p_usuari
	 * @param p_parametres
	 * @return Notificacio[]
	 * @throws Throwable
	 */
	public Notificacio[] findNotificacio(Usuari p_usuari, HashMap p_parametres) throws Throwable;

	/**
	 * Esborrar notificacio
	 * @param p_notificacio
	 * @throws Throwable
	 */
	public void esborrar(Notificacio p_notificacio) throws Throwable;

}
