package com.uoc.tfc.LN.dao.usuari;

import java.util.HashMap;

import com.uoc.tfc.Base.usuari.Usuari;

/**
 * Interfcie dels usuaris
 * @author ojaen
 *
 */
public interface IUsuariDAO {
	/**
	 * Cercar usuari amb login i contrasenya
	 * @param login
	 * @param contrasenya
	 * @return Usuari[]
	 * @throws Throwable
	 */
	public Usuari[] findUsuari(String login, String contrasenya) throws Throwable;

	/**
	 * Gravar usuari
	 * @param p_usuari
	 * @return Usuari
	 * @throws Throwable
	 */
	public Usuari gravar(Usuari p_usuari) throws Throwable;

	/**
	 * Cerca usuari passant-li parmetres de criteri de cerca
	 * @param p_parametres
	 * @return Usuari[]
	 * @throws Throwable
	 */
	public Usuari[] findUsuari(HashMap p_parametres) throws Throwable;

	/**
	 * Esborrar usuari
	 * @param p_usuari
	 * @throws Throwable
	 */
	public void esborrar(Usuari p_usuari) throws Throwable;
}
