package com.uoc.tfc.UI.struts.action.autenticacio;

import java.util.Date;
import java.util.HashMap;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import org.apache.struts.action.ActionError;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.actions.DispatchAction;

import com.uoc.tfc.Base.common.CodisMestre;
import com.uoc.tfc.Base.common.ConfiguracioUsuari;
import com.uoc.tfc.Base.common.Helper;
import com.uoc.tfc.Base.common.Internacionalitzacio;
import com.uoc.tfc.Base.notificacio.Notificacio;
import com.uoc.tfc.Base.usuari.Usuari;
import com.uoc.tfc.LN.dao.notificacio.NotificacioDAO;
import com.uoc.tfc.LN.dao.usuari.UsuariDAO;
import com.uoc.tfc.LN.dao.usuari.UtilUsuari;
import com.uoc.tfc.LN.db.HelperDB;
import com.uoc.tfc.LN.db.HibernateUtil;
import com.uoc.tfc.UI.struts.form.autenticacio.CanviContrasenyaForm;
import com.uoc.tfc.UI.struts.form.autenticacio.LoginForm;

public class LoginAction extends DispatchAction {

	/**
	 * Arribem a aqueste mtode cada cop que s'executa el form
	 * @param mapping
	 * @param form
	 * @param request
	 * @param response
	 * @return ActionForward
	 */
	public ActionForward execute(
			ActionMapping mapping,
			ActionForm form,
			HttpServletRequest request,
			HttpServletResponse response) {

		String accio = request.getParameter(CodisMestre.DO);

		//Logout
		if (accio != null && accio.equals("logout")) {
			//Tanquem hibernate
			ConfiguracioUsuari.getInstance(null);
			HibernateUtil.getInstance().close();
			HttpSession session = request.getSession(false);

			if(session!=null) {
				session.invalidate();
			}
			// Creem una sessio nova
			session = request.getSession(true);
		}


		//Formulari entrada de login
		if (form instanceof LoginForm) {
			LoginForm loginForm = (LoginForm) form;

			UsuariDAO usuariDAO = new UsuariDAO();
			Usuari[] arrUsuari = null;


			//Validaci de l'usuari
			if((loginForm.getLogin() == null) || (loginForm.getLogin().length() < 1)) {
				ActionErrors errors = new ActionErrors();
				errors.add("login", new ActionError("error.username.required"));
				return (mapping.findForward(CodisMestre.FAILURE));
			}

			try {
				arrUsuari = usuariDAO.findUsuari(loginForm.getLogin().toUpperCase(), loginForm.getPaswd());
			} catch (Throwable e) {
				saveErrors(request, HelperDB.tractarError(e, "loginError"));
				return (mapping.findForward(CodisMestre.FAILURE));
			}


			//Error al validar l'usuari/contrasenya
			if (arrUsuari == null || arrUsuari.length == 0) {
				// crear ActionError i desar in the request
				ActionErrors errors = new ActionErrors();
				ActionError error = new ActionError("error.login.invalid");
				errors.add("loginError",error);
				saveErrors(request,errors);
				return (mapping.findForward(CodisMestre.FAILURE));
			}

			//Canvi de contrasenya
			else if (((LoginForm)form).getPaswd().equals("")) {
				request.setAttribute("loginUsuari",((LoginForm)form).getLogin().toUpperCase());
				request.setAttribute("paswd",((LoginForm)form).getPaswd());
				return (mapping.findForward("changepassword"));
			}
			// username/password validat
			else {
				request.setAttribute("login",((LoginForm)form).getLogin());

				ConfiguracioUsuari confUsu = ConfiguracioUsuari.getInstance(arrUsuari[0]);
				Internacionalitzacio.Configurar();
				try {
					Notificacio[] notificacions = validarNotificacions();
					if (Helper.validarArray(notificacions))
							request.setAttribute("avisNotificacions",
								notificacions.length == 1 ?
									"Existeix 1 notificaci" :
									"Existeixen " + notificacions.length + " notificacions");
				} catch (Throwable e) {
					saveErrors(request, HelperDB.tractarError(e, "loginError"));
					return (mapping.findForward(CodisMestre.FAILURE));
				}
				request.getSession().setAttribute("initialized", "true");
				return (mapping.findForward(CodisMestre.SUCCESS));
			}
		}

		//Formulari canvi de contrassenya
		else if (form instanceof CanviContrasenyaForm) {
			return canviContrasenya(mapping, form, request, response);
		}
		return null;
	}

	/**
	 * Actualitza contrasenya
	 * @param mapping
	 * @param form
	 * @param request
	 * @param response
	 * @return ActionForward
	 */
	public ActionForward canviContrasenya(
			ActionMapping mapping,
			ActionForm form,
			HttpServletRequest request,
			HttpServletResponse response) {

		if (Helper.isSessioExpirada(request))
			return (mapping.findForward(CodisMestre.SESSIO_EXPIRADA));

		CanviContrasenyaForm canviContrasenyaForm = (CanviContrasenyaForm) form;

		if (ConfiguracioUsuari.getInstance() != null &&
				ConfiguracioUsuari.getInstance().getUsuari() != null) {
			canviContrasenyaForm.setLogin(ConfiguracioUsuari.getInstance().getUsuari().getLogin().toUpperCase());

			String accio = request.getParameter(CodisMestre.DO);
			if (accio != null && accio.equals(CodisMestre.PREPARE_CERCA))
				canviContrasenyaForm.setPaswd("");
		}
		else
			canviContrasenyaForm.setLogin(request.getParameter("loginUsuari").toUpperCase());

		//Cerquem l'usuari
		UsuariDAO usuariDAO = new UsuariDAO();
		Usuari[] arrUsuari = null;
		try {
			arrUsuari = usuariDAO.findUsuari(canviContrasenyaForm.getLogin().toUpperCase(), canviContrasenyaForm.getPaswd());
		} catch (Throwable e) {
			saveErrors(request, HelperDB.tractarError(e, "loginError"));
			request.setAttribute("loginUsuari",canviContrasenyaForm.getLogin().toUpperCase());
			request.setAttribute("paswd",canviContrasenyaForm.getPaswd());

			return (mapping.findForward(CodisMestre.FAILURE));
		}


		//Si no hem trobat l'usuari donem error
		if (arrUsuari == null || arrUsuari.length == 0) {
			// No hem trobat l'usuari
			ActionErrors errors = new ActionErrors();
			ActionError error = new ActionError("error.login.invalid");
			errors.add("loginError",error);
			saveErrors(request,errors);
			request.setAttribute("loginUsuari",canviContrasenyaForm.getLogin().toUpperCase());
			request.setAttribute("paswd",canviContrasenyaForm.getPaswd());

			return (mapping.findForward(CodisMestre.FAILURE));
		}

		//No es pot deixar la mateixa contrassenya
		else if (canviContrasenyaForm.getNovapaswd().equals(canviContrasenyaForm.getPaswd())) {
			ActionErrors errors = new ActionErrors();
			ActionError error = new ActionError("error.changepassword.mateixacontrasenya");
			errors.add("loginError",error);
			saveErrors(request,errors);
			request.setAttribute("loginUsuari",canviContrasenyaForm.getLogin().toUpperCase());
			request.setAttribute("paswd",canviContrasenyaForm.getPaswd());

			return (mapping.findForward(CodisMestre.FAILURE));
		}

		//Verifiquem que hem escrit correctament la contrasenya
		else if (!canviContrasenyaForm.getNovapaswd().equals(canviContrasenyaForm.getReenternovapaswd())) {
			ActionErrors errors = new ActionErrors();
			ActionError error = new ActionError("error.changepassword.invalid");
			errors.add("loginError",error);
			saveErrors(request,errors);
			request.setAttribute("loginUsuari",canviContrasenyaForm.getLogin().toUpperCase());
			request.setAttribute("paswd",canviContrasenyaForm.getPaswd());

			return (mapping.findForward(CodisMestre.FAILURE));
		}

		//Gravem l'usuari amb la nova contrassenya (encriptada)
		Usuari usuari = arrUsuari[0];
		try {
			usuari.setPaswd(UtilUsuari.EncriptarPassword(canviContrasenyaForm.getNovapaswd()));
			usuari = usuariDAO.gravar(usuari);
		} catch (Throwable e) {
			saveErrors(request, HelperDB.tractarError(e, "loginError"));
			return (mapping.findForward(CodisMestre.FAILURE));
		}


		if (usuari == null) {
			// No hem trobat l'usuari
			ActionErrors errors = new ActionErrors();
			ActionError error = new ActionError("error.login.invalid");
			errors.add("loginError",error);
			saveErrors(request,errors);
			return (mapping.findForward(CodisMestre.FAILURE));
		}

		// username/password validat
		else {
			request.setAttribute("idUsuari",usuari.getIdUsuari());

			ConfiguracioUsuari confUsu = ConfiguracioUsuari.getInstance(usuari);
			Internacionalitzacio.Configurar();
			try {
				Notificacio[] notificacions = validarNotificacions();

				if (Helper.validarArray(notificacions))
					request.setAttribute("avisNotificacions",
						notificacions.length == 1 ?
							"Existeix 1 notificaci" :
							"Existeixen " + notificacions.length + " notificacions");

			} catch (Throwable e) {
				saveErrors(request, HelperDB.tractarError(e, "loginError"));
				request.setAttribute("loginUsuari",canviContrasenyaForm.getLogin().toUpperCase());
				request.setAttribute("paswd",canviContrasenyaForm.getPaswd());

				return (mapping.findForward(CodisMestre.FAILURE));
			}
			request.getSession().setAttribute("initialized", "true");
			return (mapping.findForward(CodisMestre.SUCCESS));
		}
	}


	/**
	 * Validem si existeix notificacions a la data d'avui per l'usuari connectat
	 * @throws Throwable
	 */
	private Notificacio[] validarNotificacions() throws Throwable {
		NotificacioDAO notificacioDAO = new NotificacioDAO();
		HashMap parametres = new HashMap();
		parametres.put(Notificacio.CRITERI_NOTIFICACIO_DATA_FI, Internacionalitzacio.nomesData(new Date()));
		parametres.put(Notificacio.CRITERI_NOTIFICACIO_DATA_INICI, Internacionalitzacio.nomesData(new Date()));
		parametres.put(Notificacio.CRITERI_NOTIFICACIO_ID_ESTAT, CodisMestre.CODI_ESTAT_ALTA);

		return notificacioDAO.findNotificacio(ConfiguracioUsuari.getInstance().getUsuari(), parametres);


	}



}

