package com.uoc.tfc.UI.struts.action.common;

import java.util.HashMap;

import com.uoc.tfc.Base.common.Helper;
import com.uoc.tfc.Base.manteniment.AnyAcademic;
import com.uoc.tfc.Base.manteniment.Assignatura;
import com.uoc.tfc.Base.manteniment.Aula;
import com.uoc.tfc.Base.manteniment.Curs;
import com.uoc.tfc.Base.manteniment.CursAssignatura;
import com.uoc.tfc.Base.manteniment.TipusQualificacio;
import com.uoc.tfc.Base.manteniment.TipusTitulacio;
import com.uoc.tfc.Base.mestres.Estat;
import com.uoc.tfc.Base.mestres.Provincia;
import com.uoc.tfc.Base.mestres.TipusDocument;
import com.uoc.tfc.Base.mestres.TipusNotificacio;
import com.uoc.tfc.Base.mestres.TipusUsuari;
import com.uoc.tfc.LN.dao.manteniment.AnyAcademicDAO;
import com.uoc.tfc.LN.dao.manteniment.AssignaturaDAO;
import com.uoc.tfc.LN.dao.manteniment.AulaDAO;
import com.uoc.tfc.LN.dao.manteniment.CursAssignaturaDAO;
import com.uoc.tfc.LN.dao.manteniment.CursDAO;
import com.uoc.tfc.LN.dao.manteniment.TipusTitulacioDAO;
import com.uoc.tfc.LN.dao.mestres.MestreDAO;

/*
*  Classe que es fan servir en les operacions que es realitzen en la capa de UI de cerques iteratives
 * @author ojaen
 *
 */
public class HelperUI extends Helper{
	/**
	 * Recuperem els diferents estats de la base de dades
	 * @return Estat[]: Array d'estats
	 */
	public static Estat[] recuperaEstats() {
		Estat[] arrEstats;
		MestreDAO mestreDAO = new MestreDAO();
		Object[] o = (Object[]) mestreDAO.find("Estat");
		arrEstats = new Estat[o.length];
		for (int i=0;i<o.length;i++) {
			arrEstats[i] = (Estat) o[i];
		}
		return arrEstats;
	}
	
	/**
	 * Recuperem els diferents tipus de documents de la base de dades
	 * @return TipusDocument[]: Array de tipus de document
	 */
	public static TipusDocument[] recuperaTipusDocuments(HashMap p_parametres) throws Throwable{
		TipusDocument[] arrTipusDocuments;
		MestreDAO mestreDAO = new MestreDAO();
		Object[] o = (Object[]) mestreDAO.find("TipusDocument");
		arrTipusDocuments = new TipusDocument[o.length];
		for (int i=0;i<o.length;i++) {
			arrTipusDocuments[i] = (TipusDocument) o[i];
		}
		return arrTipusDocuments;

	}

	/**
	 * Recuperem els diferents tipus d'usuaris de la base de dades
	 * @return TipusUsuari[]: Array de tipus d'usuaris
	 */
	public static TipusUsuari[] recuperaTipusUsuaris(HashMap p_parametres) throws Throwable{
		TipusUsuari[] arrTipusUsuaris;
		MestreDAO mestreDAO = new MestreDAO();
		Object[] o = (Object[]) mestreDAO.find("TipusUsuari");
		arrTipusUsuaris = new TipusUsuari[o.length];
		for (int i=0;i<o.length;i++) {
			arrTipusUsuaris[i] = (TipusUsuari) o[i];
		}
		return arrTipusUsuaris;

	}
	
	
	/**
	 * Recuperem els  provncies de la base de dades
	 * @return Provincia[]: Array de provncia
	 */
	public static Provincia[] recuperaProvincies(HashMap p_parametres) throws Throwable{
		Provincia[] arrProvincies;
		MestreDAO mestreDAO = new MestreDAO();
		Object[] o = (Object[]) mestreDAO.find("Provincia");
		arrProvincies = new Provincia[o.length];
		for (int i=0;i<o.length;i++) {
			arrProvincies[i] = (Provincia) o[i];
		}
		return arrProvincies;

	}

	/**
	 * Recuperem els cursos de la base de dades
	 * @return Curs[]: Array de cursos
	 */
	public static Curs[] recuperaCursos(HashMap p_parametres) throws Throwable{

		CursDAO cursDAO = new CursDAO();
		Curs[] o = (Curs[]) cursDAO.findCurs(p_parametres);
		return o;
	}
	
	
	/**
	 * Recuperem les aules de la base de dades
	 * @return Aula[]: Array d'aules
	 */
	public static Aula[] recuperaAules(HashMap p_parametres) throws Throwable{

		AulaDAO aulaDAO = new AulaDAO();
		Aula[] o = (Aula[]) aulaDAO.findAula(p_parametres);
		return o;
	}

	/**
	 * Recuperem els tipus de titulacions de la base de dades
	 * @return TipusTitulacio[]: Array de tipus de titulaci
	 */
	public static TipusTitulacio[] recuperaTipusTitulacions(HashMap p_parametres) throws Throwable{

		TipusTitulacioDAO tipusTitulacioDAO = new TipusTitulacioDAO();
		TipusTitulacio[] o = (TipusTitulacio[]) tipusTitulacioDAO.findTipusTitulacio(p_parametres);
		return o;
	}



	/**
	 * Recuperem les assignatures de la base de dades
	 * @return Assignatura[]: Array d'assignatures
	 */
	public static Assignatura[] recuperaAssignatura(HashMap p_parametres) throws Throwable{

		AssignaturaDAO assignaturaDAO = new AssignaturaDAO();
		Assignatura[] o = (Assignatura[]) assignaturaDAO.findAssignatura(p_parametres);
		return o;
	}	
	
	/**
	 * Recuperem els diferents tipus de qualificacions de la base de dades
	 * @return TipusQualificacio[]: Array de tipus de qualificacions
	 */
	public static TipusQualificacio[] recuperaTipusQualificacions(HashMap p_parametres) {
		TipusQualificacio[] arrTipusQualificacions;
		MestreDAO mestreDAO = new MestreDAO();
		Object[] o = (Object[]) mestreDAO.find("TipusQualificacio");
		arrTipusQualificacions = new TipusQualificacio[o.length];
		for (int i=0;i<o.length;i++) {
			arrTipusQualificacions[i] = (TipusQualificacio) o[i];
		}
		return arrTipusQualificacions;
	}
	
	/**
	 * Recuperem els diferents tipus de notificacions de la base de dades
	 * @return TipusNotificacio[]: Array de tipus de notificacions
	 */
	public static TipusNotificacio[] recuperaTipusNotificacions(HashMap p_parametres) {
		TipusNotificacio[] arrTipusNotificacions;
		MestreDAO mestreDAO = new MestreDAO();
		Object[] o = (Object[]) mestreDAO.find("TipusNotificacio");
		arrTipusNotificacions = new TipusNotificacio[o.length];
		for (int i=0;i<o.length;i++) {
			arrTipusNotificacions[i] = (TipusNotificacio) o[i];
		}
		return arrTipusNotificacions;
	}
	
	/**
	 * Recuperem la relacio curs-assignatures de la base de dades
	 * @return CursAssignatura[]: Array de CursAssignatura
	 */
	public static CursAssignatura[] recuperaCursAssignatures(HashMap p_parametres) throws Throwable{

		CursAssignaturaDAO cursAssignaturaDAO = new CursAssignaturaDAO();
		CursAssignatura[] o = (CursAssignatura[]) cursAssignaturaDAO.findCursAssignatura(p_parametres);
		return o;
	}
	
	/**
	 * Recuperem els diferents tipus de titulaci de la base de dades
	 * @return TipusDocument[]: Array de tipus de document
	 */
	public static AnyAcademic[] recuperaAnysAcademics(HashMap p_parametres) throws Throwable{
		AnyAcademic[] arrAnyAcademics;
		AnyAcademicDAO anyAcademicDAO = new AnyAcademicDAO();
		Object[] o = (Object[]) anyAcademicDAO.findAnyAcademic(p_parametres);
		arrAnyAcademics = new AnyAcademic[o.length];
		for (int i=0;i<o.length;i++) {
			arrAnyAcademics[i] = (AnyAcademic) o[i];
		}
		return arrAnyAcademics;
	}
	
}
