package com.uoc.tfc.UI.struts.action.manteniment;

import java.util.HashMap;
import java.util.List;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

import com.uoc.tfc.Base.common.CodisMestre;
import com.uoc.tfc.Base.common.Helper;
import com.uoc.tfc.Base.manteniment.Missatge;
import com.uoc.tfc.LN.dao.matricula.MatriculaDAO;
import com.uoc.tfc.LN.db.HelperDB;
import com.uoc.tfc.UI.struts.form.manteniment.AssignacioAutomaticaAulesForm;

/**
 * Assignacio automtica d'aules als alumnes matriculats en un any acadmic
 * @author ojaen
 *
 */
public class AssignacioAutomaticaAulesAction extends Action {

	/**
	 * Execuci del mtode
	 * @param mapping
	 * @param form
	 * @param request
	 * @param response
	 * @return ActionForward
	 */
	public ActionForward execute(
			ActionMapping mapping,
			ActionForm form,
			HttpServletRequest request,
			HttpServletResponse response) {

		if (Helper.isSessioExpirada(request))
			return (mapping.findForward(CodisMestre.SESSIO_EXPIRADA));

		AssignacioAutomaticaAulesForm assignacioAutomaticaAulesForm = (AssignacioAutomaticaAulesForm) form;
		MatriculaDAO matriculaDAO = new MatriculaDAO();

		String accio = request.getParameter(CodisMestre.DO);

		if (accio == null || !accio.equals(CodisMestre.PREPARE_CERCA)) {
			HashMap parametres = new HashMap();

			try {
				List<Missatge> alErrors = matriculaDAO.assignacioAutomaticaAules();

				if (Helper.validarColleccio(alErrors))
					assignacioAutomaticaAulesForm.getInformacions().addAll(alErrors);


			} catch (Throwable e) {
				saveErrors(request, HelperDB.tractarError(e, "assignacioAutomaticaAulesError"));
				return (mapping.findForward(CodisMestre.FAILURE));
			}
		}

		return mapping.findForward("assignacioAutomaticaAules");
	}

}

