package com.uoc.tfc.UI.struts.action.manteniment;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.HashMap;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

import com.uoc.tfc.Base.common.CodisMestre;
import com.uoc.tfc.Base.common.Helper;
import com.uoc.tfc.Base.manteniment.AnyAcademic;
import com.uoc.tfc.Base.mestres.Estat;
import com.uoc.tfc.LN.dao.manteniment.AnyAcademicDAO;
import com.uoc.tfc.LN.db.HelperDB;
import com.uoc.tfc.UI.struts.action.common.HelperUI;
import com.uoc.tfc.UI.struts.form.manteniment.CercaAnyAcademicForm;

/**
 * Acci cerca any acadmic
 * @author ojaen
 *
 */
public class CercaAnyAcademicAction extends Action {

	/**
	 * Mtode execuci
	 * @param mapping
	 * @param form
	 * @param request
	 * @param response
	 * @return ActionForward
	 */
	public ActionForward execute(
			ActionMapping mapping,
			ActionForm form,
			HttpServletRequest request,
			HttpServletResponse response) {

		if (Helper.isSessioExpirada(request))
			return (mapping.findForward(CodisMestre.SESSIO_EXPIRADA));

		CercaAnyAcademicForm cercaAnyAcademicForm = (CercaAnyAcademicForm) form;
		AnyAcademicDAO anyAcademicDAO = new AnyAcademicDAO();

		Integer estatDefecte = CodisMestre.CODI_ESTAT_ALTA;

		String accio = request.getParameter(CodisMestre.DO);

		/*Realitzem la cerca*/
		if (accio == null || (!accio.equals(CodisMestre.PREPARE_CERCA) && !accio.equals(CodisMestre.RETORN_CERCA))) {
			HashMap parametres = new HashMap();
			parametres.put(AnyAcademic.CRITERI_ANY_ACADEMIC_CODI, cercaAnyAcademicForm.getCodi());
			parametres.put(AnyAcademic.CRITERI_ANY_ACADEMIC_DESCRIPCIO, cercaAnyAcademicForm.getDescripcio());
			parametres.put(AnyAcademic.CRITERI_ANY_ACADEMIC_DATA_INICI, cercaAnyAcademicForm.getDataInici());
			parametres.put(AnyAcademic.CRITERI_ANY_ACADEMIC_DATA_FI, cercaAnyAcademicForm.getDataFi());
			parametres.put(AnyAcademic.CRITERI_ANY_ACADEMIC_ID_ESTAT, cercaAnyAcademicForm.getSelectedEstat());

			try {
				cercaAnyAcademicForm.setAnysAcademics(anyAcademicDAO.findAnyAcademic(parametres));
			} catch (Throwable e) {
				saveErrors(request, HelperDB.tractarError(e, "editAnyAcademicError"));
				return (mapping.findForward(CodisMestre.FAILURE));
			}
		}
		//No fem res
		else if (accio != null && accio.equals(CodisMestre.RETORN_CERCA)) {

		}
		//Reiniciem el formulari
		else {
			resetFormulari(cercaAnyAcademicForm);
		}

		//Carrega opcions d'estat
		Estat[] arrEstats = HelperUI.recuperaEstats();

		//define a dummy collection
		ArrayList estats = new ArrayList(Arrays.asList(arrEstats));
		cercaAnyAcademicForm.setEstats(estats);

		if (cercaAnyAcademicForm.getSelectedEstat() == null)
			cercaAnyAcademicForm.setSelectedEstat(estatDefecte);

		//set the collection in the request
		request.setAttribute("estats", estats);

		return mapping.findForward("cercaAnyAcademic");
	}


	/**
	 * Reiniciar el formulari
	 * @param cercaAnyAcademicForm
	 */
	private void resetFormulari(CercaAnyAcademicForm cercaAnyAcademicForm) {
		cercaAnyAcademicForm.setCodi("");
		cercaAnyAcademicForm.setDescripcio("");
		cercaAnyAcademicForm.setAnysAcademics(new AnyAcademic[0]);
	}

	


}

