package com.uoc.tfc.UI.struts.action.manteniment;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.HashMap;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

import com.uoc.tfc.Base.common.CodisMestre;
import com.uoc.tfc.Base.common.Helper;
import com.uoc.tfc.Base.manteniment.Assignatura;
import com.uoc.tfc.Base.mestres.Estat;
import com.uoc.tfc.LN.dao.manteniment.AssignaturaDAO;
import com.uoc.tfc.LN.db.HelperDB;
import com.uoc.tfc.UI.struts.action.common.HelperUI;
import com.uoc.tfc.UI.struts.form.manteniment.CercaAssignaturaForm;

/**
 * Accio per tractar la cerca d'assignatures
 * @author ojaen
 *
 */
public class CercaAssignaturaAction extends Action {

	/**
	 * Mtode Execuci
	 * @param mapping
	 * @param form
	 * @param request
	 * @param response
	 * @return ActionForward
	 */
	public ActionForward execute(
			ActionMapping mapping,
			ActionForm form,
			HttpServletRequest request,
			HttpServletResponse response) {

		if (Helper.isSessioExpirada(request))
			return (mapping.findForward(CodisMestre.SESSIO_EXPIRADA));

		CercaAssignaturaForm cercaAssignaturaForm = (CercaAssignaturaForm) form;
		AssignaturaDAO assignaturaDAO = new AssignaturaDAO();

		Integer estatDefecte = CodisMestre.CODI_ESTAT_ALTA;

		String accio = request.getParameter(CodisMestre.DO);

		if (accio == null || (!accio.equals(CodisMestre.PREPARE_CERCA) && !accio.equals(CodisMestre.RETORN_CERCA))) {

			HashMap parametres = new HashMap();
			parametres.put(Assignatura.CRITERI_ASSIGNATURA_CODI, cercaAssignaturaForm.getCodiAssignatura());
			parametres.put(Assignatura.CRITERI_ASSIGNATURA_DESCRIPCIO, cercaAssignaturaForm.getDescripcio());
			parametres.put(Assignatura.CRITERI_ASIGNATURA_ID_ESTAT, cercaAssignaturaForm.getSelectedEstat());

			try {
				cercaAssignaturaForm.setAssignatures(assignaturaDAO.findAssignatura(parametres));
			} catch (Throwable e) {
				saveErrors(request, HelperDB.tractarError(e, "assignaturaError"));
				return (mapping.findForward(CodisMestre.FAILURE));
			}
		}
		//No fem res
		else if (accio != null && accio.equals(CodisMestre.RETORN_CERCA)) {

		}
		//Reiniciem el formulari
		else {
			resetFormulari(cercaAssignaturaForm);
		}

		//Carrega opcions d'estat
		Estat[] arrEstats = HelperUI.recuperaEstats();

		//define a dummy collection
		ArrayList estats = new ArrayList(Arrays.asList(arrEstats));
		cercaAssignaturaForm.setEstats(estats);

		if (cercaAssignaturaForm.getSelectedEstat() == null)
			cercaAssignaturaForm.setSelectedEstat(estatDefecte);

		//set the collection in the request
		request.setAttribute("estats", estats);


		if (accio != null && (accio.equals("selectorAssignatura") || accio.equals("selectorProfessorAssignatura"))) {
			//El selector es el selector d'assignatures per professor
			if (accio.equals("selectorProfessorAssignatura"))
				request.setAttribute("editUsuari", "editUsuari");
			return mapping.findForward("selectorAssignatura");
		}
		return mapping.findForward("cercaAssignatura");
	}

	/**
	 * Reiniciar formulari
	 * @param cercaAssignaturaForm
	 */
	private void resetFormulari(CercaAssignaturaForm cercaAssignaturaForm) {
		cercaAssignaturaForm.setCodiAssignatura("");
		cercaAssignaturaForm.setDescripcio("");
		cercaAssignaturaForm.setAssignatures(new Assignatura[0]);
	}


}

