package com.uoc.tfc.UI.struts.action.manteniment;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.HashMap;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

import com.uoc.tfc.Base.common.CodisMestre;
import com.uoc.tfc.Base.common.Helper;
import com.uoc.tfc.Base.manteniment.Aula;
import com.uoc.tfc.Base.manteniment.Curs;
import com.uoc.tfc.Base.mestres.Estat;
import com.uoc.tfc.LN.dao.manteniment.AulaDAO;
import com.uoc.tfc.LN.db.HelperDB;
import com.uoc.tfc.UI.struts.action.common.HelperUI;
import com.uoc.tfc.UI.struts.form.manteniment.CercaAulaForm;

/**
 * Acci per tractar la cerca de les aules
 * @author ojaen
 *
 */
public class CercaAulaAction extends Action {

	/**
	 * Mtode execuci
	 * @param mapping
	 * @param form
	 * @param request
	 * @param response
	 * @return ActionForward
	 */
	public ActionForward execute(
			ActionMapping mapping,
			ActionForm form,
			HttpServletRequest request,
			HttpServletResponse response) {
		if (Helper.isSessioExpirada(request))
			return (mapping.findForward(CodisMestre.SESSIO_EXPIRADA));


		CercaAulaForm cercaAulaForm = (CercaAulaForm) form;
		AulaDAO aulaDAO = new AulaDAO();
		Integer estatDefecte = CodisMestre.CODI_ESTAT_ALTA;
		Integer cursDefecte = new Integer(0);

		String accio = request.getParameter(CodisMestre.DO);

		if (accio == null || (!accio.equals(CodisMestre.PREPARE_CERCA) && !accio.equals(CodisMestre.RETORN_CERCA))) {
			HashMap parametres = new HashMap();
			parametres.put(Aula.CRITERI_AULA_CODI, cercaAulaForm.getCodiAula());
			parametres.put(Aula.CRITERI_AULA_DESCRIPCIO, cercaAulaForm.getDescripcio());
			parametres.put(Aula.CRITERI_AULA_ID_ESTAT, cercaAulaForm.getSelectedEstat());
			if (cercaAulaForm.getSelectedEstat() != null)
				estatDefecte = cercaAulaForm.getSelectedEstat();
			parametres.put(Aula.CRITERI_AULA_ID_CURS, cercaAulaForm.getSelectedCurs());
			if (cercaAulaForm.getSelectedCurs() != null)
				cursDefecte = cercaAulaForm.getSelectedCurs();

			try {
				cercaAulaForm.setAules(aulaDAO.findAula(parametres));
			} catch (Throwable e) {
				saveErrors(request, HelperDB.tractarError(e, "aulaError"));
				return (mapping.findForward(CodisMestre.FAILURE));
			}
		}
		//No fem res
		else if (accio != null && accio.equals(CodisMestre.RETORN_CERCA)) {

		}
		//Reiniciem el formulari
		else {
			resetFormulari(cercaAulaForm);
		}


		try {

			inicialitzarCursos(request, cercaAulaForm, cursDefecte);

			inicialitzarEstats(request, cercaAulaForm, estatDefecte);


		} catch (Throwable e) {
			saveErrors(request, HelperDB.tractarError(e, "editCursError"));
			return (mapping.findForward(CodisMestre.FAILURE));
		}

		return mapping.findForward("cercaAula");
	}

	/**
	 * Reiniciar formulari
	 * @param cercaAulaForm
	 */
	private void resetFormulari(CercaAulaForm cercaAulaForm) {
		cercaAulaForm.setAules(new Aula[0]);
		cercaAulaForm.setCodiAula("");
		cercaAulaForm.setDescripcio("");
	}

	/**
	 * Inicialitzar estats
	 * @param request
	 * @param cercaAulaForm
	 * @param estatDefecte
	 */
	private void inicialitzarEstats(HttpServletRequest request,
			CercaAulaForm cercaAulaForm, Integer estatDefecte) {
		//Carrega opcions d'estat
		Estat[] arrEstats = HelperUI.recuperaEstats();

		//define a dummy collection
		ArrayList estats = new ArrayList(Arrays.asList(arrEstats));
		cercaAulaForm.setEstats(estats);

		if (cercaAulaForm.getSelectedEstat() == null)
			cercaAulaForm.setSelectedEstat(estatDefecte);

		//set the collection in the request
		request.setAttribute("estats", estats);
	}

	/**
	 * Inicialitzar cursos
	 * @param request
	 * @param cercaAulaForm
	 * @param cursDefecte
	 * @throws Throwable
	 */
	private void inicialitzarCursos(HttpServletRequest request,
			CercaAulaForm cercaAulaForm, Integer cursDefecte) throws Throwable {
		//Carrega opcions de cursos
		Curs[] arrCursos = HelperUI.recuperaCursos(new HashMap());
		//define a dummy collection
		ArrayList cursos = new ArrayList(Arrays.asList(arrCursos));
		cercaAulaForm.setCursos(cursos);
		if (cercaAulaForm.getSelectedCurs() == null)
			cercaAulaForm.setSelectedCurs(cursDefecte);

		//set the collection in the request
		request.setAttribute("cursos", cursos);
	}

}

