package com.uoc.tfc.UI.struts.action.manteniment;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.HashMap;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

import com.uoc.tfc.Base.common.CodisMestre;
import com.uoc.tfc.Base.common.Helper;
import com.uoc.tfc.Base.manteniment.Curs;
import com.uoc.tfc.Base.manteniment.TipusTitulacio;
import com.uoc.tfc.Base.mestres.Estat;
import com.uoc.tfc.LN.dao.manteniment.CursDAO;
import com.uoc.tfc.LN.db.HelperDB;
import com.uoc.tfc.UI.struts.action.common.HelperUI;
import com.uoc.tfc.UI.struts.form.manteniment.CercaCursForm;

/**
 * Acci per tractar la cerca dels cursos
 * @author ojaen
 *
 */
public class CercaCursAction extends Action {

	/**
	 * Mtode execuci
	 * @param mapping
	 * @param form
	 * @param request
	 * @param response
	 * @return ActionForward
	 */
	public ActionForward execute(
			ActionMapping mapping,
			ActionForm form,
			HttpServletRequest request,
			HttpServletResponse response) {
		if (Helper.isSessioExpirada(request))
			return (mapping.findForward(CodisMestre.SESSIO_EXPIRADA));


		CercaCursForm cercaCursForm = (CercaCursForm) form;
		CursDAO cursDAO = new CursDAO();
		Integer estatDefecte = CodisMestre.CODI_ESTAT_ALTA;
		Integer tipusTitulacioDefecte = new Integer(0);

		String accio = request.getParameter(CodisMestre.DO);

		if (accio == null || (!accio.equals(CodisMestre.PREPARE_CERCA) && !accio.equals(CodisMestre.RETORN_CERCA))) {
			HashMap parametres = new HashMap();
			parametres.put(Curs.CRITERI_CURS_CODI, cercaCursForm.getCodiCurs());
			parametres.put(Curs.CRITERI_CURS_DESCRIPCIO, cercaCursForm.getDescripcio());
			parametres.put(Curs.CRITERI_CURS_ID_ESTAT, cercaCursForm.getSelectedEstat());
			estatDefecte = cercaCursForm.getSelectedEstat();
			parametres.put(Curs.CRITERI_CURS_ID_TIPUS_TITULACIO, cercaCursForm.getSelectedTipusTitulacio());
			if (cercaCursForm.getSelectedTipusTitulacio() != null)
				tipusTitulacioDefecte = cercaCursForm.getSelectedTipusTitulacio();

			try {
				cercaCursForm.setCursos(cursDAO.findCurs(parametres));
			} catch (Throwable e) {
				saveErrors(request, HelperDB.tractarError(e, "cursError"));
				return (mapping.findForward(CodisMestre.FAILURE));
			}
		}
		//No fem res
		else if (accio != null && accio.equals(CodisMestre.RETORN_CERCA)) {

		}
		//Reiniciem el formulari
		else {
			resetFormulari(cercaCursForm);
		}


		try {

			inicialitzarTipusTitulacio(request, cercaCursForm,
					tipusTitulacioDefecte);

			inicialitzarEstats(request, cercaCursForm, estatDefecte);


		} catch (Throwable e) {
			saveErrors(request, HelperDB.tractarError(e, "cursError"));
			return (mapping.findForward(CodisMestre.FAILURE));
		}

		return mapping.findForward("cercaCurs");
	}

	/**
	 * Reiniciar formulari
	 * @param cercaCursForm
	 */
	private void resetFormulari(CercaCursForm cercaCursForm) {
		cercaCursForm.setCodiCurs("");
		cercaCursForm.setDescripcio("");
		cercaCursForm.setCursos(new Curs[0]);
	}

	/**
	 * Inicialitzar els valors dels estats
	 * @param request
	 * @param cercaCursForm
	 * @param estatDefecte
	 */
	private void inicialitzarEstats(HttpServletRequest request,
			CercaCursForm cercaCursForm, Integer estatDefecte) {
		//Carrega opcions d'estat
		Estat[] arrEstats = HelperUI.recuperaEstats();

		//define a dummy collection
		ArrayList estats = new ArrayList(Arrays.asList(arrEstats));
		cercaCursForm.setEstats(estats);
		if (cercaCursForm.getSelectedEstat() == null)
			cercaCursForm.setSelectedEstat(estatDefecte);

		//set the collection in the request
		request.setAttribute("estats", estats);
	}

	/**
	 * Inicialitzar els tipus de titulacions
	 * @param request
	 * @param cercaCursForm
	 * @param tipusTitulacioDefecte
	 * @throws Throwable
	 */
	private void inicialitzarTipusTitulacio(HttpServletRequest request,
			CercaCursForm cercaCursForm, Integer tipusTitulacioDefecte)
	throws Throwable {
		//Carrega opcions de tipus de titulacions
		TipusTitulacio[] arrTipusTitulacions = HelperUI.recuperaTipusTitulacions(new HashMap());
		//define a dummy collection
		ArrayList tipusTitulacions = new ArrayList(Arrays.asList(arrTipusTitulacions));
		cercaCursForm.setTipusTitulacions(tipusTitulacions);

		if (cercaCursForm.getSelectedTipusTitulacio() == null)
			cercaCursForm.setSelectedTipusTitulacio(tipusTitulacioDefecte);

		//set the collection in the request
		request.setAttribute("tipusTitulacions", tipusTitulacions);
	}

}

