package com.uoc.tfc.UI.struts.action.manteniment;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.HashMap;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

import com.uoc.tfc.Base.common.CodisMestre;
import com.uoc.tfc.Base.common.Helper;
import com.uoc.tfc.Base.manteniment.TipusQualificacio;
import com.uoc.tfc.Base.mestres.Estat;
import com.uoc.tfc.LN.dao.manteniment.TipusQualificacioDAO;
import com.uoc.tfc.LN.db.HelperDB;
import com.uoc.tfc.UI.struts.action.common.HelperUI;
import com.uoc.tfc.UI.struts.form.manteniment.CercaTipusQualificacioForm;

/**
 * Acci cerca tipus de qualificaci
 * @author ojaen
 *
 */
public class CercaTipusQualificacioAction extends Action {

	/**
	 * Mtode execuci
	 * @param mapping
	 * @param form
	 * @param request
	 * @param response
	 * @return ActionForward
	 */
	public ActionForward execute(
			ActionMapping mapping,
			ActionForm form,
			HttpServletRequest request,
			HttpServletResponse response) {
		if (Helper.isSessioExpirada(request))
			return (mapping.findForward(CodisMestre.SESSIO_EXPIRADA));


		CercaTipusQualificacioForm cercaTipusQualificacioForm = (CercaTipusQualificacioForm) form;
		TipusQualificacioDAO tipusTitulacioDAO = new TipusQualificacioDAO();

		Integer estatDefecte = CodisMestre.CODI_ESTAT_ALTA;

		String accio = request.getParameter(CodisMestre.DO);

		/*Realitzem la cerca*/
		if (accio == null || (!accio.equals(CodisMestre.PREPARE_CERCA) && !accio.equals(CodisMestre.RETORN_CERCA))) {
			HashMap parametres = new HashMap();
			parametres.put(TipusQualificacio.CRITERI_TIPUSQUALIFICACIO_CODI, cercaTipusQualificacioForm.getCodiTipusQualificacio());
			parametres.put(TipusQualificacio.CRITERI_TIPUSQUALIFICACIO_DESCRIPCIO, cercaTipusQualificacioForm.getDescripcio());
			parametres.put(TipusQualificacio.CRITERI_TIPUSQUALIFICACIO_CODI_ESTAT, cercaTipusQualificacioForm.getSelectedEstat());

			try {
				cercaTipusQualificacioForm.setTipusQualificacions(tipusTitulacioDAO.findTipusQualificacio(parametres));
			} catch (Throwable e) {
				saveErrors(request, HelperDB.tractarError(e, "tipusTitulacioError"));
				return (mapping.findForward(CodisMestre.FAILURE));
			}
		}
		//No fem res
		else if (accio != null && accio.equals(CodisMestre.RETORN_CERCA)) {

		}
		//Reiniciem el formulari
		else {
			resetFormulari(cercaTipusQualificacioForm);
		}

		//Carrega opcions d'estat
		Estat[] arrEstats = HelperUI.recuperaEstats();

		//define a dummy collection
		ArrayList estats = new ArrayList(Arrays.asList(arrEstats));
		cercaTipusQualificacioForm.setEstats(estats);

		if (cercaTipusQualificacioForm.getSelectedEstat() == null)
			cercaTipusQualificacioForm.setSelectedEstat(estatDefecte);

		//set the collection in the request
		request.setAttribute("estats", estats);


		return mapping.findForward("cercaTipusQualificacio");
	}

	/**
	 * Reiniciar formulari
	 * @param cercaTipusQualificacioForm
	 */
	private void resetFormulari(
			CercaTipusQualificacioForm cercaTipusQualificacioForm) {
		cercaTipusQualificacioForm.setTipusQualificacions(new TipusQualificacio[0]);
		cercaTipusQualificacioForm.setCodiTipusQualificacio("");
		cercaTipusQualificacioForm.setDescripcio("");
	}


}

