package com.uoc.tfc.UI.struts.action.manteniment;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.HashMap;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

import com.uoc.tfc.Base.common.CodisMestre;
import com.uoc.tfc.Base.common.Helper;
import com.uoc.tfc.Base.manteniment.TipusTitulacio;
import com.uoc.tfc.Base.mestres.Estat;
import com.uoc.tfc.LN.dao.manteniment.TipusTitulacioDAO;
import com.uoc.tfc.LN.db.HelperDB;
import com.uoc.tfc.UI.struts.action.common.HelperUI;
import com.uoc.tfc.UI.struts.form.manteniment.CercaTipusTitulacioForm;

/**
 * Accio cerca tipus de titulaci
 * @author ojaen
 *
 */
public class CercaTipusTitulacioAction extends Action {

	/**
	 * Mtode execuci
	 * @param mapping
	 * @param form
	 * @param request
	 * @param response
	 * @return ActionForward
	 */
	public ActionForward execute(
			ActionMapping mapping,
			ActionForm form,
			HttpServletRequest request,
			HttpServletResponse response) {
		if (Helper.isSessioExpirada(request))
			return (mapping.findForward(CodisMestre.SESSIO_EXPIRADA));


		CercaTipusTitulacioForm cercaTipusTitulacioForm = (CercaTipusTitulacioForm) form;
		TipusTitulacioDAO tipusQualificacioDAO = new TipusTitulacioDAO();

		Integer estatDefecte = CodisMestre.CODI_ESTAT_ALTA;

		String accio = request.getParameter(CodisMestre.DO);

		/*Realitzem la cerca*/
		if (accio == null || (!accio.equals(CodisMestre.PREPARE_CERCA) && !accio.equals(CodisMestre.RETORN_CERCA))) {

			HashMap parametres = new HashMap();
			parametres.put(TipusTitulacio.CRITERI_TIPUSTITULACIO_CODI, cercaTipusTitulacioForm.getCodiTipusTitulacio());
			parametres.put(TipusTitulacio.CRITERI_TIPUSTITULACIO_DESCRIPCIO, cercaTipusTitulacioForm.getDescripcio());
			parametres.put(TipusTitulacio.CRITERI_TIPUSTITULACIO_CODI_ESTAT, cercaTipusTitulacioForm.getSelectedEstat());

			try {
				cercaTipusTitulacioForm.setTipusTitulacions(tipusQualificacioDAO.findTipusTitulacio(parametres));
			} catch (Throwable e) {
				saveErrors(request, HelperDB.tractarError(e, "tipusTitulacioError"));
				return (mapping.findForward(CodisMestre.FAILURE));
			}
		}
		//No fem res
		else if (accio != null && accio.equals(CodisMestre.RETORN_CERCA)) {

		}
		//Reiniciem el formulari
		else {
			resetFormulari(cercaTipusTitulacioForm);
		}

		//Carrega opcions d'estat
		Estat[] arrEstats = HelperUI.recuperaEstats();

		//define a dummy collection
		ArrayList estats = new ArrayList(Arrays.asList(arrEstats));
		cercaTipusTitulacioForm.setEstats(estats);
		if (cercaTipusTitulacioForm.getSelectedEstat() == null)
			cercaTipusTitulacioForm.setSelectedEstat(estatDefecte);

		//set the collection in the request
		request.setAttribute("estats", estats);


		return mapping.findForward("cercaTipusTitulacio");
	}

	/**
	 * Reiniciar formulari
	 * @param cercaTipusTitulacioForm
	 */
	private void resetFormulari(CercaTipusTitulacioForm cercaTipusTitulacioForm) {
		cercaTipusTitulacioForm.setCodiTipusTitulacio("");
		cercaTipusTitulacioForm.setDescripcio("");
		cercaTipusTitulacioForm.setTipusTitulacions(new TipusTitulacio[0]);
	}



}

