package com.uoc.tfc.UI.struts.action.notificacio;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.Date;
import java.util.HashMap;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

import com.uoc.tfc.Base.common.CodisMestre;
import com.uoc.tfc.Base.common.ConfiguracioUsuari;
import com.uoc.tfc.Base.common.Helper;
import com.uoc.tfc.Base.common.Internacionalitzacio;
import com.uoc.tfc.Base.mestres.Estat;
import com.uoc.tfc.Base.mestres.TipusNotificacio;
import com.uoc.tfc.Base.notificacio.Notificacio;
import com.uoc.tfc.Base.usuari.Usuari;
import com.uoc.tfc.Base.usuari.UsuariAdministrador;
import com.uoc.tfc.Base.usuari.UsuariAdministratiu;
import com.uoc.tfc.Base.usuari.UsuariProfessor;
import com.uoc.tfc.LN.dao.notificacio.NotificacioDAO;
import com.uoc.tfc.LN.db.HelperDB;
import com.uoc.tfc.UI.struts.action.common.HelperUI;
import com.uoc.tfc.UI.struts.form.notificacio.CercaNotificacioForm;

public class CercaNotificacioAction extends Action {

	/**
	 * Mtode execuci
	 * @param mapping
	 * @param form
	 * @param request
	 * @param response
	 * @return ActionForward
	 */
	public ActionForward execute(
			ActionMapping mapping,
			ActionForm form,
			HttpServletRequest request,
			HttpServletResponse response) {
		if (Helper.isSessioExpirada(request))
			return (mapping.findForward(CodisMestre.SESSIO_EXPIRADA));


		CercaNotificacioForm cercaNotificacioForm = (CercaNotificacioForm) form;
		NotificacioDAO notificacioDAO = new NotificacioDAO();
		Integer estatDefecte = CodisMestre.CODI_ESTAT_ALTA;
		Integer tipusNotificacioDefecte = -1;

		String accio = request.getParameter(CodisMestre.DO);

		if (accio == null || (!accio.equals(CodisMestre.PREPARE_CERCA) && !accio.equals(CodisMestre.RETORN_CERCA))) {
			HashMap parametres = new HashMap();

			parametres.put(Notificacio.CRITERI_NOTIFICACIO_TITOL,
					cercaNotificacioForm.getTitol() != null ? cercaNotificacioForm.getTitol().toUpperCase() : "");
			parametres.put(Notificacio.CRITERI_NOTIFICACIO_DATA_INICI,
					cercaNotificacioForm.getDataInici() != null ? cercaNotificacioForm.getDataInici() : null);
			parametres.put(Notificacio.CRITERI_NOTIFICACIO_DATA_FI,
					cercaNotificacioForm.getDataFi() != null ? cercaNotificacioForm.getDataFi()  : null);

			if (cercaNotificacioForm.getSelectedTipusNotificacio() != null &&
					cercaNotificacioForm.getSelectedTipusNotificacio().intValue() >= 0)
				parametres.put(Notificacio.CRITERI_NOTIFICACIO_ID_TIPUS_NOTIFICACIO, cercaNotificacioForm.getSelectedTipusNotificacio());
			parametres.put(Notificacio.CRITERI_NOTIFICACIO_ID_ESTAT, cercaNotificacioForm.getSelectedEstat());


			estatDefecte = cercaNotificacioForm.getSelectedEstat();
			if (cercaNotificacioForm.getSelectedTipusNotificacio() != null)
				tipusNotificacioDefecte = cercaNotificacioForm.getSelectedTipusNotificacio();

			try {
				cercaNotificacioForm.setNotificacions(
						notificacioDAO.findNotificacio(ConfiguracioUsuari.getInstance().getUsuari(), parametres));
			} catch (Throwable e) {
				try {
					iniciliatzaForm(request, cercaNotificacioForm, estatDefecte, tipusNotificacioDefecte);
				} catch (Throwable e1) {
					saveErrors(request, HelperDB.tractarError(e, "notificacioError"));
					return (mapping.findForward(CodisMestre.FAILURE));
				}
				saveErrors(request, HelperDB.tractarError(e, "notificacioError"));
				return (mapping.findForward(CodisMestre.FAILURE));
			}
		}
		//No fem res
		else if (accio != null && accio.equals(CodisMestre.RETORN_CERCA)) {

		}
		//Reiniciem el formulari
		else {
			resetFormulari(cercaNotificacioForm);
		}


		try {

			iniciliatzaForm(request, cercaNotificacioForm, estatDefecte, tipusNotificacioDefecte);

		} catch (Throwable e) {
			saveErrors(request, HelperDB.tractarError(e, "notificacioError"));
			return (mapping.findForward(CodisMestre.FAILURE));
		}

		return mapping.findForward("cercaNotificacio");
	}

	/**
	 * Inicialitzar el formulari
	 * @param request
	 * @param cercaNotificacioForm
	 * @param estatDefecte
	 * @param tipusNotificacioDefecte
	 * @throws Throwable
	 */
	private void iniciliatzaForm(HttpServletRequest request,
			CercaNotificacioForm cercaNotificacioForm, Integer estatDefecte,
			Integer tipusNotificacioDefecte) throws Throwable {

		inicialitzaTipusNotificacions(request, cercaNotificacioForm,
				tipusNotificacioDefecte);
		inicialitzaEstats(request, cercaNotificacioForm, estatDefecte);
		inicialitzaUsuariConnectat(request);
	}

	/**
	 * Inicialitzar tipus de notificacions
	 * @param request
	 * @param cercaNotificacioForm
	 * @param tipusNotificacioDefecte
	 * @throws Throwable
	 */
	private void inicialitzaTipusNotificacions(HttpServletRequest request,
			CercaNotificacioForm cercaNotificacioForm,
			Integer tipusNotificacioDefecte) throws Throwable {
		//Carrega opcions de tipus d'notificacios
		TipusNotificacio[] arrTipusNotificacions = recuperaTipusNotificacions(new HashMap(), true);
		ArrayList tipusNotificacions = new ArrayList(Arrays.asList(arrTipusNotificacions));
		cercaNotificacioForm.setTipusNotificacio(tipusNotificacions);

		if (cercaNotificacioForm.getSelectedTipusNotificacio() == null)
			cercaNotificacioForm.setSelectedTipusNotificacio(tipusNotificacioDefecte);
		//set the collection in the request
		request.setAttribute("tipusNotificacions", tipusNotificacions);
	}

	/**
	 * Inicialitzar estats
	 * @param request
	 * @param cercaNotificacioForm
	 * @param estatDefecte
	 */
	private void inicialitzaEstats(HttpServletRequest request,
			CercaNotificacioForm cercaNotificacioForm, Integer estatDefecte) {
		//Carrega opcions d'estat
		Estat[] arrEstats = HelperUI.recuperaEstats();
		//define a dummy collection
		ArrayList estats = new ArrayList(Arrays.asList(arrEstats));
		cercaNotificacioForm.setEstats(estats);

		if (cercaNotificacioForm.getSelectedEstat() == null)
			cercaNotificacioForm.setSelectedEstat(estatDefecte);

		//set the collection in the request
		request.setAttribute("estats", estats);
	}

	/**
	 * Inicialitzar usuari connectat. Hem de passar els permissos depenent del tipus d'usuari
	 * @param request
	 */
	private void inicialitzaUsuariConnectat(HttpServletRequest request) {
		//Seguretat per notificacio
		Usuari usuariConnectat = ConfiguracioUsuari.getInstance().getUsuari();
		if (usuariConnectat instanceof UsuariProfessor) {
			request.setAttribute("PermisProfessor", "PermisProfessor");
		}
		else if (usuariConnectat instanceof UsuariAdministrador ||
				usuariConnectat instanceof UsuariAdministratiu) {
			request.setAttribute(CodisMestre.PERMIS, CodisMestre.PERMIS);
		}
	}


	/**
	 * Recuperem els diferents tipus de notificacions de la base de dades
	 * @return Notificacio[]: Array de tipus de notificacions
	 */
	private TipusNotificacio[] recuperaTipusNotificacions(HashMap p_parametres, boolean bCreaQualsevolTipus) throws Throwable{
		TipusNotificacio[] arrTipusNotificacions = HelperUI.recuperaTipusNotificacions(p_parametres);
	
		TipusNotificacio[] tipusNotificacions = new TipusNotificacio[arrTipusNotificacions.length+1];
		if (bCreaQualsevolTipus) {
			//Creem un tipus de notificacio per poder seleccionar 'Qualsevol tipus'
			tipusNotificacions[0] = new TipusNotificacio();
			tipusNotificacions[0].setIdTipusNotificacio(new Integer(-1));
			tipusNotificacions[0].setDescripcio("Qualsevol Tipus Notificaci");

			for (int i = 0; i < arrTipusNotificacions.length; i++)
				tipusNotificacions[i+1] = arrTipusNotificacions[i];
			return tipusNotificacions;
		}
		else
			return arrTipusNotificacions;
	}

	/**
	 * Reiniciar valors del formulari
	 * @param cercaMatriculaForm
	 */
	private void resetFormulari(CercaNotificacioForm cercaNotificacioForm) {

		cercaNotificacioForm.setTitol("");
		cercaNotificacioForm.setDataInici(Internacionalitzacio.nomesData(new Date()));
		cercaNotificacioForm.setDataFi(null);
		cercaNotificacioForm.setNotificacions(new Notificacio[0]);

	}


}

