package com.uoc.tfc.UI.struts.action.qualificacio;

import java.io.InputStream;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.Iterator;
import java.util.Map;

import com.uoc.tfc.Base.qualificacio.Qualificacio;
import com.uoc.tfc.Base.usuari.UsuariReport;
import com.uoc.tfc.UI.struts.action.common.Accio;
import com.uoc.tfc.UI.struts.action.common.Reports;
import com.uoc.tfc.UI.struts.action.common.Context;

import net.sf.jasperreports.engine.JRDataSource;
import net.sf.jasperreports.engine.JasperFillManager;
import net.sf.jasperreports.engine.JasperPrint;
import net.sf.jasperreports.engine.JasperReport;
import net.sf.jasperreports.engine.data.JRBeanCollectionDataSource;
import net.sf.jasperreports.engine.util.JRLoader;

/**
 * Accio per generar el JasperReport de l'expedient
 * @author ojaen
 *
 */
public class AccioCreaJasperPrintExpedient extends Accio {

	private static final String REPORT_EXPEDIENT = "ReportExpedient.jasper";
	private static final String REPORT_EXPEDIENT_QUALIFICACIONS = "ReportExpedientQualificacio.jasper";
	public  static final String JASPER_PRINT = "JasperPrint";

	@Override
	public void execute() {


		JasperPrint jasperPrint = null;

		Context ctx = getContext();

		if (ctx!=null){
			Qualificacio qualificacio = null;

			if (ctx.getVariableEntrada(CercaQualificacioAction.CTX_BEAN_ORIGEN) != null)
				qualificacio = (Qualificacio) ctx.getVariableEntrada(CercaQualificacioAction.CTX_BEAN_ORIGEN);


			try {
				if (qualificacio != null){

					String fileName = Reports.getPathReports(REPORT_EXPEDIENT);
					InputStream reportStream = getClass().getResourceAsStream(fileName);
					JasperReport jasperReport = (JasperReport) JRLoader.loadObject(reportStream);
					UsuariReport usuariReport = creaUsuariReport(qualificacio);

					jasperPrint = JasperFillManager.fillReport(jasperReport, getReportParameters(), getDataSource(usuariReport));
					ctx.addVariableSortida(JASPER_PRINT, jasperPrint);
				}
			} catch(Exception e){

			}
		}

	}

	/**
	 * Crear usuari del report
	 * @param qualificacio
	 * @return UsuariReport
	 */
	private UsuariReport creaUsuariReport(Qualificacio qualificacio) {
		UsuariReport usuariReport = new UsuariReport();

		//Codi alumne
		usuariReport.setCodi(qualificacio.getCodiUsuari());

		//Nom alumne
		usuariReport.setNomComplert(qualificacio.getIdAlumne().getNomComplert());

		//Any Acadmic
		usuariReport.setAnyAcademic(qualificacio.getIdAnyAcademic().getDescripcio());

		//Curs
		usuariReport.setCurs(qualificacio.getIdAsigAulaProf().getIdAula().getDescCurs());

		//Tipus Titulaci
		usuariReport.setTipusTitulacio(qualificacio.getIdAsigAulaProf().getIdAula().getIdCurs().getDescTipusTitulacio());

		//Qualificacions

		for (Iterator<Qualificacio> iter=qualificacio.getIdAlumne().getSetOfQualificacio().iterator();iter.hasNext();) {
			Qualificacio qualificacioBD = iter.next();
			if (qualificacioBD.getIdAnyAcademic().equals(qualificacio.getIdAnyAcademic()))
				usuariReport.getSetOfQualificacio().add(qualificacioBD);
		}
		return usuariReport;
	}

	/**
	 * Parametres del report
	 * @return Map
	 */
	private Map getReportParameters() {
		HashMap paramLlistat= new HashMap();


		// 1er Full - Dades personals - Report Principal.
		paramLlistat.put("lblEstudiant", "ESTUDIANT");
		paramLlistat.put("lblAnyAcademic", "ANY ACADEMIC");
		paramLlistat.put("lblTipusTitulacio", "TIPUS TITULACI");
		paramLlistat.put("lblCurs", "CURS");

		paramLlistat.put("lblNomEstudiant", "Nom:");
		paramLlistat.put("lblCodiEstudiant", "Codi:");

		//Subreport qualificacions
		String fileName = Reports.getPathReports(REPORT_EXPEDIENT_QUALIFICACIONS);
		InputStream reportStream = getClass().getResourceAsStream(fileName);
		paramLlistat.put("subreportQualificacio", reportStream);
		paramLlistat.put("paramQualificacio", getParamQualificacio());

		return paramLlistat;
	}

	/**
	 * Parametres de les qualificacions
	 * @return Object
	 */
	private Object getParamQualificacio() {
		HashMap paramQualificacio = new HashMap();
		paramQualificacio.put("lblAssignatura", "Assignatura");
		paramQualificacio.put("lblQualificacio1", "Qualificaci 1");
		paramQualificacio.put("lblQualificacio2", "Qualificaci 2");
		paramQualificacio.put("lblQualificacio3", "Qualificaci 3");
		paramQualificacio.put("lblRepesca1", "Repesca 1");
		paramQualificacio.put("lblRepesca2", "Repesca 2");
		paramQualificacio.put("lblQualificacioFinal", "Qualificaci Final");

		return paramQualificacio;
	}

	/**
	 * Obtenir el dataSource del report
	 * @param p_usuariReport
	 * @return JRDataSource
	 */
	private JRDataSource getDataSource(UsuariReport p_usuariReport) {
		ArrayList llista = new ArrayList();
		llista.add(p_usuariReport);
		return new JRBeanCollectionDataSource(llista,true){	};
	}

}
