package com.uoc.tfc.UI.struts.action.qualificacio;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.HashMap;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

import com.uoc.tfc.Base.common.CodisMestre;
import com.uoc.tfc.Base.common.Helper;
import com.uoc.tfc.Base.manteniment.AnyAcademic;
import com.uoc.tfc.Base.manteniment.Assignatura;
import com.uoc.tfc.Base.manteniment.Aula;
import com.uoc.tfc.Base.mestres.Estat;
import com.uoc.tfc.Base.mestres.TipusDocument;
import com.uoc.tfc.Base.qualificacio.Qualificacio;
import com.uoc.tfc.LN.dao.qualificacio.QualificacioDAO;
import com.uoc.tfc.LN.db.HelperDB;
import com.uoc.tfc.UI.struts.action.common.Context;
import com.uoc.tfc.UI.struts.action.common.HelperUI;
import com.uoc.tfc.UI.struts.form.qualificacio.CercaQualificacioForm;

/**
 * Acci per la cerca de les qualificacions
 * @author ojaen
 *
 */
public class CercaQualificacioAction extends Action {

	public static final String CTX_BEAN_ORIGEN = "CTX_BEAN_ORIGEN";

	/**
	 * Mtode execuci
	 * @param mapping
	 * @param form
	 * @param request
	 * @param response
	 * @return ActionForward
	 */
	public ActionForward execute(
			ActionMapping mapping,
			ActionForm form,
			HttpServletRequest request,
			HttpServletResponse response) {
		if (Helper.isSessioExpirada(request))
			return (mapping.findForward(CodisMestre.SESSIO_EXPIRADA));


		CercaQualificacioForm cercaQualificacioForm = (CercaQualificacioForm) form;
		QualificacioDAO qualificacioDAO = new QualificacioDAO();
		Integer estatDefecte = CodisMestre.CODI_ESTAT_ALTA;
		Integer anyAcademicDefecte = new Integer(0);
		Integer tipusDocumentDefecte = CodisMestre.CODI_TIPUS_DOCUMENT_NIF;
		Integer aulaDefecte = new Integer(0);
		Integer assignaturaDefecte = new Integer(0);

		String accio = request.getParameter(CodisMestre.DO);

		//Cerca normal
		if (accio == null || (!accio.equals(CodisMestre.PREPARE_CERCA) && !accio.equals("printQualificacio")
				&& !accio.equals(CodisMestre.RETORN_CERCA))) {
			HashMap parametres = new HashMap();

			if (Helper.validarCadena(cercaQualificacioForm.getCodiUsuari()))
				parametres.put(Qualificacio.CRITERI_QUALIFICACIO_ID_USUARI, Integer.parseInt(cercaQualificacioForm.getCodiUsuari()));
			parametres.put(Qualificacio.CRITERI_QUALIFICACIO_NOM_USUARI,
					cercaQualificacioForm.getNom() != null ? cercaQualificacioForm.getNom().toUpperCase() : "");
			parametres.put(Qualificacio.CRITERI_QUALIFICACIO_COGNOM1_USUARI,
					cercaQualificacioForm.getCognom1() != null ? cercaQualificacioForm.getCognom1().toUpperCase() : "");
			parametres.put(Qualificacio.CRITERI_QUALIFICACIO_COGNOM2_USUARI,
					cercaQualificacioForm.getCognom2() != null ? cercaQualificacioForm.getCognom2().toUpperCase() : "");
			parametres.put(Qualificacio.CRITERI_QUALIFICACIO_NUM_DOCUMENT_USUARI, cercaQualificacioForm.getNumDocument());
			parametres.put(Qualificacio.CRITERI_QUALIFICACIO_ID_TIPUS_DOCUMENT_USUARI, cercaQualificacioForm.getSelectedTipusDocument());
			parametres.put(Qualificacio.CRITERI_QUALIFICACIO_ID_ESTAT_USUARI, cercaQualificacioForm.getSelectedEstat());
			parametres.put(Qualificacio.CRITERI_QUALIFICACIO_ID_ANY_ACADEMIC_USUARI, cercaQualificacioForm.getSelectedAnyAcademic());
			if (cercaQualificacioForm.getSelectedAula() != null &&
					cercaQualificacioForm.getSelectedAula().intValue() > 0)
				parametres.put(Qualificacio.CRITERI_QUALIFICACIO_ID_AULA, cercaQualificacioForm.getSelectedAula());

			if (cercaQualificacioForm.getSelectedAssignatura() != null &&
					cercaQualificacioForm.getSelectedAssignatura().intValue() > 0)
				parametres.put(Qualificacio.CRITERI_QUALIFICACIO_ID_ASSIGNATURA, cercaQualificacioForm.getSelectedAssignatura());

			estatDefecte = cercaQualificacioForm.getSelectedEstat();
			if (cercaQualificacioForm.getSelectedAnyAcademic() != null)
				anyAcademicDefecte = cercaQualificacioForm.getSelectedAnyAcademic();

			if (cercaQualificacioForm.getSelectedTipusDocument() != null)
				tipusDocumentDefecte = cercaQualificacioForm.getSelectedTipusDocument();

			if (cercaQualificacioForm.getSelectedAula() != null)
				aulaDefecte = cercaQualificacioForm.getSelectedAula();


			if (cercaQualificacioForm.getSelectedAssignatura() != null)
				assignaturaDefecte = cercaQualificacioForm.getSelectedAssignatura();



			try {
				cercaQualificacioForm.setQualificacions(qualificacioDAO.findQualificacio(parametres));
			} catch (Throwable e) {
				saveErrors(request, HelperDB.tractarError(e, "qualificacioError"));
				return (mapping.findForward(CodisMestre.FAILURE));
			}
		}
		//Preparacio per realitzar la impressio de l'expedient
		else if (accio != null && accio.equals("printQualificacio")) {

			Integer id = Integer.valueOf(request.getParameter("id"));
			//Parametres
			HashMap parametres = new HashMap();
			parametres.put(Qualificacio.CRITERI_QUALIFICACIO_ID_QUALIFICACIO, id);

			Qualificacio[] qualificacions = null;

			try {
				qualificacions = qualificacioDAO.findQualificacio(parametres);
				AccioImprimirExpedient accioImprimir = new AccioImprimirExpedient();
				Context ctx = new Context();
				ctx.addVariableEntrada(CTX_BEAN_ORIGEN, qualificacions[0]);
				accioImprimir.setContext(ctx);

				accioImprimir.execute();
			} catch (Throwable e) {
				try {
					inicialitzaForm(request, cercaQualificacioForm, estatDefecte,
							anyAcademicDefecte, tipusDocumentDefecte, aulaDefecte,
							assignaturaDefecte);
				} catch (Throwable e1) {
				}
				saveErrors(request, HelperDB.tractarError(e, "qualificacioError"));
				return (mapping.findForward(CodisMestre.FAILURE));
			}
			//No fem res
		} else if (accio != null && accio.equals(CodisMestre.RETORN_CERCA)) {

			//Reiniciem el formulari
		} else {
			resetFormulari(cercaQualificacioForm);
		}

		try {

			inicialitzaForm(request, cercaQualificacioForm, estatDefecte,
					anyAcademicDefecte, tipusDocumentDefecte, aulaDefecte,
					assignaturaDefecte);



		} catch (Throwable e) {
			saveErrors(request, HelperDB.tractarError(e, "qualificacioError"));
			return (mapping.findForward(CodisMestre.FAILURE));
		}

		return mapping.findForward("cercaQualificacio");
	}

	/**
	 * Inicialitzar formulari
	 * @param request
	 * @param cercaQualificacioForm
	 * @param estatDefecte
	 * @param anyAcademicDefecte
	 * @param tipusDocumentDefecte
	 * @param aulaDefecte
	 * @param assignaturaDefecte
	 * @throws Throwable
	 */
	private void inicialitzaForm(HttpServletRequest request,
			CercaQualificacioForm cercaQualificacioForm, Integer estatDefecte,
			Integer anyAcademicDefecte, Integer tipusDocumentDefecte,
			Integer aulaDefecte, Integer assignaturaDefecte) throws Throwable {
		inicialitzaAnysAcademics(request, cercaQualificacioForm,
				anyAcademicDefecte);
		inicialitzaTipusDocuments(request, cercaQualificacioForm,
				tipusDocumentDefecte);
		inicialitzaEstats(request, cercaQualificacioForm, estatDefecte);
		inicialitzaAules(request, cercaQualificacioForm, aulaDefecte);
		inicialitzaAssignatures(request, cercaQualificacioForm, assignaturaDefecte);
	}

	/**
	 * Inicialitzar estats
	 * @param request
	 * @param cercaQualificacioForm
	 * @param estatDefecte
	 */
	private void inicialitzaEstats(HttpServletRequest request,
			CercaQualificacioForm cercaQualificacioForm, Integer estatDefecte) {
		//Carrega opcions d'estat
		Estat[] arrEstats = HelperUI.recuperaEstats();

		//define a dummy collection
		ArrayList estats = new ArrayList(Arrays.asList(arrEstats));
		cercaQualificacioForm.setEstats(estats);

		if (cercaQualificacioForm.getSelectedEstat() == null)
			cercaQualificacioForm.setSelectedEstat(estatDefecte);

		//set the collection in the request
		request.setAttribute("estats", estats);
	}

	/**
	 * Inicialitzar tipus de documents
	 * @param request
	 * @param cercaQualificacioForm
	 * @param tipusDocumentDefecte
	 * @throws Throwable
	 */
	private void inicialitzaTipusDocuments(HttpServletRequest request,
			CercaQualificacioForm cercaQualificacioForm, Integer tipusDocumentDefecte)
	throws Throwable {
		//Carrega opcions de tipus de documents
		TipusDocument[] arrTipusDocuments = HelperUI.recuperaTipusDocuments(new HashMap());

		ArrayList tipusDocuments = new ArrayList(Arrays.asList(arrTipusDocuments));
		cercaQualificacioForm.setAnyAcademic(tipusDocuments);

		if (cercaQualificacioForm.getSelectedTipusDocument() == null)
			cercaQualificacioForm.setSelectedTipusDocument(tipusDocumentDefecte);

		//set the collection in the request
		request.setAttribute("tipusDocuments", tipusDocuments);
	}

	/**
	 * Inicialitzar anys acadmics
	 * @param request
	 * @param cercaQualificacioForm
	 * @param anyAcademicDefecte
	 * @throws Throwable
	 */
	private void inicialitzaAnysAcademics(HttpServletRequest request,
			CercaQualificacioForm cercaQualificacioForm, Integer anyAcademicDefecte)
	throws Throwable {
		//Carrega opcions de tipus d'usuaris
		AnyAcademic[] arrAnyAcademics = HelperUI.recuperaAnysAcademics(new HashMap());

		ArrayList anyAcademics = new ArrayList(Arrays.asList(arrAnyAcademics));
		cercaQualificacioForm.setAnyAcademic(anyAcademics);
		if (cercaQualificacioForm.getSelectedAnyAcademic() == null)
			cercaQualificacioForm.setSelectedAnyAcademic(anyAcademicDefecte);

		//set the collection in the request
		request.setAttribute("anysAcademics", anyAcademics);
	}


	/**
	 * Inicialitzar aules
	 * @param request
	 * @param cercaQualificacioForm
	 * @param aulaDefecte
	 * @throws Throwable
	 */
	private void inicialitzaAules(HttpServletRequest request,
			CercaQualificacioForm cercaQualificacioForm, Integer aulaDefecte)
	throws Throwable {
		//Carrega opcions de tipus d'usuaris
		Aula[] arrAules = recuperaAules(new HashMap(), true);

		ArrayList aules = new ArrayList(Arrays.asList(arrAules));
		cercaQualificacioForm.setAula(aules);

		if (cercaQualificacioForm.getSelectedAula() == null)
			cercaQualificacioForm.setSelectedAula(aulaDefecte);

		//set the collection in the request
		request.setAttribute("aules", aules);
	}

	/**
	 * Recuperem les aules de la base de dades
	 * @return Aula[]: Array de aules
	 */
	private Aula[] recuperaAules(HashMap p_parametres, boolean creaCapaula) throws Throwable{

		Aula[] o = HelperUI.recuperaAules(p_parametres);

		Aula[] aules = new Aula[o.length+1];

		if (creaCapaula) {
			//Creem un aula fictici per poder seleccionar 'Cap Aula Previ'
			aules[0] = new Aula();
			aules[0].setCodiAula("0");
			aules[0].setDescripcio("Qualsevol Aula");
			aules[0].setIdAula(new Integer(0));

			for (int i = 0; i < o.length; i++)
				aules[i+1] = o[i];
			return aules;
		}
		else
			return o;

	}

	/**
	 * Inicialitzar assignatures
	 * @param request
	 * @param cercaQualificacioForm
	 * @param assignaturaDefecte
	 * @throws Throwable
	 */
	private void inicialitzaAssignatures(HttpServletRequest request,
			CercaQualificacioForm cercaQualificacioForm, Integer assignaturaDefecte)
	throws Throwable {
		//Carrega opcions de tipus d'usuaris
		Assignatura[] arrAssignatures = recuperaAssignatures(new HashMap(), true);

		ArrayList assignatures = new ArrayList(Arrays.asList(arrAssignatures));
		cercaQualificacioForm.setAssignatura(assignatures);

		if (cercaQualificacioForm.getSelectedAssignatura() == null)
			cercaQualificacioForm.setSelectedAssignatura(assignaturaDefecte);

		//set the collection in the request
		request.setAttribute("assignatures", assignatures);
	}

	/**
	 * Recuperem els assignatures de la base de dades
	 * @return Assignatura[]: Array de assignatures
	 */
	private Assignatura[] recuperaAssignatures(HashMap p_parametres, boolean creaCapassignatura) throws Throwable{

		Assignatura[] o = HelperUI.recuperaAssignatura(p_parametres);

		Assignatura[] assignatures = new Assignatura[o.length+1];

		if (creaCapassignatura) {
			//Creem un assignatura fictici per poder seleccionar 'Cap Assignatura Previ'
			assignatures[0] = new Assignatura();
			assignatures[0].setCodiAssignatura("0");
			assignatures[0].setDescripcio("Qualsevol Assignatura");
			assignatures[0].setIdAssignatura(new Integer(0));

			for (int i = 0; i < o.length; i++)
				assignatures[i+1] = o[i];
			return assignatures;
		}
		else
			return o;

	}

	/**
	 * Reiniciar valors del formulari
	 * @param cercaMatriculaForm
	 */
	private void resetFormulari(CercaQualificacioForm cercaQualificacioForm) {

		cercaQualificacioForm.setCodiUsuari("");
		cercaQualificacioForm.setCognom1("");
		cercaQualificacioForm.setCognom2("");
		cercaQualificacioForm.setNom("");
		cercaQualificacioForm.setNumDocument("");
		cercaQualificacioForm.setQualificacions(new Qualificacio[0]);

	}


}

