package com.uoc.tfc.UI.struts.action.usuari;

import java.io.InputStream;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.struts.action.Action;
import org.apache.struts.action.ActionError;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.upload.FormFile;
import org.hibernate.Hibernate;

import com.uoc.tfc.Base.common.CodisMestre;
import com.uoc.tfc.Base.common.ConfiguracioUsuari;
import com.uoc.tfc.Base.common.Helper;
import com.uoc.tfc.Base.usuari.Usuari;
import com.uoc.tfc.LN.dao.usuari.UsuariDAO;
import com.uoc.tfc.LN.db.HelperDB;
import com.uoc.tfc.UI.struts.form.usuari.ActualitzarFotoForm;

public class ActualitzarFotoAction  extends Action {

	private static int MAX_SIZE_FILE = 1048576;



	/**
	 * Acci per tractar la foto de l'usuari
	 */
	public ActionForward execute(
			ActionMapping mapping,
			ActionForm form,
			HttpServletRequest request,
			HttpServletResponse response) throws Exception{
		if (Helper.isSessioExpirada(request))
			return (mapping.findForward(CodisMestre.SESSIO_EXPIRADA));

		ActualitzarFotoForm fotoForm = (ActualitzarFotoForm)form;

		// Processar fotoForm
		FormFile foto = fotoForm.getTheFile();

		//Size foto
		if (foto != null && foto.getFileSize() > MAX_SIZE_FILE) {
			ActionErrors errors = new ActionErrors();
			errors.add("actualitzarFotoError", new ActionError("error.file.maxsize"));
			saveErrors(request, errors);
			return (mapping.findForward(CodisMestre.FAILURE));
		}

		//Get the file name
		String fileName = null;
		if (foto != null)
			fileName = foto.getFileName();


		/* Gravem fitxer */
		if(fileName != null && !fileName.equals("")){

			try {
				InputStream is = foto.getInputStream();
				Usuari usuari = ConfiguracioUsuari.getInstance().getUsuari();
				usuari.setFoto(Hibernate.createBlob(is));

				UsuariDAO usuariDAO = new UsuariDAO();
				usuariDAO.gravar(usuari);

				ActionErrors errors = new ActionErrors();
				errors.add("actualitzarFotoAvis", new ActionError("avis.proces.acabat"));
				saveErrors(request, errors);


			} catch (Throwable e) {
				saveErrors(request, HelperDB.tractarError(e, "actualitzarFotoError"));
				return (mapping.findForward(CodisMestre.FAILURE));
			}
		}
		//Set file name to the request object
		request.setAttribute("fileName",fileName != null ? fileName : "");

		return mapping.findForward(CodisMestre.SUCCESS);
	}

}
