package com.uoc.tfc.UI.struts.action.usuari;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.HashMap;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

import com.uoc.tfc.Base.common.CodisMestre;
import com.uoc.tfc.Base.common.ConfiguracioUsuari;
import com.uoc.tfc.Base.common.Helper;
import com.uoc.tfc.Base.mestres.Estat;
import com.uoc.tfc.Base.mestres.TipusDocument;
import com.uoc.tfc.Base.mestres.TipusUsuari;
import com.uoc.tfc.Base.usuari.Usuari;
import com.uoc.tfc.Base.usuari.UsuariAlumne;
import com.uoc.tfc.Base.usuari.UsuariPare;
import com.uoc.tfc.Base.usuari.UsuariProfessor;
import com.uoc.tfc.LN.dao.usuari.UsuariDAO;
import com.uoc.tfc.LN.db.HelperDB;
import com.uoc.tfc.UI.struts.action.common.HelperUI;
import com.uoc.tfc.UI.struts.form.usuari.CercaUsuariForm;

/**
 * Formulari cerca usuaris
 *
 * @author ojaen
 *
 */
public class CercaUsuariAction extends Action {

	/**
	 * Mtode execuci
	 *
	 * @param mapping
	 * @param form
	 * @param request
	 * @param response
	 * @return ActionForward
	 */
	public ActionForward execute(ActionMapping mapping, ActionForm form,
			HttpServletRequest request, HttpServletResponse response) {

		if (Helper.isSessioExpirada(request))
			return (mapping.findForward(CodisMestre.SESSIO_EXPIRADA));

		CercaUsuariForm cercaUsuariForm = (CercaUsuariForm) form;
		UsuariDAO usuariDAO = new UsuariDAO();
		Integer estatDefecte = CodisMestre.CODI_ESTAT_ALTA;
		Integer tipusUsuariDefecte = CodisMestre.CODI_USUARI_ALUMNE;
		Integer tipusDocumentDefecte = CodisMestre.CODI_TIPUS_DOCUMENT_NIF;

		String accio = request.getParameter(CodisMestre.DO);

		if (accio == null || (!accio.equals(CodisMestre.PREPARE_CERCA) && !accio.equals(CodisMestre.RETORN_CERCA))) {
			HashMap parametres = new HashMap();

			if (Helper.validarCadena(cercaUsuariForm.getCodiUsuari()))
				parametres.put(Usuari.CRITERI_USUARI_ID_USUARI, Integer
						.parseInt(cercaUsuariForm.getCodiUsuari()));
			parametres.put(Usuari.CRITERI_USUARI_NOM,
					cercaUsuariForm.getNom() != null ? cercaUsuariForm.getNom()
							.toUpperCase() : "");
			parametres.put(Usuari.CRITERI_USUARI_COGNOM1, cercaUsuariForm
					.getCognom1() != null ? cercaUsuariForm.getCognom1()
							.toUpperCase() : "");
			parametres.put(Usuari.CRITERI_USUARI_COGNOM2, cercaUsuariForm
					.getCognom2() != null ? cercaUsuariForm.getCognom2()
							.toUpperCase() : "");
			parametres.put(Usuari.CRITERI_USUARI_NUM_DOCUMENT, cercaUsuariForm
					.getNumDocument());
			parametres.put(Usuari.CRITERI_USUARI_ID_TIPUS_DOCUMENT,
					cercaUsuariForm.getSelectedTipusDocument());
			parametres.put(Usuari.CRITERI_USUARI_ID_TIPUS_USUARI,
					cercaUsuariForm.getSelectedTipusUsuari());
			parametres.put(Usuari.CRITERI_USUARI_ID_ESTAT, cercaUsuariForm
					.getSelectedEstat());

			estatDefecte = cercaUsuariForm.getSelectedEstat();
			if (cercaUsuariForm.getSelectedTipusUsuari() != null)
				tipusUsuariDefecte = cercaUsuariForm.getSelectedTipusUsuari();

			if (cercaUsuariForm.getSelectedTipusDocument() != null)
				tipusDocumentDefecte = cercaUsuariForm
				.getSelectedTipusDocument();

			try {
				cercaUsuariForm.setUsuaris(usuariDAO.findUsuari(parametres));
			} catch (Throwable e) {
				saveErrors(request, HelperDB.tractarError(e, "cursUsuari"));
				return (mapping.findForward(CodisMestre.FAILURE));
			}
		}
		//No fem res
		else if (accio != null && accio.equals(CodisMestre.RETORN_CERCA)) {

		}
		//Reiniciem el formulari
		else {
			resetFormulari(cercaUsuariForm);
		}

		try {

			inicialitzarTipusUsuari(request, cercaUsuariForm,
					tipusUsuariDefecte);
			inicialitzarTipusDocument(request, cercaUsuariForm,
					tipusDocumentDefecte);
			inicialitzarEstats(request, cercaUsuariForm, estatDefecte);

			validaPermisos(request, cercaUsuariForm);

			if (accio != null && accio.equals("selectorUsuari")) {
				// El selector es el selector d'usuaris
				return mapping.findForward("selectorUsuari");
			}

		} catch (Throwable e) {
			saveErrors(request, HelperDB.tractarError(e, "editUsuariError"));
			return (mapping.findForward(CodisMestre.FAILURE));
		}

		return mapping.findForward("cercaUsuari");
	}

	/**
	 * Reiniciar valors del formulari
	 *
	 * @param cercaUsuariForm
	 */
	private void resetFormulari(CercaUsuariForm cercaUsuariForm) {

		cercaUsuariForm.setCodiUsuari("");
		cercaUsuariForm.setCognom1("");
		cercaUsuariForm.setCognom2("");
		cercaUsuariForm.setNom("");
		cercaUsuariForm.setNumDocument("");
		cercaUsuariForm.setUsuaris(new Usuari[0]);
	}

	/**
	 * Permisos. - Nomes l'administrador i personal administratiu podra
	 * modificar qualsevol dada - Si es alumne, pare, professor no podra
	 * eliminar res - Si es alumne: podra veure i modificar les seves dades - Si
	 * es pare: nomes podra veure i modificar les dades dels seus fills i les
	 * seves propies dades - Si es professor: nomes podra veure les dades dels
	 * seus alumnes i modificar les seves propies dades
	 *
	 * @param request
	 * @param cercaUsuariForm
	 */
	private void validaPermisos(HttpServletRequest request,
			CercaUsuariForm cercaUsuariForm) {

		// Seguretat per usuari
		Usuari usuariConnectat = ConfiguracioUsuari.getInstance().getUsuari();
		if (usuariConnectat instanceof UsuariAlumne	||
				usuariConnectat instanceof UsuariPare ||
				usuariConnectat instanceof UsuariProfessor) {
			request.setAttribute(CodisMestre.CONSULTA, CodisMestre.CONSULTA); // No es pot esborrar
		} else {
			request.setAttribute(CodisMestre.PERMIS, CodisMestre.PERMIS); // Permet esborrar
		}

		// El professor no pot modificar les dades dels seus alumnes
		if (!(usuariConnectat instanceof UsuariProfessor &&
				cercaUsuariForm.getSelectedTipusUsuari().equals(CodisMestre.CODI_USUARI_ALUMNE))) {
			request.setAttribute(CodisMestre.MODIFICA, CodisMestre.MODIFICA);
		}
	}

	/**
	 * Inicialitzar estats
	 *
	 * @param request
	 * @param cercaUsuariForm
	 * @param estatDefecte
	 */
	private void inicialitzarEstats(HttpServletRequest request,
			CercaUsuariForm cercaUsuariForm, Integer estatDefecte) {
		// Carrega opcions d'estat
		Estat[] arrEstats = HelperUI.recuperaEstats();

		// define a dummy collection
		ArrayList estats = new ArrayList(Arrays.asList(arrEstats));
		cercaUsuariForm.setEstats(estats);
		if (cercaUsuariForm.getSelectedEstat() == null)
			cercaUsuariForm.setSelectedEstat(estatDefecte);

		// set the collection in the request
		request.setAttribute("estats", estats);
	}

	/**
	 * Inicialitzar tipus de documents
	 *
	 * @param request
	 * @param cercaUsuariForm
	 * @param tipusDocumentDefecte
	 * @throws Throwable
	 */
	private void inicialitzarTipusDocument(HttpServletRequest request,
			CercaUsuariForm cercaUsuariForm, Integer tipusDocumentDefecte)
	throws Throwable {
		// Carrega opcions de tipus de documents
		TipusDocument[] arrTipusDocuments = HelperUI.recuperaTipusDocuments(new HashMap());

		ArrayList tipusDocuments = new ArrayList(Arrays
				.asList(arrTipusDocuments));
		cercaUsuariForm.setTipusUsuari(tipusDocuments);

		if (cercaUsuariForm.getSelectedTipusDocument() == null)
			cercaUsuariForm.setSelectedTipusDocument(tipusDocumentDefecte);

		// set the collection in the request
		request.setAttribute("tipusDocuments", tipusDocuments);
	}

	/**
	 * Inicialitzar tipus d'usuari
	 *
	 * @param request
	 * @param cercaUsuariForm
	 * @param tipusUsuariDefecte
	 * @throws Throwable
	 */
	private void inicialitzarTipusUsuari(HttpServletRequest request,
			CercaUsuariForm cercaUsuariForm, Integer tipusUsuariDefecte)
	throws Throwable {
		// Carrega opcions de tipus d'usuaris
		TipusUsuari[] arrTipusUsuaris = recuperaTipusUsuaris(new HashMap());

		ArrayList tipusUsuaris = new ArrayList(Arrays.asList(arrTipusUsuaris));
		cercaUsuariForm.setTipusUsuari(tipusUsuaris);
		if (cercaUsuariForm.getSelectedTipusUsuari() == null)
			cercaUsuariForm.setSelectedTipusUsuari(tipusUsuariDefecte);

		// set the collection in the request
		request.setAttribute("tipusUsuaris", tipusUsuaris);
	}



	/**
	 * Recuperem els diferents tipus d'usuaris de la base de dades
	 *
	 * @return TipusUsuari[]: Array de tipus d'usuaris
	 */
	private TipusUsuari[] recuperaTipusUsuaris(HashMap p_parametres)
	throws Throwable {
		TipusUsuari[] arrTipusUsuaris;
		
		TipusUsuari[] o = HelperUI.recuperaTipusUsuaris(p_parametres);
		ArrayList<TipusUsuari> alTipusUsuari = new ArrayList<TipusUsuari>();

		for (int i = 0; i < o.length; i++) {
			// Si es administratiu nomes el pot veure l'administratiu
			TipusUsuari tipusUsuari = (TipusUsuari) o[i];

			// L'usuari administratiu pot veure tot
			if (ConfiguracioUsuari.getInstance().getUsuari().isAdministratiu()
					|| ConfiguracioUsuari.getInstance().getUsuari()
					.isAdministrador())
				alTipusUsuari.add(tipusUsuari);
			else if (ConfiguracioUsuari.getInstance().getUsuari() instanceof UsuariAlumne
					&& tipusUsuari.getIdTipusUsuari().equals(
							CodisMestre.CODI_USUARI_ALUMNE)) {
				alTipusUsuari.add(tipusUsuari);
			} else if (ConfiguracioUsuari.getInstance().getUsuari() instanceof UsuariProfessor
					&& (tipusUsuari.getIdTipusUsuari().equals(
							CodisMestre.CODI_USUARI_ALUMNE) || tipusUsuari
							.getIdTipusUsuari().equals(
									CodisMestre.CODI_USUARI_PROFESSOR))) {
				alTipusUsuari.add(tipusUsuari);
			} else if (ConfiguracioUsuari.getInstance().getUsuari() instanceof UsuariPare
					&& (tipusUsuari.getIdTipusUsuari().equals(
							CodisMestre.CODI_USUARI_ALUMNE) || tipusUsuari
							.getIdTipusUsuari().equals(
									CodisMestre.CODI_USUARI_PARE))) {
				alTipusUsuari.add(tipusUsuari);
			}
		}
		arrTipusUsuaris = new TipusUsuari[alTipusUsuari.size()];
		for (int i = 0; i < alTipusUsuari.size(); i++)
			arrTipusUsuaris[i] = alTipusUsuari.get(i);

		return arrTipusUsuaris;

	}

}
