package com.uoc.tfc.UI.struts.action.usuari;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.HashMap;
import java.util.HashSet;
import java.util.Iterator;
import java.util.Set;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.struts.action.ActionError;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.actions.DispatchAction;

import com.uoc.tfc.Base.common.CodisMestre;
import com.uoc.tfc.Base.common.ConfiguracioUsuari;
import com.uoc.tfc.Base.common.Helper;
import com.uoc.tfc.Base.common.Internacionalitzacio;
import com.uoc.tfc.Base.manteniment.Assignatura;
import com.uoc.tfc.Base.manteniment.Curs;
import com.uoc.tfc.Base.manteniment.TipusTitulacio;
import com.uoc.tfc.Base.matricula.Matricula;
import com.uoc.tfc.Base.mestres.Estat;
import com.uoc.tfc.Base.mestres.Provincia;
import com.uoc.tfc.Base.mestres.TipusDocument;
import com.uoc.tfc.Base.mestres.TipusUsuari;
import com.uoc.tfc.Base.notificacio.Notificacio;
import com.uoc.tfc.Base.usuari.PareAlumne;
import com.uoc.tfc.Base.usuari.ProfessorAssignatura;
import com.uoc.tfc.Base.usuari.Usuari;
import com.uoc.tfc.Base.usuari.UsuariAdministrador;
import com.uoc.tfc.Base.usuari.UsuariAdministratiu;
import com.uoc.tfc.Base.usuari.UsuariAlumne;
import com.uoc.tfc.Base.usuari.UsuariPare;
import com.uoc.tfc.Base.usuari.UsuariProfessor;
import com.uoc.tfc.LN.dao.mestres.MestreDAO;
import com.uoc.tfc.LN.dao.notificacio.NotificacioDAO;
import com.uoc.tfc.LN.dao.usuari.UsuariDAO;
import com.uoc.tfc.LN.dao.usuari.UtilUsuari;
import com.uoc.tfc.LN.db.HelperDB;
import com.uoc.tfc.UI.struts.action.common.HelperUI;
import com.uoc.tfc.UI.struts.form.usuari.EditUsuariForm;

/**
 * Formulari edici usuari
 * @author ojaen
 *
 */
public class EditUsuariAction extends DispatchAction {

	/**
	 * Preparar formulari
	 *
	 * @param mapping
	 * @param form
	 * @param request
	 * @param response
	 * @return ActionForward
	 */
	public ActionForward prepareEdit(ActionMapping mapping, ActionForm form,
			HttpServletRequest request, HttpServletResponse response) {
		if (Helper.isSessioExpirada(request))
			return (mapping.findForward(CodisMestre.SESSIO_EXPIRADA));

		EditUsuariForm usuariEditForm = (EditUsuariForm) form;

		//Recuperem el id del usuari seleccionat
		Integer id = Integer.valueOf(request.getParameter("id"));
		UsuariDAO usuariDAO = new UsuariDAO();

		//Parametres
		HashMap parametres = new HashMap();
		parametres.put(Usuari.CRITERI_USUARI_ID_USUARI, id);

		Usuari[] usuaris = null;

		try {
			usuaris = usuariDAO.findUsuari(parametres);

			inicialitzaEstats(request, usuariEditForm, usuaris);
			inicialitzaTipusDocuments(request, usuariEditForm, usuaris);
			inicialitzaProvincies(request, usuariEditForm, usuaris);
			inicialitzaTipusUsuaris(request, usuariEditForm, usuaris, usuaris[0].getIdTipusUsuari());
			inicialitzaCursos(request, usuariEditForm, usuaris);

			usuariEditForm.setUsuari(usuaris[0]);

			//Inicialitzem la relacio entre usuaris i assignatures
			if (usuaris[0] instanceof UsuariProfessor)
			inicialitzaProfessorAssignatures(usuariEditForm, ((UsuariProfessor) usuaris[0]).getSetOfProfessorAssignatura());

			//Inicialitzem la relacio entre pares i alumnes
			if (usuaris[0] instanceof UsuariPare)
			inicialitzaPareAlumnes(usuariEditForm, ((UsuariPare) usuaris[0]).getSetOfPareAlumne());

			request.setAttribute("TipusUsuari", usuaris[0].getIdTipusUsuari());
			request.setAttribute("Foto", usuaris[0].getPhoto());

			request.getSession().setAttribute("Foto", usuaris[0].getPhoto());

		} catch (Throwable e) {
			saveErrors(request, HelperDB.tractarError(e, "editUsuariError"));
			return (mapping.findForward(CodisMestre.FAILURE));
		}

		return mapping.findForward("editUsuari");
	}

	/**
	 * Prepara l'edici per afegir un usuari tipus Administratiu
	 *
	 * @param mapping
	 * @param form
	 * @param request
	 * @param response
	 * @return ActionForward
	 */
	public ActionForward prepareAddAdministratiu(ActionMapping mapping, ActionForm form,
			HttpServletRequest request, HttpServletResponse response) {
		return prepareAdd(mapping, form, request, response, CodisMestre.CODI_USUARI_ADMINISTRATIU);
	}

	/**
	 * Prepara l'edici per afegir un usuari tipus Professor
	 *
	 * @param mapping
	 * @param form
	 * @param request
	 * @param response
	 * @return ActionForward
	 */
	public ActionForward prepareAddProfessor(ActionMapping mapping, ActionForm form,
			HttpServletRequest request, HttpServletResponse response) {
		return prepareAdd(mapping, form, request, response, CodisMestre.CODI_USUARI_PROFESSOR);
	}

	/**
	 * Prepara l'edici per afegir un usuari tipus Alumne
	 *
	 * @param mapping
	 * @param form
	 * @param request
	 * @param response
	 * @return ActionForward
	 */
	public ActionForward prepareAddAlumne(ActionMapping mapping, ActionForm form,
			HttpServletRequest request, HttpServletResponse response) {
		return prepareAdd(mapping, form, request, response, CodisMestre.CODI_USUARI_ALUMNE);
	}

	/**
	 * Prepara l'edici per afegir un usuari tipus Pare
	 *
	 * @param mapping
	 * @param form
	 * @param request
	 * @param response
	 * @return ActionForward
	 */
	public ActionForward prepareAddPare(ActionMapping mapping, ActionForm form,
			HttpServletRequest request, HttpServletResponse response) {
		return prepareAdd(mapping, form, request, response, CodisMestre.CODI_USUARI_PARE);
	}


	/**
	 * Parepara l'edici per afegir un usuari
	 *
	 * @param mapping
	 * @param form
	 * @param request
	 * @param response
	 * @return ActionForward
	 */
	public ActionForward prepareAdd(ActionMapping mapping, ActionForm form,
			HttpServletRequest request, HttpServletResponse response, Integer p_tipusUsuari) {
		if (Helper.isSessioExpirada(request))
			return (mapping.findForward(CodisMestre.SESSIO_EXPIRADA));

		EditUsuariForm usuariEditForm = (EditUsuariForm) form;
		Usuari[] usuaris = null;

		try {
			//Inicialitzem estats
			inicialitzaEstats(request, usuariEditForm, usuaris);

			//Inicialitzem tipus de documents
			inicialitzaTipusDocuments(request, usuariEditForm, usuaris);

			//Inicialitzem provincies
			inicialitzaProvincies(request, usuariEditForm, usuaris);

			//Inicialitzem tipus usuari
			inicialitzaTipusUsuaris(request, usuariEditForm, usuaris, p_tipusUsuari);

			//Inicialitzem cursos
			inicialitzaCursos(request, usuariEditForm, usuaris);


			//inicialitzem la resta de valors del form
			inicialitzaForm(usuariEditForm, p_tipusUsuari);

			request.setAttribute("TipusUsuari", p_tipusUsuari);


		} catch (Throwable e) {
			saveErrors(request, HelperDB.tractarError(e, "usuariError"));
			return (mapping.findForward(CodisMestre.FAILURE));
		}


		return mapping.findForward("editUsuari");

	}

	/**
	 * Inicialitzar el formulari
	 * @param usuariEditForm
	 * @param p_tipusUsuari
	 */
	private void inicialitzaForm(EditUsuariForm usuariEditForm, Integer p_tipusUsuari) {

		if (p_tipusUsuari.equals(CodisMestre.CODI_USUARI_ADMINISTRADOR))
			usuariEditForm.setUsuari(new UsuariAdministrador());
		else if (p_tipusUsuari.equals(CodisMestre.CODI_USUARI_ADMINISTRATIU))
			usuariEditForm.setUsuari(new UsuariAdministratiu());
		else if (p_tipusUsuari.equals(CodisMestre.CODI_USUARI_PROFESSOR))
			usuariEditForm.setUsuari(new UsuariProfessor());
		else if (p_tipusUsuari.equals(CodisMestre.CODI_USUARI_ALUMNE))
			usuariEditForm.setUsuari(new UsuariAlumne());
		else if (p_tipusUsuari.equals(CodisMestre.CODI_USUARI_PARE))
			usuariEditForm.setUsuari(new UsuariPare());

		usuariEditForm.setIdUsuari(null);
		usuariEditForm.setLogin("");
		usuariEditForm.setPaswd("");
		usuariEditForm.setNom("");
		usuariEditForm.setCognom1("");
		usuariEditForm.setCognom2("");
		usuariEditForm.setNumDocument("");
		usuariEditForm.setAdreca("");
		usuariEditForm.setCp(new Integer(0));
		usuariEditForm.setAdreca("");
		usuariEditForm.setDataNaixementString("");
		usuariEditForm.setPoblacio("");
		usuariEditForm.setEmail("");
		usuariEditForm.setTelefon("");
		usuariEditForm.setCodiBancString("");
		usuariEditForm.setCodiSucursalString("");
		usuariEditForm.setDigitControlString("");
		usuariEditForm.setNumCompteString("");
		usuariEditForm.setResetcontrassenya(false);


		usuariEditForm.setProfessorAssignatures(new HashSet<ProfessorAssignatura>());
		usuariEditForm.setPareAlumnes(new HashSet<PareAlumne>());

		usuariEditForm.setSelectedEstat(new Integer(CodisMestre.CODI_ESTAT_ALTA));
		usuariEditForm.setSelectedTipusUsuari(p_tipusUsuari);
		usuariEditForm.setSelectedProvincia(new Integer(8));
		usuariEditForm.setSelectedCursInici(new Integer(0));
		usuariEditForm.setSelectedTipusDocument(new Integer(CodisMestre.CODI_TIPUS_DOCUMENT_NIF));


	}

	/**
	 * Gravar un usuari
	 *
	 * @param mapping
	 * @param form
	 * @param request
	 * @param response
	 * @return ActionForward
	 */
	public ActionForward saveUsuari(ActionMapping mapping, ActionForm form,
			HttpServletRequest request, HttpServletResponse response) {
		if (Helper.isSessioExpirada(request))
			return (mapping.findForward(CodisMestre.SESSIO_EXPIRADA));

		EditUsuariForm usuariEditForm = (EditUsuariForm) form;

		UsuariDAO usuariDAO = new UsuariDAO();
		MestreDAO mestreDAO = new MestreDAO();

		try {
			//Cerquem l'Estat seleccionat i l'assignem al usuari
			Object[] o = mestreDAO.findPerCodi("Estat", Estat.ID_ESTAT, usuariEditForm.getSelectedEstat());
			usuariEditForm.getUsuari().setIdEstat((Estat) o[0]);

			//Cerquem el tipus usuari seleccionat i l'assignem al usuari
			o = mestreDAO.findPerCodi("TipusUsuari", TipusUsuari.ID_TIPUS_USUARI, usuariEditForm.getSelectedTipusUsuari());
			usuariEditForm.getUsuari().setIdTipusUsuari(usuariEditForm.getSelectedTipusUsuari());

			//Cerquem la provincia seleccionat i l'assignem al usuari
			o = mestreDAO.findPerCodi("Provincia", Provincia.ID_PROVINCIA, usuariEditForm.getSelectedProvincia());
			usuariEditForm.getUsuari().setIdProvincia((Provincia) o[0]);

			//Cerquem el tipus de document seleccionat i l'assignem al usuari
			o = mestreDAO.findPerCodi("TipusDocument", TipusDocument.ID_TIPUS_DOCUMENT, usuariEditForm.getSelectedTipusDocument());
			usuariEditForm.getUsuari().setIdTipusDocument((TipusDocument) o[0]);

			//Cerquem el curs seleccionat i l'assignem al usuari
			HashMap parametres = new HashMap();
			parametres.put(Curs.CRITERI_CURS_ID_CURS, usuariEditForm.getSelectedCursInici());
			Curs[] arrCursos = HelperUI.recuperaCursos(parametres);

			if (usuariEditForm.getUsuari() instanceof UsuariAlumne)
				((UsuariAlumne) usuariEditForm.getUsuari()).setIdCursInici((Curs) arrCursos[0]);


			Usuari[] usuaris = new Usuari[1];
			usuaris[0] = usuariEditForm.getUsuari();
			//Inicialitzem estats
			inicialitzaEstats(request, usuariEditForm, usuaris);

			//Inicialitzem tipus de documents
			inicialitzaTipusDocuments(request, usuariEditForm, usuaris);

			//Inicialitzem provincies
			inicialitzaProvincies(request, usuariEditForm, usuaris);

			//Inicialitzem tipus usuari
			inicialitzaTipusUsuaris(request, usuariEditForm, usuaris, usuariEditForm.getSelectedTipusUsuari());

			//Inicialitzem cursos
			inicialitzaCursos(request, usuariEditForm, usuaris);


			request.setAttribute("TipusUsuari", usuariEditForm.getSelectedTipusUsuari());

			request.setAttribute("Foto", usuariEditForm.getUsuari().getPhoto());

			request.getSession().setAttribute("Foto", usuariEditForm.getUsuari().getPhoto());


			ActionErrors errors = validar(request, usuariEditForm);

			if (errors != null && errors.size() > 0) {
				return (mapping.findForward(CodisMestre.FAILURE));
			}

			//La contrassenya no pot estar a null
			if (usuariEditForm.getPaswd() == null ||
				usuariEditForm.isResetcontrassenya())
				usuariEditForm.setPaswd("");

			usuariDAO.gravar(usuariEditForm.getUsuari());
		} catch (Throwable e) {
			saveErrors(request, HelperDB.tractarError(e, "editUsuariError"));
			return (mapping.findForward(CodisMestre.FAILURE));
		}


		return mapping.findForward("cercaUsuari");
	}

	/**
	 * Esborra usuari
	 *
	 * @param mapping
	 * @param form
	 * @param request
	 * @param response
	 * @return ActionForward
	 */
	public ActionForward deleteUsuari(ActionMapping mapping, ActionForm form,
			HttpServletRequest request, HttpServletResponse response) {
		if (Helper.isSessioExpirada(request))
			return (mapping.findForward(CodisMestre.SESSIO_EXPIRADA));

		EditUsuariForm usuariEditForm = (EditUsuariForm) form;

		UsuariDAO usuariDAO = new UsuariDAO();
		
		//Recuperem el id del usuari seleccionat
		Integer id = Integer.valueOf(request.getParameter("id"));

		//Parametres
		HashMap parametres = new HashMap();
		parametres.put(Usuari.CRITERI_USUARI_ID_USUARI, id);


		Usuari[] usuaris = null;

		try {
			usuaris = usuariDAO.findUsuari(parametres);

			inicialitzaTipusUsuaris(request, usuariEditForm, null, null);
			inicialitzaTipusDocuments(request, usuariEditForm, null);
			inicialitzaEstats(request, usuariEditForm, null);

			ActionErrors errors = validarElimina(request, usuaris[0]);

			if (errors != null && errors.size() > 0) {
				validaPermisos(request, usuariEditForm);
				return (mapping.findForward("failureCerca"));
			}

			usuariDAO.esborrar(usuaris[0]);
		} catch (Throwable e) {
			validaPermisos(request, usuariEditForm);
			saveErrors(request, HelperDB.tractarError(e, "usuariError"));
			return (mapping.findForward("failureCerca"));
		}


		return mapping.findForward("cercaUsuari");
	}

	/**
	 * Validaci de la eliminaci d'un usuari.
	 *  - Administratiu: Si te notificacions no el podem eliminar
	 *  - Professor: Si te assignatures associades no el podem eliminar
	 *  - Alumne: Si te matricules associades no el podem eliminar
	 *  - Pare: Si te alumnes associats no el podem aliminar
	 * @param request
	 * @param usuari
	 * @return ActionsErrors
	 */
	private ActionErrors validarElimina(HttpServletRequest request, Usuari usuari) {
		// crear ActionError i desar in the request
		ActionErrors errors = new ActionErrors();

		//Validaci administratiu
		if (usuari.isAdministratiu()) {
			NotificacioDAO notificacioDAO = new NotificacioDAO();

			//Parmetres
			HashMap parametres = new HashMap();
			parametres.put(Notificacio.CRITERI_NOTIFICACIO_ID_USUARI,
					usuari.getIdUsuari());
			Notificacio[] notificacions = null;
			try {

				//Cerquem el notificacio seleccionat
				notificacions = notificacioDAO.findNotificacio(usuari, parametres);

				if (Helper.validarArray(notificacions)) {
					errors.add("usuariError", new ActionError("error.elimina.administratiu"));
					saveErrors(request,errors);
				}
			} catch (Throwable e) {
				saveErrors(request, HelperDB.tractarError(e, "usuariError"));
			}
		}
		//Validaci alumne
		else if (usuari instanceof UsuariAlumne) {
			if (Helper.validarColleccio(((UsuariAlumne) usuari).getSetOfMatricula())) {
				for (Iterator<Matricula> iter=((UsuariAlumne) usuari).getSetOfMatricula().iterator();iter.hasNext();) {
					if (iter.next().getIdAula() != null) {
						errors.add("usuariError", new ActionError("error.elimina.alumne"));
						saveErrors(request,errors);
						break;
					}
				}

			}
		}
		//Validaci professor
		else if (usuari instanceof UsuariProfessor) {
			if (Helper.validarColleccio(((UsuariProfessor) usuari).getSetOfProfessorAssignatura())) {
				boolean esborrar = true;
				
				for (Iterator<ProfessorAssignatura> iter=((UsuariProfessor) usuari).getSetOfProfessorAssignatura().iterator();iter.hasNext();) {
					ProfessorAssignatura pa = iter.next();
					if (pa.getIdEstat().getIdEstat().equals(CodisMestre.CODI_ESTAT_ALTA)) {
						esborrar = false;
						break;
					}
				}
				
				if (!esborrar) {
					errors.add("usuariError", new ActionError("error.elimina.professor"));
					saveErrors(request,errors);
				}

			}
		}

		//Validaci pare
		else if (usuari instanceof UsuariPare) {
			if (Helper.validarColleccio(((UsuariPare) usuari).getSetOfPareAlumne())) {
				
				boolean esborrar = true;
				for (Iterator<PareAlumne> iter=((UsuariPare) usuari).getSetOfPareAlumne().iterator();iter.hasNext();) {
					PareAlumne pa = iter.next();
					if (pa.getIdEstat().getIdEstat().equals(CodisMestre.CODI_ESTAT_ALTA)) {
						esborrar = false;
						break;
					}
				}
				
				if (!esborrar) {
					errors.add("usuariError", new ActionError("error.elimina.pare"));
					saveErrors(request,errors);
				}

			}
		}

		return errors;
	}


	/**
	 * Consulta usuari
	 *
	 * @param mapping
	 * @param form
	 * @param request
	 * @param response
	 * @return ActionForward
	 */
	public ActionForward consultaUsuari(ActionMapping mapping, ActionForm form,
			HttpServletRequest request, HttpServletResponse response) {
		if (Helper.isSessioExpirada(request))
			return (mapping.findForward(CodisMestre.SESSIO_EXPIRADA));

		EditUsuariForm usuariEditForm = (EditUsuariForm) form;

		Integer id = Integer.valueOf(request.getParameter("id"));
		UsuariDAO usuariDAO = new UsuariDAO();

		//Parametres
		HashMap parametres = new HashMap();
		parametres.put(Usuari.CRITERI_USUARI_ID_USUARI, id);

		Usuari[] usuaris = null;

		try {
			usuaris = usuariDAO.findUsuari(parametres);
			usuariEditForm.setUsuari(usuaris[0]);


			inicialitzaEstats(request, usuariEditForm, usuaris);
			inicialitzaTipusDocuments(request, usuariEditForm, usuaris);
			inicialitzaProvincies(request, usuariEditForm, usuaris);
			inicialitzaTipusUsuaris(request, usuariEditForm, usuaris, usuaris[0].getIdTipusUsuari());
			inicialitzaCursos(request, usuariEditForm, usuaris);

			//Inicialitzem la relacio entre usuaris i assignatures
			if (usuaris[0] instanceof UsuariProfessor)
			inicialitzaProfessorAssignatures(usuariEditForm, ((UsuariProfessor) usuaris[0]).getSetOfProfessorAssignatura());

			//Inicialitzem la relacio entre pares i alumnes
			if (usuaris[0] instanceof UsuariPare)
			inicialitzaPareAlumnes(usuariEditForm, ((UsuariPare) usuaris[0]).getSetOfPareAlumne());

			request.setAttribute("TipusUsuari", usuaris[0].getIdTipusUsuari());

			request.setAttribute("Foto", usuaris[0].getPhoto());

			request.getSession().setAttribute("Foto", usuaris[0].getPhoto());


		} catch (Throwable e) {
			saveErrors(request, HelperDB.tractarError(e, "editUsuariError"));
			return (mapping.findForward(CodisMestre.FAILURE));
		}


		request.setAttribute(CodisMestre.CONSULTA, CodisMestre.CONSULTA);

		return mapping.findForward("editUsuari");
	}

	/**
	 * Validaci de la pantalla d'usuaris
	 * @param request
	 * @param usuariEditForm
	 * @return ActionsErrors
	 */
	private ActionErrors validar(HttpServletRequest request, EditUsuariForm usuariEditForm) {
		boolean bValid = true;
		// crear ActionError i desar in the request
		ActionErrors errors = new ActionErrors();
		//Validem nom
		if (usuariEditForm.getUsuari().getNom() == null ||
				usuariEditForm.getUsuari().getNom().equals("")) {
			// crear ActionError i desar in the request
			errors.add("nom",new ActionError("error.nom.required"));
			saveErrors(request,errors);
			bValid = false;
		}

		//Cognom 1
		if (usuariEditForm.getUsuari().getCognom1() == null ||
				usuariEditForm.getUsuari().getCognom1().equals("")) {
			// crear ActionError i desar in the request
			errors.add("cognom1",new ActionError("error.cognom1.required"));
			saveErrors(request,errors);
			bValid = false;

		}

		//Data naixement
		if (usuariEditForm.getUsuari().getDataNaixement() == null) {
			// crear ActionError i desar in the request
			errors.add("dataNaixement",new ActionError("error.dataNaixement.required"));
			saveErrors(request,errors);
			bValid = false;

		}

		//Si no es alumne el numero de document es obligatori
		if (!usuariEditForm.getSelectedTipusUsuari().equals(
				CodisMestre.CODI_USUARI_ALUMNE) &&
				(usuariEditForm.getUsuari().getNumDocument() == null ||
						usuariEditForm.getUsuari().getNumDocument().equals(""))) {
			// crear ActionError i desar in the request
			errors.add("numDocument",new ActionError("error.numDocument.required"));
			saveErrors(request,errors);
			bValid = false;
		}

		//Si es alumne el curs inicial es obligatori
		if (usuariEditForm.getSelectedTipusUsuari().equals(
				CodisMestre.CODI_USUARI_ALUMNE) &&
				usuariEditForm.getUsuari() instanceof UsuariAlumne &&
				((UsuariAlumne) usuariEditForm.getUsuari()).getIdCursInici() == null) {
			// crear ActionError i desar in the request
			errors.add("cursInici",new ActionError("error.cursInici.required"));
			saveErrors(request,errors);
			bValid = false;
		}

		//Si es alumne les dades bancaries son obligatories
//		if (usuariEditForm.getSelectedTipusUsuari().equals(
//				CodisMestre.CODI_USUARI_ALUMNE) &&
//				( usuariEditForm.getUsuari().getIdDadesBancaries() == null ||
//						usuariEditForm.getUsuari().getIdDadesBancaries().getCodiBanc() == null ||
//						usuariEditForm.getUsuari().getIdDadesBancaries().getCodiSucursal() == null ||
//						usuariEditForm.getUsuari().getIdDadesBancaries().getNumCompte() == null ||
//						usuariEditForm.getUsuari().getIdDadesBancaries().getDigitControl()== null)) {
//			// crear ActionError i desar in the request
//			errors.add("dadesBancaries",new ActionError("error.dadesBancaries.required"));
//			saveErrors(request,errors);
//			bValid = false;
//		}

		//valida email
		if (usuariEditForm.getUsuari().getEmail() != null &&
				!usuariEditForm.getUsuari().getEmail().equals("")) {
			if (!UtilUsuari.esValidEmail(usuariEditForm.getUsuari().getEmail())) {
				errors.add("email",new ActionError("error.valida.email"));
				saveErrors(request,errors);
				bValid = false;

			}
		}

		//valida nif
		if (usuariEditForm.getSelectedTipusDocument().equals(CodisMestre.CODI_TIPUS_DOCUMENT_NIF) &&
				usuariEditForm.getUsuari().getNumDocument() != null &&
				!usuariEditForm.getUsuari().getNumDocument().equals("")	) {

			int longText = usuariEditForm.getUsuari().getNumDocument().length();

			int numero = 0;
			if (longText == 9) {
				numero = new Integer(usuariEditForm.getUsuari().getNumDocument().substring(0, longText - 1)).intValue();
				if (longText != 9 ||
						!UtilUsuari.isValidNIF(numero, usuariEditForm.getUsuari().getNumDocument().substring(longText - 1, longText))) {
					errors.add("numDocument",new ActionError("error.valida.nif"));
					saveErrors(request,errors);
					bValid = false;

				}
			}
			else {
				errors.add("numDocument",new ActionError("error.valida.nif"));
				saveErrors(request,errors);
				bValid = false;
			}

		}

		//Valida CCC
		if (usuariEditForm.getSelectedTipusUsuari().equals(
			CodisMestre.CODI_USUARI_ALUMNE) &&
			usuariEditForm.getUsuari() instanceof UsuariAlumne &&
			(((UsuariAlumne) usuariEditForm.getUsuari()).getIdDadesBancaries() != null &&
			((UsuariAlumne)usuariEditForm.getUsuari()).getIdDadesBancaries().getCodiBanc() != null &&
			((UsuariAlumne)usuariEditForm.getUsuari()).getIdDadesBancaries().getCodiSucursal() != null &&
			((UsuariAlumne)usuariEditForm.getUsuari()).getIdDadesBancaries().getNumCompte() != null &&
			((UsuariAlumne)usuariEditForm.getUsuari()).getIdDadesBancaries().getDigitControl() != null)) {
			if (!UtilUsuari.isValidCCC(
					((UsuariAlumne)usuariEditForm.getUsuari()).getIdDadesBancaries().getCodiBanc().toString(),
					((UsuariAlumne)usuariEditForm.getUsuari()).getIdDadesBancaries().getCodiSucursal().toString(),
					((UsuariAlumne)usuariEditForm.getUsuari()).getIdDadesBancaries().getDigitControl().toString(),
					Internacionalitzacio.FormataNumeric(
							((UsuariAlumne) usuariEditForm.getUsuari()).getIdDadesBancaries().getNumCompte(), 0, false))) {
				errors.add("dadesBancaries",new ActionError("error.valida.CCC"));
				 saveErrors(request,errors);
				 bValid = false;

			}

		}


		//Validem que no hi hagi un altre curs amb el mateix codi
		if (bValid && usuariEditForm.getUsuari().getNumDocument() != null &&
				!usuariEditForm.getUsuari().getNumDocument().equals("")) {
			UsuariDAO cursDAO = new UsuariDAO();

			//Parametres
			HashMap parametres = new HashMap();

			if (usuariEditForm.getSelectedTipusUsuari() != null)
				parametres.put(Usuari.CRITERI_USUARI_ID_TIPUS_USUARI,
						usuariEditForm.getSelectedTipusUsuari());

			if (usuariEditForm.getUsuari().getNumDocument() != null) {
				parametres.put(Usuari.CRITERI_USUARI_NUM_DOCUMENT,
						usuariEditForm.getUsuari().getNumDocument());
				parametres.put(Usuari.CRITERI_USUARI_NOT_EQUAL_ID,
						Usuari.CRITERI_USUARI_NOT_EQUAL_ID);
			}


			if (usuariEditForm.getUsuari().getIdUsuari() != null) {
				parametres.put(Usuari.CRITERI_USUARI_ID_USUARI,
						usuariEditForm.getUsuari().getIdUsuari());
				parametres.put(Usuari.CRITERI_USUARI_NOT_EQUAL_ID,
						Usuari.CRITERI_USUARI_NOT_EQUAL_ID);
			}

			parametres.put(Usuari.CRITERI_USUARI_ID_ESTAT, CodisMestre.CODI_ESTAT_ALTA);

			Usuari[] cursos = null;
			Estat[] arrEstats = null;
			try {

				//Cerquem l'curs seleccionat
				cursos = cursDAO.findUsuari(parametres);

				if (Helper.validarArray(cursos)) {
					errors.add("editUsuariError", new ActionError("error.usuari.repetit"));
					saveErrors(request,errors);
				}
			} catch (Throwable e) {
				saveErrors(request, HelperDB.tractarError(e, "editUsuariError"));
			}
		}


		return errors;
	}


	/**
	 * Selector d'assignatures pel professor
	 *
	 * @param mapping
	 * @param form
	 * @param request
	 * @param response
	 * @return ActionForward
	 * @throws Throwable
	 */
	public ActionForward selectorAssignatura(ActionMapping mapping, ActionForm form,
			HttpServletRequest request, HttpServletResponse response) throws Throwable {
		if (Helper.isSessioExpirada(request))
			return (mapping.findForward(CodisMestre.SESSIO_EXPIRADA));

		EditUsuariForm usuariEditForm = (EditUsuariForm) form;

		//Recuperem els estats
		Estat[] arrEstats = HelperUI.recuperaEstats();

		//define a dummy collection
		ArrayList estats = new ArrayList(Arrays.asList(arrEstats));
		//set the collection in the request
		request.setAttribute("estats", estats);

		inicialitzaTipusTitulacions(request, usuariEditForm);

		request.setAttribute("editUsuari", "editUsuari");

		return mapping.findForward("selectorAssignatura");


	}

	/**
	 * Retorn del selector d'assignatures
	 * @param mapping
	 * @param form
	 * @param request
	 * @param response
	 * @return ActionForward
	 */
	public ActionForward retornSelectorAssignatura(ActionMapping mapping, ActionForm form,
			HttpServletRequest request, HttpServletResponse response) {
		if (Helper.isSessioExpirada(request))
			return (mapping.findForward(CodisMestre.SESSIO_EXPIRADA));

		EditUsuariForm usuariEditForm = (EditUsuariForm) form;

		try {
			inicialitzaEditUsuariForm(request, usuariEditForm);
		} catch (Throwable e) {
			saveErrors(request, HelperDB.tractarError(e, "editUsuariError"));
			return (mapping.findForward(CodisMestre.FAILURE));
		}

		return mapping.findForward("editUsuari");
	}

	/**
	 * prepares the add form (actually only forwards to it)
	 *
	 * @param mapping
	 * @param form
	 * @param request
	 * @param response
	 * @return ActionForward
	 */
	public ActionForward afegeixAssignatura(ActionMapping mapping, ActionForm form,
			HttpServletRequest request, HttpServletResponse response) {
		if (Helper.isSessioExpirada(request))
			return (mapping.findForward(CodisMestre.SESSIO_EXPIRADA));

		EditUsuariForm usuariEditForm = (EditUsuariForm) form;

		//Parametres
		Integer id = Integer.valueOf(request.getParameter("id"));

		//Afegim la nova assignatura en el form
		try {

			inicialitzaEditUsuariForm(request, usuariEditForm);

			if (validaAfegeixAssignatura(usuariEditForm, id)) {
				afegirNovaAssignatura(mapping, request, usuariEditForm, id);
			}
			else {

				ActionErrors errors = new ActionErrors();
				ActionError error = new ActionError("error.selectorAssignaturaProfessor.jaExisteix");
				errors.add("editUsuariError",error);
				saveErrors(request,errors);
				return (mapping.findForward(CodisMestre.FAILURE));

			}



		} catch (Throwable e) {
			saveErrors(request, HelperDB.tractarError(e, "editUsuariError"));
			return (mapping.findForward(CodisMestre.FAILURE));
		}


		return mapping.findForward("editUsuari");
	}




	/**
	 * Validem si l'assignatura que es desitja afegir al usuari ja existeix
	 * @param usuariEditForm
	 * @param id
	 * @return boolean
	 */
	private boolean validaAfegeixAssignatura(EditUsuariForm usuariEditForm,
			Integer id) {
		Set<ProfessorAssignatura> usuariAssignatures = usuariEditForm.getProfessorAssignatures();
		Iterator<ProfessorAssignatura> iter = usuariAssignatures.iterator();
		while (iter.hasNext()) {
			ProfessorAssignatura usuariAssignatura = iter.next();
			if (usuariAssignatura.getIdAssignatura().getIdAssignatura().equals(id)) {
				return false;
			}
		}

		return true;
	}

	/**
	 * Canviar d'estat de l'assignatura seleccionada
	 *
	 * @param mapping
	 * @param form
	 * @param request
	 * @param response
	 * @return ActionForward
	 */
	public ActionForward esborraAssignatura(ActionMapping mapping, ActionForm form,
			HttpServletRequest request, HttpServletResponse response) {
		if (Helper.isSessioExpirada(request))
			return (mapping.findForward(CodisMestre.SESSIO_EXPIRADA));

		EditUsuariForm usuariEditForm = (EditUsuariForm) form;

		//Parametres
		String id = request.getParameter("codiAssignatura");

		//Validem l'assignatura per si alguna persona te alguna qualificacio en aquesta assignatura
		try {
			inicialitzaEditUsuariForm(request, usuariEditForm);
			actualitzaEstatAssignatura(usuariEditForm, id);
		} catch (Throwable e) {
			saveErrors(request, HelperDB.tractarError(e, "editUsuariError"));
			return (mapping.findForward(CodisMestre.FAILURE));
		}


		return mapping.findForward("editUsuari");
	}

	/**
	 * Actualitzem l'assignatura selecciona el seu estat a 'Baixa'/'Alta'
	 * @param usuariEditForm
	 * @param id
	 */
	private void actualitzaEstatAssignatura(EditUsuariForm usuariEditForm, String id) {
		Set<ProfessorAssignatura> professorAssignatures = usuariEditForm.getProfessorAssignatures();
		Iterator<ProfessorAssignatura> iter = professorAssignatures.iterator();
		while (iter.hasNext()) {
			ProfessorAssignatura professorAssignatura = iter.next();
			if (professorAssignatura.getCodiAssignatura().equals(id)) {
				MestreDAO mestreDAO = new MestreDAO();
				Object[] o = null;
				if (professorAssignatura.getIdEstat().getIdEstat().equals(CodisMestre.CODI_ESTAT_ALTA)) {
					o = mestreDAO.findPerCodi("Estat", Estat.ID_ESTAT, CodisMestre.CODI_ESTAT_BAIXA);
				}
				else {
					o = mestreDAO.findPerCodi("Estat", Estat.ID_ESTAT, CodisMestre.CODI_ESTAT_ALTA);
				}
				professorAssignatura.setIdEstat((Estat) o[0]);
			}

		}

	}

	/**
	 * Afegir nova assignatura
	 * @param mapping
	 * @param request
	 * @param cursEditForm
	 * @param id
	 * @throws Throwable
	 */
	private void afegirNovaAssignatura(ActionMapping mapping,
			HttpServletRequest request, EditUsuariForm usuariEditForm, Integer id) throws Throwable {
		HashMap parametres = new HashMap();
		parametres.put(Assignatura.CRITERI_ASSIGNATURA_ID_ASSIGNATURA, id);
		Assignatura[] arrAssignatures = HelperUI.recuperaAssignatura(parametres);
		if (arrAssignatures != null) {

			ProfessorAssignatura usuariAssignatura = new ProfessorAssignatura();
			usuariAssignatura.setIdAssignatura(arrAssignatures[0]);
			usuariAssignatura.setIdUsuari((UsuariProfessor) usuariEditForm.getUsuari());
			//Cerquem l'Estat seleccionat i l'assignem al usuari
			MestreDAO mestreDAO = new MestreDAO();
			Object[] o = mestreDAO.findPerCodi("Estat", Estat.ID_ESTAT, CodisMestre.CODI_ESTAT_ALTA);
			usuariAssignatura.setIdEstat((Estat) o[0]);
			afegeixProfessorAssignatura(usuariEditForm, usuariAssignatura);
		}

	}

	/**
	 * Inicialitzar formulari
	 * @param request
	 * @param usuariEditForm
	 * @throws Throwable
	 */
	private void inicialitzaEditUsuariForm(HttpServletRequest request,
			EditUsuariForm usuariEditForm) throws Throwable {

		Usuari[] usuaris = new Usuari[1];
		usuaris[0] = usuariEditForm.getUsuari();

		inicialitzaEstats(request, usuariEditForm, usuaris);
		inicialitzaTipusDocuments(request, usuariEditForm, usuaris);
		inicialitzaProvincies(request, usuariEditForm, usuaris);
		inicialitzaTipusUsuaris(request, usuariEditForm, usuaris, usuariEditForm.getSelectedTipusUsuari());
		inicialitzaCursos(request, usuariEditForm, usuaris);

		request.setAttribute("TipusUsuari", usuariEditForm.getSelectedTipusUsuari());
	}

	/**
	 * Inicialitzar tipus de documents
	 * @param request
	 * @param usuariEditForm
	 * @param usuaris
	 * @throws Throwable
	 */
	private void inicialitzaTipusDocuments(HttpServletRequest request,
			EditUsuariForm usuariEditForm, Usuari[] usuaris)
	throws Throwable {
		TipusDocument[] arrTipusDocument;
		arrTipusDocument = HelperUI.recuperaTipusDocuments(new HashMap());
		//define a dummy collection
		ArrayList tipusDocuments = new ArrayList(Arrays.asList(arrTipusDocument));
		usuariEditForm.setTipusDocuments(tipusDocuments);
		if (usuaris != null && usuaris.length > 0 && usuaris[0].getIdTipusDocument() != null)
			usuariEditForm.setSelectedTipusDocument(usuaris[0].getIdTipusDocument().getIdTipusDocument());
		else
			usuariEditForm.setSelectedTipusDocument(CodisMestre.CODI_TIPUS_DOCUMENT_NIF);

		//set the collection in the request
		request.setAttribute("tipusDocuments", tipusDocuments);
	}

	/**
	 * Inicialitzar estats
	 * @param request
	 * @param usuariEditForm
	 * @param usuaris
	 */
	private void inicialitzaEstats(HttpServletRequest request,
			EditUsuariForm usuariEditForm, Usuari[] usuaris) {
		Estat[] arrEstats;
		arrEstats = HelperUI.recuperaEstats();
		//define a dummy collection
		ArrayList estats = new ArrayList(Arrays.asList(arrEstats));
		usuariEditForm.setEstats(estats);
		if (usuaris != null && usuaris.length > 0 && usuaris[0].getIdEstat() != null)
			usuariEditForm.setSelectedEstat(usuaris[0].getIdEstat().getIdEstat());
		else if (usuariEditForm.getSelectedEstat() == null)
			usuariEditForm.setSelectedEstat(CodisMestre.CODI_ESTAT_ALTA);
		//set the collection in the request
		request.setAttribute("estats", estats);
	}

	/**
	 * Inicialitzar provincies
	 * @param request
	 * @param usuariEditForm
	 * @param usuaris
	 * @throws Throwable
	 */
	private void inicialitzaProvincies(HttpServletRequest request,
			EditUsuariForm usuariEditForm, Usuari[] usuaris)
	throws Throwable {
		Provincia[] arrProvincia;
		arrProvincia = HelperUI.recuperaProvincies(new HashMap());
		//define a dummy collection
		ArrayList provincies = new ArrayList(Arrays.asList(arrProvincia));
		usuariEditForm.setProvincies(provincies);
		if (usuaris != null && usuaris.length > 0 && usuaris[0].getIdProvincia() != null)
			usuariEditForm.setSelectedProvincia(usuaris[0].getIdProvincia().getIdProvincia());
		else if (usuariEditForm.getSelectedProvincia() ==  null)
			usuariEditForm.setSelectedProvincia(new Integer(8));
		//set the collection in the request
		request.setAttribute("provincies", provincies);
	}

	/**
	 * Inicialitzar tipus usuaris
	 * @param request
	 * @param usuariEditForm
	 * @param usuaris
	 * @param p_TipusUsuari
	 * @throws Throwable
	 */
	private void inicialitzaTipusUsuaris(HttpServletRequest request,
			EditUsuariForm usuariEditForm, Usuari[] usuaris, Integer p_TipusUsuari)
	throws Throwable {
		TipusUsuari[] arrTipusUsuari;
		arrTipusUsuari = HelperUI.recuperaTipusUsuaris(new HashMap());
		//define a dummy collection
		ArrayList tipusUsuaris = new ArrayList(Arrays.asList(arrTipusUsuari));
		usuariEditForm.setTipusUsuaris(tipusUsuaris);
		if (usuaris != null && usuaris.length > 0 && usuaris[0].getIdTipusUsuari() != null)
			usuariEditForm.setSelectedTipusUsuari(usuaris[0].getIdTipusUsuari());
		else if (usuariEditForm.getSelectedTipusUsuari() == null)
			usuariEditForm.setSelectedTipusUsuari(p_TipusUsuari);

		//set the collection in the request
		request.setAttribute("tipusUsuaris", tipusUsuaris);
	}

	/**
	 * Inicialitzar cursos
	 * @param request
	 * @param usuariEditForm
	 * @param usuaris
	 * @throws Throwable
	 */
	private void inicialitzaCursos(HttpServletRequest request,
			EditUsuariForm usuariEditForm, Usuari[] usuaris)
	throws Throwable {
		Curs[] arrCurs;
		arrCurs = HelperUI.recuperaCursos(new HashMap());
		//define a dummy collection
		ArrayList cursos = new ArrayList(Arrays.asList(arrCurs));
		usuariEditForm.setCursos(cursos);
		if (usuaris != null && usuaris.length > 0 &&
				usuaris[0] instanceof UsuariAlumne &&
				((UsuariAlumne) usuaris[0]).getIdCursInici() != null)
			usuariEditForm.setSelectedCursInici(((UsuariAlumne) usuaris[0]).getIdCursInici().getIdCurs());
		else if (usuariEditForm.getSelectedCursInici() == null &&
				usuariEditForm.getSelectedTipusUsuari().equals(CodisMestre.CODI_USUARI_ALUMNE))
			usuariEditForm.setSelectedCursInici(0);
		else if (!usuariEditForm.getSelectedTipusUsuari().equals(CodisMestre.CODI_USUARI_ALUMNE))
			usuariEditForm.setSelectedCursInici(null);

		//set the collection in the request
		request.setAttribute("cursos", cursos);
	}

	/**
	 * Inicialitzar tipus titulacions
	 * @param request
	 * @param usuariEditForm
	 * @throws Throwable
	 */
	private void inicialitzaTipusTitulacions(HttpServletRequest request,
			EditUsuariForm usuariEditForm)
	throws Throwable {
		TipusTitulacio[] arrTipusTitulacio;
		arrTipusTitulacio = HelperUI.recuperaTipusTitulacions(new HashMap());
		//define a dummy collection
		ArrayList tipusDocuments = new ArrayList(Arrays.asList(arrTipusTitulacio));

		//set the collection in the request
		request.setAttribute("tipusDocuments", tipusDocuments);
	}


	/**
	 * Inicialitzar relacii professor-assignatures
	 * @param form
	 * @param professorsAssignatures
	 */
	private void inicialitzaProfessorAssignatures(EditUsuariForm form, Set<ProfessorAssignatura> professorsAssignatures) {
		form.setProfessorAssignatures(professorsAssignatures);
	}

	/**
	 * Afegir nova relacio professor-assignatures
	 * @param form
	 * @param professorAssignatura
	 */
	private void afegeixProfessorAssignatura(EditUsuariForm form, ProfessorAssignatura professorAssignatura) {
		form.addProfessorAssignatura(professorAssignatura);
	}

	/**
	 * Inicialitzar relacio pare-alumnes
	 * @param form
	 * @param pareAlumnes
	 */
	private void inicialitzaPareAlumnes(EditUsuariForm form, Set<PareAlumne> pareAlumnes) {
		form.setPareAlumnes(pareAlumnes);
	}

	/**
	 * Afegir nova relacio pare-alumnes
	 * @param form
	 * @param pareAlumne
	 */
	private void afegeixPareAlumne(EditUsuariForm form, PareAlumne pareAlumne) {
		form.addPareAlumne(pareAlumne);
	}

	/**
	 * Selector d'usuaris
	 *
	 * @param mapping
	 * @param form
	 * @param request
	 * @param response
	 * @return ActionForward
	 * @throws Throwable
	 */
	public ActionForward selectorUsuari(ActionMapping mapping, ActionForm form,
			HttpServletRequest request, HttpServletResponse response) throws Throwable {
		if (Helper.isSessioExpirada(request))
			return (mapping.findForward(CodisMestre.SESSIO_EXPIRADA));

		EditUsuariForm usuariEditForm = (EditUsuariForm) form;

		//Recuperem els estats
		Estat[] arrEstats = HelperUI.recuperaEstats();

		//define a dummy collection
		ArrayList estats = new ArrayList(Arrays.asList(arrEstats));
		//set the collection in the request
		request.setAttribute("estats", estats);

		//Carrega opcions de tipus d'usuaris
		TipusUsuari[] arrTipusUsuaris = HelperUI.recuperaTipusUsuaris(new HashMap());

		ArrayList tipusUsuaris = new ArrayList(Arrays.asList(arrTipusUsuaris));
		//set the collection in the request
		request.setAttribute("tipusUsuaris", tipusUsuaris);


		//Carrega opcions de tipus de documents
		TipusDocument[] arrTipusDocuments = HelperUI.recuperaTipusDocuments(new HashMap());

		ArrayList tipusDocuments = new ArrayList(Arrays.asList(arrTipusDocuments));
		//set the collection in the request
		request.setAttribute("tipusDocuments", tipusDocuments);

		return mapping.findForward("selectorUsuari");


	}

	/**
	 * Retorn selector usuaris
	 * @param mapping
	 * @param form
	 * @param request
	 * @param response
	 * @return ActionForward
	 */
	public ActionForward retornSelectorUsuari(ActionMapping mapping, ActionForm form,
			HttpServletRequest request, HttpServletResponse response) {
		if (Helper.isSessioExpirada(request))
			return (mapping.findForward(CodisMestre.SESSIO_EXPIRADA));

		EditUsuariForm usuariEditForm = (EditUsuariForm) form;

		try {
			inicialitzaEditUsuariForm(request, usuariEditForm);
		} catch (Throwable e) {
			saveErrors(request, HelperDB.tractarError(e, "editUsuariError"));
			return (mapping.findForward(CodisMestre.FAILURE));
		}

		return mapping.findForward("editUsuari");
	}

	/**
	 * Afegir alumne a la relacio pare-alumnes
	 *
	 * @param mapping
	 * @param form
	 * @param request
	 * @param response
	 * @return ActionForward
	 */
	public ActionForward afegeixSelectorUsuari(ActionMapping mapping, ActionForm form,
			HttpServletRequest request, HttpServletResponse response) {
		if (Helper.isSessioExpirada(request))
			return (mapping.findForward(CodisMestre.SESSIO_EXPIRADA));

		EditUsuariForm usuariEditForm = (EditUsuariForm) form;

		//Parametres
		Integer id = Integer.valueOf(request.getParameter("idAlumne"));

		//Afegim la nova assignatura en el form
		try {

			inicialitzaEditUsuariForm(request, usuariEditForm);

			if (validaAfegeixPareAlumne(usuariEditForm, id)) {
				afegirNouUsuari(mapping, request, usuariEditForm, id);
			}
			else {

				ActionErrors errors = new ActionErrors();
				ActionError error = new ActionError("error.selectorUsuari.jaExisteix");
				errors.add("editUsuariError",error);
				saveErrors(request,errors);
				return (mapping.findForward(CodisMestre.FAILURE));

			}



		} catch (Throwable e) {
			saveErrors(request, HelperDB.tractarError(e, "editUsuariError"));
			return (mapping.findForward(CodisMestre.FAILURE));
		}


		return mapping.findForward("editUsuari");
	}




	/**
	 * Validem si l'alumne que es desitja afegir a l'usuari ja existeix
	 * @param usuariEditForm
	 * @param id
	 * @return boolean
	 */
	private boolean validaAfegeixPareAlumne(EditUsuariForm usuariEditForm,
			Integer id) {
		Set<PareAlumne> pareAlumnes = usuariEditForm.getPareAlumnes();
		Iterator<PareAlumne> iter = pareAlumnes.iterator();
		while (iter.hasNext()) {
			PareAlumne pareAlumne = iter.next();
			if (pareAlumne.getIdAlumne().getIdUsuari().equals(id)) {
				return false;
			}
		}

		return true;
	}

	/**
	 * Canviem d'estat relacio pare-alumne
	 *
	 * @param mapping
	 * @param form
	 * @param request
	 * @param response
	 * @return ActionForward
	 */
	public ActionForward esborraPareAlumne(ActionMapping mapping, ActionForm form,
			HttpServletRequest request, HttpServletResponse response) {
		if (Helper.isSessioExpirada(request))
			return (mapping.findForward(CodisMestre.SESSIO_EXPIRADA));

		EditUsuariForm usuariEditForm = (EditUsuariForm) form;

		//Parametres
		Integer id = Integer.valueOf(request.getParameter("codiAlumne"));

		//Validem l'assignatura per si alguna persona te alguna qualificacio en aquesta assignatura
		try {
			inicialitzaEditUsuariForm(request, usuariEditForm);
			actualitzaEstatPareAlumne(usuariEditForm, id);
		} catch (Throwable e) {
			saveErrors(request, HelperDB.tractarError(e, "editUsuariError"));
			return (mapping.findForward(CodisMestre.FAILURE));
		}
		//set the collection in the request
		request.setAttribute("estats", usuariEditForm.getEstats());


		return mapping.findForward("editUsuari");
	}

	/**
	 * Actualitzem l'estat en la relaci entre pare i alumne seleccionat a 'Baixa'/'Alta'
	 * @param usuariEditForm
	 * @param id
	 */
	private void actualitzaEstatPareAlumne(EditUsuariForm usuariEditForm, Integer id) {
		Set<PareAlumne> pareAlumnes = usuariEditForm.getPareAlumnes();
		Iterator<PareAlumne> iter = pareAlumnes.iterator();
		while (iter.hasNext()) {
			PareAlumne pareAlumne = iter.next();
			if (pareAlumne.getIdAlumne().getId().equals(id)) {
				MestreDAO mestreDAO = new MestreDAO();
				Object[] o = null;
				if (pareAlumne.getIdEstat().getIdEstat().equals(CodisMestre.CODI_ESTAT_ALTA)) {
					o = mestreDAO.findPerCodi("Estat", Estat.ID_ESTAT, CodisMestre.CODI_ESTAT_BAIXA);
				}
				else {
					o = mestreDAO.findPerCodi("Estat", Estat.ID_ESTAT, CodisMestre.CODI_ESTAT_ALTA);
				}

				pareAlumne.setIdEstat((Estat) o[0]);
			}

		}

	}

	/**
	 * Afegir nou usuari
	 * @param mapping
	 * @param request
	 * @param usuariEditForm
	 * @param id
	 * @throws Throwable
	 */
	private void afegirNouUsuari(ActionMapping mapping,
			HttpServletRequest request, EditUsuariForm usuariEditForm, Integer id) throws Throwable {
		UsuariDAO usuariDAO = new UsuariDAO();
		HashMap parametres = new HashMap();
		parametres.put(Usuari.CRITERI_USUARI_ID_USUARI, id);

		Usuari[] usuaris = usuariDAO.findUsuari(parametres);

		if (usuaris != null) {

			PareAlumne usuariUsuari = new PareAlumne();
			usuariUsuari.setIdAlumne((UsuariAlumne) usuaris[0]);
			usuariUsuari.setIdPare((UsuariPare) usuariEditForm.getUsuari());
			//Cerquem l'Estat seleccionat i l'assignem al usuari
			MestreDAO mestreDAO = new MestreDAO();
			Object[] o = mestreDAO.findPerCodi("Estat", Estat.ID_ESTAT, CodisMestre.CODI_ESTAT_ALTA);
			usuariUsuari.setIdEstat((Estat) o[0]);
			afegeixPareAlumne(usuariEditForm, usuariUsuari);
		}

	}

	/**
	 * Valida permisos
	 * @param request
	 * @param usuariEditForm
	 */
	private void validaPermisos(HttpServletRequest request, EditUsuariForm usuariEditForm) {
		//Seguretat per usuari
		Usuari usuariConnectat = ConfiguracioUsuari.getInstance().getUsuari();
		if (usuariConnectat instanceof UsuariAlumne  ||
				usuariConnectat instanceof UsuariPare  ||
				usuariConnectat instanceof UsuariProfessor ) {
			request.setAttribute(CodisMestre.CONSULTA, CodisMestre.CONSULTA);
		}
		else {
			request.setAttribute(CodisMestre.PERMIS, CodisMestre.PERMIS);
		}
		
		// El professor no pot modificar les dades dels seus alumnes
		if (!(usuariConnectat instanceof UsuariProfessor &&
				usuariEditForm.getSelectedTipusUsuari().equals(CodisMestre.CODI_USUARI_ALUMNE))) {
			request.setAttribute(CodisMestre.MODIFICA, CodisMestre.MODIFICA);
		}
		
		
		
	}

}
