package com.uoc.tfc.UI.struts.action.usuari;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.HashMap;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

import com.uoc.tfc.Base.common.CodisMestre;
import com.uoc.tfc.Base.common.ConfiguracioUsuari;
import com.uoc.tfc.Base.common.Helper;
import com.uoc.tfc.Base.mestres.Estat;
import com.uoc.tfc.Base.mestres.TipusDocument;
import com.uoc.tfc.Base.mestres.TipusUsuari;
import com.uoc.tfc.Base.usuari.Usuari;
import com.uoc.tfc.Base.usuari.UsuariAlumne;
import com.uoc.tfc.Base.usuari.UsuariPare;
import com.uoc.tfc.Base.usuari.UsuariProfessor;
import com.uoc.tfc.LN.dao.usuari.UsuariDAO;
import com.uoc.tfc.LN.db.HelperDB;
import com.uoc.tfc.UI.struts.action.common.HelperUI;
import com.uoc.tfc.UI.struts.form.usuari.SelectorUsuariForm;

/**
 * Selector d'usuaris
 * @author ojaen
 *
 */
public class SelectorUsuariAction extends Action {

	/**
	 * Execucio del selector
	 * @param mapping
	 * @param form
	 * @param request
	 * @param response
	 * @return ActionForward
	 */
	public ActionForward execute(
			ActionMapping mapping,
			ActionForm form,
			HttpServletRequest request,
			HttpServletResponse response) {

		if (Helper.isSessioExpirada(request))
			return (mapping.findForward(CodisMestre.SESSIO_EXPIRADA));

		SelectorUsuariForm SelectorUsuariForm = (SelectorUsuariForm) form;
		UsuariDAO usuariDAO = new UsuariDAO();
		Integer estatDefecte = CodisMestre.CODI_ESTAT_ALTA;
		Integer tipusUsuariDefecte = CodisMestre.CODI_USUARI_ALUMNE;
		Integer tipusDocumentDefecte = CodisMestre.CODI_TIPUS_DOCUMENT_NIF;

		String accio = request.getParameter(CodisMestre.DO);

		//Es realitza la cerca. Si no ens arriba aquest parametre mostrarem la pantalla sense informacio
		if (accio == null || !accio.equals(CodisMestre.PREPARE_CERCA)) {
			HashMap parametres = new HashMap();

			if (Helper.validarCadena(SelectorUsuariForm.getCodiUsuari()))
				parametres.put(Usuari.CRITERI_USUARI_ID_USUARI, Integer
						.parseInt(SelectorUsuariForm.getCodiUsuari()));
			parametres.put(Usuari.CRITERI_USUARI_NOM,
					SelectorUsuariForm.getNom() != null ? SelectorUsuariForm.getNom().toUpperCase() : "");
			parametres.put(Usuari.CRITERI_USUARI_COGNOM1,
					SelectorUsuariForm.getCognom1() != null ? SelectorUsuariForm.getCognom1().toUpperCase() : "");
			parametres.put(Usuari.CRITERI_USUARI_COGNOM2,
					SelectorUsuariForm.getCognom2() != null ? SelectorUsuariForm.getCognom2().toUpperCase() : "");
			parametres.put(Usuari.CRITERI_USUARI_NUM_DOCUMENT, SelectorUsuariForm.getNumDocument());
			parametres.put(Usuari.CRITERI_USUARI_ID_TIPUS_DOCUMENT, SelectorUsuariForm.getSelectedTipusDocument());

			if (accio != null && accio.equals("selectorProfessor")) {
				parametres.put(Usuari.CRITERI_USUARI_ID_TIPUS_USUARI, CodisMestre.CODI_USUARI_PROFESSOR);
				request.setAttribute("tipusUsuari", CodisMestre.CODI_USUARI_PROFESSOR);
			}
			else
				parametres.put(Usuari.CRITERI_USUARI_ID_TIPUS_USUARI, CodisMestre.CODI_USUARI_ALUMNE);
			parametres.put(Usuari.CRITERI_USUARI_ID_ESTAT, SelectorUsuariForm.getSelectedEstat());


			estatDefecte = SelectorUsuariForm.getSelectedEstat();

			if (SelectorUsuariForm.getSelectedTipusDocument() != null)
				tipusDocumentDefecte = SelectorUsuariForm.getSelectedTipusDocument();


			try {
				SelectorUsuariForm.setUsuaris(usuariDAO.findUsuari(parametres));
			} catch (Throwable e) {
				saveErrors(request, HelperDB.tractarError(e, "cursUsuari"));
				return (mapping.findForward(CodisMestre.FAILURE));
			}
		}


		try {

			//Carrega opcions de tipus d'usuaris
			TipusUsuari[] arrTipusUsuaris = HelperUI.recuperaTipusUsuaris(new HashMap());


			//Carrega opcions de tipus de documents
			TipusDocument[] arrTipusDocuments = HelperUI.recuperaTipusDocuments(new HashMap());
			ArrayList tipusDocuments = new ArrayList(Arrays.asList(arrTipusDocuments));
			SelectorUsuariForm.setSelectedTipusDocument(tipusDocumentDefecte);
			//set the collection in the request
			request.setAttribute("tipusDocuments", tipusDocuments);


			//Carrega opcions d'estat
			Estat[] arrEstats = HelperUI.recuperaEstats();

			//define a dummy collection
			ArrayList estats = new ArrayList(Arrays.asList(arrEstats));
			SelectorUsuariForm.setEstats(estats);
			SelectorUsuariForm.setSelectedEstat(estatDefecte);

			//set the collection in the request
			request.setAttribute("estats", estats);


			//Seguretat per usuari
			Usuari usuariConnectat = ConfiguracioUsuari.getInstance().getUsuari();
			if (usuariConnectat instanceof UsuariAlumne ||
					usuariConnectat instanceof UsuariPare ||
					usuariConnectat instanceof UsuariProfessor) {
				request.setAttribute(CodisMestre.CONSULTA, CodisMestre.CONSULTA);
			}
			else {
				request.setAttribute(CodisMestre.PERMIS, CodisMestre.PERMIS);
			}

		} catch (Throwable e) {
			saveErrors(request, HelperDB.tractarError(e, "editUsuariError"));
			return (mapping.findForward(CodisMestre.FAILURE));
		}

		return mapping.findForward("selectorUsuari");
	}


}

