package com.uoc.tfc.UI.struts.form.manteniment;

import java.text.ParseException;
import java.util.ArrayList;
import java.util.Date;

import org.apache.struts.action.ActionForm;

import com.uoc.tfc.Base.common.CodisMestre;
import com.uoc.tfc.Base.common.Internacionalitzacio;
import com.uoc.tfc.Base.manteniment.AnyAcademic;
import com.uoc.tfc.Base.mestres.Estat;

/**
 * Formulari per fer els criteris de cerca dels anys academics
 * @author ojaen
 *
 */
public class CercaAnyAcademicForm extends ActionForm {

	/**
	 * 
	 */
	private static final long serialVersionUID = 8971873115085931535L;

	private AnyAcademic[] anysAcademics;
	private String codi;
	private String descripcio;
	private Date dataInici;
	private Date dataFi;

	private ArrayList<Estat> estats;
	private Integer selectedEstat = CodisMestre.CODI_ESTAT_ALTA;


	/**
	 * LLista d'anys academics
	 * @return AnyAcademic[]
	 */
	public AnyAcademic[] getAnysAcademics() {
		return anysAcademics;
	}

	/**
	 * Setter llista d'anys academics
	 * @param anysAcademics
	 */
	public void setAnysAcademics(AnyAcademic[] anysAcademics) {
		this.anysAcademics = anysAcademics;
	}

	/**
	 * Getter codi
	 * @return String
	 */
	public String getCodi() {
		return codi;
	}

	/**
	 * Setter codi
	 * @param codi
	 */
	public void setCodi(String codi) {
		this.codi = codi;
	}

	/**
	 * Getter descripcio
	 * @return String
	 */
	public String getDescripcio() {
		return descripcio;
	}

	/**
	 * Setter descripcio
	 * @param descripcio
	 */
	public void setDescripcio(String descripcio) {
		this.descripcio = descripcio;
	}

	/**
	 * Getter data inici
	 * @return Date
	 */
	public Date getDataInici() {
		return dataInici;
	}

	/**
	 * Setter dataInici
	 * @param dataInici
	 */
	public void setDataInici(Date dataInici) {
		this.dataInici = dataInici;
	}

	/**
	 * Getter data inici en format String
	 * @return String
	 */
	public String getDataIniciString() {
		if (getDataInici() != null)
			return Internacionalitzacio.FormataDataCurta(getDataInici());
		return "";
	}

	/**
	 * Setter data inici en format String
	 * @param dataInici
	 */
	public void setDataIniciString(String dataInici) {
		if (dataInici != null && !dataInici.equals("")) {
			try {
				setDataInici(Internacionalitzacio.parsejaDataCurta(dataInici));
			} catch (ParseException e) {
				setDataInici(null);
			}
		}
		else
			setDataInici(null);
	}

	/**
	 * Getter dataFi
	 * @return Date
	 */
	public Date getDataFi() {
		return dataFi;
	}

	/**
	 * Setter dataFi
	 * @param dataFi
	 */
	public void setDataFi(Date dataFi) {
		this.dataFi = dataFi;
	}

	/**
	 * Getter dataFi en format String
	 * @return String
	 */
	public String getDataFiString() {
		if (getDataFi() != null)
			return Internacionalitzacio.FormataDataCurta(getDataFi());
		return "";
	}

	/**
	 * Setter dataFi en format String
	 * @param dataInici
	 */
	public void setDataFiString(String dataInici) {
		if (dataInici != null && !dataInici.equals("")) {
			try {
				setDataFi(Internacionalitzacio.parsejaDataCurta(dataInici));
			} catch (ParseException e) {
				setDataFi(null);
			}
		}
		else
			setDataFi(null);
	}

	/**
	 * Getter estat seleccionat
	 * @return Integer
	 */
	public Integer getSelectedEstat() {
		return selectedEstat;
	}

	/**
	 * Setter estat seleccionat
	 * @param selectedItem
	 */
	public void setSelectedEstat(Integer selectedItem) {
		this.selectedEstat = selectedItem;
	}

	/**
	 * Getter estat seleccionat en format String
	 * @return String
	 */
	public String getSelectedEstatString() {
		return selectedEstat.toString();
	}

	/**
	 * Setter estat seleccionat en format String
	 * @param selectedItem
	 */
	public void setSelectedEstatString(String selectedItem) {
		this.selectedEstat = new Integer(selectedItem);
	}

	/**
	 * Getter de la llista d'estats
	 * @return ArrayList<Estat>
	 */
	public ArrayList<Estat> getEstats() {
		return estats;
	}

	/**
	 * Setter de la llista d'estats
	 * @param estats
	 */
	public void setEstats(ArrayList<Estat> estats) {
		this.estats = estats;
	}

}

