
package com.uoc.tfc.UI.struts.form.manteniment;

import java.text.ParseException;
import java.util.ArrayList;
import java.util.Date;

import javax.servlet.http.HttpServletRequest;

import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionMapping;

import com.uoc.tfc.Base.common.Internacionalitzacio;
import com.uoc.tfc.Base.manteniment.AnyAcademic;
import com.uoc.tfc.Base.mestres.Estat;

/**
 * Formulari per fer l'edici i manteniment dels anys acadmics
 * @author ojaen
 *
 */
public class EditAnyAcademicForm extends ActionForm {

	/**
	 *
	 */
	private static final long serialVersionUID = -7102085920781831684L;

	private AnyAcademic anyAcademic;
	private ArrayList<Estat> estats;
	private Integer selectedEstat;


	/**
	 * Getter any acadmic
	 * @return AnyAcademic
	 */
	public AnyAcademic getAnyAcademic() {
		return anyAcademic;
	}

	/**
	 * Setter any acadmic
	 * @param anyAcademic
	 */
	public void setAnyAcademic(AnyAcademic anyAcademic) {
		this.anyAcademic = anyAcademic;
	}

	/**
	 * Getter id de l'any acadmic
	 * @return Integer
	 */
	public Integer getId() {
		return anyAcademic.getIdAnyAcademic();
	}

	/**
	 * Setter id de l'any acadmic
	 * @param id
	 */
	public void setId(Integer id) {
		if (id != null && id.intValue() == 0)
			id = null;
		anyAcademic.setIdAnyAcademic(id);
	}

	/**
	 * Getter del codi de l'any acadmic
	 * @return String
	 */
	public String getCodi() {
		return anyAcademic.getCodi();
	}

	/**
	 * Setter del codi de l'any acadmic
	 * @param codi
	 */
	public void setCodi(String codi) {
		anyAcademic.setCodi(codi);
	}

	/**
	 * Getter de la descripcio de l'any acadmic
	 * @return String
	 */
	public String getDescripcio() {
		return anyAcademic.getDescripcio();
	}

	/**
	 * Setter de la descripcio de l'any acadmic
	 * @param descripcio
	 */
	public void setDescripcio(String descripcio) {
		anyAcademic.setDescripcio(descripcio);
	}

	/**
	 * Getter de la data d'inici de l'any acadmic
	 * @return Date
	 */
	public Date getDataInici() {
		return anyAcademic.getDataInici();
	}

	/**
	 * Setter data inici de l'any acadmic
	 * @param dataInici
	 */
	public void setDataInici(Date dataInici) {
		anyAcademic.setDataInici(dataInici);
	}

	/**
	 * Getter data inici de l'any acadmic en format String
	 * @return String
	 */
	public String getDataIniciString() {
		if (anyAcademic.getDataInici() != null)
			return Internacionalitzacio.FormataDataCurta(anyAcademic.getDataInici());
		return "";
	}

	/**
	 * Setter data inici de l'any acadmic en format String
	 * @param dataInici
	 */
	public void setDataIniciString(String dataInici) {
		if (dataInici != null && !dataInici.equals("")) {
			try {
				anyAcademic.setDataInici(Internacionalitzacio.parsejaDataCurta(dataInici));
			} catch (ParseException e) {
				anyAcademic.setDataInici(null);
			}
		}
		else
			anyAcademic.setDataInici(null);
	}

	/**
	 * Getter data fi de l'any acadmic
	 * @return Date
	 */
	public Date getDataFi() {
		return anyAcademic.getDataFi();
	}

	/**
	 * Setter data inici de l'any acadmic en format String
	 * @param dataInici
	 */
	public void setDataFi(Date dataInici) {
		anyAcademic.setDataFi(dataInici);
	}

	/**
	 * Getter data fi de l'any acadmic en String
	 * @return String
	 */
	public String getDataFiString() {
		if (anyAcademic.getDataFi() != null)
			return Internacionalitzacio.FormataDataCurta(anyAcademic.getDataFi());
		return "";
	}

	/**
	 * Setter data inici de l'any acadmic en format String
	 * @param dataInici
	 */
	public void setDataFiString(String dataInici) {
		if (dataInici != null && !dataInici.equals("")) {
			try {
				anyAcademic.setDataFi(Internacionalitzacio.parsejaDataCurta(dataInici));
			} catch (ParseException e) {
				anyAcademic.setDataFi(null);
			}
		}
		else
			anyAcademic.setDataFi(null);
	}

	/**
	 * Getter data inici de la matrcula de l'any acadmic
	 * @return Date
	 */
	public Date getDataIniciMatricula() {
		return anyAcademic.getDataIniciMatricula();
	}

	/**
	 * Setter data inici de la matrcula de l'any acadmic en format String
	 * @param dataInici
	 */
	public void setDataIniciMatricula(Date dataInici) {
		anyAcademic.setDataIniciMatricula(dataInici);
	}

	/**
	 * Getter de la data inici de la matrcula de l'any acadmic en format String
	 * @return String
	 */
	public String getDataIniciMatriculaString() {
		if (anyAcademic.getDataIniciMatricula() != null)
			return Internacionalitzacio.FormataDataCurta(anyAcademic.getDataIniciMatricula());
		return "";
	}

	/**
	 * Setter data inici de matrcula l'any acadmic en format String
	 * @param dataInici
	 */
	public void setDataIniciMatriculaString(String dataInici) {
		if (dataInici != null && !dataInici.equals("")) {
			try {
				anyAcademic.setDataIniciMatricula(Internacionalitzacio.parsejaDataCurta(dataInici));
			} catch (ParseException e) {
				anyAcademic.setDataIniciMatricula(null);
			}
		}
		else
			anyAcademic.setDataIniciMatricula(null);
	}

	/**
	 * Getter de la data fi de matrcula de l'any acadmic
	 * @return Date
	 */
	public Date getDataFiMatricula() {
		return anyAcademic.getDataFiMatricula();
	}

	/**
	 * Setter data fi de la matrcula de l'any acadmic
	 * @param dataInici
	 */
	public void setDataFiMatricula(Date dataInici) {
		anyAcademic.setDataFiMatricula(dataInici);
	}

	/**
	 * Getter de la data fi de la matrcula de l'any acadmic en format String
	 * @return String
	 */
	public String getDataFiMatriculaString() {
		if (anyAcademic.getDataFiMatricula() != null)
			return Internacionalitzacio.FormataDataCurta(anyAcademic.getDataFiMatricula());
		return "";
	}

	/**
	 * Setter data fi de la matrcula de l'any acadmic en format String
	 * @param dataInici
	 */
	public void setDataFiMatriculaString(String dataInici) {
		if (dataInici != null && !dataInici.equals("")) {
			try {
				anyAcademic.setDataFiMatricula(Internacionalitzacio.parsejaDataCurta(dataInici));
			} catch (ParseException e) {
				anyAcademic.setDataFiMatricula(null);
			}
		}
		else
			anyAcademic.setDataFiMatricula(null);
	}

	/**
	 * Getter de l'estat
	 * @return Estat
	 */
	public Estat getIdEstat() {
		return anyAcademic.getIdEstat();
	}

	/**
	 * Setter de l'Estat
	 * @param idEstat
	 */
	public void setIdEstat(Estat idEstat) {
		anyAcademic.setIdEstat(idEstat);
	}

	/**
	 * Getter de la versio
	 * @return Integer
	 */
	public Integer getVersio() {
		return anyAcademic.getVersio();
	}

	/**
	 * Setter de la versio
	 * @param versio
	 */
	public void setVersio(Integer versio) {
		anyAcademic.setVersio(versio);
	}

	/**
	 * Reinici del formulari
	 */
	public void reset(ActionMapping mapping, HttpServletRequest request) {
		anyAcademic = new AnyAcademic();
		setSelectedEstat(new Integer(0));
	}

	/**
	 * Getter de l'estat seleccionat
	 * @return Integer
	 */
	public Integer getSelectedEstat() {
		return selectedEstat;
	}

	/**
	 * Setter de l'estat seleccionat
	 * @param selectedItem
	 */
	public void setSelectedEstat(Integer selectedItem) {
		this.selectedEstat = selectedItem;
	}

	/**
	 * Getter de l'estat seleccionat en format String
	 * @return Integer
	 */
	public String getSelectedEstatString() {
		return selectedEstat.toString();
	}

	/**
	 * Setter de l'estat seleccionat en format String
	 * @param selectedItem
	 */
	public void setSelectedEstatString(String selectedItem) {
		this.selectedEstat = new Integer(selectedItem);
	}

	/**
	 * Getter Llista dels estats
	 * @return ARrayList
	 */
	public ArrayList<Estat> getEstats() {
		return estats;
	}

	/**
	 * Setter Llistat d'estats
	 * @param estats
	 */
	public void setEstats(ArrayList<Estat> estats) {
		this.estats = estats;
	}


}

