
package com.uoc.tfc.UI.struts.form.manteniment;

import java.util.ArrayList;

import javax.servlet.http.HttpServletRequest;

import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionMapping;

import com.uoc.tfc.Base.manteniment.Assignatura;
import com.uoc.tfc.Base.mestres.Estat;

/**
 * 
 * Edici de les assignatures des del formulari
 * @author ojaen
 *
 */
public class EditAssignaturaForm extends ActionForm {

	/**
	 * 
	 */
	private static final long serialVersionUID = 7731529661097482006L;

	private Assignatura assignatura;
	private ArrayList<Estat> estats;
	private Integer selectedEstat;


	/**
	 * Getter Assignatura
	 * @return Assignatura
	 */
	public Assignatura getAssignatura() {
		return assignatura;
	}

	/**
	 * Setter Assignatura
	 * @param assignatura
	 */
	public void setAssignatura(Assignatura assignatura) {
		this.assignatura = assignatura;
	}

	/**
	 * Getter id assignatura
	 * @return Integer
	 */
	public Integer getId() {
		return assignatura.getIdAssignatura();
	}

	/**
	 * Setter idAssignatura
	 * @param id
	 */
	public void setId(Integer id) {
		if (id != null && id.intValue() == 0)
			id = null;

		assignatura.setIdAssignatura(id);
	}

	/**
	 * Getter codiAssignatura
	 * @return String
	 */
	public String getCodiAssignatura() {
		return assignatura.getCodiAssignatura();
	}

	/**
	 * Setter codiAssignatura
	 * @param codi
	 */
	public void setCodiAssignatura(String codi) {
		assignatura.setCodiAssignatura(codi);
	}

	/**
	 * Getter descripci de l'assignatura
	 * @return String
	 */
	public String getDescripcio() {
		return assignatura.getDescripcio();
	}

	/**
	 * Setter descripci assignatura
	 * @param descripcio
	 */
	public void setDescripcio(String descripcio) {
		assignatura.setDescripcio(descripcio);
	}

	/**
	 * Getter estat assignatura
	 * @return Estat
	 */
	public Estat getIdEstat() {
		return assignatura.getIdEstat();
	}

	/**
	 * Setter estat assignatura
	 * @param idEstat
	 */
	public void setIdEstat(Estat idEstat) {
		assignatura.setIdEstat(idEstat);
	}

	/**
	 * Getter versio
	 * @return Integer
	 */
	public Integer getVersio() {
		return assignatura.getVersio();
	}

	/**
	 * Setter versio
	 * @param versio
	 */
	public void setVersio(Integer versio) {
		assignatura.setVersio(versio);
	}

	/**
	 * Reiniciar el formulari
	 */
	public void reset(ActionMapping mapping, HttpServletRequest request) {
		assignatura = new Assignatura();
		//Per defecte Alta
		setSelectedEstat(new Integer(0));
	} 


	/**
	 * Getter estat seleccionat
	 * @return Integer
	 */
	public Integer getSelectedEstat() {
		return selectedEstat;
	}

	/**
	 * Setter estat seleccionat
	 * @param selectedItem
	 */
	public void setSelectedEstat(Integer selectedItem) {
		this.selectedEstat = selectedItem;
	}

	/**
	 * Getter estat seleccionat en String
	 * @return String
	 */
	public String getSelectedEstatString() {
		return selectedEstat.toString();
	}

	/**
	 * Setter estat seleccionat en String
	 * @param selectedItem
	 */
	public void setSelectedEstatString(String selectedItem) {
		this.selectedEstat = new Integer(selectedItem);
	}

	/**
	 * Getter dels estats 
	 * @return ArrayList<Estat>
	 */
	public ArrayList<Estat> getEstats() {
		return estats;
	}

	/**
	 * Setter estats
	 * @param estats
	 */
	public void setEstats(ArrayList<Estat> estats) {
		this.estats = estats;
	}

}

