
package com.uoc.tfc.UI.struts.form.manteniment;

import java.text.ParseException;
import java.util.ArrayList;
import java.util.Collection;
import java.util.Set;

import org.apache.struts.action.ActionForm;

import com.uoc.tfc.Base.common.Internacionalitzacio;
import com.uoc.tfc.Base.manteniment.AssignaturaAulaProfessor;
import com.uoc.tfc.Base.manteniment.Aula;
import com.uoc.tfc.Base.manteniment.Curs;
import com.uoc.tfc.Base.mestres.Estat;

/**
 * Formulari edici de les aules
 * @author ojaen
 *
 */
public class EditAulaForm extends ActionForm {

	/**
	 *
	 */
	private static final long serialVersionUID = 5106932836135040814L;
	private Aula aula = new Aula();
	private ArrayList<Estat> estats;
	private Integer selectedEstat;
	private ArrayList<Curs> cursos;
	private Integer selectedCurs;


	/**
	 * Getter aula
	 * @return Aula
	 */
	public Aula getAula() {
		return aula;
	}

	/**
	 * Setter aula
	 * @param aula
	 */
	public void setAula(Aula aula) {
		this.aula = aula;
	}

	/**
	 * Getter idAula
	 * @return Integer
	 */
	public Integer getId() {
		return aula.getIdAula();
	}

	/**
	 * Setter idAula
	 * @param id
	 */
	public void setId(Integer id) {
		if (id != null && id.intValue() == 0)
			id = null;

		aula.setIdAula(id);
	}

	/**
	 * Getter codi aula
	 * @return String
	 */
	public String getCodiAula() {
		return aula.getCodiAula();
	}

	/**
	 * Setter codiAula
	 * @param codi
	 */
	public void setCodiAula(String codi) {
		aula.setCodiAula(codi);
	}

	/**
	 * Getter descripcio
	 * @return String
	 */
	public String getDescripcio() {
		return aula.getDescripcio();
	}

	/**
	 * Setter descripcio
	 * @param descripcio
	 */
	public void setDescripcio(String descripcio) {
		aula.setDescripcio(descripcio);
	}

	/**
	 * Getter idEstat
	 * @return Estat
	 */
	public Estat getIdEstat() {
		return aula.getIdEstat();
	}

	/**
	 * Setter idEstat
	 * @param idEstat
	 */
	public void setIdEstat(Estat idEstat) {
		aula.setIdEstat(idEstat);
	}

	/**
	 * Getter idCurs
	 * @return Curs
	 */
	public Curs getIdCurs() {
		return aula.getIdCurs();
	}

	/**
	 * Setter idCurs
	 * @param idCurs
	 */
	public void setIdCurs(Curs idCurs) {
		aula.setIdCurs(idCurs);
	}

	/**
	 * Getter versio
	 * @return Integer
	 */
	public Integer getVersio() {
		return aula.getVersio();
	}

	/**
	 * Setter versio
	 * @param versio
	 */
	public void setVersio(Integer versio) {
		aula.setVersio(versio);
	}

	/**
	 * Setter aforament
	 * @param aforament
	 */
	public void setAforament(Integer aforament) {
		aula.setAforament(aforament);
	}

	/**
	 * Getter aforament
	 * @return Integer
	 */
	public Integer getAforament() {
		return aula.getAforament();
	}

	/**
	 * Getter aforament en String
	 * @return String
	 */
	public String getAforamentString() {
		if (aula.getAforament() != null)
			return aula.getAforament().toString();
		return "";
	}

	/**
	 * Setter aforament en String
	 * @param p_aforament
	 */
	public void setAforamentString(String p_aforament) {
		if (p_aforament != null && !p_aforament.equals("")) {
			try {
				aula.setAforament(Internacionalitzacio.parsejaSencer(p_aforament));
			} catch (ParseException e) {
				aula.setAforament(null);
			}
		}
		else
			aula.setAforament(null);
	}


	/**
	 * Getter estat seleccionat
	 * @return Integer
	 */
	public Integer getSelectedEstat() {
		return selectedEstat;
	}

	/**
	 * Setter estat seleccionat
	 * @param selectedItem
	 */
	public void setSelectedEstat(Integer selectedItem) {
		this.selectedEstat = selectedItem;
	}

	/**
	 * Getter estat seleccionat en String
	 * @return String
	 */
	public String getSelectedEstatString() {
		return selectedEstat.toString();
	}

	/**
	 * Setter estat seleccionat en String
	 * @param selectedItem
	 */
	public void setSelectedEstatString(String selectedItem) {
		this.selectedEstat = new Integer(selectedItem);
	}

	/**
	 * Getter arrayList Estats
	 * @return ArrayList<Estat>
	 */
	public ArrayList<Estat> getEstats() {
		return estats;
	}

	/**
	 * Setter arrayList Estats
	 * @param estats
	 */
	public void setEstats(ArrayList<Estat> estats) {
		this.estats = estats;
	}

	/**
	 * Getter curs seleccionat
	 * @return Integer
	 */
	public Integer getSelectedCurs() {
		return selectedCurs;
	}

	/**
	 * Setter curs seleccionat
	 * @param selectedItem
	 */
	public void setSelectedCurs(Integer selectedItem) {
		this.selectedCurs = selectedItem;
	}

	/**
	 * Getter curs seleccionat en String
	 * @return String
	 */
	public String getSelectedCursString() {
		return selectedCurs.toString();
	}

	/**
	 * Setter curs seleccionat en String
	 * @param selectedItem
	 */
	public void setSelectedCursString(String selectedItem) {
		this.selectedCurs = new Integer(selectedItem);
	}

	/**
	 * Getter ArrayList cursos
	 * @return ArrayList<Curs>
	 */
	public ArrayList<Curs> getCursos() {
		return cursos;
	}

	/**
	 * Setter ArrayList de cursos
	 * @param cursos
	 */
	public void setCursos(ArrayList<Curs> cursos) {
		this.cursos = cursos;
	}

	/**
	 * Getter Set<AssignaturaAulaProfessor>
	 * @return Set<AssignaturaAulaProfessor>
	 */
	public Set<AssignaturaAulaProfessor> getAssignaturaAulaProfessors() {
		return aula.getSetOfAssignaturaAulaProfessor();
	}

	/**
	 * Setter Set<AssignaturaAulaProfessor>
	 * @param cursAssignatures
	 */
	public void setAssignaturaAulaProfessors(
			Set<AssignaturaAulaProfessor> cursAssignatures) {
		aula.setSetOfAssignaturaAulaProfessor(cursAssignatures);
	}

	/**
	 * Afegir nova relacio aula-professor-assignatura
	 * @param p_AssignaturaAulaProfessor
	 */
	public void addAssignaturaAulaProfessor(AssignaturaAulaProfessor p_AssignaturaAulaProfessor) {
		aula.addAssignaturaAulaProfessor(p_AssignaturaAulaProfessor);
	}

	/**
	 * Eliminar relacio aula-professor-assignatura
	 * @param p_AssignaturaAulaProfessor
	 * @return Collection
	 */
	public Collection removeAssignaturaAulaProfessor(AssignaturaAulaProfessor p_AssignaturaAulaProfessor) {
		return aula.removeAssignaturaAulaProfessor(p_AssignaturaAulaProfessor);
	}





}

