
package com.uoc.tfc.UI.struts.form.manteniment;

import java.util.ArrayList;
import java.util.Collection;
import java.util.Set;

import org.apache.struts.action.ActionForm;

import com.uoc.tfc.Base.manteniment.Curs;
import com.uoc.tfc.Base.manteniment.CursAssignatura;
import com.uoc.tfc.Base.manteniment.TipusTitulacio;
import com.uoc.tfc.Base.mestres.Estat;

/**
 * Formulari edici dels cursos
 * @author ojaen
 *
 */
public class EditCursForm extends ActionForm {

	/**
	 *
	 */
	private static final long serialVersionUID = 8920880559105699583L;
	private Curs curs = new Curs();
	private ArrayList<Estat> estats;
	private Integer selectedEstat;
	private ArrayList<TipusTitulacio> tipusTitulacions;
	private Integer selectedTipusTitulacio;

	private ArrayList<Curs> cursosPrevis;
	private Integer selectedCursPrevi;

	/**
	 * Getter curs
	 * @return Curs
	 */
	public Curs getCurs() {
		return curs;
	}

	/**
	 * Setter curs
	 * @param curs
	 */
	public void setCurs(Curs curs) {
		this.curs = curs;
	}

	/**
	 * Getter idCurs
	 * @return Integer
	 */
	public Integer getId() {
		return curs.getIdCurs();
	}

	/**
	 * Setter idCurs
	 * @param id
	 */
	public void setId(Integer id) {
		if (id != null && id.intValue() == 0)
			id = null;

		curs.setIdCurs(id);
	}

	/**
	 * Getter codiCurs
	 * @return String
	 */
	public String getCodiCurs() {
		return curs.getCodiCurs();
	}

	/**
	 * Setter codiCurs
	 * @param codi
	 */
	public void setCodiCurs(String codi) {
		curs.setCodiCurs(codi);
	}

	/**
	 * Getter descripcio
	 * @return String
	 */
	public String getDescripcio() {
		return curs.getDescripcio();
	}

	/**
	 * Setter descripcio
	 * @param descripcio
	 */
	public void setDescripcio(String descripcio) {
		curs.setDescripcio(descripcio);
	}

	/**
	 * Getter idEstat
	 * @return Estat
	 */
	public Estat getIdEstat() {
		return curs.getIdEstat();
	}

	/**
	 * Setter idEstat
	 * @param idEstat
	 */
	public void setIdEstat(Estat idEstat) {
		curs.setIdEstat(idEstat);
	}

	/**
	 * Getter idTipusTitulacio
	 * @return TipusTitulacio
	 */
	public TipusTitulacio getIdTipusTitulacio() {
		return curs.getIdTipusTitulacio();
	}

	/**
	 * Setter idTipusTitulacio
	 * @param idTipusTitulacio
	 */
	public void setIdTipusTitulacio(TipusTitulacio idTipusTitulacio) {
		curs.setIdTipusTitulacio(idTipusTitulacio);
	}


	/**
	 * Getter versio
	 * @return Integer
	 */
	public Integer getVersio() {
		return curs.getVersio();
	}

	/**
	 * Setter versio
	 * @param versio
	 */
	public void setVersio(Integer versio) {
		curs.setVersio(versio);
	}

	/**
	 * Getter estat seleccionat
	 * @return Integer
	 */
	public Integer getSelectedEstat() {
		return selectedEstat;
	}

	/**
	 * Setter estat seleccionat
	 * @param selectedItem
	 */
	public void setSelectedEstat(Integer selectedItem) {
		this.selectedEstat = selectedItem;
	}

	/**
	 * Getter estat seleccionat en String
	 * @return String
	 */
	public String getSelectedEstatString() {
		return selectedEstat.toString();
	}

	/**
	 * Setter estat seleccionat en String
	 * @param selectedItem
	 */
	public void setSelectedEstatString(String selectedItem) {
		this.selectedEstat = new Integer(selectedItem);
	}

	/**
	 * Getter arrayList d'estats
	 * @return ArrayList<Estat>
	 */
	public ArrayList<Estat> getEstats() {
		return estats;
	}

	/**
	 * Setter arrayList estats
	 * @param estats
	 */
	public void setEstats(ArrayList<Estat> estats) {
		this.estats = estats;
	}

	/**
	 * Getter tipus titulaci seleccionat
	 * @return Integer
	 */
	public Integer getSelectedTipusTitulacio() {
		return selectedTipusTitulacio;
	}

	/**
	 * Setter tipus titulaci seleccionat
	 * @param selectedItem
	 */
	public void setSelectedTipusTitulacio(Integer selectedItem) {
		this.selectedTipusTitulacio = selectedItem;
	}

	/**
	 * Getter tipus titulaci seleccionat en String
	 * @return String
	 */
	public String getSelectedTipusTitulacioString() {
		return selectedTipusTitulacio.toString();
	}

	/**
	 * Setter tipus titulaci seleccionat en String
	 * @param selectedItem
	 */
	public void setSelectedTipusTitulacioString(String selectedItem) {
		this.selectedTipusTitulacio = new Integer(selectedItem);
	}

	/**
	 * Getter tipus de titulacions
	 * @return ArrayList<TipusTitulacio>
	 */
	public ArrayList<TipusTitulacio> getTipusTitulacions() {
		return tipusTitulacions;
	}

	/**
	 * Setter tipus de titulacions
	 * @param tipusTitulacions
	 */
	public void setTipusTitulacions(ArrayList<TipusTitulacio> tipusTitulacions) {
		this.tipusTitulacions = tipusTitulacions;
	}

	/**
	 * Getter cursos previs
	 * @return ArrayList<Curs>
	 */
	public ArrayList<Curs> getCursosPrevis() {
		return cursosPrevis;
	}

	/**
	 * Setter cursos previs
	 * @param cursos
	 */
	public void setCursosPrevis(ArrayList<Curs> cursos) {
		this.cursosPrevis = cursos;
	}

	/**
	 * Getter curs previ seleccionat
	 * @return Integer
	 */
	public Integer getSelectedCursPrevi() {
		return selectedCursPrevi;
	}

	/**
	 * Setter curs previ seleccionat
	 * @param selectedCursPrevi
	 */
	public void setSelectedCursPrevi(Integer selectedCursPrevi) {
		this.selectedCursPrevi = selectedCursPrevi;
	}

	/**
	 * Getter cuirs previ seleccionat en String
	 * @return String
	 */
	public String getSelectedCursPreviString() {
		if (getSelectedCursPrevi() != null)
			return selectedCursPrevi.toString();
		return "";
	}

	/**
	 * Setter curs previ seleccionat en String
	 * @param selectedItem
	 */
	public void setSelectedCursPreviString(String selectedItem) {
		this.selectedCursPrevi = new Integer(selectedItem);
	}

	/**
	 * Getter  Set<CursAssignatura>
	 * @return Set<CursAssignatura>
	 */
	public Set<CursAssignatura> getCursAssignatures() {
		return curs.getSetOfCursAssignatura();
	}

	/**
	 * Setter Set<CursAssignatura>
	 * @param cursAssignatures
	 */
	public void setCursAssignatures(Set<CursAssignatura> cursAssignatures) {
		curs.setSetOfCursAssignatura(cursAssignatures);
	}

	/**
	 * Afegir nova assignatura al curs
	 * @param p_CursAssignatura
	 */
	public void addCursAssignatura(CursAssignatura p_CursAssignatura) {
		curs.addCursAssignatura(p_CursAssignatura);
	}

	/**
	 * Esborrar assignatura del curs
	 * @param p_CursAssignatura
	 * @return Collection
	 */
	public Collection removeCursAssignatura(CursAssignatura p_CursAssignatura) {
		return curs.removeCursAssignatura(p_CursAssignatura);
	}

}

