
package com.uoc.tfc.UI.struts.form.manteniment;

import java.util.ArrayList;

import javax.servlet.http.HttpServletRequest;

import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionMapping;

import com.uoc.tfc.Base.manteniment.TipusQualificacio;
import com.uoc.tfc.Base.mestres.Estat;

/**
 *
 * Edici dels tipus de qualificaci des del formulari
 * @author ojaen
 *
 */

public class EditTipusQualificacioForm extends ActionForm {

	/**
	 *
	 */
	private static final long serialVersionUID = 6041187934329496285L;
	private TipusQualificacio tipusQualificacio;
	private ArrayList<Estat> estats;
	private Integer selectedEstat;

	/**
	 * Getter tipusQualificacio
	 * @return TipusQualificacio
	 */
	public TipusQualificacio getTipusQualificacio() {
		return tipusQualificacio;
	}

	/**
	 * Setter tipusQualificacio
	 * @param tipusQualificacio
	 */
	public void setTipusQualificacio(TipusQualificacio tipusQualificacio) {
		this.tipusQualificacio = tipusQualificacio;
	}

	/**
	 * Getter idTipusQualificacio
	 * @return Integer
	 */
	public Integer getId() {
		return tipusQualificacio.getIdTipusQualificacio();
	}

	/**
	 * Setter idTipusQualificacio
	 * @param id
	 */
	public void setId(Integer id) {
		if (id != null && id.intValue() == 0)
			id = null;
		tipusQualificacio.setIdTipusQualificacio(id);
	}

	/**
	 * Getter codiTipusQualificacio
	 * @return String
	 */
	public String getCodiTipusQualificacio() {
		return tipusQualificacio.getCodiTipusQualificacio();
	}

	/**
	 * Setter codiTipusQualificacio
	 * @param codi
	 */
	public void setCodiTipusQualificacio(String codi) {
		tipusQualificacio.setCodiTipusQualificacio(codi);
	}

	/**
	 * Getter descripcio
	 * @return String
	 */
	public String getDescripcio() {
		return tipusQualificacio.getDescripcio();
	}

	/**
	 * Setter descripcio
	 * @param descripcio
	 */
	public void setDescripcio(String descripcio) {
		tipusQualificacio.setDescripcio(descripcio);
	}

	/**
	 * Getter aprovat
	 * @return Integer
	 */
	public Integer getAprovat() {
		return tipusQualificacio.getAprovat();
	}

	/**
	 * Setter aprovat
	 * @param aprovat
	 */
	public void setAprovat(Integer aprovat) {
		tipusQualificacio.setAprovat(aprovat);
	}

	/**
	 * Getter isAprovat
	 * @return boolean
	 */
	public boolean isAprovat() {
		return tipusQualificacio.isAprovat();
	}

	/**
	 * Setter aprovat
	 * @param aprovat
	 */
	public void setAprovat(boolean aprovat) {
		tipusQualificacio.setAprovat(aprovat);
	}

	/**
	 * Getter isEstat
	 * @return Estat
	 */
	public Estat getIdEstat() {
		return tipusQualificacio.getIdEstat();
	}

	/**
	 * Setter idEstat
	 * @param idEstat
	 */
	public void setIdEstat(Estat idEstat) {
		tipusQualificacio.setIdEstat(idEstat);
	}


	/**
	 * Getter versio
	 * @return Integer
	 */
	public Integer getVersio() {
		return tipusQualificacio.getVersio();
	}

	/**
	 * Setter versio
	 * @param versio
	 */
	public void setVersio(Integer versio) {
		tipusQualificacio.setVersio(versio);
	}

	/**
	 * Reiniciar formulari
	 */
	public void reset(ActionMapping mapping, HttpServletRequest request) {
		tipusQualificacio = new TipusQualificacio();
		setAprovat(false);
		//Per defecte Alta
		setSelectedEstat(new Integer(0));
	}

	/**
	 * Getter estat seleccionat
	 * @return Integer
	 */
	public Integer getSelectedEstat() {
		return selectedEstat;
	}

	/**
	 * Setter estat seleccionat
	 * @param selectedItem
	 */
	public void setSelectedEstat(Integer selectedItem) {
		this.selectedEstat = selectedItem;
	}

	/**
	 * Getter estat seleccionat en string
	 * @return String
	 */
	public String getSelectedEstatString() {
		return selectedEstat.toString();
	}

	/**
	 * Setter estat seleccionat en String
	 * @param selectedItem
	 */
	public void setSelectedEstatString(String selectedItem) {
		this.selectedEstat = new Integer(selectedItem);
	}

	/**
	 * Getter dels estats
	 * @return ArrayList<Estat>
	 */
	public ArrayList<Estat> getEstats() {
		return estats;
	}

	/**
	 * Setter estats
	 * @param estats
	 */
	public void setEstats(ArrayList<Estat> estats) {
		this.estats = estats;
	}
}

