
package com.uoc.tfc.UI.struts.form.manteniment;

import java.util.ArrayList;

import javax.servlet.http.HttpServletRequest;

import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionMapping;

import com.uoc.tfc.Base.manteniment.TipusTitulacio;
import com.uoc.tfc.Base.mestres.Estat;

/**
 * Formulari edici del tipus de titulaci
 * @author ojaen
 *
 */
public class EditTipusTitulacioForm extends ActionForm {

	/**
	 *
	 */
	private static final long serialVersionUID = 3442581242861829420L;
	private TipusTitulacio tipusTitulacio;
	private ArrayList<Estat> estats;
	private Integer selectedEstat;


	/**
	 * Getter tipus de titulaci
	 * @return TipusTitulacio
	 */
	public TipusTitulacio getTipusTitulacio() {
		return tipusTitulacio;
	}

	/**
	 * Setter tipus de titulaci
	 * @param tipusTitulacio
	 */
	public void setTipusTitulacio(TipusTitulacio tipusTitulacio) {
		this.tipusTitulacio = tipusTitulacio;
	}

	/**
	 * Getter idTipusTitulacio
	 * @return Integer
	 */
	public Integer getId() {
		return tipusTitulacio.getIdTipusTitulacio();
	}

	/**
	 * Setter idTipusTitulacio
	 * @param id
	 */
	public void setId(Integer id) {
		if (id != null && id.intValue() == 0)
			id = null;

		tipusTitulacio.setIdTipusTitulacio(id);
	}

	/**
	 * Getter codi tipus de titulaci
	 * @return String
	 */
	public String getCodiTipusTitulacio() {
		return tipusTitulacio.getCodiTipusTitulacio();
	}

	/**
	 * Setter codi tipus de titulaci
	 * @param codi
	 */
	public void setCodiTipusTitulacio(String codi) {
		tipusTitulacio.setCodiTipusTitulacio(codi);
	}

	/**
	 * Getter descripcio
	 * @return String
	 */
	public String getDescripcio() {
		return tipusTitulacio.getDescripcio();
	}

	/**
	 * Setter descripcio
	 * @param descripcio
	 */
	public void setDescripcio(String descripcio) {
		tipusTitulacio.setDescripcio(descripcio);
	}

	/**
	 * Getter idEstat
	 * @return Estat
	 */
	public Estat getIdEstat() {
		return tipusTitulacio.getIdEstat();
	}

	/**
	 * Setter idEstat
	 * @param idEstat
	 */
	public void setIdEstat(Estat idEstat) {
		tipusTitulacio.setIdEstat(idEstat);
	}

	/**
	 * Getter versio
	 * @return Integer
	 */
	public Integer getVersio() {
		return tipusTitulacio.getVersio();
	}

	/**
	 * Setter versio
	 * @param versio
	 */
	public void setVersio(Integer versio) {
		tipusTitulacio.setVersio(versio);
	}

	/**
	 * Reiniciar el formulari
	 */
	public void reset(ActionMapping mapping, HttpServletRequest request) {
		tipusTitulacio = new TipusTitulacio();
		//Per defecte Alta
		setSelectedEstat(new Integer(0));
	}

	/**
	 * Getter estat seleccionat
	 * @return Integer
	 */
	public Integer getSelectedEstat() {
		return selectedEstat;
	}

	/**
	 * Setter estat seleccionat
	 * @param selectedItem
	 */
	public void setSelectedEstat(Integer selectedItem) {
		this.selectedEstat = selectedItem;
	}

	/**
	 * Getter estat seleccionat en String
	 * @return String
	 */
	public String getSelectedEstatString() {
		return selectedEstat.toString();
	}

	/**
	 * Setter estat seleccionat en String
	 * @param selectedItem
	 */
	public void setSelectedEstatString(String selectedItem) {
		this.selectedEstat = new Integer(selectedItem);
	}

	/**
	 * Getter arrayList d'estats
	 * @return ArrayList<Estat>
	 */
	public ArrayList<Estat> getEstats() {
		return estats;
	}

	/**
	 * Setter arrayList d'estats
	 * @param estats
	 */
	public void setEstats(ArrayList<Estat> estats) {
		this.estats = estats;
	}

}

