package com.uoc.tfc.UI.struts.form.matricula;

import java.text.ParseException;
import java.util.ArrayList;

import org.apache.struts.action.ActionForm;

import com.uoc.tfc.Base.common.CodisMestre;
import com.uoc.tfc.Base.common.Internacionalitzacio;
import com.uoc.tfc.Base.manteniment.AnyAcademic;
import com.uoc.tfc.Base.matricula.Matricula;
import com.uoc.tfc.Base.mestres.Estat;
import com.uoc.tfc.Base.mestres.TipusDocument;

/**
 * Cerca de matrcules
 * @author ojaen
 *
 */
public class CercaMatriculaForm extends ActionForm {

	/**
	 *
	 */
	private static final long serialVersionUID = -8876988868286394931L;
	private Matricula[] matricules = new Matricula[0];
	private String codiUsuari;
	private String cognom1;
	private String cognom2;
	private String nom;
	private String numDocument;


	private ArrayList<Estat> estats;
	private Integer selectedEstat = CodisMestre.CODI_ESTAT_ALTA;
	private ArrayList<TipusDocument> tipusDocument;
	private Integer selectedTipusDocument = CodisMestre.CODI_TIPUS_DOCUMENT_NIF;
	private ArrayList<AnyAcademic> anyAcademic;
	private Integer selectedAnyAcademic = new Integer(0);

	/**
	 * Getter matricules
	 * @return Matricula[]
	 */
	public Matricula[] getMatricules() {
		return matricules;
	}
	/**
	 * Setter matricules
	 * @param matricules
	 */
	public void setMatricules(Matricula[] matricules) {
		this.matricules = matricules;
	}

	/**
	 * Getter codi usuari
	 * @return String
	 */
	public String getCodiUsuari() {
		return codiUsuari;
	}

	/**
	 * Setter codi usuari
	 * @param codi
	 */
	public void setCodiUsuari(String codi) {
		if (codi != null && !codi.equals("")) {
			try {
				this.codiUsuari = String.valueOf(Internacionalitzacio.parsejaSencer(codi));
			} catch (ParseException e) {
				this.codiUsuari =null;
			}
		}
		else
			this.codiUsuari = null;
	}

	/**
	 * Getter estat seleccionat
	 * @return Integer
	 */
	public Integer getSelectedEstat() {
		return selectedEstat;
	}

	/**
	 * Setter estat seleccionat
	 * @param selectedItem
	 */
	public void setSelectedEstat(Integer selectedItem) {
		this.selectedEstat = selectedItem;
	}

	/**
	 * Getter estat seleccionat String
	 * @return String
	 */
	public String getSelectedEstatString() {
		return selectedEstat.toString();
	}

	/**
	 * Setter estat seleccionat string
	 * @param selectedItem
	 */
	public void setSelectedEstatString(String selectedItem) {
		this.selectedEstat = new Integer(selectedItem);
	}

	/**
	 * Getter arrayList Estat
	 * @return ArrayList<Estat>
	 */
	public ArrayList<Estat> getEstats() {
		return estats;
	}

	/**
	 * Setter arrayList Estat
	 * @param estats
	 */
	public void setEstats(ArrayList<Estat> estats) {
		this.estats = estats;
	}

	/**
	 * Getter primer cognom
	 * @return String
	 */
	public String getCognom1() {
		return cognom1;
	}

	/**
	 * Setter primer cognom
	 * @param cognom1
	 */
	public void setCognom1(String cognom1) {
		this.cognom1 = cognom1;
	}

	/**
	 * Getter segon cognom
	 * @return String
	 */
	public String getCognom2() {
		return cognom2;
	}

	/**
	 * Setter segon cognom
	 * @param cognom2
	 */
	public void setCognom2(String cognom2) {
		this.cognom2 = cognom2;
	}

	/**
	 * Getter nom
	 * @return String
	 */
	public String getNom() {
		return nom;
	}

	/**
	 * Setter nom
	 * @param nom
	 */
	public void setNom(String nom) {
		this.nom = nom;
	}

	/**
	 * Getter numero document
	 * @return String
	 */
	public String getNumDocument() {
		return numDocument;
	}

	/**
	 * Setter numero document
	 * @param numDocument
	 */
	public void setNumDocument(String numDocument) {
		this.numDocument = numDocument;
	}

	/**
	 * Getter arraylist tipus de document
	 * @return ArrayList<TipusDocument>
	 */
	public ArrayList<TipusDocument> getTipusDocument() {
		return tipusDocument;
	}

	/**
	 * Setter ArrayList tipus document
	 * @param tipusDocument
	 */
	public void setTipusDocument(ArrayList<TipusDocument> tipusDocument) {
		this.tipusDocument = tipusDocument;
	}

	/**
	 * Getter tipus document seleccionat
	 * @return Integer
	 */
	public Integer getSelectedTipusDocument() {
		return selectedTipusDocument;
	}

	/**
	 * Setter tipus document seleccionat
	 * @param selectedTipusDocument
	 */
	public void setSelectedTipusDocument(Integer selectedTipusDocument) {
		this.selectedTipusDocument = selectedTipusDocument;
	}

	/**
	 * Getter tipus document seleccionat String
	 * @return String
	 */
	public String getSelectedTipusDocumentString() {
		return selectedTipusDocument.toString();
	}

	/**
	 * Setter tipus document seleccionat String
	 * @param selectedItem
	 */
	public void setSelectedTipusDocumentString(String selectedItem) {
		this.selectedTipusDocument = new Integer(selectedItem);
	}

	/**
	 * Getter arraylist AnyAcademic
	 * @return ArrayList<AnyAcademic>
	 */
	public ArrayList<AnyAcademic> getAnyAcademic() {
		return anyAcademic;
	}

	/**
	 * Setter arraylist AnyAcademic
	 * @param anyAcademic
	 */
	public void setAnyAcademic(ArrayList<AnyAcademic> anyAcademic) {
		this.anyAcademic = anyAcademic;
	}

	/**
	 * Getter any acadmic seleccionat
	 * @return Integer
	 */
	public Integer getSelectedAnyAcademic() {
		return selectedAnyAcademic;
	}

	/**
	 * Setter any acadmic seleccionat
	 * @param selectedTipusUsusari
	 */
	public void setSelectedAnyAcademic(Integer selectedTipusUsusari) {
		this.selectedAnyAcademic = selectedTipusUsusari;
	}

	/**
	 * Getter any acadmic seleccionat string
	 * @return String
	 */
	public String getSelectedAnyAcademicString() {
		return selectedAnyAcademic.toString();
	}

	/**
	 * Setter any acadmic seleccionat String
	 * @param selectedItem
	 */
	public void setSelectedAnyAcademicString(String selectedItem) {
		this.selectedAnyAcademic = new Integer(selectedItem);
	}


}

