
package com.uoc.tfc.UI.struts.form.matricula;

import java.util.ArrayList;

import org.apache.struts.action.ActionForm;

import com.uoc.tfc.Base.manteniment.AnyAcademic;
import com.uoc.tfc.Base.manteniment.Curs;
import com.uoc.tfc.Base.manteniment.Aula;
import com.uoc.tfc.Base.matricula.Matricula;
import com.uoc.tfc.Base.mestres.Estat;

/**
 * Formulari de l'edici de les matrcules
 * @author ojaen
 *
 */
public class EditMatriculaForm extends ActionForm {

	/**
	 *
	 */
	private static final long serialVersionUID = 5979343254663071060L;

	private Matricula matricula = new Matricula();

	private ArrayList<Estat> estats;
	private Integer selectedEstat;

	private ArrayList<Aula> aules = new ArrayList<Aula>();
	private Integer selectedAula;

	private ArrayList<AnyAcademic> anysAcademics = new ArrayList<AnyAcademic>();
	private Integer selectedAnyAcademic;

	private ArrayList<Curs> cursos = new ArrayList<Curs>()	;
	private Integer selectedCurs;

	/**
	 * Getter matrcula
	 * @return Matricula
	 */
	public Matricula getMatricula() {
		return matricula;
	}

	/**
	 * Setter matrcula
	 * @param matricula
	 */
	public void setMatricula(Matricula matricula) {
		this.matricula = matricula;
	}

	/**
	 * Getter idMatricula
	 * @return Integer
	 */
	public Integer getIdMatricula() {
		return matricula.getIdMatricula();
	}

	/**
	 * Setter idMatricula
	 * @param p_matricula
	 */
	public void setIdMatricula(Integer p_matricula) {
		matricula.setIdMatricula(p_matricula);
	}

	/**
	 * Getter idUsuari
	 * @return Integer
	 */
	public Integer getIdUsuari() {
		return matricula.getIdUsuari().getIdUsuari();
	}

	/**
	 * Setter idUsuari
	 * @param id
	 */
	public void setIdUsuari(Integer id) {
		if (id != null && id.intValue() == 0)
			id = null;

		matricula.getIdUsuari().setIdUsuari(id);
	}

	/**
	 * Getter codiUsuari
	 * @return Integer
	 */
	public Integer getCodiUsuari() {
		if (matricula.getIdUsuari() != null)
			return matricula.getIdUsuari().getIdUsuari();
		return null;
	}

	/**
	 * Setter codi usuari
	 * @param codi
	 */
	public void setCodiUsuari(Integer codi) {
		if (matricula.getIdUsuari() != null)
			matricula.getIdUsuari().setIdUsuari(codi);
	}

	/**
	 * Getter nom usuari
	 * @return String
	 */
	public String getNom() {
		return matricula.getIdUsuari().getNom();
	}

	/**
	 * Setter nom usuari
	 * @param nom
	 */
	public void setNom(String nom) {
		if (matricula.getIdUsuari() != null)
			matricula.getIdUsuari().setNom(nom);
	}

	/**
	 * Getter primer cognom usuari
	 * @return String
	 */
	public String getCognom1() {
		return matricula.getIdUsuari().getCognom1();
	}

	/**
	 * Setter primer cognom usuari
	 * @param cognom1
	 */
	public void setCognom1(String cognom1) {
		if (matricula.getIdUsuari() != null)
			matricula.getIdUsuari().setCognom1(cognom1);
	}

	/**
	 * Getter segon cognom usuari
	 * @return String
	 */
	public String getCognom2() {
		return matricula.getIdUsuari().getCognom2();
	}

	/**
	 * Setter segon cognom usuari
	 * @param cognom2
	 */
	public void setCognom2(String cognom2) {
		if (matricula.getIdUsuari() != null)
			matricula.getIdUsuari().setCognom2(cognom2);
	}

	/**
	 * Getter any acadmic
	 * @return AnyAcademic
	 */
	public AnyAcademic getIdAnyAcademic() {
		return matricula.getIdAnyAcademic();
	}

	/**
	 * Setter idAnyAcademic
	 * @param idAnyAcademic
	 */
	public void setIdAnyAcademic(AnyAcademic idAnyAcademic) {
		matricula.setIdAnyAcademic(idAnyAcademic);
	}

	/**
	 * Getter idAula
	 * @return Aula
	 */
	public Aula getIdAula() {
		return matricula.getIdAula();
	}

	/**
	 * Setter idAula
	 * @param idAula
	 */
	public void setIdAula(Aula idAula) {
		matricula.setIdAula(idAula);
	}

	/**
	 * Getter idEstat
	 * @return Estat
	 */
	public Estat getIdEstat() {
		return matricula.getIdEstat();
	}

	/**
	 * Setter idEstat
	 * @param idEstat
	 */
	public void setIdEstat(Estat idEstat) {
		matricula.setIdEstat(idEstat);
	}

	/**
	 * Getter versio
	 * @return Integer
	 */
	public Integer getVersio() {
		return matricula.getVersio();
	}

	/**
	 * Setter versio
	 * @param versio
	 */
	public void setVersio(Integer versio) {
		matricula.setVersio(versio);
	}

	/**
	 * Getter estat seleccionat
	 * @return Integer
	 */
	public Integer getSelectedEstat() {
		return selectedEstat;
	}

	/**
	 * Setter estat seleccionat
	 * @param selectedItem
	 */
	public void setSelectedEstat(Integer selectedItem) {
		this.selectedEstat = selectedItem;
	}

	/**
	 * Getter estat seleccionat en string
	 * @return String
	 */
	public String getSelectedEstatString() {
		return selectedEstat.toString();
	}

	/**
	 * Setter estat seleccionat en String
	 * @param selectedItem
	 */
	public void setSelectedEstatString(String selectedItem) {
		this.selectedEstat = new Integer(selectedItem);
	}

	/**
	 * Getter ArrayList d'estats
	 * @return ArrayList<Estat>
	 */
	public ArrayList<Estat> getEstats() {
		return estats;
	}

	/**
	 * Setter arrayList d'estats
	 * @param estats
	 */
	public void setEstats(ArrayList<Estat> estats) {
		this.estats = estats;
	}

	/**
	 * Getter arraylist d'anys academics
	 * @return ArrayList<AnyAcademic>
	 */
	public ArrayList<AnyAcademic> getAnysAcademics() {
		return anysAcademics;
	}

	/**
	 * Setter ArrayList anys academics
	 * @param anysAcademics
	 */
	public void setAnysAcademics(ArrayList<AnyAcademic> anysAcademics) {
		this.anysAcademics = anysAcademics;
	}

	/**
	 * Getter any acadmic seleccionat
	 * @return Integer
	 */
	public Integer getSelectedAnyAcademic() {
		return selectedAnyAcademic;
	}

	/**
	 * Setter any acadmic seleccionat
	 * @param selectedAnyAcademic
	 */
	public void setSelectedAnyAcademic(Integer selectedAnyAcademic) {
		this.selectedAnyAcademic = selectedAnyAcademic;
	}

	/**
	 * Getter any acadmic seleccionat en String
	 * @return String
	 */
	public String getSelectedAnyAcademicString() {
		return selectedAnyAcademic.toString();
	}

	/**
	 * Setter any acadmic en String
	 * @param selectedItem
	 */
	public void setSelectedAnyAcademicString(String selectedItem) {
		this.selectedAnyAcademic = new Integer(selectedItem);
	}

	/**
	 * Getter arrayList aules
	 * @return  ArrayList<Aula>
	 */
	public ArrayList<Aula> getAules() {
		return aules;
	}

	/**
	 * Setter arrayList aules
	 * @param aules
	 */
	public void setAules(ArrayList<Aula> aules) {
		this.aules = aules;
	}

	/**
	 * Getter aula seleccionada
	 * @return Integer
	 */
	public Integer getSelectedAula() {
		return selectedAula;
	}

	/**
	 * Setter aula seleccionada
	 * @param selectedAula
	 */
	public void setSelectedAula(Integer selectedAula) {
		this.selectedAula = selectedAula;
	}

	/**
	 * Getter aula seleccionada en string
	 * @return String
	 */
	public String getSelectedAulaString() {
		return selectedAula.toString();
	}

	/**
	 * Setter aula seleccoinada en string
	 * @param selectedItem
	 */
	public void setSelectedAulaString(String selectedItem) {
		this.selectedAula = new Integer(selectedItem);
	}

	/**
	 * Getter arrayList cursos
	 * @return ArrayList<Curs>
	 */
	public ArrayList<Curs> getCursos() {
		return cursos;
	}

	/**
	 * Setter arrayList cursos
	 * @param cursos
	 */
	public void setCursos(ArrayList<Curs> cursos) {
		this.cursos = cursos;
	}

	/**
	 * Getter curs seleccionat
	 * @return Integer
	 */
	public Integer getSelectedCurs() {
		return selectedCurs;
	}

	/**
	 * Setter curs seleccionat
	 * @param selectedCurs
	 */
	public void setSelectedCurs(Integer selectedCurs) {
		this.selectedCurs = selectedCurs;
	}

	/**
	 * Getter curs seleccionat en String
	 * @return String
	 */
	public String getSelectedCursString() {
		return selectedCurs.toString();
	}

	/**
	 * Setter curs seleccionat en String
	 * @param selectedItem
	 */
	public void setSelectedCursString(String selectedItem) {
		this.selectedCurs = new Integer(selectedItem);
	}
}

