package com.uoc.tfc.UI.struts.form.notificacio;

import java.text.ParseException;
import java.util.ArrayList;
import java.util.Date;

import org.apache.struts.action.ActionForm;

import com.uoc.tfc.Base.common.CodisMestre;
import com.uoc.tfc.Base.common.Internacionalitzacio;
import com.uoc.tfc.Base.mestres.Estat;
import com.uoc.tfc.Base.mestres.TipusNotificacio;
import com.uoc.tfc.Base.notificacio.Notificacio;

/**
 * Cerca de notificacions
 * @author ojaen
 *
 */
public class CercaNotificacioForm extends ActionForm {


	/**
	 * 
	 */
	private static final long serialVersionUID = 7587507718048019571L;
	private Notificacio[] notificacions = new Notificacio[0];



	private String titol;
	private Date dataInici;
	private Date dataFi;

	private ArrayList<Estat> estats;
	private Integer selectedEstat = CodisMestre.CODI_ESTAT_ALTA;
	private ArrayList<TipusNotificacio> tipusNotificacio;
	private Integer selectedTipusNotificacio = -1;

	/**
	 * Getter Notificacions
	 * @return Notificacio[]
	 */
	public Notificacio[] getNotificacions() {
		return notificacions;
	}
	/**
	 * Setter notificacions
	 * @param notificacions
	 */
	public void setNotificacions(Notificacio[] notificacions) {
		this.notificacions = notificacions;
	}

	/**
	 * Getter titol
	 * @return String
	 */
	public String getTitol() {
		return titol;
	}

	/**
	 * Setter titol
	 * @param titol
	 */
	public void setTitol(String titol) {
		this.titol = titol;
	}

	/**
	 * Getter data Inici
	 * @return Date
	 */
	public Date getDataInici() {
		return dataInici;
	}

	/**
	 * Setter dataInici
	 * @param dataInici
	 */
	public void setDataInici(Date dataInici) {
		this.dataInici = dataInici;
	}

	/**
	 * Getter dataInici en String
	 * @return String
	 */
	public String getDataIniciString() {
		if (getDataInici() != null)
			return Internacionalitzacio.FormataDataCurta(getDataInici());
		return "";
	}

	/**
	 * Setter data inici en String
	 * @param dataInici
	 */
	public void setDataIniciString(String dataInici) {
		if (dataInici != null && !dataInici.equals("")) {
			try {
				setDataInici(Internacionalitzacio.parsejaDataCurta(dataInici));
			} catch (ParseException e) {
				setDataInici(null);
			}
		}
		else
			setDataInici(null);
	}

	/**
	 * Get data fi 
	 * @return Date
	 */
	public Date getDataFi() {
		return dataFi;
	}

	/**
	 * Setter data fi
	 * @param dataFi
	 */
	public void setDataFi(Date dataFi) {
		this.dataFi = dataFi;
	}

	/**
	 * Getter data fi en String
	 * @return String
	 */
	public String getDataFiString() {
		if (getDataFi() != null)
			return Internacionalitzacio.FormataDataCurta(getDataFi());
		return "";
	}

	/**
	 * Setter data fi en String
	 * @param dataFi
	 */
	public void setDataFiString(String dataFi) {
		if (dataFi != null && !dataFi.equals("")) {
			try {
				setDataFi(Internacionalitzacio.parsejaDataCurta(dataFi));
			} catch (ParseException e) {
				setDataFi(null);
			}
		}
		else
			setDataFi(null);
	}

	/**
	 * Getter estat seleccionat
	 * @return Integer
	 */
	public Integer getSelectedEstat() {
		return selectedEstat;
	}

	/**
	 * Setter estat seleccionat
	 * @param selectedItem
	 */
	public void setSelectedEstat(Integer selectedItem) {
		this.selectedEstat = selectedItem;
	}

	/**
	 * Getter estat seleccionat en String
	 * @return String
	 */
	public String getSelectedEstatString() {
		return selectedEstat.toString();
	}

	/**
	 * Setter estat seleccionat en String
	 * @param selectedItem
	 */
	public void setSelectedEstatString(String selectedItem) {
		this.selectedEstat = new Integer(selectedItem);
	}

	/**
	 * Getter arrayList estats
	 * @return ArrayList<Estat>
	 */
	public ArrayList<Estat> getEstats() {
		return estats;
	}

	/**
	 * Setter arrayList estats
	 * @param estats
	 */
	public void setEstats(ArrayList<Estat> estats) {
		this.estats = estats;
	}

	/**
	 * Getter arrayList tipus de notificacions
	 * @return ArrayList<TipusNotificacio>
	 */
	public ArrayList<TipusNotificacio> getTipusNotificacio() {
		return tipusNotificacio;
	}

	/**
	 * Setter tipus de notificacio
	 * @param tipusNotificacio
	 */
	public void setTipusNotificacio(ArrayList<TipusNotificacio> tipusNotificacio) {
		this.tipusNotificacio = tipusNotificacio;
	}

	/**
	 * Getter tipus notificacio seleccionat
	 * @return Integer
	 */
	public Integer getSelectedTipusNotificacio() {
		return selectedTipusNotificacio;
	}

	/**
	 * Setter tipus de notificacio seleccionat
	 * @param selectedTipusUsusari
	 */
	public void setSelectedTipusNotificacio(Integer selectedTipusUsusari) {
		this.selectedTipusNotificacio = selectedTipusUsusari;
	}

	/**
	 * Getter tipus de notificacio seleccionat en String
	 * @return String
	 */
	public String getSelectedTipusNotificacioString() {
		return selectedTipusNotificacio.toString();
	}

	/**
	 * Setter tipus de notificacio seleccionat en String
	 * @param selectedItem
	 */
	public void setSelectedTipusNotificacioString(String selectedItem) {
		this.selectedTipusNotificacio = new Integer(selectedItem);
	}


}

