
package com.uoc.tfc.UI.struts.form.notificacio;

import java.text.ParseException;
import java.util.ArrayList;
import java.util.Date;

import org.apache.struts.action.ActionForm;

import com.uoc.tfc.Base.common.Internacionalitzacio;
import com.uoc.tfc.Base.manteniment.Aula;
import com.uoc.tfc.Base.manteniment.Curs;
import com.uoc.tfc.Base.manteniment.CursAssignatura;
import com.uoc.tfc.Base.mestres.Estat;
import com.uoc.tfc.Base.mestres.TipusNotificacio;
import com.uoc.tfc.Base.notificacio.Notificacio;
import com.uoc.tfc.Base.notificacio.NotificacioAssignatura;
import com.uoc.tfc.Base.notificacio.NotificacioAula;
import com.uoc.tfc.Base.notificacio.NotificacioCurs;
import com.uoc.tfc.Base.notificacio.NotificacioEscola;


/**
 * Formulari edici de les notificacions
 * @author ojaen
 *
 */
public class EditNotificacioForm extends ActionForm {

	/**
	 *
	 */
	private static final long serialVersionUID = -2942074352548042311L;

	private Notificacio notificacio = new NotificacioEscola();

	private ArrayList<Estat> estats;
	private Integer selectedEstat;

	private ArrayList<TipusNotificacio> tipusNotificacions;
	private Integer selectedTipusNotificacio;

	private ArrayList<Curs> cursos;
	private Integer selectedCurs;

	private ArrayList<CursAssignatura> cursAssignatures;
	private Integer selectedCursAssignatura;


	private ArrayList<Aula> aules;
	private Integer selectedAula;


	/**
	 * Getter notificaci
	 * @return Notificacio
	 */
	public Notificacio getNotificacio() {
		return notificacio;
	}

	/**
	 * Setter notificaci
	 * @param notificacio
	 */
	public void setNotificacio(Notificacio notificacio) {
		this.notificacio = notificacio;
	}

	/**
	 * Getter idNotificacio
	 * @return Integer
	 */
	public Integer getIdNotificacio() {
		return notificacio.getIdNotificacio();
	}

	/**
	 * Setter idNotificacio
	 * @param id
	 */
	public void setIdNotificacio(Integer id) {
		if (id != null && id.intValue() == 0)
			id = null;

		notificacio.setIdNotificacio(id);
	}

	/**
	 * Getter titol
	 * @return String
	 */
	public String getTitol() {
		return notificacio.getTitol();
	}

	/**
	 * Setter titol
	 * @param codi
	 */
	public void setTitol(String codi) {
		notificacio.setTitol(codi);
	}

	/**
	 * Getter descripcio
	 * @return String
	 */
	public String getDescripcio() {
		return notificacio.getDescripcio();
	}

	/**
	 * Setter descripcio
	 * @param pdescripcio
	 */
	public void setDescripcio(String pdescripcio) {
		notificacio.setDescripcio(pdescripcio);
	}

	/**
	 * Getter idTipusNotificacio
	 * @return Integer
	 */
	public Integer getIdTipusNotificacio() {
		return notificacio.getIdTipusNotificacio();
	}

	/**
	 * Setter idTipusNotificacio
	 * @param idTipusNotificacio
	 */
	public void setidTipusNotificacio(Integer idTipusNotificacio) {
		notificacio.setIdTipusNotificacio(idTipusNotificacio);
	}

	/**
	 * Getter idCursAssignatura
	 * @return CursAssignatura
	 */
	public CursAssignatura getIdCursAssignatura() {
		return ((NotificacioAssignatura) notificacio).getIdCursAssignatura();
	}

	/**
	 * Setter idCursAssignatura
	 * @param idCursAssignatura
	 */
	public void setidCursAssignatura(CursAssignatura idCursAssignatura) {
		if (notificacio instanceof NotificacioAssignatura)
			((NotificacioAssignatura) notificacio).setIdCursAssignatura(idCursAssignatura);
	}

	/**
	 * Getter idCurs
	 * @return Curs
	 */
	public Curs getIdCurs() {
		return ((NotificacioCurs) notificacio).getIdCurs();
	}

	/**
	 * Setter idCurs
	 * @param idCurs
	 */
	public void setidCurs(Curs idCurs) {
		if (notificacio instanceof NotificacioCurs)
		((NotificacioCurs) notificacio).setIdCurs(idCurs);
	}

	/**
	 * Getter idAula
	 * @return Aula
	 */
	public Aula getIdAula() {
		return ((NotificacioAula) notificacio).getIdAula();
	}
	/**
	 * Setter idAula
	 * @param idAula
	 */
	public void setIdAula(Aula idAula) {
		if (notificacio instanceof NotificacioAula)
			((NotificacioAula) notificacio).setIdAula(idAula);
	}

	/**
	 * Getter data inici
	 * @return Date
	 */
	public Date getDataInici() {
		return notificacio.getDataInici();
	}

	/**
	 * Setter dataInici
	 * @param dataInici
	 */
	public void setDataInici(Date dataInici) {
		notificacio.setDataInici(dataInici);
	}

	/**
	 * Getter data inici en String
	 * @return String
	 */
	public String getDataIniciString() {
		if (notificacio.getDataInici() != null)
			return Internacionalitzacio.FormataDataCurta(notificacio.getDataInici());
		return "";
	}

	/**
	 * Setter data inici en String
	 * @param dataInici
	 */
	public void setDataIniciString(String dataInici) {
		if (dataInici != null && !dataInici.equals("")) {
			try {
				notificacio.setDataInici(Internacionalitzacio.parsejaDataCurta(dataInici));
			} catch (ParseException e) {
				notificacio.setDataInici(null);
			}
		}
		else
			notificacio.setDataInici(null);
	}

	/**
	 * Getter data fi
	 * @return Date
	 */
	public Date getDataFi() {
		return notificacio.getDataFi();
	}

	/**
	 * Setter data fi
	 * @param dataFi
	 */
	public void setDataFi(Date dataFi) {
		notificacio.setDataFi(dataFi);
	}

	/**
	 * Getter data fi en String
	 * @return String
	 */
	public String getDataFiString() {
		if (notificacio.getDataFi() != null)
			return Internacionalitzacio.FormataDataCurta(notificacio.getDataFi());
		return "";
	}

	/**
	 * Setter data fi en String
	 * @param dataFi
	 */
	public void setDataFiString(String dataFi) {
		if (dataFi != null && !dataFi.equals("")) {
			try {
				notificacio.setDataFi(Internacionalitzacio.parsejaDataCurta(dataFi));
			} catch (ParseException e) {
				notificacio.setDataFi(null);
			}
		}
		else
			notificacio.setDataFi(null);
	}


	/**
	 * Getter idEstat
	 * @return Estat
	 */
	public Estat getIdEstat() {
		return notificacio.getIdEstat();
	}

	/**
	 * Setter idEstat
	 * @param idEstat
	 */
	public void setIdEstat(Estat idEstat) {
		notificacio.setIdEstat(idEstat);
	}

	/**
	 * Getter versio
	 * @return Integer
	 */
	public Integer getVersio() {
		return notificacio.getVersio();
	}

	/**
	 * Getter versio
	 * @param versio
	 */
	public void setVersio(Integer versio) {
		notificacio.setVersio(versio);
	}

	/**
	 * Getter estat seleccionat
	 * @return Integer
	 */
	public Integer getSelectedEstat() {
		return selectedEstat;
	}

	/**
	 * Setter estat seleccionat
	 * @param selectedItem
	 */
	public void setSelectedEstat(Integer selectedItem) {
		this.selectedEstat = selectedItem;
	}

	/**
	 * Getter estat seleccionat
	 * @return String
	 */
	public String getSelectedEstatString() {
		return selectedEstat.toString();
	}

	/**
	 * Setter estat seleccionat en String
	 * @param selectedItem
	 */
	public void setSelectedEstatString(String selectedItem) {
		this.selectedEstat = new Integer(selectedItem);
	}

	/**
	 * Getter arrayList d'estats
	 * @return ArrayList<Estat>
	 */
	public ArrayList<Estat> getEstats() {
		return estats;
	}

	/**
	 * Setter arrayList d'estats
	 * @param estats
	 */
	public void setEstats(ArrayList<Estat> estats) {
		this.estats = estats;
	}

	/**
	 * Getter arrayList tipus de notificacions
	 * @return ArrayList<TipusNotificacio>
	 */
	public ArrayList<TipusNotificacio> getTipusNotificacions() {
		return tipusNotificacions;
	}

	/**
	 * Setter arrayList tipus de notifcacions
	 * @param tipusNotificacions
	 */
	public void setTipusNotificacions(ArrayList<TipusNotificacio> tipusNotificacions) {
		this.tipusNotificacions = tipusNotificacions;
	}

	/**
	 * Getter tipus de notificacio seleccionat
	 * @return Integer
	 */
	public Integer getSelectedTipusNotificacio() {
		return selectedTipusNotificacio;
	}

	/**
	 * Setter tipus de notificacio seleccionat
	 * @param selectedTipusNotificacio
	 */
	public void setSelectedTipusNotificacio(Integer selectedTipusNotificacio) {
		this.selectedTipusNotificacio = selectedTipusNotificacio;
	}

	/**
	 * Getter tipus de notificacio seleccionat en string
	 * @return String
	 */
	public String getSelectedTipusNotificacioString() {
		return selectedTipusNotificacio.toString();
	}

	/**
	 * Setter tipus de notificacio seleccionat en String
	 * @param selectedItem
	 */
	public void setSelectedTipusNotificacioString(String selectedItem) {
		this.selectedTipusNotificacio = new Integer(selectedItem);
	}

	/**
	 * Getter arrayList de cursos
	 * @return ArrayList<Curs>
	 */
	public ArrayList<Curs> getCursos() {
		return cursos;
	}

	/**
	 * Setter de cursos
	 * @param cursos
	 */
	public void setCursos(ArrayList<Curs> cursos) {
		this.cursos = cursos;
	}

	/**
	 * Getter curs seleccionat
	 * @return Integer
	 */
	public Integer getSelectedCurs() {
		return selectedCurs;
	}

	/**
	 * Setter curs seleccionat
	 * @param selectedCurs
	 */
	public void setSelectedCurs(Integer selectedCurs) {
		this.selectedCurs = selectedCurs;
	}

	/**
	 * Getter curs seleccionat en String
	 * @return String
	 */
	public String getSelectedCursString() {
		return selectedCurs.toString();
	}

	/**
	 * Setter curs seleccionat en String
	 * @param selectedItem
	 */
	public void setSelectedCursString(String selectedItem) {
		this.selectedCurs = new Integer(selectedItem);
	}

	/**
	 * Getter arrayList d'aules
	 * @return ArrayList<Aula>
	 */
	public ArrayList<Aula> getAules() {
		return aules;
	}

	/**
	 * Setter aules
	 * @param aules
	 */
	public void setAules(ArrayList<Aula> aules) {
		this.aules = aules;
	}

	/**
	 * Getter aula seleccionada
	 * @return Integer
	 */
	public Integer getSelectedAula() {
		return selectedAula;
	}

	/**
	 * Setter aula seleccionada
	 * @param selectedAula
	 */
	public void setSelectedAula(Integer selectedAula) {
		this.selectedAula = selectedAula;
	}

	/**
	 * Getter aula seleccionada en String
	 * @return String
	 */
	public String getSelectedAulaString() {
		return selectedAula.toString();
	}

	/**
	 * Setter aula seleccionada en String
	 * @param selectedItem
	 */
	public void setSelectedAulaString(String selectedItem) {
		this.selectedAula = new Integer(selectedItem);
	}

	/**
	 * Getter arrayList de la relacio curs-assignatures
	 * @return ArrayList<CursAssignatura>
	 */
	public ArrayList<CursAssignatura> getCursAssignatures() {
		return cursAssignatures;
	}

	/**
	 * Setter arrayList de la relacio curs-assignatures
	 * @param cursAssignatures
	 */
	public void setCursAssignatures(ArrayList<CursAssignatura> cursAssignatures) {
		this.cursAssignatures = cursAssignatures;
	}

	/**
	 * Getter curs-assignatura seleccionada
	 * @return Integer
	 */
	public Integer getSelectedCursAssignatura() {
		return selectedCursAssignatura;
	}

	/**
	 * Setter curs-assignatura seleccionada
	 * @param selectedCursAssignatura
	 */
	public void setSelectedCursAssignatura(Integer selectedCursAssignatura) {
		this.selectedCursAssignatura = selectedCursAssignatura;
	}

	/**
	 * Getter curs-assignatura seleccionada en String
	 * @return String
	 */
	public String getSelectedCursAssignaturaString() {
		return selectedCursAssignatura.toString();
	}

	/**
	 * Setter curs-assignatura seleccionada en String
	 * @param selectedItem
	 */
	public void setSelectedCursAssignaturaString(String selectedItem) {
		this.selectedCursAssignatura = new Integer(selectedItem);
	}

}

