package com.uoc.tfc.UI.struts.form.qualificacio;

import java.text.ParseException;
import java.util.ArrayList;

import org.apache.struts.action.ActionForm;

import com.uoc.tfc.Base.common.CodisMestre;
import com.uoc.tfc.Base.common.Internacionalitzacio;
import com.uoc.tfc.Base.manteniment.AnyAcademic;
import com.uoc.tfc.Base.manteniment.Assignatura;
import com.uoc.tfc.Base.manteniment.Aula;
import com.uoc.tfc.Base.mestres.Estat;
import com.uoc.tfc.Base.mestres.TipusDocument;
import com.uoc.tfc.Base.qualificacio.Qualificacio;


/**
 * Cerca de qualificacions
 * @author ojaen
 *
 */
public class CercaQualificacioForm extends ActionForm {

	/**
	 *
	 */
	private static final long serialVersionUID = 1544988472133492735L;

	private Qualificacio[] qualificacions = new Qualificacio[0];
	private String codiUsuari;
	private String cognom1;
	private String cognom2;
	private String nom;
	private String numDocument;


	private ArrayList<Estat> estats;
	private Integer selectedEstat = CodisMestre.CODI_ESTAT_ALTA;
	private ArrayList<TipusDocument> tipusDocument;
	private Integer selectedTipusDocument = CodisMestre.CODI_TIPUS_DOCUMENT_NIF;
	private ArrayList<AnyAcademic> anyAcademic;
	private Integer selectedAnyAcademic = new Integer(0);
	private ArrayList<Aula> aula;
	private Integer selectedAula = new Integer(0);
	private ArrayList<Assignatura> assignatura;
	private Integer selectedAssignatura = new Integer(0);

	/**
	 * Getter qualificacions
	 * @return Qualificacio[]
	 */
	public Qualificacio[] getQualificacions() {
		return qualificacions;
	}
	/**
	 * Setter qualificacions
	 * @param qualificacions
	 */
	public void setQualificacions(Qualificacio[] qualificacions) {
		this.qualificacions = qualificacions;
	}

	/**
	 * Getter codi usuari
	 * @return String
	 */
	public String getCodiUsuari() {
		return codiUsuari;
	}

	/**
	 * Setter codi usuari
	 * @param codi
	 */
	public void setCodiUsuari(String codi) {
		if (codi != null && !codi.equals("")) {
			try {
				this.codiUsuari = String.valueOf(Internacionalitzacio.parsejaSencer(codi));
			} catch (ParseException e) {
				this.codiUsuari =null;
			}
		}
		else
			this.codiUsuari = null;
	}

	/**
	 * Getter estat seleccionat
	 * @return Integer
	 */
	public Integer getSelectedEstat() {
		return selectedEstat;
	}

	/**
	 * Setter estat seleccionat
	 * @param selectedItem
	 */
	public void setSelectedEstat(Integer selectedItem) {
		this.selectedEstat = selectedItem;
	}


	/**
	 * Getter estat seleccionat en String
	 * @return String
	 */
	public String getSelectedEstatString() {
		return selectedEstat.toString();
	}

	/**
	 * Setter estat seleccionat en String
	 * @param selectedItem
	 */
	public void setSelectedEstatString(String selectedItem) {
		this.selectedEstat = new Integer(selectedItem);
	}

	/**
	 * Getter estats
	 * @return ArrayList<Estat>
	 */
	public ArrayList<Estat> getEstats() {
		return estats;
	}

	/**
	 * Setter estats
	 * @param estats
	 */
	public void setEstats(ArrayList<Estat> estats) {
		this.estats = estats;
	}

	/**
	 * Getter primer cognom
	 * @return String
	 */
	public String getCognom1() {
		return cognom1;
	}

	/**
	 * Setter primer cognom
	 * @param cognom1
	 */
	public void setCognom1(String cognom1) {
		this.cognom1 = cognom1;
	}

	/**
	 * Getter segon cognom
	 * @return String
	 */
	public String getCognom2() {
		return cognom2;
	}

	/**
	 * Setter segon cognom
	 * @param cognom2
	 */
	public void setCognom2(String cognom2) {
		this.cognom2 = cognom2;
	}

	/**
	 * Getter nom
	 * @return String
	 */
	public String getNom() {
		return nom;
	}

	/**
	 * Setter nom
	 * @param nom
	 */
	public void setNom(String nom) {
		this.nom = nom;
	}

	/**
	 * Getter nmero document
	 * @return String
	 */
	public String getNumDocument() {
		return numDocument;
	}

	/**
	 * Setter nmero document
	 * @param numDocument
	 */
	public void setNumDocument(String numDocument) {
		this.numDocument = numDocument;
	}

	/**
	 * Getter tipus document
	 * @return ArrayList<TipusDocument>
	 */
	public ArrayList<TipusDocument> getTipusDocument() {
		return tipusDocument;
	}

	/**
	 * Setter tipus document
	 * @param tipusDocument
	 */
	public void setTipusDocument(ArrayList<TipusDocument> tipusDocument) {
		this.tipusDocument = tipusDocument;
	}

	/**
	 * Getter tipus document seleccionat
	 * @return Integer
	 */
	public Integer getSelectedTipusDocument() {
		return selectedTipusDocument;
	}

	/**
	 * Setter tipus document seleccionat
	 * @param selectedTipusDocument
	 */
	public void setSelectedTipusDocument(Integer selectedTipusDocument) {
		this.selectedTipusDocument = selectedTipusDocument;
	}

	/**
	 * Getter tipus document seleccionat en String
	 * @return String
	 */
	public String getSelectedTipusDocumentString() {
		return selectedTipusDocument.toString();
	}

	/**
	 * Setter tipus document seleccionat en String
	 * @param selectedItem
	 */
	public void setSelectedTipusDocumentString(String selectedItem) {
		this.selectedTipusDocument = new Integer(selectedItem);
	}

	/**
	 * Getter llista anys academics
	 * @return ArrayList<AnyAcademic>
	 */
	public ArrayList<AnyAcademic> getAnyAcademic() {
		return anyAcademic;
	}

	/**
	 * Setter llista anys academics
	 * @param anyAcademic
	 */
	public void setAnyAcademic(ArrayList<AnyAcademic> anyAcademic) {
		this.anyAcademic = anyAcademic;
	}

	/**
	 * Getter any acadmic seleccionat
	 * @return Integer
	 */
	public Integer getSelectedAnyAcademic() {
		return selectedAnyAcademic;
	}

	/**
	 * Setter any acadmic seleccionat
	 * @param selectedTipusUsusari
	 */
	public void setSelectedAnyAcademic(Integer selectedTipusUsusari) {
		this.selectedAnyAcademic = selectedTipusUsusari;
	}

	/**
	 * Getter any acadmic en String
	 * @return String
	 */
	public String getSelectedAnyAcademicString() {
		return selectedAnyAcademic.toString();
	}

	/**
	 * Setter any acadmic en String
	 * @param selectedItem
	 */
	public void setSelectedAnyAcademicString(String selectedItem) {
		this.selectedAnyAcademic = new Integer(selectedItem);
	}

	/**
	 * Getter arraylist aules
	 * @return ArrayList<Aula>
	 */
	public ArrayList<Aula> getAula() {
		return aula;
	}

	/**
	 * Setter arralist aules
	 * @param aula
	 */
	public void setAula(ArrayList<Aula> aula) {
		this.aula = aula;
	}

	/**
	 * Getter aula seleccionada
	 * @return Integer
	 */
	public Integer getSelectedAula() {
		return selectedAula;
	}

	/**
	 * Getter tipus usuari seleccionat
	 * @param selectedTipusUsusari
	 */
	public void setSelectedAula(Integer selectedTipusUsusari) {
		this.selectedAula = selectedTipusUsusari;
	}

	/**
	 * Getter aula seleccionada en String
	 * @return String
	 */
	public String getSelectedAulaString() {
		return selectedAula.toString();
	}

	/**
	 * Setter aula seleccionada en String
	 * @param selectedItem
	 */
	public void setSelectedAulaString(String selectedItem) {
		this.selectedAula = new Integer(selectedItem);
	}

	/**
	 * Getter arraylist assignatures
	 * @return ArrayList<Assignatura>
	 */
	public ArrayList<Assignatura> getAssignatura() {
		return assignatura;
	}

	/**
	 * Setter arraylist assignatures
	 * @param assignatura
	 */
	public void setAssignatura(ArrayList<Assignatura> assignatura) {
		this.assignatura = assignatura;
	}

	/**
	 * Getter assignatura seleccionada
	 * @return Integer
	 */
	public Integer getSelectedAssignatura() {
		return selectedAssignatura;
	}

	/**
	 * Setter assignatura seleccionada
	 * @param selectedTipusUsusari
	 */
	public void setSelectedAssignatura(Integer selectedTipusUsusari) {
		this.selectedAssignatura = selectedTipusUsusari;
	}

	/**
	 * Getter assignatura seleccionada en String
	 * @return String
	 */
	public String getSelectedAssignaturaString() {
		return selectedAssignatura.toString();
	}

	/**
	 * Setter assignatura seleccionada en String
	 * @param selectedItem
	 */
	public void setSelectedAssignaturaString(String selectedItem) {
		this.selectedAssignatura = new Integer(selectedItem);
	}


}

