
package com.uoc.tfc.UI.struts.form.qualificacio;

import java.util.ArrayList;

import org.apache.struts.action.ActionForm;

import com.uoc.tfc.Base.manteniment.AnyAcademic;
import com.uoc.tfc.Base.manteniment.Assignatura;
import com.uoc.tfc.Base.manteniment.Aula;
import com.uoc.tfc.Base.manteniment.TipusQualificacio;
import com.uoc.tfc.Base.qualificacio.Qualificacio;

/**
 * Formulari per l'edici de les qualificacions
 * @author ojaen
 *
 */
public class EditQualificacioForm extends ActionForm {

	/**
	 *
	 */
	private static final long serialVersionUID = 7805540927468346615L;

	private Qualificacio qualificacio = null;

	private ArrayList<Aula> aules;
	private Integer selectedAula;

	private ArrayList<AnyAcademic> anysAcademics;
	private Integer selectedAnyAcademic;

	private ArrayList<Assignatura> assignatures;
	private Integer selectedAssignatura;

	private ArrayList<TipusQualificacio> tipusQualificacions;
	private Integer selectedQualificacio1;
	private Integer selectedQualificacio2;
	private Integer selectedQualificacio3;
	private Integer selectedQualificacioRepesca1;
	private Integer selectedQualificacioRepesca2;
	private Integer selectedQualificacioFinal;

	/**
	 * Getter qualificaci
	 * @return Qualificacio
	 */
	public Qualificacio getQualificacio() {
		return qualificacio;
	}

	/**
	 * Setter qualificaci
	 * @param qualificacio
	 */
	public void setQualificacio(Qualificacio qualificacio) {
		this.qualificacio = qualificacio;
	}

	/**
	 * Getter idQualificacio
	 * @return Integer
	 */
	public Integer getIdQualificacio() {
		return qualificacio.getIdQualificacio();
	}

	/**
	 * Setter idQualificacio
	 * @param p_qualificacio
	 */
	public void setIdQualificacio(Integer p_qualificacio) {
		qualificacio.setIdQualificacio(p_qualificacio);
	}

	/**
	 * Getter idUsuari
	 * @return Integer
	 */
	public Integer getIdUsuari() {
		return qualificacio.getIdAlumne().getIdUsuari();
	}

	/**
	 * Setter idusuari
	 * @param id
	 */
	public void setIdUsuari(Integer id) {
		if (id != null && id.intValue() == 0)
			id = null;

		qualificacio.getIdAlumne().setIdUsuari(id);
	}

	/**
	 * Getter codi usuari
	 * @return Integer
	 */
	public Integer getCodiUsuari() {
		return qualificacio.getIdAlumne().getIdUsuari();
	}

	/**
	 * Setter codi usuari
	 * @param codi
	 */
	public void setCodiUsuari(Integer codi) {
		qualificacio.getIdAlumne().setIdUsuari(codi);
	}


	/**
	 * Getter nom de l'alumne
	 * @return String
	 */
	public String getNom() {
		return qualificacio.getIdAlumne().getNom();
	}

	/**
	 * Setter nom de l'alumne
	 * @param nom
	 */
	public void setNom(String nom) {
		qualificacio.getIdAlumne().setNom(nom);
	}

	/**
	 * Gettter primer cognom de l'alumne
	 * @return String
	 */
	public String getCognom1() {
		return qualificacio.getIdAlumne().getCognom1();
	}

	/**
	 * Setter primer cognom de l'alumne
	 * @param cognom1
	 */
	public void setCognom1(String cognom1) {
		qualificacio.getIdAlumne().setCognom1(cognom1);
	}

	/**
	 * Gettter segon cognom de l'alumne
	 * @return String
	 */
	public String getCognom2() {
		return qualificacio.getIdAlumne().getCognom2();
	}

	/**
	 * Setter segon cognom de l'alumne
	 * @param cognom2
	 */
	public void setCognom2(String cognom2) {
		qualificacio.getIdAlumne().setCognom2(cognom2);
	}

	/**
	 * Gettter versio
	 * @return String
	 */

	public Integer getVersio() {
		return qualificacio.getVersio();
	}

	/**
	 * Setter versio
	 * @param versio
	 */
	public void setVersio(Integer versio) {
		qualificacio.setVersio(versio);
	}

	/**
	 * Getter arrayList anys academics
	 * @return ArrayList<AnyAcademic>
	 */
	public ArrayList<AnyAcademic> getAnyAcademics() {
		return anysAcademics;
	}

	/**
	 * Setter arrayList anys academics
	 * @param anysAcademics
	 */
	public void setAnyAcademics(ArrayList<AnyAcademic> anysAcademics) {
		this.anysAcademics = anysAcademics;
	}

	/**
	 * Getter any acadmic seleccionat
	 * @return Integer
	 */
	public Integer getSelectedAnyAcademic() {
		return selectedAnyAcademic;
	}

	/**
	 * Setter any acadmic seleccionat
	 * @param selectedAnyAcademic
	 */
	public void setSelectedAnyAcademic(Integer selectedAnyAcademic) {
		this.selectedAnyAcademic = selectedAnyAcademic;
	}

	/**
	 * Getter any acadmic seleccionat en String
	 * @return String
	 */
	public String getSelectedAnyAcademicString() {
		return selectedAnyAcademic.toString();
	}

	/**
	 * Setter any acadmic seleccionat en String
	 * @param selectedItem
	 */
	public void setSelectedAnyAcademicString(String selectedItem) {
		this.selectedAnyAcademic = new Integer(selectedItem);
	}

	/**
	 * Getter arrayList aules
	 * @return ArrayList<Aula>
	 */
	public ArrayList<Aula> getAules() {
		return aules;
	}

	/**
	 * Setter arrayList aules
	 * @param aules
	 */
	public void setAules(ArrayList<Aula> aules) {
		this.aules = aules;
	}

	/**
	 * Getter aula seleccionada
	 * @return Integer
	 */
	public Integer getSelectedAula() {
		return selectedAula;
	}

	/**
	 * Setter aula seleccionada
	 * @param selectedAula
	 */
	public void setSelectedAula(Integer selectedAula) {
		this.selectedAula = selectedAula;
	}

	/**
	 * Getter aula seleccionada en String
	 * @return String
	 */
	public String getSelectedAulaString() {
		return selectedAula.toString();
	}


	/**
	 * Setter aula seleccionada en String
	 * @param selectedItem
	 */
	public void setSelectedAulaString(String selectedItem) {
		this.selectedAula = new Integer(selectedItem);
	}

	/**
	 * Getter arrayList assignatures
	 * @return ArrayList<Assignatura>
	 */
	public ArrayList<Assignatura> getAssignatures() {
		return assignatures;
	}

	/**
	 * Setter arrayList assignatures
	 * @param assignatures
	 */
	public void setAssignatures(ArrayList<Assignatura> assignatures) {
		this.assignatures = assignatures;
	}

	/**
	 * Getter assignatura seleccionada
	 * @return Integer
	 */
	public Integer getSelectedAssignatura() {
		return selectedAssignatura;
	}

	/**
	 * Setter aula seleccionada
	 * @param selectedAssignatura
	 */
	public void setSelectedAssignatura(Integer selectedAssignatura) {
		this.selectedAssignatura = selectedAssignatura;
	}

	/**
	 * Getter assignatura seleccionada en String
	 * @return String
	 */
	public String getSelectedAssignaturaString() {
		return selectedAssignatura.toString();
	}

	/**
	 * Setter assignatura seleccionada en String
	 * @param selectedItem
	 */
	public void setSelectedAssignaturaString(String selectedItem) {
		this.selectedAssignatura = new Integer(selectedItem);
	}

	/**
	 * Getter arrayList tipus de qualificacions
	 * @return ArrayList<TipusQualificacio>
	 */
	public ArrayList<TipusQualificacio> getTipusQualificacions() {
		return tipusQualificacions;
	}

	/**
	 * Setter arrayList tipus de qualificacions
	 * @param tipusQualificacions
	 */
	public void setTipusQualificacions(ArrayList<TipusQualificacio> tipusQualificacions) {
		this.tipusQualificacions = tipusQualificacions;
	}

	/**
	 * Getter qualificacio 1 seleccionada
	 * @return Integer
	 */
	public Integer getSelectedQualificacio1() {
		return selectedQualificacio1;
	}

	/**
	 * Setter qualificacio 1 seleccionada
	 * @param selectedQualificacio
	 */
	public void setSelectedQualificacio1(Integer selectedQualificacio) {
		this.selectedQualificacio1 = selectedQualificacio;
	}

	/**
	 * Getter qualificacio 1 seleccionada String
	 * @return String
	 */
	public String getSelectedQualificacio1String() {
		return selectedQualificacio1.toString();
	}

	/**
	 * Setter qualificacio 1 seleccionada en String
	 * @param selectedItem
	 */
	public void setSelectedQualificacio1String(String selectedItem) {
		this.selectedQualificacio1 = new Integer(selectedItem);
	}

	/**
	 * Getter qualificacio 2 seleccionada
	 * @return Integer
	 */
	public Integer getSelectedQualificacio2() {
		return selectedQualificacio2;
	}

	/**
	 * Setter qualificacio 2 seleccionada
	 * @param selectedQualificacio
	 */
	public void setSelectedQualificacio2(Integer selectedQualificacio) {
		this.selectedQualificacio2 = selectedQualificacio;
	}

	/**
	 * Getter qualificacio 2 seleccionada en string
	 * @return String
	 */
	public String getSelectedQualificacio2String() {
		return selectedQualificacio2.toString();
	}

	/**
	 * Setter qualificacio 2 seleccionada en String
	 * @param selectedItem
	 */
	public void setSelectedQualificacio2String(String selectedItem) {
		this.selectedQualificacio2 = new Integer(selectedItem);
	}

	/**
	 * Getter qualificacio 3 seleccionada
	 * @return Integer
	 */
	public Integer getSelectedQualificacio3() {
		return selectedQualificacio3;
	}

	/**
	 * Setter qualificacio 3 seleccionada
	 * @param selectedQualificacio
	 */
	public void setSelectedQualificacio3(Integer selectedQualificacio) {
		this.selectedQualificacio3 = selectedQualificacio;
	}

	/**
	 * Getter qualificacio 3 seleccionada en String
	 * @return String
	 */
	public String getSelectedQualificacio3String() {
		return selectedQualificacio3.toString();
	}

	/**
	 * Setter qualificacio 3 seleccionada en String
	 * @param selectedItem
	 */
	public void setSelectedQualificacio3String(String selectedItem) {
		this.selectedQualificacio3 = new Integer(selectedItem);
	}

	/**
	 * Getter repesca 1 seleccionada
	 * @return Integer
	 */
	public Integer getSelectedQualificacioRepesca1() {
		return selectedQualificacioRepesca1;
	}

	/**
	 * Setter repesca 1 seleccionada
	 * @param selectedQualificacio
	 */
	public void setSelectedQualificacioRepesca1(Integer selectedQualificacio) {
		this.selectedQualificacioRepesca1 = selectedQualificacio;
	}

	/**
	 * Getter repesca 1 seleccionada en String
	 * @return String
	 */
	public String getSelectedQualificacioRepesca1String() {
		return selectedQualificacioRepesca1.toString();
	}

	/**
	 * Setter repesca 1 seleccionada en String
	 * @param selectedItem
	 */
	public void setSelectedQualificacioRepesca1String(String selectedItem) {
		this.selectedQualificacioRepesca1 = new Integer(selectedItem);
	}

	/**
	 * Getter repesca 2 seleccionada
	 * @return Integer
	 */
	public Integer getSelectedQualificacioRepesca2() {
		return selectedQualificacioRepesca2;
	}

	/**
	 * Setter qualificacio 2 seleccionada
	 * @param selectedQualificacio
	 */
	public void setSelectedQualificacioRepesca2(Integer selectedQualificacio) {
		this.selectedQualificacioRepesca2 = selectedQualificacio;
	}

	/**
	 * Getter repesca 2 seleccionada en String
	 * @return String
	 */
	public String getSelectedQualificacioRepesca2String() {
		return selectedQualificacioRepesca2.toString();
	}

	/**
	 * Setter repesca 2 seleccionada en String
	 * @param selectedItem
	 */
	public void setSelectedQualificacioRepesca2String(String selectedItem) {
		this.selectedQualificacioRepesca2 = new Integer(selectedItem);
	}

	/**
	 * Getter qualificacio final seleccionada
	 * @return Integer
	 */
	public Integer getSelectedQualificacioFinal() {
		return selectedQualificacioFinal;
	}

	/**
	 * Setter qualificacio final seleccionada
	 * @param selectedQualificacio
	 */
	public void setSelectedQualificacioFinal(Integer selectedQualificacio) {
		this.selectedQualificacioFinal = selectedQualificacio;
	}

	/**
	 * Getter qualificacio final seleccionada String
	 * @return String
	 */
	public String getSelectedQualificacioFinalString() {
		return selectedQualificacioFinal.toString();
	}

	/**
	 * Setter qualificacio final seleccionada en String
	 * @param selectedItem
	 */
	public void setSelectedQualificacioFinalString(String selectedItem) {
		this.selectedQualificacioFinal = new Integer(selectedItem);
	}


}

