package com.uoc.tfc.UI.struts.form.usuari;

import java.text.ParseException;
import java.util.ArrayList;

import org.apache.struts.action.ActionForm;

import com.uoc.tfc.Base.common.CodisMestre;
import com.uoc.tfc.Base.common.Internacionalitzacio;
import com.uoc.tfc.Base.mestres.Estat;
import com.uoc.tfc.Base.mestres.TipusDocument;
import com.uoc.tfc.Base.mestres.TipusUsuari;
import com.uoc.tfc.Base.usuari.Usuari;

/**
 * Formulari per fer els criteris de cerca dels usuaris
 * @author ojaen
 *
 */
public class CercaUsuariForm extends ActionForm {

	/**
	 * 
	 */
	private static final long serialVersionUID = 2509616075350290728L;

	private Usuari[] usuaris = new Usuari[0];
	private String codiUsuari;
	private String cognom1;
	private String cognom2;
	private String nom;
	private String numDocument;


	private ArrayList<Estat> estats;
	private Integer selectedEstat = CodisMestre.CODI_ESTAT_ALTA;
	private ArrayList<TipusDocument> tipusDocument;
	private Integer selectedTipusDocument = CodisMestre.CODI_TIPUS_DOCUMENT_NIF;
	private ArrayList<TipusUsuari> tipusUsuari;
	private Integer selectedTipusUsuari = CodisMestre.CODI_USUARI_ALUMNE;

	/**
	 * Getter usuaris
	 * @return Usuari[]
	 */
	public Usuari[] getUsuaris() {
		return usuaris;
	}
	/**
	 * Setter usuaris
	 * @param usuaris
	 */
	public void setUsuaris(Usuari[] usuaris) {
		this.usuaris = usuaris;
	}

	/**
	 * Getter codiUsuari
	 * @return String
	 */	 
	public String getCodiUsuari() {
		return codiUsuari;
	}

	/**
	 * Setter codi usuari
	 * @param codi
	 */
	public void setCodiUsuari(String codi) {

		if (codi != null && !codi.equals("")) {
			try {
				this.codiUsuari = String.valueOf(Internacionalitzacio.parsejaSencer(codi));
			} catch (ParseException e) {
				this.codiUsuari =null;
			}
		}
		else
			this.codiUsuari = null;

	}
	/**
	 * Getter estat seleccionat
	 * @return Integer
	 */
	public Integer getSelectedEstat() {
		return selectedEstat;
	}

	/**
	 * Setter estat seleccionat
	 * @param selectedItem
	 */
	public void setSelectedEstat(Integer selectedItem) {
		this.selectedEstat = selectedItem;
	}

	/**
	 * Getter estat seleccionat String
	 * @return String
	 */
	public String getSelectedEstatString() {
		return selectedEstat.toString();
	}

	/**
	 * Setter estat seleccionat string
	 * @param selectedItem
	 */
	public void setSelectedEstatString(String selectedItem) {
		this.selectedEstat = new Integer(selectedItem);
	}

	/**
	 * Getter arrayList estats
	 * @return ArrayList<Estat>
	 */
	public ArrayList<Estat> getEstats() {
		return estats;
	}

	/**
	 * Setter arrayList estats
	 * @param estats
	 */
	public void setEstats(ArrayList<Estat> estats) {
		this.estats = estats;
	}

	/**
	 * Getter primer cognom
	 * @return String
	 */
	public String getCognom1() {
		return cognom1;
	}

	/**
	 * Setter primer cognom
	 * @param cognom1
	 */
	public void setCognom1(String cognom1) {
		this.cognom1 = cognom1;
	}

	/**
	 * Getter segon cognom
	 * @return String
	 */
	public String getCognom2() {
		return cognom2;
	}

	/**
	 * Setter segon cognom
	 * @param cognom2
	 */
	public void setCognom2(String cognom2) {
		this.cognom2 = cognom2;
	}

	/**
	 * Getter nom
	 * @return String
	 */
	public String getNom() {
		return nom;
	}

	/**
	 * Setter nom
	 * @param nom
	 */
	public void setNom(String nom) {
		this.nom = nom;
	}

	/**
	 * Getter num document
	 * @return String
	 */
	public String getNumDocument() {
		return numDocument;
	}

	/**
	 * Setter numero document
	 * @param numDocument
	 */
	public void setNumDocument(String numDocument) {
		this.numDocument = numDocument;
	}

	/**
	 * Getter arrayList tipus document
	 * @return ArrayList<TipusDocument>
	 */
	public ArrayList<TipusDocument> getTipusDocument() {
		return tipusDocument;
	}

	/**
	 * Setter arrayList tipus document
	 * @param tipusDocument
	 */
	public void setTipusDocument(ArrayList<TipusDocument> tipusDocument) {
		this.tipusDocument = tipusDocument;
	}

	/**
	 * Getter tipus document seleccionat
	 * @return Integer
	 */
	public Integer getSelectedTipusDocument() {
		return selectedTipusDocument;
	}

	/**
	 * Setter tipus document seleccionat
	 * @param selectedTipusDocument
	 */
	public void setSelectedTipusDocument(Integer selectedTipusDocument) {
		this.selectedTipusDocument = selectedTipusDocument;
	}

	/**
	 * Getter tipus document seleccionat string
	 * @return String
	 */
	public String getSelectedTipusDocumentString() {
		return selectedTipusDocument.toString();
	}

	/**
	 * Setter tipus document string
	 * @param selectedItem
	 */
	public void setSelectedTipusDocumentString(String selectedItem) {
		this.selectedTipusDocument = new Integer(selectedItem);
	}

	/**
	 * Getter arrayList tipus usuari
	 * @return ArrayList<TipusUsuari>
	 */
	public ArrayList<TipusUsuari> getTipusUsuari() {
		return tipusUsuari;
	}

	/**
	 * Setter tipus usuari
	 * @param tipusUsuari
	 */
	public void setTipusUsuari(ArrayList<TipusUsuari> tipusUsuari) {
		this.tipusUsuari = tipusUsuari;
	}

	/**
	 * Getter tipus usuari seleccionat
	 * @return Integer
	 */
	public Integer getSelectedTipusUsuari() {
		return selectedTipusUsuari;
	}

	/**
	 * Setter tipus usuari seleccionat
	 * @param selectedTipusUsusari
	 */
	public void setSelectedTipusUsuari(Integer selectedTipusUsusari) {
		this.selectedTipusUsuari = selectedTipusUsusari;
	}

	/**
	 * Getter tipus usuari seleccionat string 
	 * @return String
	 */
	public String getSelectedTipusUsuariString() {
		return selectedTipusUsuari.toString();
	}

	/**
	 * Setter tipus usuari seleccionat string
	 * @param selectedItem
	 */
	public void setSelectedTipusUsuariString(String selectedItem) {
		this.selectedTipusUsuari = new Integer(selectedItem);
	}


}

