
package com.uoc.tfc.UI.struts.form.usuari;

import java.text.ParseException;
import java.util.ArrayList;
import java.util.Collection;
import java.util.Date;
import java.util.Set;

import org.apache.struts.action.ActionForm;

import com.uoc.tfc.Base.common.ConfiguracioUsuari;
import com.uoc.tfc.Base.common.Internacionalitzacio;
import com.uoc.tfc.Base.manteniment.Curs;
import com.uoc.tfc.Base.mestres.Estat;
import com.uoc.tfc.Base.mestres.Provincia;
import com.uoc.tfc.Base.mestres.TipusDocument;
import com.uoc.tfc.Base.mestres.TipusUsuari;
import com.uoc.tfc.Base.usuari.DadesBancaries;
import com.uoc.tfc.Base.usuari.PareAlumne;
import com.uoc.tfc.Base.usuari.ProfessorAssignatura;
import com.uoc.tfc.Base.usuari.Usuari;
import com.uoc.tfc.Base.usuari.UsuariAdministrador;
import com.uoc.tfc.Base.usuari.UsuariAdministratiu;
import com.uoc.tfc.Base.usuari.UsuariAlumne;
import com.uoc.tfc.Base.usuari.UsuariPare;
import com.uoc.tfc.Base.usuari.UsuariProfessor;

/**
 * Edici del formulari de l'usuari
 * @author ojaen
 *
 */
public class EditUsuariForm extends ActionForm {

	/**
	 *
	 */
	private static final long serialVersionUID = -9194803055200625230L;

	private Usuari usuari = new UsuariAlumne();

	private ArrayList<Estat> estats;
	private Integer selectedEstat;

	private ArrayList<TipusDocument> tipusDocuments;
	private Integer selectedTipusDocument;

	private ArrayList<TipusUsuari> tipusUsuaris;
	private Integer selectedTipusUsuari;

	private ArrayList<Provincia> provincies;
	private Integer selectedProvincia;

	private ArrayList<Curs> cursos;
	private Integer selectedCursInici;

	/**
	 * Getter usuari
	 * @return Usuari
	 */
	public Usuari getUsuari() {
		return usuari;
	}

	/**
	 * Setter usuari
	 * @param usuari
	 */
	public void setUsuari(Usuari usuari) {
		this.usuari = usuari;
	}

	/**
	 * Getter idUsuari
	 * @return Integer
	 */
	public Integer getIdUsuari() {
		return usuari.getIdUsuari();
	}

	/**
	 * Setter idUsuari
	 * @param id
	 */
	public void setIdUsuari(Integer id) {
		if (id != null && id.intValue() == 0)
			id = null;

		usuari.setIdUsuari(id);
	}

	/**
	 * Getter login
	 * @return String
	 */
	public String getLogin() {
		return usuari.getLogin();
	}

	/**
	 * Setter login
	 * @param codi
	 */
	public void setLogin(String codi) {
		usuari.setLogin(codi);
	}

	/**
	 * Getter contrassenya
	 * @return String
	 */
	public String getPaswd() {
		return usuari.getPaswd();
	}

	/**
	 * Setter contrassenya
	 * @param paswd
	 */
	public void setPaswd(String paswd) {
		usuari.setPaswd(paswd);
	}

	/**
	 * Getter nom
	 * @return String
	 */
	public String getNom() {
		return usuari.getNom();
	}

	/**
	 * Setter nom
	 * @param nom
	 */
	public void setNom(String nom) {
		usuari.setNom(nom);
	}

	/**
	 * Getter primer cognom
	 * @return String
	 */
	public String getCognom1() {
		return usuari.getCognom1();
	}

	/**
	 * Setter primer cognom
	 * @param cognom1
	 */
	public void setCognom1(String cognom1) {
		usuari.setCognom1(cognom1);
	}

	/**
	 * Getter segon cognom
	 * @return String
	 */
	public String getCognom2() {
		return usuari.getCognom2();
	}

	/**
	 * Setter segon cognom
	 * @param cognom2
	 */
	public void setCognom2(String cognom2) {
		usuari.setCognom2(cognom2);
	}

	/**
	 * Getter tipus document
	 * @return TipusDocument
	 */
	public TipusDocument getIdTipusDocument() {
		return usuari.getIdTipusDocument();
	}

	/**
	 * Setter idTipusDocument
	 * @param idTipusDocument
	 */
	public void setIdTipusDocument(TipusDocument idTipusDocument) {
		usuari.setIdTipusDocument(idTipusDocument);
	}

	/**
	 * Getter idTipusUsuari
	 * @return Integer
	 */
	public Integer getIdTipusUsuari() {
		return usuari.getIdTipusUsuari();
	}

	/**
	 * Setter idTipusUsuari
	 * @param idTipusUsuari
	 */
	public void setidTipusUsuari(Integer idTipusUsuari) {
		usuari.setIdTipusUsuari(idTipusUsuari);
	}

	/**
	 * Getter idProvincia
	 * @return Provincia
	 */
	public Provincia getIdProvincia() {
		return usuari.getIdProvincia();
	}

	/**
	 * Setter idProvincia
	 * @param idProvincia
	 */
	public void setIdProvincia(Provincia idProvincia) {
		usuari.setIdProvincia(idProvincia);
	}

	/**
	 * Getter numero document
	 * @return String
	 */
	public String getNumDocument() {
		return usuari.getNumDocument();
	}

	/**
	 * Setter numero document
	 * @param numDocument
	 */
	public void setNumDocument(String numDocument) {
		usuari.setNumDocument(numDocument);
	}

	/**
	 * Getter adreca
	 * @return String
	 */
	public String getAdreca() {
		return usuari.getAdreca();
	}

	/**
	 * Setter adreca
	 * @param adreca
	 */
	public void setAdreca(String adreca) {
		usuari.setAdreca(adreca);
	}

	/**
	 * Getter poblacio
	 * @return String
	 */
	public String getPoblacio() {
		return usuari.getPoblacio();
	}

	/**
	 * Setter poblacio
	 * @param poblacio
	 */
	public void setPoblacio(String poblacio) {
		usuari.setPoblacio(poblacio);
	}

	/**
	 * Getter email
	 * @return String
	 */
	public String getEmail() {
		return usuari.getEmail();
	}

	/**
	 * Setter email
	 * @param email
	 */
	public void setEmail(String email) {
		usuari.setEmail(email);
	}

	/**
	 * Getter codi postal
	 * @return Integer
	 */
	public Integer getcp() {
		return usuari.getCp();
	}

	/**
	 * Setter codi postal
	 * @param cp
	 */
	public void setCp(Integer cp) {
		usuari.setCp(cp);
	}

	/**
	 * Getter curs inici
	 * @return Curs
	 */
	public Curs getIdCursInici() {
		if (usuari instanceof UsuariAlumne)
			return ((UsuariAlumne) usuari).getIdCursInici();
		return null;
	}

	/**
	 * Setter idCursInici
	 * @param idCursInici
	 */
	public void setIdCursInici(Curs idCursInici) {
		if (usuari instanceof UsuariAlumne)
			((UsuariAlumne) usuari).setIdCursInici(idCursInici);
	}

	/**
	 * Getter data naixement
	 * @return Date
	 */
	public Date getDataNaixement() {
		return usuari.getDataNaixement();
	}

	/**
	 * Setter data naixement
	 * @param dataNaixement
	 */
	public void setDataNaixement(Date dataNaixement) {
		usuari.setDataNaixement(dataNaixement);
	}

	/**
	 * Getter data naixement en String
	 * @return String
	 */
	public String getDataNaixementString() {
		if (usuari.getDataNaixement() != null)
			return Internacionalitzacio.FormataDataCurta(usuari.getDataNaixement());
		return "";
	}

	/**
	 * Setter data naixement en String
	 * @param dataNaixement
	 */
	public void setDataNaixementString(String dataNaixement) {
		if (dataNaixement != null && !dataNaixement.equals("")) {
			try {
				usuari.setDataNaixement(Internacionalitzacio.parsejaDataCurta(dataNaixement));
			} catch (ParseException e) {
				usuari.setDataNaixement(null);
			}
		}
		else
			usuari.setDataNaixement(null);
	}

	/**
	 * Getter idDadesBancaries
	 * @return DadesBancaries
	 */
	public DadesBancaries getIdDadesBancaries() {
		if (usuari instanceof UsuariAlumne)
			return ((UsuariAlumne) usuari).getIdDadesBancaries();
		return null;
	}

	/**
	 * Setter idDadesBancaries
	 * @param idDadesBancaries
	 */
	public void setIdDadesBancaries(DadesBancaries idDadesBancaries) {
		if (usuari instanceof UsuariAlumne)
			((UsuariAlumne) usuari).setIdDadesBancaries(idDadesBancaries);
	}

	/**
	 * Getter telefon
	 * @return String
	 */
	public String getTelefon() {
		return usuari.getTelefon();
	}

	/**
	 * Setter telefon
	 * @param telefon
	 */
	public void setTelefon(String telefon) {
		usuari.setTelefon(telefon);
	}

	/**
	 * Getter codi banc
	 * @return Integer
	 */
	public Integer getCodiBanc() {
		if (usuari instanceof UsuariAlumne && ((UsuariAlumne) usuari).getIdDadesBancaries() != null)
			return ((UsuariAlumne) usuari).getIdDadesBancaries().getCodiBanc();
		return null;
	}

	/**
	 * Getter codi banc string
	 * @return String
	 */
	public String getCodiBancString() {
		if (getCodiBanc() != null && getCodiBanc().intValue() > 0)
			return getCodiBanc().toString();
		return "";
	}

	/**
	 * Setter codi banc
	 * @param codiBanc
	 */
	public void setCodiBanc(Integer codiBanc) {
		if (usuari instanceof UsuariAlumne && ((UsuariAlumne) usuari).getIdDadesBancaries() == null) {
			DadesBancaries db = new DadesBancaries();
			((UsuariAlumne) usuari).setIdDadesBancaries(db);
		}
		((UsuariAlumne) usuari).getIdDadesBancaries().setCodiBanc(codiBanc);
	}

	/**
	 * Setter codi banc String
	 * @param codiBanc
	 */
	public void setCodiBancString(String codiBanc) {
		if (usuari instanceof UsuariAlumne) {
			if (((UsuariAlumne) usuari).getIdDadesBancaries() == null) {
				DadesBancaries db = new DadesBancaries();
				((UsuariAlumne) usuari).setIdDadesBancaries(db);
			}
			if (codiBanc != null && !codiBanc.equals(""))
				((UsuariAlumne) usuari).getIdDadesBancaries().setCodiBanc(new Integer(codiBanc));
			else
				((UsuariAlumne) usuari).getIdDadesBancaries().setCodiBanc(0);
		}
	}

	/**
	 * Getter codi sucursal
	 * @return Integer
	 */
	public Integer getCodiSucursal() {
		if (usuari instanceof UsuariAlumne && ((UsuariAlumne) usuari).getIdDadesBancaries() != null)
			return ((UsuariAlumne) usuari).getIdDadesBancaries().getCodiSucursal();
		return null;
	}

	public String getCodiSucursalString() {
		if (getCodiSucursal() != null && getCodiSucursal().intValue() > 0)
			return getCodiSucursal().toString();
		return "";
	}

	/**
	 * Setter codi sucursal
	 * @param codiSucursal
	 */
	public void setCodiSucursal(Integer codiSucursal) {
		if (usuari instanceof UsuariAlumne) {
			if (((UsuariAlumne) usuari).getIdDadesBancaries() == null) {
				DadesBancaries db = new DadesBancaries();
				((UsuariAlumne) usuari).setIdDadesBancaries(db);
			}
			((UsuariAlumne) usuari).getIdDadesBancaries().setCodiSucursal(codiSucursal);
		}
	}

	/**
	 * Setter codi sucursal
	 * @param codiSucursal
	 */
	public void setCodiSucursalString(String codiSucursal) {
		if (usuari instanceof UsuariAlumne) {
			if (((UsuariAlumne) usuari).getIdDadesBancaries() == null) {
				DadesBancaries db = new DadesBancaries();
				((UsuariAlumne) usuari).setIdDadesBancaries(db);
			}
			if (codiSucursal != null && !codiSucursal.equals(""))
				((UsuariAlumne) usuari).getIdDadesBancaries().setCodiSucursal(new Integer(codiSucursal));
			else
				((UsuariAlumne) usuari).getIdDadesBancaries().setCodiSucursal(0);
		}
	}

	/**
	 * Getter digit control
	 * @return Integer
	 */
	public Integer getDigitControl() {
		if (usuari instanceof UsuariAlumne && ((UsuariAlumne) usuari).getIdDadesBancaries() != null)
			return ((UsuariAlumne) usuari).getIdDadesBancaries().getDigitControl();
		return null;
	}

	/**
	 * Getter digit control string
	 * @return String
	 */
	public String getDigitControlString() {
		if (getDigitControl() != null && getDigitControl().intValue() > 0)
			return getDigitControl().toString();
		return "";
	}

	/**
	 * Setter digit control
	 * @param codiSucursal
	 */
	public void setDigitControl(Integer codiSucursal) {
		if (usuari instanceof UsuariAlumne) {
			if (((UsuariAlumne) usuari).getIdDadesBancaries() == null) {
				DadesBancaries db = new DadesBancaries();
				((UsuariAlumne) usuari).setIdDadesBancaries(db);
			}
			((UsuariAlumne) usuari).getIdDadesBancaries().setDigitControl(codiSucursal);
		}
	}

	/**
	 * Setter digit control string
	 * @param codiSucursal
	 */
	public void setDigitControlString(String codiSucursal) {
		if (usuari instanceof UsuariAlumne) {
			if (((UsuariAlumne) usuari).getIdDadesBancaries() == null) {
				DadesBancaries db = new DadesBancaries();
				((UsuariAlumne) usuari).setIdDadesBancaries(db);
			}
			if (codiSucursal != null && !codiSucursal.equals(""))
				((UsuariAlumne) usuari).getIdDadesBancaries().setDigitControl(new Integer(codiSucursal));
			else
				((UsuariAlumne) usuari).getIdDadesBancaries().setDigitControl(0);
		}

	}

	/**
	 * Getter numero compte
	 * @return Double
	 */
	public Double getNumCompte() {
		if (usuari instanceof UsuariAlumne && ((UsuariAlumne) usuari).getIdDadesBancaries() != null)
			return ((UsuariAlumne) usuari).getIdDadesBancaries().getNumCompte();
		return null;
	}

	/**
	 * Getter numero compte String
	 * @return String
	 */
	public String getNumCompteString() {
		if (getNumCompte() != null && getNumCompte().doubleValue() > 0)
			return Internacionalitzacio.FormataNumeric(getNumCompte(), 0, false);
		return "";
	}

	/**
	 * Setter numero compte
	 * @param codiSucursal
	 */
	public void setNumCompte(Double codiSucursal) {
		if (usuari instanceof UsuariAlumne) {
			if (((UsuariAlumne) usuari).getIdDadesBancaries() == null) {
				DadesBancaries db = new DadesBancaries();
				((UsuariAlumne) usuari).setIdDadesBancaries(db);
			}
			((UsuariAlumne) usuari).getIdDadesBancaries().setNumCompte(codiSucursal);
		}
	}

	/**
	 * Setter numero compte String
	 * @param codiSucursal
	 */
	public void setNumCompteString(String codiSucursal) {
		if (usuari instanceof UsuariAlumne) {
			if (((UsuariAlumne) usuari).getIdDadesBancaries() == null) {
				DadesBancaries db = new DadesBancaries();
				((UsuariAlumne) usuari).setIdDadesBancaries(db);
			}
			if (codiSucursal != null && !codiSucursal.equals("")) {
				try {
					((UsuariAlumne) usuari).getIdDadesBancaries().setNumCompte(new Double(Internacionalitzacio.ParsejaNumeric(codiSucursal)));
				} catch (ParseException e) {
					((UsuariAlumne) usuari).setIdDadesBancaries(null);
				}

			}
			else
				((UsuariAlumne) usuari).getIdDadesBancaries().setNumCompte(new Double(0));
		}

	}

	/**
	 * Getter idEstat
	 * @return Estat
	 */
	public Estat getIdEstat() {
		return usuari.getIdEstat();
	}

	/**
	 * Setter idEstat
	 * @param idEstat
	 */
	public void setIdEstat(Estat idEstat) {
		usuari.setIdEstat(idEstat);
	}


	/**
	 * Getter versio
	 * @return Integer
	 */
	public Integer getVersio() {
		return usuari.getVersio();
	}

	/**
	 * Setter versio
	 * @param versio
	 */
	public void setVersio(Integer versio) {
		usuari.setVersio(versio);
	}

	/**
	 * Getter estat seleccionat
	 * @return Integer
	 */
	public Integer getSelectedEstat() {
		return selectedEstat;
	}

	/**
	 * Setter estat seleccionat
	 * @param selectedItem
	 */
	public void setSelectedEstat(Integer selectedItem) {
		this.selectedEstat = selectedItem;
	}

	/**
	 * Getter estat seleccionat en String
	 * @return String
	 */
	public String getSelectedEstatString() {
		return selectedEstat.toString();
	}

	/**
	 * Setter estat seleccionat en String
	 * @param selectedItem
	 */
	public void setSelectedEstatString(String selectedItem) {
		this.selectedEstat = new Integer(selectedItem);
	}

	/**
	 * Getter arrayList d'Estats
	 * @return ArrayList<Estat>
	 */
	public ArrayList<Estat> getEstats() {
		return estats;
	}

	/**
	 * Setter ArrayList<Estat>
	 * @param estats
	 */
	public void setEstats(ArrayList<Estat> estats) {
		this.estats = estats;
	}

	/**
	 * Getter arrayList de tipus de document
	 * @return <TipusDocument>
	 */
	public ArrayList<TipusDocument> getTipusDocuments() {
		return tipusDocuments;
	}

	/**
	 * Setter arrayList tipusDocuments
	 * @param tipusDocuments
	 */
	public void setTipusDocuments(ArrayList<TipusDocument> tipusDocuments) {
		this.tipusDocuments = tipusDocuments;
	}

	/**
	 * Getter tipus document seleccionat
	 * @return Integer
	 */
	public Integer getSelectedTipusDocument() {
		return selectedTipusDocument;
	}

	/**
	 * Setter tipus document seleccionat
	 * @param selectedTipusDocument
	 */
	public void setSelectedTipusDocument(Integer selectedTipusDocument) {
		this.selectedTipusDocument = selectedTipusDocument;
	}

	/**
	 * Getter tipus document seleccionat en String
	 * @return String
	 */
	public String getSelectedTipusDocumentString() {
		return selectedTipusDocument.toString();
	}

	/**
	 * Setter tipus document seleccionat en String
	 * @param selectedItem
	 */
	public void setSelectedTipusDocumentString(String selectedItem) {
		this.selectedTipusDocument = new Integer(selectedItem);
	}

	/**
	 * Getter arrayList TipusUsuari
	 * @return ArrayList<TipusUsuari>
	 */
	public ArrayList<TipusUsuari> getTipusUsuaris() {
		return tipusUsuaris;
	}

	/**
	 * Setter ArrayList<TipusUsuari>
	 * @param tipusUsuaris
	 */
	public void setTipusUsuaris(ArrayList<TipusUsuari> tipusUsuaris) {
		this.tipusUsuaris = tipusUsuaris;
	}

	/**
	 * Getter tipus usuari seleccionat
	 * @return Integer
	 */
	public Integer getSelectedTipusUsuari() {
		return selectedTipusUsuari;
	}

	/**
	 * Setter tipus usuari seleccionat
	 * @param selectedTipusUsuari
	 */
	public void setSelectedTipusUsuari(Integer selectedTipusUsuari) {
		this.selectedTipusUsuari = selectedTipusUsuari;
	}

	/**
	 * Getter tipus usuari seleccionat en String
	 * @return String
	 */
	public String getSelectedTipusUsuariString() {
		return selectedTipusUsuari.toString();
	}

	/**
	 * Setter tipus usuari seleccionat en String
	 * @param selectedItem
	 */
	public void setSelectedTipusUsuariString(String selectedItem) {
		this.selectedTipusUsuari = new Integer(selectedItem);
	}

	/**
	 * Getter arrayList provincies
	 * @return ArrayList<Provincia>
	 */
	public ArrayList<Provincia> getProvincies() {
		return provincies;
	}

	/**
	 * Setter arrayList provincies
	 * @param provincies
	 */
	public void setProvincies(ArrayList<Provincia> provincies) {
		this.provincies = provincies;
	}

	/**
	 * Getter provincia seleccionada
	 * @return Integer
	 */
	public Integer getSelectedProvincia() {
		return selectedProvincia;
	}

	/**
	 * Setter provincia seleccionada
	 * @param selectedProvincia
	 */
	public void setSelectedProvincia(Integer selectedProvincia) {
		this.selectedProvincia = selectedProvincia;
	}

	/**
	 * Getter provincia seleccionada en String
	 * @return String
	 */
	public String getSelectedProvinciaString() {
		return selectedProvincia.toString();
	}

	/**
	 * Setter provincia seleccionada en String
	 * @param selectedItem
	 */
	public void setSelectedProvinciaString(String selectedItem) {
		this.selectedProvincia = new Integer(selectedItem);
	}

	/**
	 * Getter arrayList cursos
	 * @return ArrayList<Curs>
	 */
	public ArrayList<Curs> getCursos() {
		return cursos;
	}

	/**
	 * Setter arrayList cursos
	 * @param cursos
	 */
	public void setCursos(ArrayList<Curs> cursos) {
		this.cursos = cursos;
	}

	/**
	 * Getter curs inici seleccionat
	 * @return Integer
	 */
	public Integer getSelectedCursInici() {
		return selectedCursInici;
	}

	/**
	 * Setter curs inici seleccionat
	 * @param selectedCursInici
	 */
	public void setSelectedCursInici(Integer selectedCursInici) {
		this.selectedCursInici = selectedCursInici;
	}

	/**
	 * Getter curs inici seleccionat en String
	 * @return String
	 */
	public String getSelectedCursIniciString() {
		return selectedCursInici.toString();
	}

	/**
	 * Setter curs inici seleccionat en String
	 * @param selectedItem
	 */
	public void setSelectedCursIniciString(String selectedItem) {
		this.selectedCursInici = new Integer(selectedItem);
	}

	/**
	 * Getter relacio professor-assignatures
	 * @return Set<ProfessorAssignatura>
	 */
	public Set<ProfessorAssignatura> getProfessorAssignatures() {
		if (usuari instanceof UsuariProfessor)
			return ((UsuariProfessor) usuari).getSetOfProfessorAssignatura();
		return null;
	}

	/**
	 * Setter relacio professor-assignatures
	 * @param professorAssignatures
	 */
	public void setProfessorAssignatures(
			Set<ProfessorAssignatura> professorAssignatures) {
		if (usuari instanceof UsuariProfessor)
			((UsuariProfessor) usuari).setSetOfProfessorAssignatura(professorAssignatures);
	}

	/**
	 * Getter relacio pare-alumne
	 * @return Set<PareAlumne>
	 */
	public Set<PareAlumne> getPareAlumnes() {
		if (usuari instanceof UsuariPare)
			return ((UsuariPare) usuari).getSetOfPareAlumne();
		return null;
	}

	/**
	 * Setter relacio pare-alumne
	 * @param pareAlumnes
	 */
	public void setPareAlumnes(Set<PareAlumne> pareAlumnes) {
		if (usuari instanceof UsuariPare)
			((UsuariPare) usuari).setSetOfPareAlumne(pareAlumnes);
	}

	/**
	 * Afegir nova relacio professor-assignatura
	 * @param p_ProfessorAssignatura
	 */
	public void addProfessorAssignatura(ProfessorAssignatura p_ProfessorAssignatura) {
		((UsuariProfessor) usuari).addProfessorAssignatura(p_ProfessorAssignatura);
	}

	/**
	 * Eliminar relacio professor-assignatura
	 * @param p_ProfessorAssignatura
	 * @return Collection
	 */
	public Collection removeProfessorAssignatura(ProfessorAssignatura p_ProfessorAssignatura) {
		return ((UsuariProfessor) usuari).removeProfessorAssignatura(p_ProfessorAssignatura);
	}

	/**
	 * Afegir nova relacio pare-alumne
	 * @param p_PareAlumne
	 */
	public void addPareAlumne(PareAlumne p_PareAlumne) {
		((UsuariPare) usuari).addPareAlumne(p_PareAlumne);
	}

	/**
	 * Eliminar relacio pare-alumne
	 * @param p_PareAlumne
	 * @return Collection
	 */
	public Collection removePareAlumne(PareAlumne p_PareAlumne) {
		return ((UsuariPare) usuari).removePareAlumne(p_PareAlumne);
	}


	/**
	 * Getter resetcontrassenya
	 * @return Integer
	 */
	public Integer getResetcontrassenya() {
		if (ConfiguracioUsuari.getInstance().getUsuari() instanceof UsuariAdministratiu ||
			ConfiguracioUsuari.getInstance().getUsuari() instanceof UsuariAdministrador	)
			return usuari.getResetcontrassenya();
		return null;
	}

	/**
	 * Setter resetcontrassenya
	 * @param resetcontrassenya
	 */
	public void setResetcontrassenya(Integer resetcontrassenya) {
		if (ConfiguracioUsuari.getInstance().getUsuari() instanceof UsuariAdministratiu ||
			ConfiguracioUsuari.getInstance().getUsuari() instanceof UsuariAdministrador)
			usuari.setResetcontrassenya(resetcontrassenya);
	}

	/**
	 * Getter isAprovat
	 * @return boolean
	 */
	public boolean isResetcontrassenya() {
		if (ConfiguracioUsuari.getInstance().getUsuari() instanceof UsuariAdministratiu ||
			ConfiguracioUsuari.getInstance().getUsuari() instanceof UsuariAdministrador)
			return usuari.isResetcontrassenya();
		return false;
	}

	/**
	 * Setter resetcontrassenya
	 * @param resetcontrassenya
	 */
	public void setResetcontrassenya(boolean resetcontrassenya) {
		if (ConfiguracioUsuari.getInstance().getUsuari() instanceof UsuariAdministratiu ||
			ConfiguracioUsuari.getInstance().getUsuari() instanceof UsuariAdministrador)
			usuari.setResetcontrassenya(resetcontrassenya);
	}


}

