﻿/* -- GESTIÓ ACADÈMICA Oscar Jaén Collado -- */
/* -- Eliminem taules -- */
DROP TABLE IF EXISTS `qualificacio`;
DROP TABLE IF EXISTS `notificacio`;
DROP TABLE IF EXISTS `matricula`;
DROP TABLE IF EXISTS `assignaturaAulaProfessor`;
DROP TABLE IF EXISTS `cursAssignatura`;
DROP TABLE IF EXISTS `pareAlumne`;
DROP TABLE IF EXISTS `professorAssignatura`;
DROP TABLE IF EXISTS `usuari`;
DROP TABLE IF EXISTS `dadesBancaries`;
DROP TABLE IF EXISTS `aula`;

update curs set idCursPrevi = null;
DROP TABLE IF EXISTS `curs`;
DROP TABLE IF EXISTS `assignatura`;
DROP TABLE IF EXISTS `anyAcademic`;
DROP TABLE IF EXISTS `tipusDocument`;
DROP TABLE IF EXISTS `tipusNotificacio`;
DROP TABLE IF EXISTS `tipusQualificacio`;
DROP TABLE IF EXISTS `tipusTitulacio`;
DROP TABLE IF EXISTS `tipusUsuari`;
DROP TABLE IF EXISTS `provincia`;
DROP TABLE IF EXISTS `estat`;


SET character_set_client   = utf8;

/*--
--- CREATE ESTAT
---*/
CREATE TABLE `estat` (
  `idEstat` integer NOT NULL,
  `descripcio` varchar(50) NOT NULL,
  `versio` integer not null,
  PRIMARY KEY  (`idEstat`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;


/*--
--- CREATE PROVINCIA
---*/
CREATE TABLE `provincia` (
  `idProvincia` integer NOT NULL,
  `descripcio` varchar(50) NOT NULL,
  `versio` integer not null,
  PRIMARY KEY  (`idProvincia`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;



/*--
--- CREATE TIPUS DOCUMENT
---*/
CREATE TABLE `tipusDocument` (
  `idTipusDocument` integer NOT NULL,
  `descripcio` varchar(50) NOT NULL,
  `versio` integer not null,
  PRIMARY KEY  (`idTipusDocument`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;


/*--
--- CREATE TIPUS QUALIFICACIO
---*/
CREATE TABLE `tipusQualificacio` (
  `idTipusQualificacio` integer NOT NULL,
  `codiTipusQualificacio` varchar(10) NOT NULL,
  `descripcio` varchar(50) NOT NULL,
  `idEstat` integer NOT NULL,
  `aprovat` integer NOT NULL,
  `versio` integer not null,
  PRIMARY KEY  (`idTipusQualificacio`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;


/*--
--- CREATE TIPUS NOTIFICACIO
---*/
CREATE TABLE `tipusNotificacio` (
  `idTipusNotificacio` integer NOT NULL,
  `descripcio` varchar(50) NOT NULL,
  `versio` integer not null,
  PRIMARY KEY  (`idTipusNotificacio`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

/*--
--- CREATE TIPUS TITULACIO
---*/
CREATE TABLE `tipusTitulacio` (
  `idTipusTitulacio` integer NOT NULL,
  `codiTipusTitulacio` varchar(10) NOT NULL,
  `descripcio` varchar(50) NOT NULL,
  `idEstat` integer NOT NULL,
  `versio` integer not null,
  PRIMARY KEY  (`idTipusTitulacio`),
  KEY `FK_tipusTitulacio_1` (`idEstat`),
  CONSTRAINT `FK_tipusTitulacio_1` FOREIGN KEY (`idEstat`) REFERENCES `estat` (`idEstat`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

/*--
--- CREATE TIPUS USUARI
---*/
CREATE TABLE `tipusUsuari` (
  `idTipusUsuari` integer NOT NULL,
  `descripcio` varchar(50) NOT NULL,
  `versio` integer not null,
  PRIMARY KEY  (`idTipusUsuari`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;


/*--
--- CREATE ANY ACADEMIC
---*/
CREATE TABLE `anyAcademic` (
  `idAnyAcademic` integer NOT NULL,
  `codi` varchar(20) NOT NULL,
  `descripcio` varchar(50) NOT NULL,
  `dataInici` date NOT NULL,
  `dataFi` date NOT NULL,
  `dataIniciMatricula` date NOT NULL,
  `dataFiMatricula` date NOT NULL,
  `idEstat` integer NOT NULL,
  `versio` integer not null,
  PRIMARY KEY  (`idAnyAcademic`),
  KEY `FK_ANYACAD_1` (`idEstat`),
  CONSTRAINT `FK_ANYACAD_1` FOREIGN KEY (`idEstat`) REFERENCES `estat` (`idEstat`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;


/*--
--- CREATE CURS
---*/
CREATE TABLE `curs` (
  `idCurs` integer NOT NULL,
  `codiCurs` varchar(10) NOT NULL,
  `descripcio` varchar(50) NOT NULL,
  `idTipusTitulacio` integer not null, 
  `idCursPrevi` integer,
  `idEstat` integer NOT NULL,
  `versio` integer not null,
  PRIMARY KEY  (`idCurs`),
  KEY `FK_CURS_1` (`idEstat`),
  CONSTRAINT `FK_CURS_1` FOREIGN KEY (`idEstat`) REFERENCES `estat` (`idEstat`),
  KEY `FK_CURS_2` (`idTipusTitulacio`),
  CONSTRAINT `FK_CURS_2` FOREIGN KEY (`idTipusTitulacio`) REFERENCES `tipusTitulacio` (`idTipusTitulacio`),
  KEY `FK_CURS_3` (`idCursPrevi`),
  CONSTRAINT `FK_CURS_3` FOREIGN KEY (`idCursPrevi`) REFERENCES `Curs` (`idCurs`)

) ENGINE=InnoDB DEFAULT CHARSET=latin1;


/*--
--- CREATE AULA
---*/
CREATE TABLE `aula` (
  `idAula` integer NOT NULL,
  `codiAula` varchar(10) NOT NULL,
  `descripcio` varchar(50) NOT NULL,
  `idCurs` integer NOT NULL,
  `idEstat` integer NOT NULL,
  `aforament` integer,
  `versio` integer not null,
  PRIMARY KEY  (`idAula`),
  KEY `FK_AULA_1` (`idEstat`),
  CONSTRAINT `FK_AULA_1` FOREIGN KEY (`idEstat`) REFERENCES `estat` (`idEstat`),
  KEY `FK_AULA_2` (`idCurs`),
  CONSTRAINT `FK_AULA_2` FOREIGN KEY (`idCurs`) REFERENCES `curs` (`idCurs`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;


/*--
--- CREATE ASSIGNATURA
---*/
CREATE TABLE `assignatura` (
  `idAssignatura` integer NOT NULL,
  `codiAssignatura` varchar(10) NOT NULL,
  `descripcio` varchar(50) NOT NULL,
  `idEstat` integer NOT NULL,
  `versio` integer not null,
  PRIMARY KEY  (`idAssignatura`),
  KEY `FK_ASIGN_1` (`idEstat`),
  CONSTRAINT `FK_ASIGN_1` FOREIGN KEY (`idEstat`) REFERENCES `estat` (`idEstat`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;



/*--
--- CREATE CURS ASSIGNATURA
---*/
CREATE TABLE `cursAssignatura` (
  `idCursAssignatura` integer NOT NULL,
  `idCurs` integer NOT NULL,
  `idAssignatura` integer NOT NULL,
  `idEstat` integer NOT NULL,
  `versio` integer not null,
  PRIMARY KEY  (`idCursAssignatura`),
  KEY `FK_CURSASIG_1` (`idEstat`),
  CONSTRAINT `FK_CURSASIG_1` FOREIGN KEY (`idEstat`) REFERENCES `estat` (`idEstat`),
  KEY `FK_CURSASIG_2` (`idCurs`),
  CONSTRAINT `FK_CURSASIG_2` FOREIGN KEY (`idCurs`) REFERENCES `curs` (`idCurs`),
  KEY `FK_CURSASIG_3` (`idAssignatura`),
  CONSTRAINT `FK_CURSASIG_3` FOREIGN KEY (`idAssignatura`) REFERENCES `assignatura` (`idAssignatura`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;



/*--
--- CREATE DADES BANCARIES
---*/
CREATE TABLE `dadesBancaries` (
  `idDadesBancaries` integer NOT NULL,
  `codiBanc` integer NOT NULL,
  `codiSucursal` integer NOT NULL,
  `digitControl` integer NOT NULL,
  `numCompte` double NOT NULL,
  `versio` integer not null, 
  PRIMARY KEY  (`idDadesBancaries`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;



/*--
--- CREATE USUARI
---*/
CREATE TABLE `usuari` (
  `idUsuari` integer NOT NULL,
  `login` varchar(10) NOT NULL,
  `paswd` varchar(32) NOT NULL,
  `nom` varchar(20) NOT NULL,
  `cognom1` varchar(50) NOT NULL,
  `cognom2` varchar(50),
  `idTipusDocument` integer,
  `numDocument` varchar(20),
  `idTipusUsuari` integer NOT NULL,  
  `adreca` varchar(100) ,
  `poblacio` varchar(100) ,
  `cp` integer,  
  `idProvincia` integer ,  
  `email` varchar(50) ,
  `telefon` varchar(20) ,
  `idDadesBancaries` integer,
  `idCursInici` integer,
  `idEstat` integer,
  `dataNaixement` date NOT NULL,
  `foto` blob,
  `versio` integer not null,
  PRIMARY KEY  (`idUsuari`),
  KEY `FK_USUARI_1` (`idEstat`),
  CONSTRAINT `FK_USUARI_1` FOREIGN KEY (`idEstat`) REFERENCES `estat` (`idEstat`),
  KEY `FK_USUARI_2` (`idTipusDocument`),
  CONSTRAINT `FK_USUARI_2` FOREIGN KEY (`idTipusDocument`) REFERENCES `tipusDocument` (`idTipusDocument`),
  KEY `FK_USUARI_3` (`idTipusUsuari`),
  CONSTRAINT `FK_USUARI_3` FOREIGN KEY (`idTipusUsuari`) REFERENCES `tipusUsuari` (`idTipusUsuari`),    
  KEY `FK_USUARI_4` (`idProvincia`),
  CONSTRAINT `FK_USUARI_4` FOREIGN KEY (`idProvincia`) REFERENCES `provincia` (`idProvincia`),
  KEY `FK_USUARI_5` (`idDadesBancaries`),
  CONSTRAINT `FK_USUARI_5` FOREIGN KEY (`idDadesBancaries`) REFERENCES `dadesBancaries` (`idDadesBancaries`),
  KEY `FK_USUARI_6` (`idCursInici`),
  CONSTRAINT `FK_USUARI_6` FOREIGN KEY (`idCursInici`) REFERENCES `curs` (`idCurs`)  
) ENGINE=InnoDB DEFAULT CHARSET=latin1;



/*--
--- CREATE ASSIGNATURA AULA PROFESSOR
---*/
CREATE TABLE `assignaturaAulaProfessor` (
  `idAsigAulaProf` integer NOT NULL,
  `idAula` integer NOT NULL,
  `idAssignatura` integer NOT NULL,  
  `idProfessor` integer ,
  `versio` integer not null,
  PRIMARY KEY  (`idAsigAulaProf`),
  KEY `FK_ASIGAULAPROF_1` (`idAula`),
  CONSTRAINT `FK_ASIGAULAPROF_1` FOREIGN KEY (`idAula`) REFERENCES `aula` (`idAula`),
  KEY `FK_ASIGAULAPROF_2` (`idAssignatura`),
  CONSTRAINT `FK_ASIGAULAPROF_2` FOREIGN KEY (`idAssignatura`) REFERENCES `assignatura` (`idAssignatura`),
  KEY `FK_ASIGAULAPROF_3` (`idProfessor`),
  CONSTRAINT `FK_ASIGAULAPROF_3` FOREIGN KEY (`idProfessor`) REFERENCES `usuari` (`idUsuari`)    
) ENGINE=InnoDB DEFAULT CHARSET=latin1;



/*--
--- CREATE PROFESSOR ASSIGNATURA
---*/
CREATE TABLE `professorAssignatura` (
  `idUsuariAssignatura` integer NOT NULL,
  `idUsuari` integer NOT NULL,
  `idAssignatura` integer NOT NULL,
  `idEstat` integer NOT NULL,
  `versio` integer not null,
  PRIMARY KEY  (`idUsuariAssignatura`),
  KEY `FK_PROFASIG_1` (`idEstat`),
  CONSTRAINT `FK_PROFASIG_1` FOREIGN KEY (`idEstat`) REFERENCES `estat` (`idEstat`),
  KEY `FK_PROFASIG_2` (`idUsuari`),
  CONSTRAINT `FK_PROFASIG_2` FOREIGN KEY (`idUsuari`) REFERENCES `Usuari` (`idUsuari`),
  KEY `FK_CURSASIG_3` (`idAssignatura`),
  CONSTRAINT `FK_PROFASIG_3` FOREIGN KEY (`idAssignatura`) REFERENCES `assignatura` (`idAssignatura`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;




/*--
--- CREATE PARE ALUMNE
---*/
CREATE TABLE `pareAlumne` (
  `idPareAlumne` integer NOT NULL,
  `idPare` integer NOT NULL,
  `idAlumne` integer NOT NULL,
  `idEstat` integer NOT NULL,
  `versio` integer not null,
  PRIMARY KEY  (`idPareAlumne`),
  KEY `FK_PAREALUM_1` (`idPare`),
    CONSTRAINT `FK_PAREALUM_1` FOREIGN KEY (`idPare`) REFERENCES `usuari` (`idUsuari`),
  KEY `FK_PAREALUM_2` (`idAlumne`),
    CONSTRAINT `FK_PAREALUM_2` FOREIGN KEY (`idAlumne`) REFERENCES `usuari` (`idUsuari`),
  KEY `FK_PAREALUM_3` (`idEstat`),
    CONSTRAINT `FK_PAREALUM_3` FOREIGN KEY (`idEstat`) REFERENCES `estat` (`idEstat`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

/*--
--- CREATE QUALIFICACIO
---*/
CREATE TABLE `qualificacio` (
  `idQualificacio` integer NOT NULL,
  `idAlumne` integer NOT NULL,
  `idAnyAcademic` integer NOT NULL,
  `idAsigAulaProf` integer NOT NULL,
  `qualif1` integer ,
  `qualif2` integer ,
  `qualif3` integer ,
  `repesca1` integer ,
  `repesca2` integer ,
  `qualifFinal` integer,
  `versio` integer not null,
  PRIMARY KEY  (`idQualificacio`),

  KEY `FK_QUALIF_1` (`idAlumne`),
    CONSTRAINT `FK_QUALIF_1` FOREIGN KEY (`idAlumne`) REFERENCES `usuari` (`idUsuari`),
  KEY `FK_QUALIF_2` (`qualif1`),
    CONSTRAINT `FK_QUALIF_2` FOREIGN KEY (`qualif1`) REFERENCES `tipusQualificacio` (`idTipusQualificacio`),
  KEY `FK_QUALIF_3` (`qualif2`),
    CONSTRAINT `FK_QUALIF_3` FOREIGN KEY (`qualif2`) REFERENCES `tipusQualificacio` (`idTipusQualificacio`),
  KEY `FK_QUALIF_4` (`qualif3`),
    CONSTRAINT `FK_QUALIF_4` FOREIGN KEY (`qualif3`) REFERENCES `tipusQualificacio` (`idTipusQualificacio`),
  KEY `FK_QUALIF_5` (`repesca1`),
    CONSTRAINT `FK_QUALIF_5` FOREIGN KEY (`repesca1`) REFERENCES `tipusQualificacio` (`idTipusQualificacio`),
  KEY `FK_QUALIF_6` (`repesca2`),
    CONSTRAINT `FK_QUALIF_6` FOREIGN KEY (`repesca2`) REFERENCES `tipusQualificacio` (`idTipusQualificacio`),
  KEY `FK_QUALIF_7` (`qualifFinal`),
    CONSTRAINT `FK_QUALIF_7` FOREIGN KEY (`qualifFinal`) REFERENCES `tipusQualificacio` (`idTipusQualificacio`) ,
  KEY `FK_QUALIF_8` (`idAsigAulaProf`),
    CONSTRAINT `FK_QUALIF_8` FOREIGN KEY (`idAsigAulaProf`) REFERENCES `assignaturaAulaProfessor` (`idAsigAulaProf`),
  KEY `FK_QUALIF_9` (`idAnyAcademic`),
    CONSTRAINT `FK_QUALIF_9` FOREIGN KEY (`idAnyAcademic`) REFERENCES `anyAcademic` (`idAnyAcademic`)
    
) ENGINE=InnoDB DEFAULT CHARSET=latin1;



/*--
--- CREATE NOTIFICACIO
---*/
CREATE TABLE `notificacio` (
  `idNotificacio` integer NOT NULL,
  `titol` varchar(50) NOT NULL,
  `descripcio` varchar(500) NOT NULL,
  `idUsuari` integer NOT NULL,
  `idTipusNotificacio` integer NOT NULL,
  `dataInici` date NOT NULL,
  `dataFi` date NOT NULL,
  `idEstat` integer NOT NULL,
  `idAula` integer ,
  `idCurs` integer ,
  `idCursAssignatura` integer ,
  `versio` integer not null,
  PRIMARY KEY  (`idNotificacio`),
  KEY `FK_NOTIFIC_1` (`idUsuari`),
    CONSTRAINT `FK_NOTIFIC_1` FOREIGN KEY (`idUsuari`) REFERENCES `usuari` (`idUsuari`),
  KEY `FK_NOTIFIC_2` (`idTipusNotificacio`),
    CONSTRAINT `FK_NOTIFIC_2` FOREIGN KEY (`idTipusNotificacio`) REFERENCES `tipusNotificacio` (`idTipusNotificacio`),
  KEY `FK_NOTIFIC_3` (`idEstat`),
    CONSTRAINT `FK_NOTIFIC_3` FOREIGN KEY (`idEstat`) REFERENCES `estat` (`idEstat`),
  KEY `FK_NOTIFIC_4` (`idAula`),
    CONSTRAINT `FK_NOTIFIC_4` FOREIGN KEY (`idAula`) REFERENCES `aula` (`idAula`),
  KEY `FK_NOTIFIC_5` (`idCurs`),
    CONSTRAINT `FK_NOTIFIC_5` FOREIGN KEY (`idCurs`) REFERENCES `curs` (`idCurs`),
  KEY `FK_NOTIFIC_6` (`idCursAssignatura`),
    CONSTRAINT `FK_NOTIFIC_6` FOREIGN KEY (`idCursAssignatura`) REFERENCES `cursAssignatura` (`idCursAssignatura`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

commit;


/*--
--- CREATE MATRICULA
---*/
CREATE TABLE `matricula` (
  `idMatricula` integer NOT NULL,
  `idAnyAcademic` integer NOT NULL,
  `idUsuari` integer NOT NULL,
  `idCurs` integer NOT NULL,
  `dataMatricula` date NOT NULL,
  `idAula` integer,
  `idEstat` integer NOT NULL,
  `versio` integer not null,
  PRIMARY KEY  (`idMatricula`),
  KEY `FK_MATRIC_1` (`idUsuari`),
    CONSTRAINT `FK_MATRIC_1` FOREIGN KEY (`idUsuari`) REFERENCES `usuari` (`idUsuari`),
  KEY `FK_MATRIC_2` (`idEstat`),
    CONSTRAINT `FK_MATRIC_2` FOREIGN KEY (`idEstat`) REFERENCES `estat` (`idEstat`),
  KEY `FK_MATRIC_3` (`idAnyAcademic`),
    CONSTRAINT `FK_MATRIC_3` FOREIGN KEY (`idAnyAcademic`) REFERENCES `anyacademic` (`idAnyAcademic`),
  KEY `FK_MATRIC_4` (`idCurs`),
    CONSTRAINT `FK_MATRIC_4` FOREIGN KEY (`idCurs`) REFERENCES `curs` (`idCurs`),    
  KEY `FK_MATRIC_5` (`idAula`),
    CONSTRAINT `FK_MATRIC_5` FOREIGN KEY (`idAula`) REFERENCES `aula` (`idAula`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

commit;



/*--Dades inicials Tipus de Document--*/
insert into tipusDocument values (1, 'DNI / NIF', 0);
insert into tipusDocument values (2, 'Passaport', 0);
insert into tipusDocument values (3, 'Targeta Resident Comunitari',0);
insert into tipusDocument values (4, 'Permís de Residència i Treball',0);
insert into tipusDocument values (6, 'Número Identificació Estranger', 0);
insert into tipusDocument values (9, 'Altre Document Identificació',0);

/*--Dades inicials Provincia--*/
Insert into provincia (IDPROVINCIA,DESCRIPCIO,VERSIO) values (1,'Àlaba',0);
Insert into provincia (IDPROVINCIA,DESCRIPCIO,VERSIO) values (2,'Albacete',0);
Insert into provincia (IDPROVINCIA,DESCRIPCIO,VERSIO) values (3,'Alacant',0);
Insert into provincia (IDPROVINCIA,DESCRIPCIO,VERSIO) values (4,'Almeria',0);
Insert into provincia (IDPROVINCIA,DESCRIPCIO,VERSIO) values (5,'Àvila',0);
Insert into provincia (IDPROVINCIA,DESCRIPCIO,VERSIO) values (6,'Badajoz',0);
Insert into provincia (IDPROVINCIA,DESCRIPCIO,VERSIO) values (7,'Balears',0);
Insert into provincia (IDPROVINCIA,DESCRIPCIO,VERSIO) values (8,'Barcelona',0);
Insert into provincia (IDPROVINCIA,DESCRIPCIO,VERSIO) values (9,'Burgos',0);
Insert into provincia (IDPROVINCIA,DESCRIPCIO,VERSIO) values (10,'Càceres',0);
Insert into provincia (IDPROVINCIA,DESCRIPCIO,VERSIO) values (11,'Cadis',0);
Insert into provincia (IDPROVINCIA,DESCRIPCIO,VERSIO) values (12,'Castelló',0);
Insert into provincia (IDPROVINCIA,DESCRIPCIO,VERSIO) values (13,'Ciudad Real',0);
Insert into provincia (IDPROVINCIA,DESCRIPCIO,VERSIO) values (14,'Còrdova',0);
Insert into provincia (IDPROVINCIA,DESCRIPCIO,VERSIO) values (15,'Corunya (La)',0);
Insert into provincia (IDPROVINCIA,DESCRIPCIO,VERSIO) values (16,'Conca',0);
Insert into provincia (IDPROVINCIA,DESCRIPCIO,VERSIO) values (17,'Girona',0);
Insert into provincia (IDPROVINCIA,DESCRIPCIO,VERSIO) values (18,'Granada',0);
Insert into provincia (IDPROVINCIA,DESCRIPCIO,VERSIO) values (19,'Guadalajara',0);
Insert into provincia (IDPROVINCIA,DESCRIPCIO,VERSIO) values (20,'Guipúscoa',0);
Insert into provincia (IDPROVINCIA,DESCRIPCIO,VERSIO) values (21,'Huelva',0);
Insert into provincia (IDPROVINCIA,DESCRIPCIO,VERSIO) values (22,'Osca',0);
Insert into provincia (IDPROVINCIA,DESCRIPCIO,VERSIO) values (23,'Jaén',0);
Insert into provincia (IDPROVINCIA,DESCRIPCIO,VERSIO) values (24,'Lleó',0);
Insert into provincia (IDPROVINCIA,DESCRIPCIO,VERSIO) values (25,'Lleida',0);
Insert into provincia (IDPROVINCIA,DESCRIPCIO,VERSIO) values (26,'Rioja (La)',0);
Insert into provincia (IDPROVINCIA,DESCRIPCIO,VERSIO) values (27,'Lugo',0);
Insert into provincia (IDPROVINCIA,DESCRIPCIO,VERSIO) values (28,'Madrid',0);
Insert into provincia (IDPROVINCIA,DESCRIPCIO,VERSIO) values (29,'Màlaga',0);
Insert into provincia (IDPROVINCIA,DESCRIPCIO,VERSIO) values (30,'Múrcia',0);
Insert into provincia (IDPROVINCIA,DESCRIPCIO,VERSIO) values (31,'Navarra',0);
Insert into provincia (IDPROVINCIA,DESCRIPCIO,VERSIO) values (32,'Orense',0);
Insert into provincia (IDPROVINCIA,DESCRIPCIO,VERSIO) values (33,'Astúries',0);
Insert into provincia (IDPROVINCIA,DESCRIPCIO,VERSIO) values (34,'Palència',0);
Insert into provincia (IDPROVINCIA,DESCRIPCIO,VERSIO) values (35,'Palmas (Las)',0);
Insert into provincia (IDPROVINCIA,DESCRIPCIO,VERSIO) values (36,'Pontevedra',0);
Insert into provincia (IDPROVINCIA,DESCRIPCIO,VERSIO) values (37,'Salamanca',0);
Insert into provincia (IDPROVINCIA,DESCRIPCIO,VERSIO) values (38,'Santa Cruz de Tenerife',0);
Insert into provincia (IDPROVINCIA,DESCRIPCIO,VERSIO) values (39,'Cantàbria',0);
Insert into provincia (IDPROVINCIA,DESCRIPCIO,VERSIO) values (40,'Segòvia',0);
Insert into provincia (IDPROVINCIA,DESCRIPCIO,VERSIO) values (41,'Sevilla',0);
Insert into provincia (IDPROVINCIA,DESCRIPCIO,VERSIO) values (42,'Sòria',0);
Insert into provincia (IDPROVINCIA,DESCRIPCIO,VERSIO) values (43,'Tarragona',0);
Insert into provincia (IDPROVINCIA,DESCRIPCIO,VERSIO) values (44,'Terol',0);
Insert into provincia (IDPROVINCIA,DESCRIPCIO,VERSIO) values (45,'Toledo',0);
Insert into provincia (IDPROVINCIA,DESCRIPCIO,VERSIO) values (46,'València',0);
Insert into provincia (IDPROVINCIA,DESCRIPCIO,VERSIO) values (47,'Valladolid',0);
Insert into provincia (IDPROVINCIA,DESCRIPCIO,VERSIO) values (48,'Biscaia',0);
Insert into provincia (IDPROVINCIA,DESCRIPCIO,VERSIO) values (49,'Zamora',0);
Insert into provincia (IDPROVINCIA,DESCRIPCIO,VERSIO) values (50,'Saragossa',0);
Insert into provincia (IDPROVINCIA,DESCRIPCIO,VERSIO) values (51,'Ceuta',0);
Insert into provincia (IDPROVINCIA,DESCRIPCIO,VERSIO) values (52,'Melilla',0);

/*--Dades inicials Tipus Usuari--*/
insert into tipusUsuari values (0, 'Administrador', 0);
insert into tipusUsuari values (1, 'Personal Administratiu', 0);
insert into tipusUsuari values (2, 'Professor', 0);
insert into tipusUsuari values (3, 'Alumne', 0);
insert into tipusUsuari values (4, 'Pare/Tutor', 0);

/*--Dades inicials Estat--*/
insert into estat values (0, 'Alta', 0);
insert into estat values (1, 'Baixa', 0);

/*--Dades inicials Tipus de Notificacio--*/
insert into tipusNotificacio values (0, 'Escola', 0);
insert into tipusNotificacio values (1, 'Curs', 0);
insert into tipusNotificacio values (2, 'Aula', 0);
insert into tipusNotificacio values (3, 'Assignatura', 0);

/*--Dades inicials Tipus de Qualificacio--*/
insert into tipusQualificacio values (1, 'EX', 'Excel.lent', 0, 1, 0);
insert into tipusQualificacio values (2, 'NOT', 'Notable', 0, 1, 0);
insert into tipusQualificacio values (3, 'BE', 'Bé', 0, 1, 0);
insert into tipusQualificacio values (4, 'SUF', 'Suficient', 0, 1, 0);
insert into tipusQualificacio values (5, 'INS', 'Insuficient', 0, 0, 0);
insert into tipusQualificacio values (6, 'MD', 'Molt deficient', 0, 0, 0);

/*--Dades inicials Tipus de Qualificacio--*/
insert into tipusTitulacio values (1, 'EP', 'Educació Primària Obligatòria', 0, 0);
insert into tipusTitulacio values (2, 'ESO', 'Educació Secundària Obligatòria', 0, 0);
insert into tipusTitulacio values (3, 'BAT', 'Batxillerat', 0, 0);

/*--Dades inicials Any Academic--*/
insert into anyacademic values (
1, '2010/2011', '2010/2011', '2010-09-01', '2011-08-31', '2010-06-15', '2010-06-30', 0, 0);
insert into anyacademic values (
2, '2011/2012', '2011/2012', '2011-09-01', '2012-08-31', '2011-06-15', '2011-07-31', 0, 0);

/*--Dades inicials Assignatura--*/
insert into assignatura values (1, 'EF', 'Educació Física', 0, 0);
insert into assignatura values (2, 'FI', 'Filosofia', 0, 0);
insert into assignatura values (3, 'CAST', 'Castellà : Llengua i Literatura', 0, 0);
insert into assignatura values (4, 'ANG', 'Anglés', 0, 0);
insert into assignatura values (5, 'TUT', 'Tutoria', 0, 0);
insert into assignatura values (6, 'MAT', 'Matemàtiques', 0, 0);
insert into assignatura values (7, 'FIS', 'Física', 0, 0);
insert into assignatura values (8, 'QUI', 'Química', 0, 0);
insert into assignatura values (9, 'DIB', 'Dibuix Tècnic', 0, 0);
insert into assignatura values (10, 'CAT', 'Català', 0, 0);
insert into assignatura values (11, 'GEO', 'Geologia', 0, 0);
insert into assignatura values (12, 'BIO', 'Biologia', 0, 0);
insert into assignatura values (13, 'MEDI', 'Ciències MediAmbientals', 0, 0);
insert into assignatura values (14, 'CN', 'Ciències de la Naturalesa', 0, 0);
insert into assignatura values (15, 'CSGH', 'Ciències Socials, Geografia i Història', 0, 0);
insert into assignatura values (16, 'EP', 'Educació Plàstica', 0, 0);
insert into assignatura values (17, 'TEC', 'Tecnologia', 0, 0);
insert into assignatura values (18, 'MUS', 'Música', 0, 0);
insert into assignatura values (19, 'EC', 'Educació per la Ciutadania', 0, 0);
insert into assignatura values (20, 'HIST', 'Història', 0, 0);


/*--Dades inicials Curs--*/
insert into curs values (1, '1er EP', 'Primer Educació Primària', 1, null, 0, 1);
insert into curs values (2, '2on EP', 'Segon Educació Primària', 1, 1, 0, 0);
insert into curs values (3, '3er EP', 'Tercer Educació Primària', 1, 2, 0, 1);
insert into curs values (4, '4 EP', 'Quart Educació Primària', 1, 3, 0, 0);
insert into curs values (5, '5 EP', 'Cinquè Educació Primària', 1, 4, 0, 0);
insert into curs values (6, '6 EP', 'Sisè Educació Primària', 1, 5, 0, 0);
insert into curs values (7, '1er ESO', 'Primer Educació Secundària', 2, 6, 0, 3);
insert into curs values (8, '2on ESO', 'Segon Educació Secundària', 2, 7, 0, 4);
insert into curs values (9, '3er ESO', 'Tercer Educació Secundària', 2, 8, 0, 2);
insert into curs values (10, '4 ESO', 'Quart Educació Secundària', 2, 9, 0, 2);
insert into curs values (13, '1er Batx.', 'Primer Batxillerat', 3, 10, 0, 2);
insert into curs values (14, '2on Batx.', 'Segon Batxillerat', 3, 13, 0, 2);


/*--Dades inicials Relacio Curs Assignatura--*/
insert into cursassignatura values (1, 7, 17, 0, 0);
insert into cursassignatura values (2, 7, 6, 0, 0);
insert into cursassignatura values (3, 7, 4, 0, 0);
insert into cursassignatura values (4, 7, 15, 0, 0);
insert into cursassignatura values (5, 7, 14, 0, 0);
insert into cursassignatura values (6, 7, 10, 0, 0);
insert into cursassignatura values (7, 7, 16, 0, 0);
insert into cursassignatura values (8, 7, 3, 0, 0);
insert into cursassignatura values (9, 7, 5, 0, 0);
insert into cursassignatura values (10, 7, 1, 0, 0);
insert into cursassignatura values (11, 8, 14, 0, 2);
insert into cursassignatura values (12, 8, 15, 0, 2);
insert into cursassignatura values (13, 8, 1, 0, 2);
insert into cursassignatura values (14, 8, 3, 0, 2);
insert into cursassignatura values (15, 8, 6, 0, 2);
insert into cursassignatura values (16, 8, 4, 0, 2);
insert into cursassignatura values (17, 8, 18, 0, 2);
insert into cursassignatura values (18, 8, 5, 0, 2);
insert into cursassignatura values (19, 9, 17, 0, 0);
insert into cursassignatura values (20, 9, 6, 0, 0);
insert into cursassignatura values (21, 9, 16, 0, 0);
insert into cursassignatura values (22, 9, 4, 0, 0);
insert into cursassignatura values (23, 9, 7, 0, 0);
insert into cursassignatura values (24, 9, 3, 0, 0);
insert into cursassignatura values (25, 9, 12, 0, 0);
insert into cursassignatura values (26, 9, 5, 0, 0);
insert into cursassignatura values (27, 9, 8, 0, 0);
insert into cursassignatura values (28, 9, 10, 0, 0);
insert into cursassignatura values (29, 9, 11, 0, 0);
insert into cursassignatura values (30, 8, 10, 0, 1);
insert into cursassignatura values (31, 8, 19, 0, 0);
insert into cursassignatura values (32, 10, 7, 0, 0);
insert into cursassignatura values (33, 10, 19, 0, 0);
insert into cursassignatura values (34, 10, 3, 0, 0);
insert into cursassignatura values (35, 10, 12, 0, 0);
insert into cursassignatura values (36, 10, 1, 0, 0);
insert into cursassignatura values (37, 10, 8, 0, 0);
insert into cursassignatura values (38, 10, 11, 0, 0);
insert into cursassignatura values (39, 10, 4, 0, 0);
insert into cursassignatura values (40, 10, 10, 0, 0);
insert into cursassignatura values (41, 10, 15, 0, 0);
insert into cursassignatura values (42, 10, 6, 0, 0);
insert into cursassignatura values (43, 10, 17, 0, 0);
insert into cursassignatura values (44, 13, 8, 0, 1);
insert into cursassignatura values (45, 13, 6, 0, 1);
insert into cursassignatura values (46, 13, 10, 0, 1);
insert into cursassignatura values (47, 13, 17, 0, 1);
insert into cursassignatura values (48, 13, 7, 0, 1);
insert into cursassignatura values (49, 13, 4, 0, 1);
insert into cursassignatura values (50, 13, 1, 0, 1);
insert into cursassignatura values (51, 13, 3, 0, 1);
insert into cursassignatura values (52, 13, 9, 0, 1);
insert into cursassignatura values (53, 13, 2, 0, 0);
insert into cursassignatura values (54, 14, 2, 0, 1);
insert into cursassignatura values (55, 14, 3, 0, 1);
insert into cursassignatura values (56, 14, 17, 0, 1);
insert into cursassignatura values (57, 14, 8, 0, 1);
insert into cursassignatura values (58, 14, 10, 0, 1);
insert into cursassignatura values (59, 14, 1, 0, 1);
insert into cursassignatura values (60, 14, 4, 0, 1);
insert into cursassignatura values (61, 14, 9, 0, 1);
insert into cursassignatura values (62, 14, 7, 0, 1);
insert into cursassignatura values (63, 14, 20, 0, 0);
insert into cursassignatura values (64, 1, 10, 0, 1);
insert into cursassignatura values (65, 1, 1, 0, 1);
insert into cursassignatura values (66, 1, 16, 0, 1);
insert into cursassignatura values (67, 1, 6, 0, 1);
insert into cursassignatura values (68, 1, 3, 0, 1);
insert into cursassignatura values (69, 1, 4, 0, 1);
insert into cursassignatura values (70, 2, 16, 0, 1);
insert into cursassignatura values (71, 2, 10, 0, 1);
insert into cursassignatura values (72, 2, 6, 0, 1);
insert into cursassignatura values (73, 2, 4, 0, 1);
insert into cursassignatura values (74, 2, 1, 0, 0);
insert into cursassignatura values (75, 2, 3, 0, 0);
insert into cursassignatura values (76, 3, 3, 0, 0);
insert into cursassignatura values (77, 3, 4, 0, 0);
insert into cursassignatura values (78, 3, 1, 0, 0);
insert into cursassignatura values (79, 3, 15, 0, 0);
insert into cursassignatura values (80, 3, 10, 0, 0);
insert into cursassignatura values (81, 3, 14, 0, 0);
insert into cursassignatura values (82, 3, 6, 0, 0);
insert into cursassignatura values (83, 3, 16, 0, 0);
insert into cursassignatura values (84, 4, 3, 0, 0);
insert into cursassignatura values (85, 4, 16, 0, 0);
insert into cursassignatura values (86, 4, 4, 0, 0);
insert into cursassignatura values (87, 4, 18, 0, 0);
insert into cursassignatura values (88, 4, 14, 0, 0);
insert into cursassignatura values (89, 4, 10, 0, 0);
insert into cursassignatura values (90, 4, 6, 0, 0);
insert into cursassignatura values (91, 5, 10, 0, 0);
insert into cursassignatura values (92, 5, 3, 0, 0);
insert into cursassignatura values (93, 5, 6, 0, 0);
insert into cursassignatura values (94, 5, 18, 0, 0);
insert into cursassignatura values (95, 5, 14, 0, 0);
insert into cursassignatura values (96, 5, 15, 0, 0);
insert into cursassignatura values (97, 5, 16, 0, 0);
insert into cursassignatura values (98, 5, 1, 0, 0);
insert into cursassignatura values (99, 5, 4, 0, 0);
insert into cursassignatura values (100, 6, 6, 0, 0);
insert into cursassignatura values (101, 6, 3, 0, 0);
insert into cursassignatura values (102, 6, 15, 0, 0);
insert into cursassignatura values (103, 6, 1, 0, 0);
insert into cursassignatura values (104, 6, 4, 0, 0);
insert into cursassignatura values (105, 6, 10, 0, 0);
insert into cursassignatura values (106, 6, 18, 0, 0);
insert into cursassignatura values (107, 6, 16, 0, 0);
insert into cursassignatura values (108, 1, 18, 0, 0);
insert into cursassignatura values (109, 2, 19, 0, 0);
insert into cursassignatura values (110, 2, 5, 0, 0);
insert into cursassignatura values (111, 2, 18, 0, 0);
insert into cursassignatura values (112, 2, 14, 0, 0);
insert into cursassignatura values (113, 3, 19, 0, 0);
insert into cursassignatura values (114, 3, 13, 0, 0);
insert into cursassignatura values (115, 3, 5, 0, 0);
insert into cursassignatura values (116, 4, 5, 0, 0);
insert into cursassignatura values (117, 4, 1, 0, 0);
insert into cursassignatura values (118, 4, 13, 0, 0);
insert into cursassignatura values (119, 4, 12, 0, 0);
insert into cursassignatura values (120, 5, 5, 0, 0);
insert into cursassignatura values (121, 5, 13, 0, 0);
insert into cursassignatura values (122, 5, 11, 0, 0);
insert into cursassignatura values (123, 5, 17, 0, 0);
insert into cursassignatura values (124, 5, 19, 0, 0);
insert into cursassignatura values (125, 6, 5, 0, 0);
insert into cursassignatura values (126, 6, 19, 0, 0);
insert into cursassignatura values (127, 6, 17, 0, 0);
insert into cursassignatura values (128, 6, 13, 0, 0);
insert into cursassignatura values (129, 4, 19, 0, 0);





/*--Dades inicials Aula--*/
insert into aula values (1, '1A EP', 'Primer A Educació Primària', 1, 0, 25, 0);
insert into aula values (2, '1B EP', 'Primer B Educació Primària', 1, 0, 25, 0);
insert into aula values (3, '2A EP', 'Segon A Educació Primària', 2, 0, 25, 0);
insert into aula values (4, '2B EP', 'Segon B Educació Secundària', 2, 0, 25, 0);
insert into aula values (5, '3A EP', 'Tercer A Educació Primària', 3, 0, 25, 0);
insert into aula values (6, '3B EP', 'Tercer B Educació Primària', 3, 0, 25, 0);
insert into aula values (7, '4A EP', 'Quart A Educació Primària', 4, 0, 25, 0);
insert into aula values (8, '4B EP', 'Quart B Educació Primària', 4, 0, 25, 0);
insert into aula values (9, '5A EP', 'Cinquè A Eduació Primària', 5, 0, 25, 0);
insert into aula values (10, '5B EP', 'Cinquè B Eduació Primària', 5, 0, 25, 0);
insert into aula values (11, '6A EP', 'Sisè A Educació Primària', 6, 0, 25, 1);
insert into aula values (12, '6B EP', 'Sisè B Educació Primària', 6, 0, 25, 0);
insert into aula values (13, '1A BAT', 'Primer A Batxillerat', 13, 0, 30, 0);
insert into aula values (14, '1B BAT', 'Primer B Batxillerat', 13, 0, 30, 0);
insert into aula values (15, '2A BAT', 'Segon A Batxillerat', 14, 0, 30, 1);
insert into aula values (16, '2B BAT', 'Segon B Batxillerat', 14, 0, 30, 0);
insert into aula values (17, '1A ESO', 'Primer A Educació Secundària', 7, 0, 25, 0);
insert into aula values (18, '1B ESO', 'Primer B Educació Secundària', 7, 0, 25, 1);
insert into aula values (19, '2A ESO', 'Segon A Educació Secundària', 8, 0, 25, 1);
insert into aula values (20, '2B ESO', 'Segon B Educació Secundària', 8, 0, 25, 0);
insert into aula values (21, '3A ESO', 'Tercer A Educació Secundària', 9, 0, 25, 0);
insert into aula values (22, '3B ESO', 'Tercer B Educació Secundària', 9, 0, 25, 0);
insert into aula values (23, '4A ESO', 'Quart A Educació Secundària', 10, 0, 25, 0);
insert into aula values (24, '4B ESO', 'Quart B Educació Secundària', 10, 0, 25, 0);



/*-- Dades Bancaries--*/
insert into dadesbancaries values (
1, 2100, 1234, 50, 1111111111, 3);
insert into dadesbancaries values (
2, 2100, 1234, 55, 1111111112, 0);
insert into dadesbancaries values (
3, 2100, 1234, 51, 1111111113, 0);
insert into dadesbancaries values (
4, 2100, 1234, 54, 1111111114, 0);
insert into dadesbancaries values (
5, 2100, 1234, 59, 1111111115, 0);
insert into dadesbancaries values (
6, 2100, 1234, 53, 1111111116, 0);
insert into dadesbancaries values (
7, 2100, 1234, 58, 1111111117, 0);
insert into dadesbancaries values (
8, 2100, 1234, 52, 1111111118, 0);
insert into dadesbancaries values (
9, 2100, 1234, 57, 1111111119, 0);
insert into dadesbancaries values (
10, 2100, 1234, 53, 1111111120, 0);
insert into dadesbancaries values (
11, 2100, 1234, 58, 1111111121, 0);
insert into dadesbancaries values (
12, 2100, 1234, 52, 1111111122, 0);
insert into dadesbancaries values (
13, 2100, 1234, 57, 1111111123, 0);
insert into dadesbancaries values (
14, 2100, 1234, 51, 1111111124, 0);
insert into dadesbancaries values (
15, 2100, 1234, 56, 1111111125, 0);
insert into dadesbancaries values (
16, 2100, 1234, 50, 1111111126, 0);
insert into dadesbancaries values (
17, 2100, 1234, 55, 1111111127, 0);
insert into dadesbancaries values (
18, 2100, 1234, 51, 1111111128, 0);
insert into dadesbancaries values (
19, 2100, 1234, 54, 1111111129, 0);
insert into dadesbancaries values (
20, 2100, 1234, 50, 1111111130, 0);
insert into dadesbancaries values (
21, 2100, 1234, 55, 1111111131, 0);
insert into dadesbancaries values (
22, 2100, 1234, 51, 1111111132, 0);
insert into dadesbancaries values (
23, 2100, 1234, 54, 1111111133, 0);
insert into dadesbancaries values (
24, 2100, 1234, 59, 1111111134, 0);
insert into dadesbancaries values (
25, 2100, 1234, 53, 1111111135, 0);
insert into dadesbancaries values (
26, 2100, 1234, 58, 1111111136, 0);
insert into dadesbancaries values (
27, 2100, 1234, 52, 1111111137, 0);
insert into dadesbancaries values (
28, 2100, 1234, 57, 1111111138, 0);
insert into dadesbancaries values (
29, 2100, 1234, 51, 1111111139, 0);
insert into dadesbancaries values (
30, 2100, 1234, 58, 1111111140, 0);
insert into dadesbancaries values (
31, 2100, 1234, 52, 1111111141, 0);
insert into dadesbancaries values (
32, 2100, 1234, 57, 1111111142, 0);
insert into dadesbancaries values (
33, 2100, 1234, 51, 1111111143, 0);
insert into dadesbancaries values (
34, 2100, 1234, 56, 1111111144, 0);
insert into dadesbancaries values (
35, 2100, 1234, 50, 1111111145, 0);
insert into dadesbancaries values (
36, 2100, 1234, 55, 1111111146, 0);
insert into dadesbancaries values (
37, 2100, 1234, 51, 1111111147, 0);
insert into dadesbancaries values (
38, 2100, 1234, 54, 1111111148, 0);
insert into dadesbancaries values (
39, 2100, 1234, 59, 1111111149, 0);
insert into dadesbancaries values (
40, 2100, 1234, 55, 1111111150, 0);
insert into dadesbancaries values (
41, 2100, 1234, 51, 1111111151, 0);
insert into dadesbancaries values (
42, 2100, 1234, 54, 1111111152, 0);
insert into dadesbancaries values (
43, 2100, 1234, 59, 1111111153, 0);
insert into dadesbancaries values (
44, 2100, 1234, 53, 1111111154, 0);
insert into dadesbancaries values (
45, 2100, 1234, 58, 1111111155, 0);
insert into dadesbancaries values (
46, 2100, 1234, 52, 1111111156, 0);
insert into dadesbancaries values (
47, 2100, 1234, 57, 1111111157, 0);
insert into dadesbancaries values (
48, 2100, 1234, 51, 1111111158, 0);
insert into dadesbancaries values (
49, 2100, 1234, 56, 1111111159, 0);
insert into dadesbancaries values (
50, 2100, 1234, 52, 1111111160, 0);

/*-- Administrador--*/
insert into usuari values
(1, 'ADMIN', 'ISMvKXpXpadDiUoOSoAfww==', 'Administrador', 'Administrador', null, null, null, 0,
null, null, null, null, null, null, null, null, 0, '1975/01/01', null, 0);

/*-- Personal administratiu--*/
insert into usuari values (
2, 'GARC_LAU', '1B2M2Y8AsgTpgAmY7PhCfg==', 'Laura', 'Garcia', 'Perez', 1, '11111111H', 1, 'Xiprer 5', 'Cornella', 8940, 8, 'laura.garcia@gmail.com', '933776543', null, null, 0, '1980-02-01', null, 2);
insert into usuari values (
7, 'GARC_MA1', '1B2M2Y8AsgTpgAmY7PhCfg==', 'Maria', 'Garcia', 'Perez', 1, '45345345V', 1, 'Xiprer 5', 'Cornella', 8940, 8, 'maria.garcia@gmail.com', '933756733', null, null, 0, '1980-02-01', null, 2);
insert into usuari values (
8, 'MERI_SAL', '1B2M2Y8AsgTpgAmY7PhCfg==', 'Salvador', 'Merino', 'Contreras', 1, '22222222J', 1, 'Prim 7', 'Esplugues', 8950, 8, 'salvador.merino@gmail.com', '934716543', null, null, 0, '1975-01-01', null, 2);

/*-- Professor--*/
insert into usuari values (
3, 'ACEB_PAB', '1B2M2Y8AsgTpgAmY7PhCfg==', 'Pablo', 'Acebes', 'Ramos', 1, '52625086M', 2, 'Ganduxer 141', 'Barcelona', 8080, 8, 'pablo.acebes@uoc.edu', '935553245', null, null, 0, '1977-03-01', null, 3);
insert into usuari values (
9, 'MONT_ALB', '1B2M2Y8AsgTpgAmY7PhCfg==', 'Albert', 'Montañés', 'Ramos', 1, '33333333P', 2, 'Diagonal 250', 'Barcelona', 8081, 8, 'albert.montanes@yahoo.es', '935553456', null, null, 0, '1977-03-01', null, 3);
insert into usuari values (
10, 'JURA_XAV', '1B2M2Y8AsgTpgAmY7PhCfg==', 'Xavier', 'Jurado', 'Oliver', 1, '44444444A', 2, 'Diagonal 111', 'Barcelona', 8082, 8, 'xavier.jurado@yahoo.es', '935553457', null, null, 0, '1978-03-01', null, 3);
insert into usuari values (
11, 'JURA_EMI', '1B2M2Y8AsgTpgAmY7PhCfg==', 'Emili', 'Jurado', 'Gomez', 1, '55555555K', 2, 'Provença 222', 'Barcelona', 8083, 8, 'emili.jurado@gmail.com', '935553458', null, null, 0, '1979-03-01', null, 3);
insert into usuari values (
12, 'MART_GEM', '1B2M2Y8AsgTpgAmY7PhCfg==', 'Gemma', 'Martinez', 'Jurada', 1, '66666666Q', 2, 'València 333', 'Barcelona', 8084, 8, 'gemma.martinez@yahoo.es', '935553459', null, null, 0, '1980-03-01', null, 3);
insert into usuari values (
13, 'PIER_SON', '1B2M2Y8AsgTpgAmY7PhCfg==', 'Sonsoles', 'Pieras', 'Martinez', 1, '77777777B', 2, 'Mallorca 444', 'Barcelona', 8085, 8, 'sonsoles.pieras@yahoo.es', '935553460', null, null, 0, '1981-03-01', null, 3);
insert into usuari values (
14, 'TORR_LAU', '1B2M2Y8AsgTpgAmY7PhCfg==', 'Laura', 'Torrijos', 'Pieras', 1, '88888888Y', 2, 'Bruc 55', 'Barcelona', 8086, 8, 'laura.torrijos@gmail.com', '935553461', null, null, 0, '1982-03-01', null, 3);
insert into usuari values (
15, 'LOPE_JUA', '1B2M2Y8AsgTpgAmY7PhCfg==', 'Juan', 'Lopez', 'Torrijos', 1, '99999999R', 2, 'Consell de Cent 66', 'Barcelona', 8087, 8, 'juan.lopez@yahoo.es', '935553462', null, null, 0, '1983-03-01', null, 3);
insert into usuari values (
16, 'GARC_ANT', '1B2M2Y8AsgTpgAmY7PhCfg==', 'Antoni', 'Garcia', 'Lopez', 1, '11111112L', 2, 'Silici 77', 'Cornellà', 8040, 8, 'antoni.garcia@gmail.com', '935553463', null, null, 0, '1984-03-01', null, 3);
insert into usuari values (
17, 'COLL_LOL', '1B2M2Y8AsgTpgAmY7PhCfg==', 'Lola', 'Collado', 'Garcia', 1, '11111113C', 2, 'Cobalt 12', 'Cornellà', 8040, 8, 'lola.collado@yahoo.es', '935553464', null, null, 0, '1985-03-01', null, 3);
insert into usuari values (
18, 'SANC_JOS', '1B2M2Y8AsgTpgAmY7PhCfg==', 'Josep', 'Sanchez', 'Carcelle', 1, '11111114K', 2, 'Diputació 12', 'Barcelona', 8088, 8, 'josep.sanchez@gmail.com', '935553465', null, null, 0, '1986-03-01', null, 3);
insert into usuari values (
19, 'BOIX_JOA', '1B2M2Y8AsgTpgAmY7PhCfg==', 'Joana', 'Boixadera', 'Sanchez', 1, '11111115E', 2, 'Diagonal 13', 'Barcelona', 8088, 8, 'joana.boixadera@yahoo.es', '935553466', null, null, 0, '1987-03-01', null, 3);
insert into usuari values (
20, 'SANC_FER', '1B2M2Y8AsgTpgAmY7PhCfg==', 'Ferran', 'Sanchez', 'Sanchez', 1, '11111116T', 2, 'Diagonal 5', 'Barcelona', 8081, 8, 'ferran.sanchez@gmail.com', '935553467', null, null, 0, '1988-03-01', null, 3);


/*-- Alumnes--*/
insert into usuari values (
4, 'GARC_NOE', '1B2M2Y8AsgTpgAmY7PhCfg==', 'Noelia', 'Garcia', 'Puertas', 1, '40999932V', 3, 'Rambla Prim 33', 'Barcelona', 8020, 8, 'noelia@yahoo.es', '669345678', 1, 1, 0, '2005-11-23', null, 3);
insert into usuari values (
6, 'LAMI_MOH', '1B2M2Y8AsgTpgAmY7PhCfg==', 'Mohamed', 'Lamine', '', 6, 'X1234567G', 3, '', '', 0, 8, '', '', 2, 13, 0, '1999-05-01', null, 0);
insert into usuari values (
21, 'GARC_ABE', '1B2M2Y8AsgTpgAmY7PhCfg==', 'Abelard', 'Garcia', 'Puertas', 1, '11111117R', 3, 'Carrer de la Mercè 14', 'Barcelona', 8020, 8, 'aberlard.garcia@gmail.com', '669345678', 3, 2, 0, '2004-11-23', null, 3);
insert into usuari values (
22, 'GARC_ABR', '1B2M2Y8AsgTpgAmY7PhCfg==', 'Abril', 'Garcia', 'Puertas', 1, '11111118W', 3, 'Carrer de la Mercè 14', 'Barcelona', 8020, 8, 'abril.garcia@gmail.com', '669345678', 4, 3, 0, '2003-11-23', null, 3);
insert into usuari values (
23, 'GARC_ADR', '1B2M2Y8AsgTpgAmY7PhCfg==', 'Adrià', 'Garcia', 'Puertas', 1, '11111119A', 3, 'Carrer de la Mercè 14', 'Barcelona', 8020, 8, 'adria.garcia@gmail.com', '669345678', 5, 4, 0, '2002-11-23', null, 3);
insert into usuari values (
24, 'SANC_AGU', '1B2M2Y8AsgTpgAmY7PhCfg==', 'Agustí', 'Sanchez', 'Garcia', 1, '11111120G', 3, 'Carrer Avinyó 16', 'Barcelona', 8020, 8, 'agusti.sanchez@gmail.com', '669345680', 6, 5, 0, '2001-11-23', null, 3);
insert into usuari values (
25, 'SANC_AIN', '1B2M2Y8AsgTpgAmY7PhCfg==', 'Aina', 'Sanchez', 'Garcia', 1, '11111121M', 3, 'Carrer Avinyó 16', 'Barcelona', 8020, 8, 'aina.sanchez@gmail.com', '669345680', 7, 6, 0, '2000-11-23', null, 3);
insert into usuari values (
26, 'SANC_ALB', '1B2M2Y8AsgTpgAmY7PhCfg==', 'Albà', 'Sanchez', 'Garcia', 1, '11111122Y', 3, 'Carrer Avinyó 16', 'Barcelona', 8020, 8, 'alba.sanchez@gmail.com', '669345680', 8, 7, 0, '1999-11-23', null, 3);
insert into usuari values (
27, 'GUTI_ALB', '1B2M2Y8AsgTpgAmY7PhCfg==', 'Albert', 'Gutierrez', 'Sanchez', 1, '11111123F', 3, 'Carrer Verdi 75', 'Barcelona', 8020, 8, 'albert.gutierrez@gmail.com', '669345699', 9, 8, 0, '1998-11-23', null, 3);
insert into usuari values (
28, 'GUTI_ALE', '1B2M2Y8AsgTpgAmY7PhCfg==', 'Alex', 'Gutierrez', 'Sanchez', 1, '11111124P', 3, 'Carrer Verdi 75', 'Barcelona', 8020, 8, 'alex.gutierrez@gmail.com', '669345699', 10, 9, 0, '1997-11-23', null, 3);
insert into usuari values (
29, 'GUTI_ARI', '1B2M2Y8AsgTpgAmY7PhCfg==', 'Ariadna', 'Gutierrez', 'Sanchez', 1, '11111125D', 3, 'Carrer Verdi 75', 'Barcelona', 8020, 8, 'aridana.gutierrez@gmail.com', '669345699', 11, 10, 0, '1996-11-23', null, 3);
insert into usuari values (
30, 'BOIX_ARN', '1B2M2Y8AsgTpgAmY7PhCfg==', 'Arnau', 'Boixadera', 'Gutierrez', 1, '11111126X', 3, 'Carrer Gran de Sant Andreu 242', 'Barcelona', 8020, 8, 'arnau.boixadera@gmail.com', '660345602', 12, 13, 0, '1995-11-23', null, 3);
insert into usuari values (
31, 'BOIX_BER', '1B2M2Y8AsgTpgAmY7PhCfg==', 'Bernat', 'Boixadera', 'Gutierrez', 1, '11111127B', 3, 'Carrer Gran de Sant Andreu 242', 'Barcelona', 8020, 8, 'bernat.boixader@gmail.com', '660345602', 13, 14, 0, '1994-11-23', null, 3);
insert into usuari values (
32, 'BOIX_BEA', '1B2M2Y8AsgTpgAmY7PhCfg==', 'Beatriu', 'Boixadera', 'Gutierrez', 1, '11111128N', 3, 'Carrer Gran de Sant Andreu 242', 'Barcelona', 8020, 8, 'beatriu.boixadera@gmail.com', '660345602', 14, 1, 0, '2005-11-23', null, 3);
insert into usuari values (
33, 'CIUT_BIE', '1B2M2Y8AsgTpgAmY7PhCfg==', 'Biel', 'Ciutat', 'Puertas', 1, '11111129J', 3, 'Carrer de Calàbria 33', 'Barcelona', 8020, 8, 'biel.ciutat@gmail.com', '660345604', 15, 2, 0, '2004-11-23', null, 3);
insert into usuari values (
34, 'CIUT_BER', '1B2M2Y8AsgTpgAmY7PhCfg==', 'Berta', 'Ciutat', 'Puertas', 1, '11111130Z', 3, 'Carrer de Calàbria 33', 'Barcelona', 8020, 8, 'berta.ciutat@gmail.com', '660345604', 16, 3, 0, '2003-11-23', null, 3);
insert into usuari values (
35, 'CIUT_CAR', '1B2M2Y8AsgTpgAmY7PhCfg==', 'Carla', 'Ciutat', 'Puertas', 1, '11111131S', 3, 'Carrer de Calàbria 33', 'Barcelona', 8020, 8, 'carla.ciutat@gmail.com', '660345604', 17, 4, 0, '2002-11-23', null, 3);
insert into usuari values (
36, 'TERR_CAR', '1B2M2Y8AsgTpgAmY7PhCfg==', 'Carles', 'Terribas', 'Barbé', 1, '11111132Q', 3, 'Carrer Mallorca 180', 'Barcelona', 8020, 8, 'carles.terribas@gmail.com', '660345617', 18, 5, 0, '2001-11-23', null, 3);
insert into usuari values (
37, 'TERR_CA1', '1B2M2Y8AsgTpgAmY7PhCfg==', 'Carme', 'Terribas', 'Barbé', 1, '11111133V', 3, 'Carrer Mallorca 180', 'Barcelona', 8020, 8, 'carme.terribas@gmail.com', '660345617', 19, 6, 0, '2000-11-23', null, 3);
insert into usuari values (
38, 'TERR_CA2', '1B2M2Y8AsgTpgAmY7PhCfg==', 'Carolina', 'Terribas', 'Barbé', 1, '11111134H', 3, 'Carrer Mallorca 180', 'Barcelona', 8020, 8, 'carolina.terribas@gmail.com', '660345617', 20, 7, 0, '1999-11-23', null, 3);
insert into usuari values (
39, 'CUNI_CAR', '1B2M2Y8AsgTpgAmY7PhCfg==', 'Carlota', 'Cunit', 'Barjoan', 1, '11111135L', 3, 'Carrer València 180', 'Barcelona', 8020, 8, 'carlota.cunit@gmail.com', '660345633', 21, 8, 0, '1998-11-23', null, 3);
insert into usuari values (
40, 'CUNI_CLA', '1B2M2Y8AsgTpgAmY7PhCfg==', 'Clara', 'Cunit', 'Barjoan', 1, '11111136C', 3, 'Carrer València 180', 'Barcelona', 8020, 8, 'clara.cunit@gmail.com', '660345633', 22, 9, 0, '1997-11-23', null, 3);
insert into usuari values (
41, 'CUNI_DID', '1B2M2Y8AsgTpgAmY7PhCfg==', 'Dídac', 'Cunit', 'Barjoan', 1, '11111137K', 3, 'Carrer València 180', 'Barcelona', 8020, 8, 'didac.cunit@gmail.com', '660345633', 23, 10, 0, '1996-11-23', null, 3);
insert into usuari values (
42, 'BAIX_ELV', '1B2M2Y8AsgTpgAmY7PhCfg==', 'Elvira', 'Baixes', 'Bisbal', 1, '11111138E', 3, 'Carrer Diputació 22', 'Barcelona', 8020, 8, 'elvira.baixes@gmail.com', '660345634', 24, 13, 0, '1995-11-23', null, 3);
insert into usuari values (
43, 'BAIX_ENR', '1B2M2Y8AsgTpgAmY7PhCfg==', 'Enric', 'Baixes', 'Bisbal', 1, '11111139T', 3, 'Carrer Diputació 22', 'Barcelona', 8020, 8, 'enric.baixes@gmail.com', '660345635', 25, 14, 0, '1994-11-23', null, 3);
insert into usuari values (
44, 'BAIX_EMM', '1B2M2Y8AsgTpgAmY7PhCfg==', 'Emma', 'Baixes', 'Bisbal', 1, '11111140R', 3, 'Carrer Diputació 22', 'Barcelona', 8020, 8, 'emma.baixes@gmail.com', '660345636', 26, 1, 0, '2005-11-23', null, 3);
insert into usuari values (
45, 'MILL_EST', '1B2M2Y8AsgTpgAmY7PhCfg==', 'Esteve', 'Millà', 'Iniesta', 1, '11111141W', 3, 'Carrer Consell de Cent 13', 'Barcelona', 8020, 8, 'esteve.milla@gmail.com', '660345640', 27, 2, 0, '2004-11-23', null, 3);
insert into usuari values (
46, 'MILL_JOR', '1B2M2Y8AsgTpgAmY7PhCfg==', 'Jordi', 'Millà', 'Iniesta', 1, '11111142A', 3, 'Carrer Consell de Cent 13', 'Barcelona', 8020, 8, 'jordi.milla@gmail.com', '660345641', 28, 3, 0, '2003-11-23', null, 3);
insert into usuari values (
47, 'MILL_FEL', '1B2M2Y8AsgTpgAmY7PhCfg==', 'Felip', 'Millà', 'Iniesta', 1, '11111143G', 3, 'Carrer Consell de Cent 13', 'Barcelona', 8020, 8, 'felip.milla@gmail.com', '660345642', 29, 4, 0, '2002-11-23', null, 3);
insert into usuari values (
48, 'BUEN_FER', '1B2M2Y8AsgTpgAmY7PhCfg==', 'Ferran', 'Buenafuente', 'Capdevila', 1, '11111144M', 3, 'Rambla de Catalunya 101', 'Barcelona', 8020, 8, 'ferran.buenafuente@gmail.com', '660345643', 30, 5, 0, '2001-11-23', null, 3);
insert into usuari values (
49, 'BUEN_GER', '1B2M2Y8AsgTpgAmY7PhCfg==', 'Gerard', 'Buenafuente', 'Capdevila', 1, '11111145Y', 3, 'Rambla de Catalunya 101', 'Barcelona', 8020, 8, 'gerard.buenafuente@gmail.com', '660345644', 31, 6, 0, '2000-11-23', null, 3);
insert into usuari values (
50, 'BUEN_GUI', '1B2M2Y8AsgTpgAmY7PhCfg==', 'Guillem', 'Buenafuente', 'Capdevila', 1, '11111146F', 3, 'Rambla de Catalunya 101', 'Barcelona', 8020, 8, 'guillem.buenafuente@gmail.com', '660345645', 32, 7, 0, '1999-11-23', null, 3);
insert into usuari values (
51, 'FUEN_IGN', '1B2M2Y8AsgTpgAmY7PhCfg==', 'Ignasi', 'Fuentes', 'Casanova', 1, '11111147P', 3, 'Carrer Escudellers 22', 'Barcelona', 8020, 8, 'ignasi.fuentes@gmail.com', '660345646', 33, 8, 0, '1998-11-23', null, 3);
insert into usuari values (
52, 'FUEN_IVA', '1B2M2Y8AsgTpgAmY7PhCfg==', 'Ivan', 'Fuentes', 'Casanova', 1, '11111148D', 3, 'Carrer Escudellers 22', 'Barcelona', 8020, 8, 'ivan.fuentes@gmail.com', '660345647', 34, 9, 0, '1997-11-23', null, 3);
insert into usuari values (
53, 'FUEN_JAU', '1B2M2Y8AsgTpgAmY7PhCfg==', 'Jaume', 'Fuentes', 'Casanova', 1, '11111149X', 3, 'Carrer Escudellers 22', 'Barcelona', 8020, 8, 'jaume.fuentes@gmail.com', '660345648', 35, 10, 0, '1996-11-23', null, 3);
insert into usuari values (
54, 'BALL_JOA', '1B2M2Y8AsgTpgAmY7PhCfg==', 'Joaquim', 'Ballvé', 'Cobos', 1, '11111150B', 3, 'Carrer Girona 11', 'Barcelona', 8020, 8, 'joaquim.ballve@gmail.com', '660345640', 36, 13, 0, '1995-11-23', null, 3);
insert into usuari values (
55, 'BALL_JOS', '1B2M2Y8AsgTpgAmY7PhCfg==', 'Josel', 'Ballvé', 'Cobos', 1, '11111151N', 3, 'Carrer Girona 11', 'Barcelona', 8020, 8, 'josel.ballve@gmail.com', '660345642', 37, 14, 0, '1994-11-23', null, 3);
insert into usuari values (
56, 'BALL_JO1', '1B2M2Y8AsgTpgAmY7PhCfg==', 'Josep', 'Ballvé', 'Cobos', 1, '11111152J', 3, 'Carrer Girona 11', 'Barcelona', 8020, 8, 'josep.ballve@gmail.com', '660345644', 38, 1, 0, '2005-11-23', null, 3);
insert into usuari values (
57, 'GRAU_JUL', '1B2M2Y8AsgTpgAmY7PhCfg==', 'Júlia', 'Grau', 'Clavel', 1, '11111153Z', 3, 'Carrer Bruc 10', 'Barcelona', 8020, 8, 'julia.grau@gmail.com', '660345646', 39, 2, 0, '2004-11-23', null, 3);
insert into usuari values (
58, 'GRAU_JUD', '1B2M2Y8AsgTpgAmY7PhCfg==', 'Judit', 'Grau', 'Clavel', 1, '11111154S', 3, 'Carrer Bruc 10', 'Barcelona', 8020, 8, 'judit.grau@gmail.com', '660345648', 40, 3, 0, '2003-11-23', null, 3);
insert into usuari values (
59, 'GRAU_LAI', '1B2M2Y8AsgTpgAmY7PhCfg==', 'Laia', 'Grau', 'Clavel', 1, '11111155Q', 3, 'Carrer Bruc 10', 'Barcelona', 8020, 8, 'laia.grau@gmail.com', '660345650', 41, 4, 0, '2002-11-23', null, 3);
insert into usuari values (
60, 'ABAD_LLU', '1B2M2Y8AsgTpgAmY7PhCfg==', 'Lluís', 'Abad', 'Casquero', 1, '11111156V', 3, 'Ronda de Sant Pere 8', 'Barcelona', 8020, 8, 'lluis.abad@gmail.com', '660345652', 42, 5, 0, '2001-11-23', null, 3);
insert into usuari values (
61, 'ABAD_MAN', '1B2M2Y8AsgTpgAmY7PhCfg==', 'Manel', 'Abad', 'Casquero', 1, '11111157H', 3, 'Ronda de Sant Pere 8', 'Barcelona', 8020, 8, 'manel.abad@gmail.com', '660345654', 43, 6, 0, '2000-11-23', null, 3);
insert into usuari values (
62, 'ABAD_MAR', '1B2M2Y8AsgTpgAmY7PhCfg==', 'Marc', 'Abad', 'Casquero', 1, '11111158L', 3, 'Ronda de Sant Pere 8', 'Barcelona', 8020, 8, 'marc.abad@gmail.com', '660345656', 44, 7, 0, '1999-11-23', null, 3);
insert into usuari values (
63, 'AGUD_MAR', '1B2M2Y8AsgTpgAmY7PhCfg==', 'Maria', 'Agudo', 'Puertas', 1, '11111159C', 3, 'Carrer Casp 6', 'Barcelona', 8020, 8, 'maria.agudo@gmail.com', '660345658', 45, 8, 0, '1998-11-23', null, 3);
insert into usuari values (
64, 'AGUD_MA1', '1B2M2Y8AsgTpgAmY7PhCfg==', 'Marta', 'Agudo', 'Puertas', 1, '11111160K', 3, 'Carrer Casp 6', 'Barcelona', 8020, 8, 'marta.agudo@gmail.com', '669345660', 46, 9, 0, '1997-11-23', null, 3);
insert into usuari values (
65, 'AGUD_MA2', '1B2M2Y8AsgTpgAmY7PhCfg==', 'Mariona', 'Agudo', 'Puertas', 1, '11111161E', 3, 'Carrer Casp 6', 'Barcelona', 8020, 8, 'mariona.agudo@gmail.com', '660345662', 47, 10, 0, '1996-11-23', null, 3);
insert into usuari values (
66, 'MART_MAR', '1B2M2Y8AsgTpgAmY7PhCfg==', 'Martí', 'Amat', 'Crespo', 1, '11111162T', 3, 'Carrer Gipuzcoa', 'Barcelona', 8020, 8, 'marti.amat@gmail.com', '660345664', 48, 13, 0, '1995-11-23', null, 3);
insert into usuari values (
67, 'MART_OSC', '1B2M2Y8AsgTpgAmY7PhCfg==', 'Òscar', 'Amat', 'Crespo', 1, '11111163R', 3, 'Carrer Gipuzcoa', 'Barcelona', 8020, 8, 'oscar.amat@gmail.com', '660345665', 49, 14, 0, '1994-11-23', null, 3);
insert into usuari values (
68, 'MART_PAU', '1B2M2Y8AsgTpgAmY7PhCfg==', 'Pau', 'Amat', 'Crespo', 1, '11111164W', 3, 'Carrer Gipuzcoa', 'Barcelona', 8020, 8, 'pau.amat@gmail.com', '660345666', 50, 1, 0, '2005-11-23', null, 3);


/*-- Pares--*/
insert into usuari values (
5, 'GARC_MAR', '1B2M2Y8AsgTpgAmY7PhCfg==', 'Maria', 'Garcia', 'Navas', 1, '52625087Y', 4, 'Camí Llarg 3', 'Esplugues', 8050, 8, 'mgarcia@hotmail.com', '938763456', null, null, 0, '1975-05-06', null, 2);
insert into usuari values (
69, 'GARC_AB1', '1B2M2Y8AsgTpgAmY7PhCfg==', 'Abelard', 'Garcia', 'Garcia', 1, '11111165A', 4, 'Carrer de la Mercè 14', 'Barcelona', 8020, 8, 'abelard_garcia@gmail.com', '660123456', null, null, 0, '1975-11-23', null, 3);
insert into usuari values (
70, 'PUER_ABR', '1B2M2Y8AsgTpgAmY7PhCfg==', 'Abril', 'Puertas', 'Puertas', 1, '11111166G', 4, 'Carrer de la Mercè 14', 'Barcelona', 8020, 8, 'abril_puertas@gmail.com', '660123457', null, null, 0, '1976-12-24', null, 3);
insert into usuari values (
71, 'SANC_AG1', '1B2M2Y8AsgTpgAmY7PhCfg==', 'Agustí', 'Sanchez', 'Sanchez', 1, '11111167M', 4, 'Carrer Avinyó 16', 'Barcelona', 8020, 8, 'agusti_sanchez@gmail.com', '660123458', null, null, 0, '1977-01-25', null, 3);
insert into usuari values (
72, 'GARC_AIN', '1B2M2Y8AsgTpgAmY7PhCfg==', 'Aina', 'Garcia', 'Garcia', 1, '11111168Y', 4, 'Carrer Avinyó 16', 'Barcelona', 8020, 8, 'aina_garcia@gmail.com', '660123459', null, null, 0, '1978-02-26', null, 3);
insert into usuari values (
73, 'GUTI_AL1', '1B2M2Y8AsgTpgAmY7PhCfg==', 'Albert', 'Gutierrez', 'Gutierrez', 1, '11111169F', 4, 'Carrer Verdi 75', 'Barcelona', 8020, 8, 'albert_gutierrez@gmail.com', '660123460', null, null, 0, '1979-03-27', null, 3);
insert into usuari values (
74, 'SANC_BER', '1B2M2Y8AsgTpgAmY7PhCfg==', 'Berta', 'Sanchez', 'Sanchez', 1, '11111170P', 4, 'Carrer Verdi 75', 'Barcelona', 8020, 8, 'berta_sanchez@gmail.com', '660123461', null, null, 0, '1980-04-28', null, 3);
insert into usuari values (
75, 'BOIX_AR1', '1B2M2Y8AsgTpgAmY7PhCfg==', 'Arnau', 'Boixadera', 'Boixadera', 1, '11111171D', 4, 'Carrer Gran de Sant Andreu 242', 'Barcelona', 8020, 8, 'arnau_boixadera@gmail.com', '660123462', null, null, 0, '1981-05-20', null, 3);
insert into usuari values (
76, 'GUTI_MAR', '1B2M2Y8AsgTpgAmY7PhCfg==', 'Maria', 'Gutierrez', 'Gutierrez', 1, '11111172X', 4, 'Carrer Gran de Sant Andreu 242', 'Barcelona', 8020, 8, 'maria.gutierrez@gmail.com', '660123463', null, null, 0, '1982-06-21', null, 3);
insert into usuari values (
77, 'CIUT_BI1', '1B2M2Y8AsgTpgAmY7PhCfg==', 'Biel', 'Ciutat', 'Ciutat', 1, '11111173B', 4, 'Carrer de Calàbria 33', 'Barcelona', 8020, 8, 'biel_ciutat@gmail.com', '660123464', null, null, 0, '1983-07-22', null, 3);
insert into usuari values (
78, 'PUER_BER', '1B2M2Y8AsgTpgAmY7PhCfg==', 'Berta', 'Puertas', 'Puertas', 1, '11111174N', 4, 'Carrer de Calàbria 33', 'Barcelona', 8020, 8, 'berta_puertas@gmail.com', '660123465', null, null, 0, '1984-08-23', null, 3);
insert into usuari values (
79, 'TERR_CA3', '1B2M2Y8AsgTpgAmY7PhCfg==', 'Carles', 'Terribas', 'Terribas', 1, '11111175J', 4, 'Carrer Mallorca 180', 'Barcelona', 8020, 8, 'carles_terribas@gmail.com', '660123466', null, null, 0, '1975-09-24', null, 3);
insert into usuari values (
80, 'BARB_CAR', '1B2M2Y8AsgTpgAmY7PhCfg==', 'Carme', 'Barbé', 'Barbé', 1, '11111176Z', 4, 'Carrer Mallorca 180', 'Barcelona', 8020, 8, 'carme_barbe@gmail.com', '660123467', null, null, 0, '1976-10-25', null, 3);
insert into usuari values (
81, 'CUNI_BER', '1B2M2Y8AsgTpgAmY7PhCfg==', 'Bernat', 'Cunit', 'Cunit', 1, '11111177S', 4, 'Carrer València 180', 'Barcelona', 8020, 8, 'bernat_cunit@gmail.com', '660123468', null, null, 0, '1977-11-26', null, 3);
insert into usuari values (
82, 'BARJ_CLA', '1B2M2Y8AsgTpgAmY7PhCfg==', 'Clara', 'Barjoan', 'Barjoan', 1, '11111178Q', 4, 'Carrer València 180', 'Barcelona', 8020, 8, 'clara_barjoan@gmail.com', '660123469', null, null, 0, '1978-12-27', null, 3);
insert into usuari values (
83, 'BAIX_EN1', '1B2M2Y8AsgTpgAmY7PhCfg==', 'Enric', 'Baixes', 'Baixes', 1, '11111179V', 4, 'Carrer Diputació 22', 'Barcelona', 8020, 8, 'enric_baixes@gmail.com', '660123470', null, null, 0, '1979-01-28', null, 3);
insert into usuari values (
84, 'BISB_ELV', '1B2M2Y8AsgTpgAmY7PhCfg==', 'Elvira', 'Bisbal', 'Bisbal', 1, '11111180H', 4, 'Carrer Diputació 22', 'Barcelona', 8020, 8, 'elvira_bisbal@gmail.com', '660123471', null, null, 0, '1980-02-20', null, 3);
insert into usuari values (
85, 'MILL_ES1', '1B2M2Y8AsgTpgAmY7PhCfg==', 'Esteve', 'Millà', 'Millà', 1, '11111181L', 4, 'Carrer Consell de Cent 13', 'Barcelona', 8020, 8, 'esteve_milla@gmail.com', '660123472', null, null, 0, '1981-03-21', null, 3);
insert into usuari values (
86, 'INIE_CAR', '1B2M2Y8AsgTpgAmY7PhCfg==', 'Carlota', 'Iniesta', 'Iniesta', 1, '11111182C', 4, 'Carrer Consell de Cent 13', 'Barcelona', 8020, 8, 'carlota_iniesta@gmail.com', '660123473', null, null, 0, '1982-04-22', null, 3);
insert into usuari values (
87, 'BUEN_FE1', '1B2M2Y8AsgTpgAmY7PhCfg==', 'Ferran', 'Buenafuente', 'Buenafuenta', 1, '11111183K', 4, 'Rambla de Catalunya 101', 'Barcelona', 8020, 8, 'ferran_buenafuente@gmail.com', '660123474', null, null, 0, '1983-05-23', null, 3);
insert into usuari values (
88, 'CAPD_MAR', '1B2M2Y8AsgTpgAmY7PhCfg==', 'Maria', 'Capdevila', 'Capdevila', 1, '11111184E', 4, 'Rambla de Catalunya 101', 'Barcelona', 8020, 8, 'maria_capdevila@gmail.com', '660123475', null, null, 0, '1984-06-24', null, 3);
insert into usuari values (
89, 'FUEN_IG1', '1B2M2Y8AsgTpgAmY7PhCfg==', 'Ignasi', 'Fuentes', 'Fuentes', 1, '11111185T', 4, 'Carrer Escudellers 22', 'Barcelona', 8020, 8, 'ignasi_fuentes@gmail.com', '660123476', null, null, 0, '1975-07-25', null, 3);
insert into usuari values (
90, 'CASA_NOE', '1B2M2Y8AsgTpgAmY7PhCfg==', 'Noèlia', 'Casanova', 'Casanova', 1, '11111186R', 4, 'Carrer Escudellers 22', 'Barcelona', 8020, 8, 'noelia_casanova@gmail.com', '660123477', null, null, 0, '1976-08-26', null, 3);
insert into usuari values (
91, 'BALL_JO2', '1B2M2Y8AsgTpgAmY7PhCfg==', 'Joaquim', 'Ballvé', 'Ballvé', 1, '11111187W', 4, 'Carrer Girona 11', 'Barcelona', 8020, 8, 'joaquim_ballve@gmail.com', '660123478', null, null, 0, '1977-09-27', null, 3);
insert into usuari values (
92, 'COBO_MAR', '1B2M2Y8AsgTpgAmY7PhCfg==', 'Marta', 'Cobos', 'Cobos', 1, '11111188A', 4, 'Carrer Girona 11', 'Barcelona', 8020, 8, 'marta_cobos@gmail.com', '660123479', null, null, 0, '1978-10-28', null, 3);
insert into usuari values (
93, 'CLAV_JOS', '1B2M2Y8AsgTpgAmY7PhCfg==', 'Josep', 'Clavel', 'Clavel', 1, '11111189G', 4, 'Carrer Bruc 10', 'Barcelona', 8020, 8, 'josep_clavel@gmail.com', '660123480', null, null, 0, '1979-11-20', null, 3);
insert into usuari values (
94, 'GRAU_JU1', '1B2M2Y8AsgTpgAmY7PhCfg==', 'Judit', 'Grau', 'Grau', 1, '11111190M', 4, 'Carrer Bruc 10', 'Barcelona', 8020, 8, 'judit_grau@gmail.com', '660123481', null, null, 0, '1980-12-21', null, 3);
insert into usuari values (
95, 'ABAD_LL1', '1B2M2Y8AsgTpgAmY7PhCfg==', 'Lluís', 'Abad', 'Abad', 1, '11111191Y', 4, 'Ronda de Sant Pere 8', 'Barcelona', 8020, 8, 'lluis_abad@gmail.com', '660123482', null, null, 0, '1981-01-22', null, 3);
insert into usuari values (
96, 'CASQ_JUL', '1B2M2Y8AsgTpgAmY7PhCfg==', 'Júlia', 'Casquero', 'Casquero', 1, '11111192F', 4, 'Ronda de Sant Pere 8', 'Barcelona', 8020, 8, 'julia_casquero@gmail.com', '660123483', null, null, 0, '1982-02-23', null, 3);
insert into usuari values (
97, 'AGUD_MAN', '1B2M2Y8AsgTpgAmY7PhCfg==', 'Manel', 'Agudo', 'Agudo', 1, '11111193P', 4, 'Carrer Casp 6', 'Barcelona', 8020, 8, 'manel_agudo@gmail.com', '660123485', null, null, 0, '1983-03-24', null, 3);
insert into usuari values (
98, 'PUER_MAR', '1B2M2Y8AsgTpgAmY7PhCfg==', 'Marta', 'Puertas', 'Puertas', 1, '11111194D', 4, 'Carrer Casp 6', 'Barcelona', 8020, 8, 'marta_puertas@gmail.com', '660123488', null, null, 0, '1984-04-25', null, 3);
insert into usuari values (
99, 'AMAT_ANN', '1B2M2Y8AsgTpgAmY7PhCfg==', 'Anna', 'Amat', 'Amat', 1, '11111195X', 4, 'Carrer Gipuzcoa', 'Barcelona', 8020, 8, 'anna_amat@gmail.com', '660123490', null, null, 0, '1975-05-26', null, 3);
insert into usuari values (
100, 'CRES_OSC', '1B2M2Y8AsgTpgAmY7PhCfg==', 'Òscar', 'Crespo', 'Crespo', 1, '11111196B', 4, 'Carrer Gipuzcoa', 'Barcelona', 8020, 8, 'oscar_crespo@gmail.com', '660123492', null, null, 0, '1976-06-27', null, 3);



/*--professorassignatura--*/
insert into professorassignatura values (1, 3, 9, 0, 2);
insert into professorassignatura values (2, 3, 12, 0, 2);
insert into professorassignatura values (3, 3, 3, 0, 2);
insert into professorassignatura values (4, 3, 5, 0, 2);
insert into professorassignatura values (5, 3, 6, 0, 2);
insert into professorassignatura values (6, 3, 15, 0, 2);
insert into professorassignatura values (7, 3, 20, 0, 2);
insert into professorassignatura values (8, 3, 14, 0, 2);
insert into professorassignatura values (9, 3, 19, 0, 2);
insert into professorassignatura values (10, 3, 18, 0, 2);
insert into professorassignatura values (11, 3, 4, 0, 2);
insert into professorassignatura values (12, 3, 2, 0, 2);
insert into professorassignatura values (13, 3, 11, 0, 2);
insert into professorassignatura values (14, 3, 1, 0, 2);
insert into professorassignatura values (15, 3, 10, 0, 2);
insert into professorassignatura values (16, 3, 7, 0, 2);
insert into professorassignatura values (17, 3, 16, 0, 0);
insert into professorassignatura values (18, 19, 19, 0, 0);
insert into professorassignatura values (19, 19, 6, 0, 0);
insert into professorassignatura values (20, 19, 10, 0, 0);
insert into professorassignatura values (21, 19, 5, 0, 0);
insert into professorassignatura values (22, 19, 4, 0, 0);
insert into professorassignatura values (23, 19, 18, 0, 0);
insert into professorassignatura values (24, 19, 3, 0, 0);
insert into professorassignatura values (25, 19, 14, 0, 0);
insert into professorassignatura values (26, 19, 16, 0, 0);
insert into professorassignatura values (27, 17, 13, 0, 0);
insert into professorassignatura values (28, 17, 15, 0, 0);
insert into professorassignatura values (29, 17, 5, 0, 0);
insert into professorassignatura values (30, 17, 3, 0, 0);
insert into professorassignatura values (31, 17, 16, 0, 0);
insert into professorassignatura values (32, 17, 10, 0, 0);
insert into professorassignatura values (33, 17, 19, 0, 0);
insert into professorassignatura values (34, 17, 6, 0, 0);
insert into professorassignatura values (35, 17, 4, 0, 0);
insert into professorassignatura values (36, 17, 14, 0, 0);
insert into professorassignatura values (37, 16, 14, 0, 0);
insert into professorassignatura values (38, 16, 4, 0, 0);
insert into professorassignatura values (39, 16, 5, 0, 0);
insert into professorassignatura values (40, 16, 6, 0, 0);
insert into professorassignatura values (41, 16, 3, 0, 0);
insert into professorassignatura values (42, 16, 19, 0, 0);
insert into professorassignatura values (43, 16, 18, 0, 0);
insert into professorassignatura values (44, 16, 12, 0, 0);
insert into professorassignatura values (45, 16, 13, 0, 0);
insert into professorassignatura values (46, 16, 10, 0, 0);
insert into professorassignatura values (47, 11, 6, 0, 0);
insert into professorassignatura values (48, 11, 17, 0, 0);
insert into professorassignatura values (49, 11, 3, 0, 0);
insert into professorassignatura values (50, 11, 4, 0, 0);
insert into professorassignatura values (51, 11, 14, 0, 0);
insert into professorassignatura values (52, 11, 19, 0, 0);
insert into professorassignatura values (53, 11, 15, 0, 0);
insert into professorassignatura values (54, 11, 16, 0, 0);
insert into professorassignatura values (55, 11, 5, 0, 0);
insert into professorassignatura values (56, 11, 11, 0, 0);
insert into professorassignatura values (58, 11, 13, 0, 0);
insert into professorassignatura values (59, 11, 18, 0, 0);
insert into professorassignatura values (60, 10, 17, 0, 0);
insert into professorassignatura values (61, 10, 13, 0, 0);
insert into professorassignatura values (62, 10, 18, 0, 0);
insert into professorassignatura values (63, 10, 10, 0, 0);
insert into professorassignatura values (64, 10, 16, 0, 0);
insert into professorassignatura values (65, 10, 6, 0, 0);
insert into professorassignatura values (66, 10, 19, 0, 0);
insert into professorassignatura values (67, 10, 3, 0, 0);
insert into professorassignatura values (68, 10, 15, 0, 0);
insert into professorassignatura values (69, 10, 5, 0, 0);
insert into professorassignatura values (70, 10, 4, 0, 0);
insert into professorassignatura values (71, 15, 6, 0, 0);
insert into professorassignatura values (72, 15, 16, 0, 0);
insert into professorassignatura values (73, 15, 10, 0, 0);
insert into professorassignatura values (74, 15, 14, 0, 0);
insert into professorassignatura values (75, 15, 5, 0, 0);
insert into professorassignatura values (76, 15, 4, 0, 0);
insert into professorassignatura values (78, 15, 17, 0, 0);
insert into professorassignatura values (79, 15, 3, 0, 0);
insert into professorassignatura values (80, 15, 15, 0, 0);
insert into professorassignatura values (81, 12, 10, 0, 0);
insert into professorassignatura values (82, 12, 3, 0, 0);
insert into professorassignatura values (83, 12, 19, 0, 0);
insert into professorassignatura values (85, 12, 15, 0, 0);
insert into professorassignatura values (86, 12, 14, 0, 0);
insert into professorassignatura values (87, 12, 4, 0, 0);
insert into professorassignatura values (88, 12, 6, 0, 0);
insert into professorassignatura values (89, 12, 5, 0, 0);
insert into professorassignatura values (90, 12, 18, 0, 0);
insert into professorassignatura values (91, 9, 11, 0, 0);
insert into professorassignatura values (92, 9, 7, 0, 0);
insert into professorassignatura values (93, 9, 5, 0, 0);
insert into professorassignatura values (94, 9, 16, 0, 0);
insert into professorassignatura values (95, 9, 10, 0, 0);
insert into professorassignatura values (96, 9, 17, 0, 0);
insert into professorassignatura values (97, 9, 6, 0, 0);
insert into professorassignatura values (98, 9, 12, 0, 0);
insert into professorassignatura values (99, 9, 3, 0, 0);
insert into professorassignatura values (100, 9, 8, 0, 0);
insert into professorassignatura values (101, 9, 4, 0, 0);
insert into professorassignatura values (102, 13, 8, 0, 1);
insert into professorassignatura values (103, 13, 19, 0, 1);
insert into professorassignatura values (104, 13, 11, 0, 1);
insert into professorassignatura values (105, 13, 17, 0, 1);
insert into professorassignatura values (106, 13, 4, 0, 1);
insert into professorassignatura values (107, 13, 7, 0, 1);
insert into professorassignatura values (108, 13, 6, 0, 1);
insert into professorassignatura values (109, 13, 15, 0, 1);
insert into professorassignatura values (110, 13, 10, 0, 1);
insert into professorassignatura values (111, 13, 3, 0, 1);
insert into professorassignatura values (112, 13, 12, 0, 0);
insert into professorassignatura values (113, 18, 8, 0, 0);
insert into professorassignatura values (114, 18, 10, 0, 0);
insert into professorassignatura values (115, 18, 2, 0, 0);
insert into professorassignatura values (116, 18, 17, 0, 0);
insert into professorassignatura values (117, 18, 9, 0, 0);
insert into professorassignatura values (118, 18, 7, 0, 0);
insert into professorassignatura values (119, 18, 3, 0, 0);
insert into professorassignatura values (120, 18, 4, 0, 0);
insert into professorassignatura values (121, 18, 6, 0, 0);
insert into professorassignatura values (122, 20, 7, 0, 1);
insert into professorassignatura values (123, 20, 10, 0, 1);
insert into professorassignatura values (124, 20, 3, 0, 1);
insert into professorassignatura values (125, 20, 17, 0, 1);
insert into professorassignatura values (126, 20, 4, 0, 1);
insert into professorassignatura values (127, 20, 8, 0, 1);
insert into professorassignatura values (129, 20, 20, 0, 1);
insert into professorassignatura values (130, 20, 2, 0, 1);
insert into professorassignatura values (131, 20, 9, 0, 1);
insert into professorassignatura values (132, 14, 1, 0, 0);
insert into professorassignatura values (133, 20, 6, 0, 0);

/*--assignaturaaulaprofessor--*/
insert into assignaturaaulaprofessor values (1, 15, 4, 20, 2);
insert into assignaturaaulaprofessor values (2, 15, 6, 20, 2);
insert into assignaturaaulaprofessor values (3, 15, 17, 20, 2);
insert into assignaturaaulaprofessor values (4, 15, 10, 20, 2);
insert into assignaturaaulaprofessor values (5, 15, 3, 20, 2);
insert into assignaturaaulaprofessor values (6, 15, 8, 20, 2);
insert into assignaturaaulaprofessor values (7, 15, 7, 20, 2);
insert into assignaturaaulaprofessor values (8, 15, 1, 14, 2);
insert into assignaturaaulaprofessor values (9, 15, 2, 20, 2);
insert into assignaturaaulaprofessor values (10, 15, 9, 20, 2);
insert into assignaturaaulaprofessor values (11, 18, 3, null, 0);
insert into assignaturaaulaprofessor values (12, 18, 15, null, 0);
insert into assignaturaaulaprofessor values (13, 18, 18, null, 0);
insert into assignaturaaulaprofessor values (14, 18, 6, null, 0);
insert into assignaturaaulaprofessor values (15, 18, 4, null, 0);
insert into assignaturaaulaprofessor values (16, 18, 1, null, 0);
insert into assignaturaaulaprofessor values (17, 18, 10, null, 0);
insert into assignaturaaulaprofessor values (18, 18, 5, null, 0);
insert into assignaturaaulaprofessor values (19, 18, 14, null, 0);
insert into assignaturaaulaprofessor values (20, 18, 19, null, 0);
insert into assignaturaaulaprofessor values (21, 19, 1, 14, 1);
insert into assignaturaaulaprofessor values (22, 19, 6, 12, 1);
insert into assignaturaaulaprofessor values (23, 19, 15, 12, 1);
insert into assignaturaaulaprofessor values (24, 19, 19, 12, 1);
insert into assignaturaaulaprofessor values (25, 19, 5, 12, 1);
insert into assignaturaaulaprofessor values (26, 19, 4, 12, 1);
insert into assignaturaaulaprofessor values (27, 19, 10, 12, 1);
insert into assignaturaaulaprofessor values (28, 19, 14, 12, 1);
insert into assignaturaaulaprofessor values (29, 19, 18, 12, 1);
insert into assignaturaaulaprofessor values (30, 19, 3, 12, 1);
insert into assignaturaaulaprofessor values (31, 1, 6, 3, 1);
insert into assignaturaaulaprofessor values (32, 1, 4, 3, 1);
insert into assignaturaaulaprofessor values (33, 1, 3, 3, 1);
insert into assignaturaaulaprofessor values (34, 1, 16, 3, 1);
insert into assignaturaaulaprofessor values (35, 1, 1, 3, 1);
insert into assignaturaaulaprofessor values (36, 1, 10, 3, 1);
insert into assignaturaaulaprofessor values (37, 1, 18, 3, 1);
insert into assignaturaaulaprofessor values (38, 2, 10, 3, 0);
insert into assignaturaaulaprofessor values (39, 2, 16, 3, 0);
insert into assignaturaaulaprofessor values (40, 2, 3, 3, 0);
insert into assignaturaaulaprofessor values (41, 2, 6, 3, 0);
insert into assignaturaaulaprofessor values (42, 2, 1, 3, 0);
insert into assignaturaaulaprofessor values (43, 2, 18, 3, 0);
insert into assignaturaaulaprofessor values (44, 2, 4, 3, 0);
insert into assignaturaaulaprofessor values (45, 17, 6, 15, 1);
insert into assignaturaaulaprofessor values (46, 17, 1, 14, 1);
insert into assignaturaaulaprofessor values (47, 17, 14, 15, 1);
insert into assignaturaaulaprofessor values (48, 17, 10, 15, 1);
insert into assignaturaaulaprofessor values (49, 17, 3, 15, 1);
insert into assignaturaaulaprofessor values (50, 17, 15, 15, 1);
insert into assignaturaaulaprofessor values (51, 17, 4, 15, 1);
insert into assignaturaaulaprofessor values (52, 17, 5, 15, 1);
insert into assignaturaaulaprofessor values (53, 17, 16, 15, 1);
insert into assignaturaaulaprofessor values (54, 17, 17, 15, 1);
insert into assignaturaaulaprofessor values (55, 3, 16, 19, 0);
insert into assignaturaaulaprofessor values (56, 3, 5, 19, 0);
insert into assignaturaaulaprofessor values (57, 3, 10, 19, 0);
insert into assignaturaaulaprofessor values (58, 3, 19, 19, 0);
insert into assignaturaaulaprofessor values (59, 3, 18, 19, 0);
insert into assignaturaaulaprofessor values (60, 3, 6, 19, 0);
insert into assignaturaaulaprofessor values (61, 3, 14, 19, 0);
insert into assignaturaaulaprofessor values (62, 3, 4, 19, 0);
insert into assignaturaaulaprofessor values (63, 3, 3, 19, 0);
insert into assignaturaaulaprofessor values (64, 3, 1, 14, 0);
insert into assignaturaaulaprofessor values (65, 5, 19, 17, 0);
insert into assignaturaaulaprofessor values (66, 5, 10, 17, 0);
insert into assignaturaaulaprofessor values (67, 5, 14, 17, 0);
insert into assignaturaaulaprofessor values (68, 5, 4, 17, 0);
insert into assignaturaaulaprofessor values (69, 5, 15, 17, 0);
insert into assignaturaaulaprofessor values (70, 5, 3, 17, 0);
insert into assignaturaaulaprofessor values (71, 5, 6, 17, 0);
insert into assignaturaaulaprofessor values (72, 5, 1, 14, 0);
insert into assignaturaaulaprofessor values (73, 5, 5, 17, 0);
insert into assignaturaaulaprofessor values (74, 5, 16, 17, 0);
insert into assignaturaaulaprofessor values (75, 5, 13, 17, 0);
insert into assignaturaaulaprofessor values (76, 7, 18, 16, 0);
insert into assignaturaaulaprofessor values (77, 7, 5, 16, 0);
insert into assignaturaaulaprofessor values (78, 7, 14, 16, 0);
insert into assignaturaaulaprofessor values (79, 7, 19, 16, 0);
insert into assignaturaaulaprofessor values (80, 7, 3, 16, 0);
insert into assignaturaaulaprofessor values (81, 7, 13, 16, 0);
insert into assignaturaaulaprofessor values (82, 7, 6, 16, 0);
insert into assignaturaaulaprofessor values (83, 7, 4, 16, 0);
insert into assignaturaaulaprofessor values (84, 7, 12, 16, 0);
insert into assignaturaaulaprofessor values (85, 7, 1, 14, 0);
insert into assignaturaaulaprofessor values (86, 7, 10, 16, 0);
insert into assignaturaaulaprofessor values (87, 9, 15, 11, 0);
insert into assignaturaaulaprofessor values (88, 9, 4, 11, 0);
insert into assignaturaaulaprofessor values (89, 9, 3, 11, 0);
insert into assignaturaaulaprofessor values (90, 9, 17, 11, 0);
insert into assignaturaaulaprofessor values (91, 9, 14, 11, 0);
insert into assignaturaaulaprofessor values (92, 9, 18, 11, 0);
insert into assignaturaaulaprofessor values (93, 9, 11, 11, 0);
insert into assignaturaaulaprofessor values (94, 9, 5, 11, 0);
insert into assignaturaaulaprofessor values (95, 9, 19, 11, 0);
insert into assignaturaaulaprofessor values (96, 9, 13, 11, 0);
insert into assignaturaaulaprofessor values (97, 9, 6, 11, 0);
insert into assignaturaaulaprofessor values (98, 9, 16, 11, 0);
insert into assignaturaaulaprofessor values (99, 9, 1, 14, 0);
insert into assignaturaaulaprofessor values (100, 11, 1, 14, 0);
insert into assignaturaaulaprofessor values (101, 11, 17, 10, 0);
insert into assignaturaaulaprofessor values (102, 11, 18, 10, 0);
insert into assignaturaaulaprofessor values (103, 11, 10, 10, 0);
insert into assignaturaaulaprofessor values (104, 11, 16, 10, 0);
insert into assignaturaaulaprofessor values (105, 11, 15, 10, 0);
insert into assignaturaaulaprofessor values (106, 11, 3, 10, 0);
insert into assignaturaaulaprofessor values (107, 11, 13, 10, 0);
insert into assignaturaaulaprofessor values (108, 11, 5, 10, 0);
insert into assignaturaaulaprofessor values (109, 11, 4, 10, 0);
insert into assignaturaaulaprofessor values (110, 11, 6, 10, 0);
insert into assignaturaaulaprofessor values (111, 11, 19, 10, 0);
insert into assignaturaaulaprofessor values (112, 21, 11, 9, 0);
insert into assignaturaaulaprofessor values (113, 21, 12, 9, 0);
insert into assignaturaaulaprofessor values (114, 21, 7, 9, 0);
insert into assignaturaaulaprofessor values (115, 21, 5, 9, 0);
insert into assignaturaaulaprofessor values (116, 21, 10, 9, 0);
insert into assignaturaaulaprofessor values (117, 21, 3, 9, 0);
insert into assignaturaaulaprofessor values (118, 21, 17, 9, 0);
insert into assignaturaaulaprofessor values (119, 21, 1, 14, 0);
insert into assignaturaaulaprofessor values (120, 21, 16, 9, 0);
insert into assignaturaaulaprofessor values (121, 21, 6, 9, 0);
insert into assignaturaaulaprofessor values (122, 21, 8, 9, 0);
insert into assignaturaaulaprofessor values (123, 21, 4, 9, 0);
insert into assignaturaaulaprofessor values (124, 23, 11, 13, 0);
insert into assignaturaaulaprofessor values (125, 23, 12, 13, 0);
insert into assignaturaaulaprofessor values (126, 23, 17, 13, 0);
insert into assignaturaaulaprofessor values (127, 23, 3, 13, 0);
insert into assignaturaaulaprofessor values (128, 23, 6, 13, 0);
insert into assignaturaaulaprofessor values (129, 23, 19, 13, 0);
insert into assignaturaaulaprofessor values (130, 23, 7, 13, 0);
insert into assignaturaaulaprofessor values (131, 23, 10, 13, 0);
insert into assignaturaaulaprofessor values (132, 23, 15, 13, 0);
insert into assignaturaaulaprofessor values (133, 23, 4, 13, 0);
insert into assignaturaaulaprofessor values (134, 23, 8, 13, 0);
insert into assignaturaaulaprofessor values (135, 23, 1, 14, 0);
insert into assignaturaaulaprofessor values (136, 13, 10, 18, 0);
insert into assignaturaaulaprofessor values (137, 13, 9, 18, 0);
insert into assignaturaaulaprofessor values (138, 13, 8, 18, 0);
insert into assignaturaaulaprofessor values (139, 13, 3, 18, 0);
insert into assignaturaaulaprofessor values (140, 13, 17, 18, 0);
insert into assignaturaaulaprofessor values (141, 13, 6, 18, 0);
insert into assignaturaaulaprofessor values (142, 13, 4, 18, 0);
insert into assignaturaaulaprofessor values (143, 13, 2, 18, 0);
insert into assignaturaaulaprofessor values (144, 13, 7, 18, 0);
insert into assignaturaaulaprofessor values (145, 13, 1, 14, 0);
insert into assignaturaaulaprofessor values (146, 14, 9, 20, 1);
insert into assignaturaaulaprofessor values (147, 14, 2, 20, 1);
insert into assignaturaaulaprofessor values (148, 14, 3, 20, 1);
insert into assignaturaaulaprofessor values (149, 14, 10, 20, 1);
insert into assignaturaaulaprofessor values (150, 14, 6, 18, 1);
insert into assignaturaaulaprofessor values (151, 14, 4, 20, 1);
insert into assignaturaaulaprofessor values (152, 14, 1, 14, 1);
insert into assignaturaaulaprofessor values (153, 14, 8, 20, 1);
insert into assignaturaaulaprofessor values (154, 14, 17, 20, 1);
insert into assignaturaaulaprofessor values (155, 14, 7, 20, 1);
insert into assignaturaaulaprofessor values (156, 15, 20, 20, 1);

/*--parealumne--*/
insert into parealumne values (1, 5, 4, 0, 1);
insert into parealumne values (2, 95, 60, 0, 0);
insert into parealumne values (3, 95, 62, 0, 0);
insert into parealumne values (4, 95, 61, 0, 0);
insert into parealumne values (5, 96, 62, 0, 0);
insert into parealumne values (6, 96, 61, 0, 0);
insert into parealumne values (7, 96, 60, 0, 0);
insert into parealumne values (8, 97, 65, 0, 0);
insert into parealumne values (9, 97, 63, 0, 0);
insert into parealumne values (10, 97, 64, 0, 0);
insert into parealumne values (11, 98, 63, 0, 0);
insert into parealumne values (12, 98, 64, 0, 0);
insert into parealumne values (13, 98, 65, 0, 0);
insert into parealumne values (14, 99, 67, 0, 0);
insert into parealumne values (15, 99, 66, 0, 0);
insert into parealumne values (16, 99, 68, 0, 0);
insert into parealumne values (17, 100, 68, 0, 0);
insert into parealumne values (18, 100, 67, 0, 0);
insert into parealumne values (19, 100, 66, 0, 0);
insert into parealumne values (20, 71, 25, 0, 0);
insert into parealumne values (21, 71, 26, 0, 0);
insert into parealumne values (22, 71, 24, 0, 0);
insert into parealumne values (23, 72, 24, 0, 0);
insert into parealumne values (24, 72, 25, 0, 0);
insert into parealumne values (25, 72, 26, 0, 0);
insert into parealumne values (26, 73, 29, 0, 0);
insert into parealumne values (27, 73, 28, 0, 0);
insert into parealumne values (28, 73, 27, 0, 0);
insert into parealumne values (29, 74, 28, 0, 0);
insert into parealumne values (30, 74, 27, 0, 0);
insert into parealumne values (31, 74, 29, 0, 0);
insert into parealumne values (32, 75, 31, 0, 0);
insert into parealumne values (33, 75, 30, 0, 0);
insert into parealumne values (34, 75, 32, 0, 0);
insert into parealumne values (35, 76, 30, 0, 0);
insert into parealumne values (36, 76, 32, 0, 0);
insert into parealumne values (37, 76, 31, 0, 0);
insert into parealumne values (38, 77, 35, 0, 0);
insert into parealumne values (39, 77, 33, 0, 0);
insert into parealumne values (40, 77, 34, 0, 0);
insert into parealumne values (41, 78, 33, 0, 0);
insert into parealumne values (42, 78, 35, 0, 0);
insert into parealumne values (43, 78, 34, 0, 0);
insert into parealumne values (47, 69, 22, 0, 0);
insert into parealumne values (48, 69, 21, 0, 0);
insert into parealumne values (49, 69, 23, 0, 0);
insert into parealumne values (50, 70, 22, 0, 0);
insert into parealumne values (51, 70, 23, 0, 0);
insert into parealumne values (52, 70, 21, 0, 0);
insert into parealumne values (53, 79, 37, 0, 0);
insert into parealumne values (54, 79, 38, 0, 0);
insert into parealumne values (55, 79, 36, 0, 0);
insert into parealumne values (56, 80, 36, 0, 0);
insert into parealumne values (57, 80, 38, 0, 0);
insert into parealumne values (58, 80, 37, 0, 0);
insert into parealumne values (59, 81, 40, 0, 0);
insert into parealumne values (60, 81, 39, 0, 0);
insert into parealumne values (61, 81, 41, 0, 0);
insert into parealumne values (62, 82, 41, 0, 0);
insert into parealumne values (63, 82, 39, 0, 0);
insert into parealumne values (64, 82, 40, 0, 0);
insert into parealumne values (65, 83, 44, 0, 0);
insert into parealumne values (66, 83, 42, 0, 0);
insert into parealumne values (67, 83, 43, 0, 0);
insert into parealumne values (68, 84, 43, 0, 0);
insert into parealumne values (69, 84, 42, 0, 0);
insert into parealumne values (70, 84, 44, 0, 0);
insert into parealumne values (71, 85, 46, 0, 0);
insert into parealumne values (72, 85, 45, 0, 0);
insert into parealumne values (73, 85, 47, 0, 0);
insert into parealumne values (74, 86, 45, 0, 0);
insert into parealumne values (75, 86, 46, 0, 0);
insert into parealumne values (76, 86, 47, 0, 0);
insert into parealumne values (77, 87, 49, 0, 0);
insert into parealumne values (78, 87, 50, 0, 0);
insert into parealumne values (79, 87, 48, 0, 0);
insert into parealumne values (80, 88, 49, 0, 0);
insert into parealumne values (81, 88, 48, 0, 0);
insert into parealumne values (82, 88, 50, 0, 0);
insert into parealumne values (83, 89, 52, 0, 0);
insert into parealumne values (84, 89, 53, 0, 0);
insert into parealumne values (85, 89, 51, 0, 0);
insert into parealumne values (86, 90, 52, 0, 0);
insert into parealumne values (87, 90, 53, 0, 0);
insert into parealumne values (88, 90, 51, 0, 0);
insert into parealumne values (89, 91, 54, 0, 0);
insert into parealumne values (90, 91, 55, 0, 0);
insert into parealumne values (91, 91, 56, 0, 0);
insert into parealumne values (92, 92, 55, 0, 0);
insert into parealumne values (93, 92, 56, 0, 0);
insert into parealumne values (94, 92, 54, 0, 0);
insert into parealumne values (95, 93, 57, 0, 0);
insert into parealumne values (96, 93, 59, 0, 0);
insert into parealumne values (97, 93, 58, 0, 0);
insert into parealumne values (98, 94, 58, 0, 0);
insert into parealumne values (99, 94, 59, 0, 0);
insert into parealumne values (100, 94, 57, 0, 0);


/*--Notificació--*/
insert into notificacio values (
1, 'Setmana Santa 2011', 'Els recordem que pel període 18/04/2011 al 25/04/2011 l\'escola estarà tancada per ser Setmana Santa', 1, 0, '2011-04-01', '2011-04-25', 0, null, null, null, 2);
insert into notificacio values (
2, 'Matriculació Curs 2011/2012', 'Us recordem que el període de matriculació pel proper any acadèmic 2011/2012 és del 15/06/2011 al 31/07/2011', 1, 0, '2011-05-15', '2011-07-31', 0, null, null, null, 0);
insert into notificacio values (
3, 'Excursió a Montserrat', 'El proper dia 01/06/2011 es farà una excursió a Montserrat. Els nens que volguin anar hauran de portar el justificant dels seus pares.', 1, 1, '2011-05-15', '2011-05-31', 0, null, 4, null, 0);
insert into notificacio values (
4, 'Excursió al CaixaFòrum', 'El proper dia 12/06/2011 es farà l\'excursió al CaixaFòrum. Cada estudiant haurà de portar el justificant dels seus pares.', 1, 2, '2011-06-01', '2011-06-12', 0, 13, null, null, 0);
insert into notificacio values (
5, 'Exàmen Matemàtiques', 'El proper 15/05/2011 haurà exàmen de matemàtiques. Els temes que entre són el 5, 6 i 7.', 1, 3, '2011-05-01', '2011-05-15', 0, null, null, 20, 0);


/*-- Matrícula--*/
insert into matricula values (2, 1, 4, 1, '2011-04-13', 1, 0, 2);
insert into matricula values (3, 1, 6, 13, '2011-04-13', 13, 0, 1);
insert into matricula values (17, 1, 21, 2, '2011-05-01', 3, 0, 1);
insert into matricula values (18, 1, 22, 3, '2011-05-01', 5, 0, 1);
insert into matricula values (19, 1, 23, 4, '2011-05-01', 7, 0, 1);
insert into matricula values (20, 1, 24, 5, '2011-05-01', 9, 0, 1);
insert into matricula values (21, 1, 25, 6, '2011-05-01', 11, 0, 1);
insert into matricula values (22, 1, 26, 7, '2011-05-01', 17, 0, 1);
insert into matricula values (23, 1, 27, 8, '2011-05-01', 19, 0, 1);
insert into matricula values (24, 1, 28, 9, '2011-05-01', 21, 0, 1);
insert into matricula values (25, 1, 29, 10, '2011-05-01', 23, 0, 1);
insert into matricula values (26, 1, 30, 13, '2011-05-01', 13, 0, 1);
insert into matricula values (27, 1, 31, 14, '2011-05-01', 15, 0, 1);
insert into matricula values (28, 1, 32, 1, '2011-05-01', 1, 0, 1);
insert into matricula values (29, 1, 33, 2, '2011-05-01', 3, 0, 1);
insert into matricula values (30, 1, 34, 3, '2011-05-01', 5, 0, 1);
insert into matricula values (31, 1, 35, 4, '2011-05-01', 7, 0, 1);
insert into matricula values (32, 1, 36, 5, '2011-05-01', 9, 0, 1);
insert into matricula values (33, 1, 37, 6, '2011-05-01', 11, 0, 1);
insert into matricula values (34, 1, 38, 7, '2011-05-01', 17, 0, 1);
insert into matricula values (35, 1, 39, 8, '2011-05-01', 19, 0, 1);
insert into matricula values (36, 1, 40, 9, '2011-05-01', 21, 0, 1);
insert into matricula values (37, 1, 41, 10, '2011-05-01', 23, 0, 1);
insert into matricula values (13, 1, 42, 13, '2011-05-01', 13, 0, 1);
insert into matricula values (15, 1, 43, 14, '2011-05-01', 15, 0, 1);
insert into matricula values (14, 1, 44, 1, '2011-05-01', 1, 0, 1);
insert into matricula values (38, 1, 45, 2, '2011-05-01', 3, 0, 1);
insert into matricula values (39, 1, 46, 3, '2011-05-01', 5, 0, 1);
insert into matricula values (40, 1, 47, 4, '2011-05-01', 7, 0, 1);
insert into matricula values (41, 1, 48, 5, '2011-05-01', 9, 0, 1);
insert into matricula values (42, 1, 49, 6, '2011-05-01', 11, 0, 1);
insert into matricula values (43, 1, 50, 7, '2011-05-01', 17, 0, 1);
insert into matricula values (44, 1, 51, 8, '2011-05-01', 19, 0, 1);
insert into matricula values (45, 1, 52, 9, '2011-05-01', 21, 0, 1);
insert into matricula values (46, 1, 53, 10, '2011-05-01', 23, 0, 1);
insert into matricula values (16, 1, 54, 13, '2011-05-01', 13, 0, 1);
insert into matricula values (47, 1, 55, 14, '2011-05-01', 15, 0, 1);
insert into matricula values (48, 1, 56, 1, '2011-05-01', 1, 0, 1);
insert into matricula values (49, 1, 57, 2, '2011-05-01', 3, 0, 1);
insert into matricula values (50, 1, 58, 3, '2011-05-01', 5, 0, 1);
insert into matricula values (51, 1, 59, 4, '2011-05-01', 7, 0, 1);
insert into matricula values (4, 1, 60, 5, '2011-05-01', 9, 0, 1);
insert into matricula values (5, 1, 61, 6, '2011-05-01', 11, 0, 1);
insert into matricula values (6, 1, 62, 7, '2011-05-01', 17, 0, 1);
insert into matricula values (7, 1, 63, 8, '2011-05-01', 19, 0, 1);
insert into matricula values (9, 1, 64, 9, '2011-05-01', 21, 0, 1);
insert into matricula values (8, 1, 65, 10, '2011-05-01', 23, 0, 1);
insert into matricula values (10, 1, 66, 13, '2011-05-01', 13, 0, 1);
insert into matricula values (11, 1, 67, 14, '2011-05-01', 15, 0, 1);
insert into matricula values (12, 1, 68, 1, '2011-05-01', 1, 0, 1);


/*--Qualificacio--*/
insert into qualificacio values (1, 4, 1, 36, 1, 1, 1, null, null, 1, 2);
insert into qualificacio values (2, 4, 1, 37, 1, 1, 1, null, null, 1, 2);
insert into qualificacio values (3, 4, 1, 33, 1, 1, 1, null, null, 1, 2);
insert into qualificacio values (4, 4, 1, 31, 1, 1, 1, null, null, 1, 2);
insert into qualificacio values (5, 4, 1, 32, 2, 1, 1, null, null, 1, 2);
insert into qualificacio values (6, 4, 1, 34, 1, 2, 1, null, null, 1, 2);
insert into qualificacio values (7, 4, 1, 35, 1, 1, 1, null, null, 1, 2);
insert into qualificacio values (8, 60, 1, 99, 2, 1, 2, null, null, 2, 0);
insert into qualificacio values (9, 60, 1, 91, 2, 1, 2, null, null, 2, 0);
insert into qualificacio values (10, 60, 1, 93, 3, 1, 2, null, null, 2, 0);
insert into qualificacio values (11, 60, 1, 96, 1, 1, 2, null, null, 1, 0);
insert into qualificacio values (12, 60, 1, 95, 2, 1, 2, null, null, 2, 0);
insert into qualificacio values (13, 60, 1, 98, 3, 1, 2, null, null, 2, 0);
insert into qualificacio values (14, 60, 1, 97, 1, 1, 2, null, null, 1, 0);
insert into qualificacio values (15, 60, 1, 87, 2, 1, 2, null, null, 2, 0);
insert into qualificacio values (16, 60, 1, 89, 3, 1, 2, null, null, 2, 0);
insert into qualificacio values (17, 60, 1, 90, 1, 1, 2, null, null, 1, 0);
insert into qualificacio values (18, 60, 1, 92, 2, 1, 2, null, null, 2, 0);
insert into qualificacio values (19, 60, 1, 94, 3, 1, 2, null, null, 1, 0);
insert into qualificacio values (20, 60, 1, 88, 1, 1, 2, null, null, 1, 0);
insert into qualificacio values (21, 61, 1, 103, 2, 1, 2, null, null, 2, 0);
insert into qualificacio values (22, 61, 1, 110, 3, 1, 2, null, null, 2, 0);
insert into qualificacio values (23, 61, 1, 105, 1, 1, 2, null, null, 1, 0);
insert into qualificacio values (24, 61, 1, 102, 2, 1, 2, null, null, 2, 0);
insert into qualificacio values (25, 61, 1, 111, 3, 1, 2, null, null, 2, 0);
insert into qualificacio values (26, 61, 1, 107, 1, 1, 2, null, null, 1, 0);
insert into qualificacio values (27, 61, 1, 109, 2, 1, 2, null, null, 2, 0);
insert into qualificacio values (28, 61, 1, 108, 3, 1, 2, null, null, 2, 0);
insert into qualificacio values (29, 61, 1, 106, 1, 1, 2, null, null, 1, 0);
insert into qualificacio values (30, 61, 1, 101, 2, 1, 2, null, null, 2, 0);
insert into qualificacio values (31, 61, 1, 100, 3, 1, 2, null, null, 2, 0);
insert into qualificacio values (32, 61, 1, 104, 1, 1, 2, null, null, 1, 0);
insert into qualificacio values (33, 62, 1, 52, 2, 1, 2, null, null, 2, 0);
insert into qualificacio values (34, 62, 1, 46, 3, 1, 2, null, null, 2, 0);
insert into qualificacio values (35, 62, 1, 53, 5, 5, 5, 5, 4, 4, 0);
insert into qualificacio values (36, 62, 1, 54, 1, 1, 2, null, null, 1, 0);
insert into qualificacio values (37, 62, 1, 51, 2, 1, 2, null, null, 2, 0);
insert into qualificacio values (38, 62, 1, 48, 3, 1, 2, null, null, 2, 0);
insert into qualificacio values (39, 62, 1, 45, 1, 1, 2, null, null, 1, 0);
insert into qualificacio values (40, 62, 1, 49, 2, 1, 2, null, null, 2, 0);
insert into qualificacio values (41, 62, 1, 50, 3, 1, 2, null, null, 2, 0);
insert into qualificacio values (42, 62, 1, 47, 1, 1, 2, null, null, 1, 0);
insert into qualificacio values (43, 63, 1, 23, 2, 1, 2, null, null, 2, 0);
insert into qualificacio values (44, 63, 1, 29, 3, 1, 2, null, null, 2, 0);
insert into qualificacio values (45, 63, 1, 25, 1, 1, 2, null, null, 1, 0);
insert into qualificacio values (46, 63, 1, 30, 2, 1, 2, null, null, 2, 0);
insert into qualificacio values (47, 63, 1, 27, 3, 1, 2, null, null, 2, 0);
insert into qualificacio values (48, 63, 1, 24, 1, 1, 2, null, null, 2, 0);
insert into qualificacio values (49, 63, 1, 22, 2, 1, 2, null, null, 1, 0);
insert into qualificacio values (50, 63, 1, 21, 3, 1, 2, null, null, 2, 0);
insert into qualificacio values (51, 63, 1, 28, 1, 1, 2, null, null, 1, 0);
insert into qualificacio values (52, 63, 1, 26, 2, 1, 2, null, null, 2, 0);
insert into qualificacio values (53, 65, 1, 133, 3, 1, 2, null, null, 2, 0);
insert into qualificacio values (54, 65, 1, 127, 1, 1, 2, null, null, 1, 0);
insert into qualificacio values (55, 65, 1, 125, 2, 1, 2, null, null, 2, 0);
insert into qualificacio values (56, 65, 1, 128, 3, 1, 2, null, null, 2, 0);
insert into qualificacio values (57, 65, 1, 134, 1, 1, 2, null, null, 1, 0);
insert into qualificacio values (58, 65, 1, 126, 2, 1, 2, null, null, 2, 0);
insert into qualificacio values (59, 65, 1, 132, 3, 1, 2, null, null, 2, 0);
insert into qualificacio values (60, 65, 1, 130, 1, 1, 2, null, null, 2, 0);
insert into qualificacio values (61, 65, 1, 124, 2, 1, 2, null, null, 2, 0);
insert into qualificacio values (62, 65, 1, 129, 3, 1, 2, null, null, 2, 0);
insert into qualificacio values (63, 65, 1, 135, 1, 1, 2, null, null, 2, 0);
insert into qualificacio values (64, 65, 1, 131, 2, 1, 2, null, null, 2, 0);
insert into qualificacio values (65, 64, 1, 117, 3, 1, 2, null, null, 1, 0);
insert into qualificacio values (66, 64, 1, 123, 1, 1, 2, null, null, 1, 0);
insert into qualificacio values (67, 64, 1, 114, 2, 1, 2, null, null, 1, 0);
insert into qualificacio values (68, 64, 1, 118, 3, 1, 2, null, null, 2, 0);
insert into qualificacio values (69, 64, 1, 116, 1, 1, 3, null, null, 1, 0);
insert into qualificacio values (70, 64, 1, 121, 2, 1, 3, null, null, 2, 0);
insert into qualificacio values (71, 64, 1, 115, 3, 1, 3, null, null, 3, 0);
insert into qualificacio values (72, 64, 1, 120, 1, 1, 3, null, null, 1, 0);
insert into qualificacio values (73, 64, 1, 122, 2, 1, 3, null, null, 2, 0);
insert into qualificacio values (74, 64, 1, 113, 3, 1, 3, null, null, 3, 0);
insert into qualificacio values (75, 64, 1, 112, 1, 1, 3, null, null, 1, 0);
insert into qualificacio values (76, 64, 1, 119, 2, 1, 3, null, null, 2, 0);
insert into qualificacio values (77, 66, 1, 136, 3, 1, 3, null, null, 3, 0);
insert into qualificacio values (78, 66, 1, 142, 1, 1, 3, null, null, 1, 0);
insert into qualificacio values (79, 66, 1, 137, 2, 1, 1, null, null, 1, 0);
insert into qualificacio values (80, 66, 1, 145, 3, 1, 1, null, null, 1, 0);
insert into qualificacio values (81, 66, 1, 141, 1, 1, 2, null, null, 1, 0);
insert into qualificacio values (82, 66, 1, 144, 2, 1, 3, null, null, 2, 0);
insert into qualificacio values (83, 66, 1, 139, 3, 1, 1, null, null, 1, 0);
insert into qualificacio values (84, 66, 1, 143, 1, 1, 2, null, null, 1, 0);
insert into qualificacio values (85, 66, 1, 138, 2, 1, 3, null, null, 2, 0);
insert into qualificacio values (86, 66, 1, 140, 3, 1, 1, null, null, 1, 0);
insert into qualificacio values (87, 67, 1, 10, 1, 1, 3, null, null, 1, 0);
insert into qualificacio values (88, 67, 1, 4, 2, 1, 3, null, null, 2, 0);
insert into qualificacio values (89, 67, 1, 6, 3, 1, 3, null, null, 3, 0);
insert into qualificacio values (90, 67, 1, 156, 1, 1, 3, null, null, 3, 0);
insert into qualificacio values (91, 67, 1, 3, 2, 1, 3, null, null, 1, 0);
insert into qualificacio values (92, 67, 1, 2, 3, 1, 3, null, null, 2, 0);
insert into qualificacio values (93, 67, 1, 8, 1, 1, 3, null, null, 3, 0);
insert into qualificacio values (94, 67, 1, 7, 2, 1, 3, null, null, 2, 0);
insert into qualificacio values (95, 67, 1, 9, 3, 1, 3, null, null, 3, 0);
insert into qualificacio values (96, 67, 1, 1, 1, 1, 3, null, null, 1, 0);
insert into qualificacio values (97, 67, 1, 5, 2, 1, 3, null, null, 2, 0);
insert into qualificacio values (98, 68, 1, 34, 3, 1, 3, null, null, 3, 0);
insert into qualificacio values (99, 68, 1, 37, 1, 1, 3, null, null, 1, 0);
insert into qualificacio values (100, 68, 1, 32, 2, 1, 3, null, null, 2, 0);
insert into qualificacio values (101, 68, 1, 35, 3, 1, 3, null, null, 3, 0);
insert into qualificacio values (102, 68, 1, 36, 1, 1, 3, null, null, 1, 0);
insert into qualificacio values (103, 68, 1, 33, 2, 1, 3, null, null, 2, 0);
insert into qualificacio values (104, 68, 1, 31, 3, 1, 3, null, null, 3, 0);
insert into qualificacio values (105, 42, 1, 136, 1, 2, 1, null, null, 1, 0);
insert into qualificacio values (106, 42, 1, 142, 2, 2, 1, null, null, 2, 0);
insert into qualificacio values (107, 42, 1, 137, 3, 2, 1, null, null, 2, 0);
insert into qualificacio values (108, 42, 1, 145, 1, 2, 1, null, null, 1, 0);
insert into qualificacio values (109, 42, 1, 141, 2, 2, 1, null, null, 2, 0);
insert into qualificacio values (110, 42, 1, 144, 3, 2, 1, null, null, 2, 0);
insert into qualificacio values (111, 42, 1, 139, 1, 2, 1, null, null, 1, 0);
insert into qualificacio values (112, 42, 1, 143, 2, 2, 1, null, null, 2, 0);
insert into qualificacio values (113, 42, 1, 138, 3, 2, 1, null, null, 2, 0);
insert into qualificacio values (114, 42, 1, 140, 1, 2, 1, null, null, 1, 0);
insert into qualificacio values (115, 44, 1, 34, 2, 2, 1, null, null, 2, 0);
insert into qualificacio values (116, 44, 1, 37, 3, 2, 1, null, null, 2, 0);
insert into qualificacio values (117, 44, 1, 32, 1, 2, 1, null, null, 1, 0);
insert into qualificacio values (118, 44, 1, 35, 2, 2, 1, null, null, 2, 0);
insert into qualificacio values (119, 44, 1, 36, 3, 2, 1, null, null, 2, 0);
insert into qualificacio values (120, 44, 1, 33, 1, 2, 1, null, null, 1, 0);
insert into qualificacio values (121, 44, 1, 31, 2, 2, 1, null, null, 2, 0);
insert into qualificacio values (122, 43, 1, 10, 3, 2, 1, null, null, 2, 0);
insert into qualificacio values (123, 43, 1, 4, 1, 2, 1, null, null, 1, 0);
insert into qualificacio values (124, 43, 1, 6, 2, 2, 1, null, null, 2, 0);
insert into qualificacio values (125, 43, 1, 156, 3, 2, 1, null, null, 2, 0);
insert into qualificacio values (126, 43, 1, 3, 1, 2, 1, null, null, 1, 0);
insert into qualificacio values (127, 43, 1, 2, 2, 2, 1, null, null, 2, 0);
insert into qualificacio values (128, 43, 1, 8, 3, 2, 1, null, null, 2, 0);
insert into qualificacio values (129, 43, 1, 7, 1, 2, 1, null, null, 1, 0);
insert into qualificacio values (130, 43, 1, 9, 2, 2, 1, null, null, 2, 0);
insert into qualificacio values (131, 43, 1, 1, 2, 2, 1, null, null, 2, 0);
insert into qualificacio values (132, 43, 1, 5, 3, 2, 1, null, null, 2, 0);
insert into qualificacio values (133, 54, 1, 136, 1, 3, 2, null, null, 2, 0);
insert into qualificacio values (134, 54, 1, 142, 2, 3, 2, null, null, 2, 0);
insert into qualificacio values (135, 54, 1, 137, 3, 3, 2, null, null, 2, 0);
insert into qualificacio values (136, 54, 1, 145, 1, 3, 2, null, null, 2, 0);
insert into qualificacio values (137, 54, 1, 141, 2, 3, 2, null, null, 2, 0);
insert into qualificacio values (138, 54, 1, 144, 3, 3, 2, null, null, 3, 0);
insert into qualificacio values (139, 54, 1, 139, 1, 3, 2, null, null, 2, 0);
insert into qualificacio values (140, 54, 1, 143, 2, 3, 2, null, null, 2, 0);
insert into qualificacio values (141, 54, 1, 138, 3, 3, 2, null, null, 3, 0);
insert into qualificacio values (142, 54, 1, 140, 1, 3, 2, null, null, 2, 0);
insert into qualificacio values (143, 55, 1, 10, 2, 3, 2, null, null, 2, 0);
insert into qualificacio values (144, 55, 1, 4, 3, 3, 2, null, null, 3, 0);
insert into qualificacio values (145, 55, 1, 6, 1, 3, 2, null, null, 2, 0);
insert into qualificacio values (146, 55, 1, 156, 2, 3, 2, null, null, 2, 0);
insert into qualificacio values (147, 55, 1, 3, 3, 3, 2, null, null, 3, 0);
insert into qualificacio values (148, 55, 1, 2, 1, 3, 2, null, null, 2, 0);
insert into qualificacio values (149, 55, 1, 8, 2, 3, 2, null, null, 2, 0);
insert into qualificacio values (150, 55, 1, 7, 3, 3, 2, null, null, 2, 0);
insert into qualificacio values (151, 55, 1, 9, 1, 3, 2, null, null, 2, 0);
insert into qualificacio values (152, 55, 1, 1, 2, 5, 2, 5, 4, 3, 0);
insert into qualificacio values (153, 55, 1, 5, 3, 3, 2, null, null, 3, 0);
insert into qualificacio values (154, 56, 1, 34, 1, 3, 2, null, null, 2, 0);
insert into qualificacio values (155, 56, 1, 37, 2, 3, 2, null, null, 2, 0);
insert into qualificacio values (156, 56, 1, 32, 3, 3, 2, null, null, 3, 0);
insert into qualificacio values (157, 56, 1, 35, 1, 3, 2, null, null, 2, 0);
insert into qualificacio values (158, 56, 1, 36, 2, 3, 2, null, null, 2, 0);
insert into qualificacio values (159, 56, 1, 33, 3, 3, 2, null, null, 3, 0);
insert into qualificacio values (160, 56, 1, 31, 1, 3, 2, null, null, 2, 0);
insert into qualificacio values (161, 30, 1, 136, 2, 3, 1, null, null, 2, 0);
insert into qualificacio values (162, 30, 1, 142, 3, 3, 1, null, null, 3, 0);
insert into qualificacio values (163, 30, 1, 137, 1, 3, 1, null, null, 2, 0);
insert into qualificacio values (164, 30, 1, 145, 2, 3, 1, null, null, 2, 0);
insert into qualificacio values (165, 30, 1, 141, 3, 3, 1, null, null, 2, 0);
insert into qualificacio values (166, 30, 1, 144, 1, 3, 1, null, null, 1, 0);
insert into qualificacio values (167, 30, 1, 139, 2, 3, 1, null, null, 2, 0);
insert into qualificacio values (168, 30, 1, 143, 3, 3, 1, null, null, 2, 0);
insert into qualificacio values (169, 30, 1, 138, 1, 3, 1, null, null, 1, 0);
insert into qualificacio values (170, 30, 1, 140, 2, 3, 1, null, null, 2, 0);
insert into qualificacio values (171, 32, 1, 34, 3, 1, 2, null, null, 2, 0);
insert into qualificacio values (172, 32, 1, 37, 1, 1, 2, null, null, 1, 0);
insert into qualificacio values (173, 32, 1, 32, 2, 1, 2, null, null, 1, 0);
insert into qualificacio values (174, 32, 1, 35, 3, 1, 2, null, null, 2, 0);
insert into qualificacio values (175, 32, 1, 36, 1, 1, 2, null, null, 1, 0);
insert into qualificacio values (176, 32, 1, 33, 2, 1, 2, null, null, 2, 0);
insert into qualificacio values (177, 32, 1, 31, 3, 1, 2, null, null, 2, 0);
insert into qualificacio values (178, 31, 1, 10, 1, 1, 2, null, null, 1, 0);
insert into qualificacio values (179, 31, 1, 4, 2, 1, 2, null, null, 2, 0);
insert into qualificacio values (180, 31, 1, 6, 3, 1, 2, null, null, 2, 0);
insert into qualificacio values (181, 31, 1, 156, 1, 1, 2, null, null, 1, 0);
insert into qualificacio values (182, 31, 1, 3, 2, 1, 2, null, null, 2, 0);
insert into qualificacio values (183, 31, 1, 2, 3, 1, 2, null, null, 2, 0);
insert into qualificacio values (184, 31, 1, 8, 1, 1, 2, null, null, 1, 0);
insert into qualificacio values (185, 31, 1, 7, 2, 1, 2, null, null, 2, 0);
insert into qualificacio values (186, 31, 1, 9, 3, 1, 2, null, null, 2, 0);
insert into qualificacio values (187, 31, 1, 1, 1, 1, 2, null, null, 1, 0);
insert into qualificacio values (188, 31, 1, 5, 2, 1, 2, null, null, 2, 0);
insert into qualificacio values (189, 48, 1, 99, 3, 2, 1, null, null, 2, 0);
insert into qualificacio values (190, 48, 1, 91, 1, 2, 1, null, null, 1, 0);
insert into qualificacio values (191, 48, 1, 93, 2, 2, 1, null, null, 2, 0);
insert into qualificacio values (192, 48, 1, 96, 3, 2, 1, null, null, 2, 0);
insert into qualificacio values (193, 48, 1, 95, 1, 2, 1, null, null, 1, 0);
insert into qualificacio values (194, 48, 1, 98, 2, 2, 1, null, null, 1, 0);
insert into qualificacio values (195, 48, 1, 97, 3, 2, 1, null, null, 2, 0);
insert into qualificacio values (196, 48, 1, 87, 1, 2, 1, null, null, 1, 0);
insert into qualificacio values (197, 48, 1, 89, 2, 2, 1, null, null, 2, 0);
insert into qualificacio values (198, 48, 1, 90, 3, 2, 1, null, null, 2, 0);
insert into qualificacio values (199, 48, 1, 92, 1, 2, 1, null, null, 1, 0);
insert into qualificacio values (200, 48, 1, 94, 2, 2, 1, null, null, 2, 0);
insert into qualificacio values (201, 48, 1, 88, 3, 2, 1, null, null, 2, 0);
insert into qualificacio values (202, 49, 1, 103, 1, 2, 1, null, null, 1, 0);
insert into qualificacio values (203, 49, 1, 110, 2, 2, 1, null, null, 2, 0);
insert into qualificacio values (204, 49, 1, 105, 3, 2, 1, null, null, 2, 0);
insert into qualificacio values (205, 49, 1, 102, 1, 2, 1, null, null, 1, 0);
insert into qualificacio values (206, 49, 1, 111, 2, 2, 1, null, null, 2, 0);
insert into qualificacio values (207, 49, 1, 107, 3, 2, 1, null, null, 2, 0);
insert into qualificacio values (208, 49, 1, 109, 1, 2, 1, null, null, 1, 0);
insert into qualificacio values (209, 49, 1, 108, 2, 2, 1, null, null, 2, 0);
insert into qualificacio values (210, 49, 1, 106, 3, 2, 1, null, null, 2, 0);
insert into qualificacio values (211, 49, 1, 101, 1, 2, 1, null, null, 1, 0);
insert into qualificacio values (212, 49, 1, 100, 2, 2, 1, null, null, 2, 0);
insert into qualificacio values (213, 49, 1, 104, 3, 2, 1, null, null, 2, 0);
insert into qualificacio values (214, 50, 1, 52, 1, 2, 1, null, null, 1, 0);
insert into qualificacio values (215, 50, 1, 46, 2, 2, 1, null, null, 2, 0);
insert into qualificacio values (216, 50, 1, 53, 3, 2, 1, null, null, 2, 0);
insert into qualificacio values (217, 50, 1, 54, 1, 2, 1, null, null, 1, 0);
insert into qualificacio values (218, 50, 1, 51, 2, 2, 1, null, null, 2, 0);
insert into qualificacio values (219, 50, 1, 48, 3, 2, 1, null, null, 2, 0);
insert into qualificacio values (220, 50, 1, 45, 1, 2, 1, null, null, 1, 0);
insert into qualificacio values (221, 50, 1, 49, 2, 2, 1, null, null, 2, 0);
insert into qualificacio values (222, 50, 1, 50, 3, 2, 1, null, null, 2, 0);
insert into qualificacio values (223, 50, 1, 47, 1, 2, 1, null, null, 1, 0);
insert into qualificacio values (224, 34, 1, 75, 2, 1, 2, null, null, 2, 0);
insert into qualificacio values (225, 34, 1, 66, 3, 1, 2, null, null, 2, 0);
insert into qualificacio values (226, 34, 1, 73, 1, 1, 2, null, null, 1, 0);
insert into qualificacio values (227, 34, 1, 70, 2, 1, 2, null, null, 2, 0);
insert into qualificacio values (228, 34, 1, 69, 3, 1, 2, null, null, 2, 0);
insert into qualificacio values (229, 34, 1, 65, 1, 1, 2, null, null, 1, 0);
insert into qualificacio values (230, 34, 1, 74, 2, 1, 2, null, null, 2, 0);
insert into qualificacio values (231, 34, 1, 68, 3, 1, 2, null, null, 2, 0);
insert into qualificacio values (232, 34, 1, 72, 1, 1, 2, null, null, 1, 0);
insert into qualificacio values (233, 34, 1, 67, 2, 1, 2, null, null, 2, 0);
insert into qualificacio values (234, 34, 1, 71, 3, 1, 2, null, null, 2, 0);
insert into qualificacio values (235, 33, 1, 64, 1, 1, 2, null, null, 1, 0);
insert into qualificacio values (236, 33, 1, 59, 2, 1, 2, null, null, 2, 0);
insert into qualificacio values (237, 33, 1, 56, 3, 1, 2, null, null, 2, 0);
insert into qualificacio values (238, 33, 1, 57, 1, 1, 2, null, null, 1, 0);
insert into qualificacio values (239, 33, 1, 58, 2, 1, 2, null, null, 2, 0);
insert into qualificacio values (240, 33, 1, 63, 3, 1, 2, null, null, 2, 0);
insert into qualificacio values (241, 33, 1, 62, 1, 1, 2, null, null, 1, 0);
insert into qualificacio values (242, 33, 1, 61, 2, 1, 2, null, null, 2, 0);
insert into qualificacio values (243, 33, 1, 55, 3, 1, 2, null, null, 2, 0);
insert into qualificacio values (244, 33, 1, 60, 1, 1, 2, null, null, 1, 0);
insert into qualificacio values (245, 35, 1, 85, 2, 1, 2, null, null, 2, 0);
insert into qualificacio values (246, 35, 1, 76, 3, 1, 2, null, null, 2, 0);
insert into qualificacio values (247, 35, 1, 77, 1, 1, 2, null, null, 1, 0);
insert into qualificacio values (248, 35, 1, 79, 2, 1, 2, null, null, 2, 0);
insert into qualificacio values (249, 35, 1, 84, 3, 1, 2, null, null, 2, 0);
insert into qualificacio values (250, 35, 1, 82, 1, 1, 2, null, null, 1, 0);
insert into qualificacio values (251, 35, 1, 78, 2, 1, 2, null, null, 2, 0);
insert into qualificacio values (252, 35, 1, 81, 3, 1, 2, null, null, 2, 0);
insert into qualificacio values (253, 35, 1, 80, 1, 1, 2, null, null, 1, 0);
insert into qualificacio values (254, 35, 1, 86, 2, 1, 2, null, null, 2, 0);
insert into qualificacio values (255, 35, 1, 83, 3, 1, 2, null, null, 2, 0);
insert into qualificacio values (256, 39, 1, 23, 1, 1, 2, null, null, 1, 0);
insert into qualificacio values (257, 39, 1, 29, 2, 1, 2, null, null, 2, 0);
insert into qualificacio values (258, 39, 1, 25, 3, 1, 2, null, null, 2, 0);
insert into qualificacio values (259, 39, 1, 30, 1, 1, 2, null, null, 1, 0);
insert into qualificacio values (260, 39, 1, 27, 2, 1, 2, null, null, 2, 0);
insert into qualificacio values (261, 39, 1, 24, 3, 1, 2, null, null, 2, 0);
insert into qualificacio values (262, 39, 1, 22, 1, 1, 2, null, null, 1, 0);
insert into qualificacio values (263, 39, 1, 21, 2, 1, 2, null, null, 2, 0);
insert into qualificacio values (264, 39, 1, 28, 3, 1, 2, null, null, 2, 0);
insert into qualificacio values (265, 39, 1, 26, 1, 1, 2, null, null, 1, 0);
insert into qualificacio values (266, 40, 1, 117, 2, 1, 2, null, null, 2, 0);
insert into qualificacio values (267, 40, 1, 123, 3, 1, 2, null, null, 2, 0);
insert into qualificacio values (268, 40, 1, 114, 1, 1, 2, null, null, 1, 0);
insert into qualificacio values (269, 40, 1, 118, 2, 1, 2, null, null, 2, 0);
insert into qualificacio values (270, 40, 1, 116, 3, 1, 2, null, null, 2, 0);
insert into qualificacio values (271, 40, 1, 121, 1, 1, 2, null, null, 1, 0);
insert into qualificacio values (272, 40, 1, 115, 2, 1, 2, null, null, 2, 0);
insert into qualificacio values (273, 40, 1, 120, 3, 1, 2, null, null, 2, 0);
insert into qualificacio values (274, 40, 1, 122, 2, 1, 2, null, null, 2, 0);
insert into qualificacio values (275, 40, 1, 113, 1, 1, 2, null, null, 1, 0);
insert into qualificacio values (276, 40, 1, 112, 2, 1, 2, null, null, 2, 0);
insert into qualificacio values (277, 40, 1, 119, 3, 1, 2, null, null, 2, 0);
insert into qualificacio values (278, 41, 1, 133, 1, 2, 1, null, null, 1, 0);
insert into qualificacio values (279, 41, 1, 127, 2, 2, 1, null, null, 2, 0);
insert into qualificacio values (280, 41, 1, 125, 3, 2, 1, null, null, 2, 0);
insert into qualificacio values (281, 41, 1, 128, 1, 2, 1, null, null, 1, 0);
insert into qualificacio values (282, 41, 1, 134, 2, 2, 1, null, null, 2, 0);
insert into qualificacio values (283, 41, 1, 126, 3, 2, 1, null, null, 2, 0);
insert into qualificacio values (284, 41, 1, 132, 1, 2, 1, null, null, 1, 0);
insert into qualificacio values (285, 41, 1, 130, 2, 2, 1, null, null, 2, 0);
insert into qualificacio values (286, 41, 1, 124, 3, 2, 1, null, null, 2, 0);
insert into qualificacio values (287, 41, 1, 129, 1, 2, 1, null, null, 1, 0);
insert into qualificacio values (288, 41, 1, 135, 2, 2, 1, null, null, 2, 0);
insert into qualificacio values (289, 41, 1, 131, 3, 2, 1, null, null, 2, 0);
insert into qualificacio values (290, 51, 1, 23, 1, 3, 2, null, null, 2, 0);
insert into qualificacio values (291, 51, 1, 29, 2, 3, 2, null, null, 2, 0);
insert into qualificacio values (292, 51, 1, 25, 3, 3, 2, null, null, 3, 0);
insert into qualificacio values (293, 51, 1, 30, 1, 3, 2, null, null, 2, 0);
insert into qualificacio values (294, 51, 1, 27, 2, 3, 2, null, null, 2, 0);
insert into qualificacio values (295, 51, 1, 24, 3, 3, 2, null, null, 3, 0);
insert into qualificacio values (296, 51, 1, 22, 1, 3, 2, null, null, 2, 0);
insert into qualificacio values (297, 51, 1, 21, 2, 3, 2, null, null, 2, 0);
insert into qualificacio values (298, 51, 1, 28, 3, 3, 2, null, null, 3, 0);
insert into qualificacio values (299, 51, 1, 26, 1, 3, 2, null, null, 2, 0);
insert into qualificacio values (300, 52, 1, 117, 2, 3, 2, null, null, 2, 0);
insert into qualificacio values (301, 52, 1, 123, 3, 3, 2, null, null, 3, 0);
insert into qualificacio values (302, 52, 1, 114, 1, 3, 2, null, null, 2, 0);
insert into qualificacio values (303, 52, 1, 118, 2, 3, 2, null, null, 2, 0);
insert into qualificacio values (304, 52, 1, 116, 3, 3, 2, null, null, 3, 0);
insert into qualificacio values (305, 52, 1, 121, 1, 3, 2, null, null, 2, 0);
insert into qualificacio values (306, 52, 1, 115, 2, 3, 2, null, null, 2, 0);
insert into qualificacio values (307, 52, 1, 120, 3, 3, 2, null, null, 3, 0);
insert into qualificacio values (308, 52, 1, 122, 1, 3, 2, null, null, 2, 0);
insert into qualificacio values (309, 52, 1, 113, 1, 3, 2, null, null, 2, 0);
insert into qualificacio values (310, 52, 1, 112, 2, 3, 2, null, null, 2, 0);
insert into qualificacio values (311, 52, 1, 119, 3, 3, 2, null, null, 3, 0);
insert into qualificacio values (312, 53, 1, 133, 1, 3, 2, null, null, 2, 0);
insert into qualificacio values (313, 53, 1, 127, 1, 3, 2, null, null, 2, 0);
insert into qualificacio values (314, 53, 1, 125, 2, 3, 2, null, null, 2, 0);
insert into qualificacio values (315, 53, 1, 128, 3, 3, 2, null, null, 3, 0);
insert into qualificacio values (316, 53, 1, 134, 1, 3, 2, null, null, 2, 0);
insert into qualificacio values (317, 53, 1, 126, 2, 3, 2, null, null, 2, 0);
insert into qualificacio values (318, 53, 1, 132, 3, 3, 2, null, null, 3, 0);
insert into qualificacio values (319, 53, 1, 130, 1, 3, 2, null, null, 2, 0);
insert into qualificacio values (320, 53, 1, 124, 1, 3, 2, null, null, 2, 0);
insert into qualificacio values (321, 53, 1, 129, 2, 3, 2, null, null, 2, 0);
insert into qualificacio values (322, 53, 1, 135, 3, 3, 2, null, null, 3, 0);
insert into qualificacio values (323, 53, 1, 131, 1, 3, 2, null, null, 2, 0);
insert into qualificacio values (324, 21, 1, 64, 2, 3, 1, null, null, 2, 0);
insert into qualificacio values (325, 21, 1, 59, 3, 3, 1, null, null, 3, 0);
insert into qualificacio values (326, 21, 1, 56, 1, 3, 1, null, null, 1, 0);
insert into qualificacio values (327, 21, 1, 57, 2, 3, 1, null, null, 2, 0);
insert into qualificacio values (328, 21, 1, 58, 3, 3, 1, null, null, 3, 0);
insert into qualificacio values (329, 21, 1, 63, 1, 3, 1, null, null, 1, 0);
insert into qualificacio values (330, 21, 1, 62, 2, 3, 1, null, null, 2, 0);
insert into qualificacio values (331, 21, 1, 61, 3, 3, 1, null, null, 3, 0);
insert into qualificacio values (332, 21, 1, 55, 1, 3, 1, null, null, 1, 0);
insert into qualificacio values (333, 21, 1, 60, 2, 3, 1, null, null, 2, 0);
insert into qualificacio values (334, 22, 1, 75, 3, 3, 1, null, null, 3, 0);
insert into qualificacio values (335, 22, 1, 66, 1, 3, 1, null, null, 1, 0);
insert into qualificacio values (336, 22, 1, 73, 2, 3, 1, null, null, 2, 0);
insert into qualificacio values (337, 22, 1, 70, 3, 3, 1, null, null, 3, 0);
insert into qualificacio values (338, 22, 1, 69, 1, 3, 1, null, null, 1, 0);
insert into qualificacio values (339, 22, 1, 65, 2, 3, 1, null, null, 2, 0);
insert into qualificacio values (340, 22, 1, 74, 3, 3, 1, null, null, 3, 0);
insert into qualificacio values (341, 22, 1, 68, 1, 3, 1, null, null, 1, 0);
insert into qualificacio values (342, 22, 1, 72, 2, 3, 1, null, null, 2, 0);
insert into qualificacio values (343, 22, 1, 67, 3, 3, 1, null, null, 3, 0);
insert into qualificacio values (344, 22, 1, 71, 1, 3, 1, null, null, 1, 0);
insert into qualificacio values (345, 23, 1, 85, 2, 3, 1, null, null, 2, 0);
insert into qualificacio values (346, 23, 1, 76, 3, 3, 1, null, null, 3, 0);
insert into qualificacio values (347, 23, 1, 77, 1, 3, 1, null, null, 1, 0);
insert into qualificacio values (348, 23, 1, 79, 2, 3, 1, null, null, 2, 0);
insert into qualificacio values (349, 23, 1, 84, 3, 3, 1, null, null, 3, 0);
insert into qualificacio values (350, 23, 1, 82, 1, 3, 1, null, null, 1, 0);
insert into qualificacio values (351, 23, 1, 78, 2, 3, 1, null, null, 2, 0);
insert into qualificacio values (352, 23, 1, 81, 3, 3, 1, null, null, 3, 0);
insert into qualificacio values (353, 23, 1, 80, 1, 3, 1, null, null, 1, 0);
insert into qualificacio values (354, 23, 1, 86, 2, 3, 1, null, null, 2, 0);
insert into qualificacio values (355, 23, 1, 83, 3, 3, 1, null, null, 3, 0);
insert into qualificacio values (356, 58, 1, 75, 1, 3, 2, null, null, 2, 0);
insert into qualificacio values (357, 58, 1, 66, 2, 3, 2, null, null, 2, 0);
insert into qualificacio values (358, 58, 1, 73, 3, 3, 2, null, null, 3, 0);
insert into qualificacio values (359, 58, 1, 70, 1, 3, 2, null, null, 2, 0);
insert into qualificacio values (360, 58, 1, 69, 2, 3, 2, null, null, 2, 0);
insert into qualificacio values (361, 58, 1, 65, 3, 3, 2, null, null, 3, 0);
insert into qualificacio values (362, 58, 1, 74, 1, 3, 2, null, null, 2, 0);
insert into qualificacio values (363, 58, 1, 68, 2, 3, 2, null, null, 2, 0);
insert into qualificacio values (364, 58, 1, 72, 3, 3, 2, null, null, 3, 0);
insert into qualificacio values (365, 58, 1, 67, 1, 3, 2, null, null, 2, 0);
insert into qualificacio values (366, 58, 1, 71, 2, 3, 2, null, null, 2, 0);
insert into qualificacio values (367, 57, 1, 64, 3, 3, 2, null, null, 3, 0);
insert into qualificacio values (368, 57, 1, 59, 1, 3, 2, null, null, 2, 0);
insert into qualificacio values (369, 57, 1, 56, 2, 3, 2, null, null, 2, 0);
insert into qualificacio values (370, 57, 1, 57, 3, 3, 2, null, null, 3, 0);
insert into qualificacio values (371, 57, 1, 58, 1, 3, 2, null, null, 2, 0);
insert into qualificacio values (372, 57, 1, 63, 2, 3, 2, null, null, 2, 0);
insert into qualificacio values (373, 57, 1, 62, 3, 3, 2, null, null, 3, 0);
insert into qualificacio values (374, 57, 1, 61, 1, 3, 2, null, null, 2, 0);
insert into qualificacio values (375, 57, 1, 55, 2, 3, 2, null, null, 2, 0);
insert into qualificacio values (376, 57, 1, 60, 3, 3, 2, null, null, 3, 0);
insert into qualificacio values (377, 59, 1, 85, 1, 3, 2, null, null, 2, 0);
insert into qualificacio values (378, 59, 1, 76, 2, 3, 2, null, null, 2, 0);
insert into qualificacio values (379, 59, 1, 77, 3, 3, 2, null, null, 3, 0);
insert into qualificacio values (380, 59, 1, 79, 1, 3, 2, null, null, 2, 0);
insert into qualificacio values (381, 59, 1, 84, 2, 3, 2, null, null, 2, 0);
insert into qualificacio values (382, 59, 1, 82, 3, 3, 2, null, null, 3, 0);
insert into qualificacio values (383, 59, 1, 78, 1, 3, 2, null, null, 2, 0);
insert into qualificacio values (384, 59, 1, 81, 2, 3, 2, null, null, 2, 0);
insert into qualificacio values (385, 59, 1, 80, 3, 3, 2, null, null, 3, 0);
insert into qualificacio values (386, 59, 1, 86, 1, 3, 2, null, null, 2, 0);
insert into qualificacio values (387, 59, 1, 83, 1, 3, 2, null, null, 2, 0);
insert into qualificacio values (388, 27, 1, 23, 2, 3, 1, null, null, 2, 0);
insert into qualificacio values (389, 27, 1, 29, 1, 3, 1, null, null, 1, 0);
insert into qualificacio values (390, 27, 1, 25, 1, 3, 1, null, null, 1, 0);
insert into qualificacio values (391, 27, 1, 30, 1, 3, 1, null, null, 1, 0);
insert into qualificacio values (392, 27, 1, 27, 1, 3, 1, null, null, 1, 0);
insert into qualificacio values (393, 27, 1, 24, 1, 3, 1, null, null, 1, 0);
insert into qualificacio values (394, 27, 1, 22, 1, 3, 1, null, null, 1, 0);
insert into qualificacio values (395, 27, 1, 21, 1, 3, 1, null, null, 1, 0);
insert into qualificacio values (396, 27, 1, 28, 1, 3, 1, null, null, 1, 0);
insert into qualificacio values (397, 27, 1, 26, 1, 3, 1, null, null, 1, 0);
insert into qualificacio values (398, 28, 1, 117, 1, 3, 1, null, null, 1, 0);
insert into qualificacio values (399, 28, 1, 123, 1, 3, 1, null, null, 1, 0);
insert into qualificacio values (400, 28, 1, 114, 1, 3, 1, null, null, 1, 0);
insert into qualificacio values (401, 28, 1, 118, 1, 3, 1, null, null, 1, 0);
insert into qualificacio values (402, 28, 1, 116, 1, 3, 1, null, null, 1, 0);
insert into qualificacio values (403, 28, 1, 121, 1, 3, 1, null, null, 1, 0);
insert into qualificacio values (404, 28, 1, 115, 1, 3, 1, null, null, 1, 0);
insert into qualificacio values (405, 28, 1, 120, 1, 3, 1, null, null, 1, 0);
insert into qualificacio values (406, 28, 1, 122, 1, 3, 1, null, null, 1, 0);
insert into qualificacio values (407, 28, 1, 113, 1, 3, 1, null, null, 1, 0);
insert into qualificacio values (408, 28, 1, 112, 1, 3, 1, null, null, 1, 0);
insert into qualificacio values (409, 28, 1, 119, 1, 3, 1, null, null, 1, 0);
insert into qualificacio values (410, 29, 1, 133, 1, 3, 1, null, null, 1, 0);
insert into qualificacio values (411, 29, 1, 127, 1, 3, 1, null, null, 1, 0);
insert into qualificacio values (412, 29, 1, 125, 1, 3, 1, null, null, 1, 0);
insert into qualificacio values (413, 29, 1, 128, 1, 3, 1, null, null, 1, 0);
insert into qualificacio values (414, 29, 1, 134, 1, 3, 1, null, null, 1, 0);
insert into qualificacio values (415, 29, 1, 126, 1, 3, 1, null, null, 1, 0);
insert into qualificacio values (416, 29, 1, 132, 1, 3, 1, null, null, 1, 0);
insert into qualificacio values (417, 29, 1, 130, 1, 3, 1, null, null, 1, 0);
insert into qualificacio values (418, 29, 1, 124, 1, 3, 1, null, null, 1, 0);
insert into qualificacio values (419, 29, 1, 129, 1, 3, 1, null, null, 1, 0);
insert into qualificacio values (420, 29, 1, 135, 1, 3, 1, null, null, 1, 0);
insert into qualificacio values (421, 29, 1, 131, 1, 3, 1, null, null, 1, 0);
insert into qualificacio values (422, 45, 1, 64, 2, 2, 1, null, null, 2, 0);
insert into qualificacio values (423, 45, 1, 59, 2, 2, 1, null, null, 2, 0);
insert into qualificacio values (424, 45, 1, 56, 2, 2, 1, null, null, 2, 0);
insert into qualificacio values (425, 45, 1, 57, 2, 2, 1, null, null, 2, 0);
insert into qualificacio values (426, 45, 1, 58, 2, 2, 1, null, null, 2, 0);
insert into qualificacio values (427, 45, 1, 63, 2, 2, 1, null, null, 2, 0);
insert into qualificacio values (428, 45, 1, 62, 2, 2, 1, null, null, 2, 0);
insert into qualificacio values (429, 45, 1, 61, 2, 2, 1, null, null, 2, 0);
insert into qualificacio values (430, 45, 1, 55, 2, 2, 1, null, null, 2, 0);
insert into qualificacio values (431, 45, 1, 60, 2, 2, 1, null, null, 2, 0);
insert into qualificacio values (432, 47, 1, 85, 2, 2, 1, null, null, 2, 0);
insert into qualificacio values (433, 47, 1, 76, 2, 2, 1, null, null, 2, 0);
insert into qualificacio values (434, 47, 1, 77, 2, 2, 1, null, null, 2, 0);
insert into qualificacio values (435, 47, 1, 79, 2, 2, 1, null, null, 2, 0);
insert into qualificacio values (436, 47, 1, 84, 2, 2, 1, null, null, 2, 0);
insert into qualificacio values (437, 47, 1, 82, 2, 2, 1, null, null, 2, 0);
insert into qualificacio values (438, 47, 1, 78, 2, 2, 1, null, null, 2, 0);
insert into qualificacio values (439, 47, 1, 81, 2, 2, 1, null, null, 2, 0);
insert into qualificacio values (440, 47, 1, 80, 2, 2, 1, null, null, 2, 0);
insert into qualificacio values (441, 47, 1, 86, 2, 2, 1, null, null, 2, 0);
insert into qualificacio values (442, 47, 1, 83, 2, 2, 1, null, null, 2, 0);
insert into qualificacio values (443, 46, 1, 75, 2, 2, 1, null, null, 2, 0);
insert into qualificacio values (444, 46, 1, 66, 2, 2, 1, null, null, 2, 0);
insert into qualificacio values (445, 46, 1, 73, 2, 2, 1, null, null, 2, 0);
insert into qualificacio values (446, 46, 1, 70, 2, 2, 1, null, null, 2, 0);
insert into qualificacio values (447, 46, 1, 69, 2, 2, 1, null, null, 2, 0);
insert into qualificacio values (448, 46, 1, 65, 2, 2, 1, null, null, 2, 0);
insert into qualificacio values (449, 46, 1, 74, 2, 2, 1, null, null, 2, 0);
insert into qualificacio values (450, 46, 1, 68, 2, 2, 1, null, null, 2, 0);
insert into qualificacio values (451, 46, 1, 72, 2, 2, 1, null, null, 2, 0);
insert into qualificacio values (452, 46, 1, 67, 2, 2, 1, null, null, 2, 0);
insert into qualificacio values (453, 46, 1, 71, 2, 2, 1, null, null, 2, 0);
insert into qualificacio values (454, 24, 1, 99, 1, 3, 1, null, null, 1, 0);
insert into qualificacio values (455, 24, 1, 91, 1, 3, 1, null, null, 1, 0);
insert into qualificacio values (456, 24, 1, 93, 1, 3, 1, null, null, 1, 0);
insert into qualificacio values (457, 24, 1, 96, 1, 3, 1, null, null, 1, 0);
insert into qualificacio values (458, 24, 1, 95, 1, 3, 1, null, null, 1, 0);
insert into qualificacio values (459, 24, 1, 98, 1, 3, 1, null, null, 1, 0);
insert into qualificacio values (460, 24, 1, 97, 1, 3, 1, null, null, 1, 0);
insert into qualificacio values (461, 24, 1, 87, 1, 3, 1, null, null, 1, 0);
insert into qualificacio values (462, 24, 1, 89, 1, 3, 1, null, null, 1, 0);
insert into qualificacio values (463, 24, 1, 90, 1, 3, 1, null, null, 1, 0);
insert into qualificacio values (464, 24, 1, 92, 1, 3, 1, null, null, 1, 0);
insert into qualificacio values (465, 24, 1, 94, 1, 3, 1, null, null, 1, 0);
insert into qualificacio values (466, 24, 1, 88, 1, 3, 1, null, null, 1, 0);
insert into qualificacio values (467, 25, 1, 103, 1, 3, 1, null, null, 1, 0);
insert into qualificacio values (468, 25, 1, 110, 1, 3, 1, null, null, 1, 0);
insert into qualificacio values (469, 25, 1, 105, 1, 3, 1, null, null, 1, 0);
insert into qualificacio values (470, 25, 1, 102, 1, 3, 1, null, null, 1, 0);
insert into qualificacio values (471, 25, 1, 111, 1, 3, 1, null, null, 1, 0);
insert into qualificacio values (472, 25, 1, 107, 1, 3, 1, null, null, 1, 0);
insert into qualificacio values (473, 25, 1, 109, 1, 3, 1, null, null, 1, 0);
insert into qualificacio values (474, 25, 1, 108, 1, 3, 1, null, null, 1, 0);
insert into qualificacio values (475, 25, 1, 106, 1, 3, 1, null, null, 1, 0);
insert into qualificacio values (476, 25, 1, 101, 1, 3, 1, null, null, 1, 0);
insert into qualificacio values (477, 25, 1, 100, 1, 3, 1, null, null, 1, 0);
insert into qualificacio values (478, 25, 1, 104, 1, 3, 1, null, null, 1, 0);
insert into qualificacio values (479, 26, 1, 52, 1, 3, 1, null, null, 1, 0);
insert into qualificacio values (480, 26, 1, 46, 1, 3, 1, null, null, 1, 0);
insert into qualificacio values (481, 26, 1, 53, 1, 3, 1, null, null, 1, 0);
insert into qualificacio values (482, 26, 1, 54, 1, 3, 1, null, null, 1, 0);
insert into qualificacio values (483, 26, 1, 51, 1, 3, 1, null, null, 1, 0);
insert into qualificacio values (484, 26, 1, 48, 1, 3, 1, null, null, 1, 0);
insert into qualificacio values (485, 26, 1, 45, 1, 3, 1, null, null, 1, 0);
insert into qualificacio values (486, 26, 1, 49, 1, 3, 1, null, null, 1, 0);
insert into qualificacio values (487, 26, 1, 50, 1, 3, 1, null, null, 1, 0);
insert into qualificacio values (488, 26, 1, 47, 1, 3, 1, null, null, 1, 0);
insert into qualificacio values (489, 36, 1, 99, 2, 1, 2, null, null, 2, 0);
insert into qualificacio values (490, 36, 1, 91, 2, 1, 2, null, null, 2, 0);
insert into qualificacio values (491, 36, 1, 93, 2, 1, 2, null, null, 2, 0);
insert into qualificacio values (492, 36, 1, 96, 2, 1, 2, null, null, 2, 0);
insert into qualificacio values (493, 36, 1, 95, 2, 1, 2, null, null, 2, 0);
insert into qualificacio values (494, 36, 1, 98, 2, 1, 2, null, null, 2, 0);
insert into qualificacio values (495, 36, 1, 97, 2, 1, 2, null, null, 2, 0);
insert into qualificacio values (496, 36, 1, 87, 2, 1, 2, null, null, 2, 0);
insert into qualificacio values (497, 36, 1, 89, 2, 1, 2, null, null, 2, 0);
insert into qualificacio values (498, 36, 1, 90, 2, 1, 2, null, null, 2, 0);
insert into qualificacio values (499, 36, 1, 92, 2, 1, 2, null, null, 2, 0);
insert into qualificacio values (500, 36, 1, 94, 2, 1, 2, null, null, 2, 0);
insert into qualificacio values (501, 36, 1, 88, 2, 1, 2, null, null, 2, 0);
insert into qualificacio values (502, 37, 1, 103, 2, 1, 2, null, null, 2, 0);
insert into qualificacio values (503, 37, 1, 110, 2, 1, 2, null, null, 2, 0);
insert into qualificacio values (504, 37, 1, 105, 2, 1, 2, null, null, 2, 0);
insert into qualificacio values (505, 37, 1, 102, 2, 1, 2, null, null, 2, 0);
insert into qualificacio values (506, 37, 1, 111, 2, 1, 2, null, null, 2, 0);
insert into qualificacio values (507, 37, 1, 107, 2, 1, 2, null, null, 2, 0);
insert into qualificacio values (508, 37, 1, 109, 2, 1, 2, null, null, 2, 0);
insert into qualificacio values (509, 37, 1, 108, 2, 1, 2, null, null, 2, 0);
insert into qualificacio values (510, 37, 1, 106, 2, 1, 2, null, null, 2, 0);
insert into qualificacio values (511, 37, 1, 101, 2, 1, 2, null, null, 2, 0);
insert into qualificacio values (512, 37, 1, 100, 2, 1, 2, null, null, 2, 0);
insert into qualificacio values (513, 37, 1, 104, 2, 1, 2, null, null, 2, 0);
insert into qualificacio values (514, 38, 1, 52, 2, 1, 2, null, null, 2, 0);
insert into qualificacio values (515, 38, 1, 46, 2, 1, 2, null, null, 2, 0);
insert into qualificacio values (516, 38, 1, 53, 2, 1, 2, null, null, 2, 0);
insert into qualificacio values (517, 38, 1, 54, 5, 5, 5, 5, 5, 5, 1);
insert into qualificacio values (518, 38, 1, 51, 2, 1, 2, null, null, 2, 0);
insert into qualificacio values (519, 38, 1, 48, 2, 1, 2, null, null, 2, 0);
insert into qualificacio values (520, 38, 1, 45, 5, 5, 5, 5, 5, 5, 1);
insert into qualificacio values (521, 38, 1, 49, 2, 1, 2, null, null, 2, 0);
insert into qualificacio values (522, 38, 1, 50, 5, 5, 5, 5, 5, 5, 1);
insert into qualificacio values (523, 38, 1, 47, 2, 1, 2, null, null, 2, 0);